Калькулятор

Войдите в выражение:

Результат:


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Алфавитный список

Следующие объекты, методы, свойства, и обработчики событий доступны в JavaScript:
  • abs
  • Acos
  • action
  • alert
  • AlinkColor
  • anchor
  • anchor (массив anchor)
  • anchor
  • AppCodeName
  • appName
  • appVersion
  • asin
  • atan
  • back
  • bgColor
  • big
  • blink
  • blur
  • bold
  • button
  • ceil
  • charAt
  • checkbox
  • checked
  • clearTimeout
  • click
  • close (Документ)
  • close (Окно)
  • confirm
  • cookie
  • cos
  • Date
  • defaultChecked
  • defaultSelected
  • defaultStatus
  • defaultValue
  • document
  • E
  • elements
  • elements
  • encoding
  • escape
  • eval
  • exp
  • fgColor
  • fixed
  • floor
  • focus
  • fontcolor
  • fontsize
  • forms (массив forms)
  • forms
  • forward
  • frame (массив frame)
  • frames
  • getDate
  • getDay
  • getHours
  • getMinutes
  • getMonth
  • getSeconds
  • getTime
  • getTimezoneOffset
  • getYear
  • go
  • hash
  • hidden
  • history
  • host
  • hostname
  • hr align=center width=250ef
  • index
  • indexOf
  • isNaN
  • italics
  • lastIndexOf
  • lastModified
  • length
  • link
  • link (массив link)
  • linkColor
  • links
  • LN2
  • LN10
  • location
  • log
  • LOG2E
  • LOG10E
  • Math
  • max
  • method
  • min
  • name
  • navigator
  • onBlurt
  • onChange
  • onClick
  • onFocus
  • onLoad
  • onMouseOver
  • onSelect
  • onSubmit
  • onUnload
  • open(Документ)
  • open(Окно)
  • options
  • parent
  • parse
  • parseFloat
  • parseInt
  • password
  • pathname
  • PI
  • port
  • pow
  • prompt
  • protocol
  • radio
  • random
  • referrer
  • reset
  • round
  • search
  • select
  • select(массив select)
  • selected
  • selectedIndex
  • self
  • setDate
  • setHours
  • setMinutes
  • setMonth
  • setSeconds
  • setTime
  • setTimeout
  • setYear
  • sin
  • small
  • sqrt
  • SQRT1_2
  • SQRT2
  • status
  • strike
  • string
  • sub
  • submit
  • submit
  • substring
  • sup
  • tan
  • target
  • text
  • text
  • textarea
  • title
  • toGMTString
  • toLocaleString
  • toLowerCase
  • top
  • toUpperCase
  • unescape
  • URL
  • userAgent
  • UTC
  • value
  • vlinkColor
  • window
  • window
  • write
  • writeln

    • Метод abs

    Возвращает абсалютное значение своего аргумента.

    Синтаксис

     Math.abs (argument)

    argument - любое числовое выражение или свойство объекта.

    Метод

    Math

    Примеры

    В следующем примере, пользователь вводит число, затем вычисляется абсолютное значение числа.

    <FORM> <P>Enter a number: <INPUT TYPE="text" NAME="absEntry"> <P>The absolute value is: <INPUT TYPE="text" NAME="result"> <P> <INPUT TYPE="button" VALUE="Calculate" onClick="form.result.value = Math.abs(form.absEntry.value)"> </FORM>
    Следующий пример возвращает соответственно 10 и 20.
    document.writeln(Math.abs(-10));
Kat.age=20
document.writeln(Math.abs(Kat.age))

    Метод acos

    Возвращает арккосинус своего аргумента.

    Синтаксис

     Math.acos (argument)

    argument - это число расположенное в диапозоне от -1 до 1,если значение выходит за эти пределы, то метод возращает 0.

    Метод

    Math

    Описание

    Метод acos возвращает числовое значение от 0 до pi радиан.

    Примеры

// Вычисляет значение 0
document.write("The arc cosine of 1 is " + Math.acos(1))
// Вычисляет значение 3.141592653589793
document.write("
    The arc cosine of -1 is " + Math.acos(-1))
// Вычисляет значение 0
document.write("
    The arc cosine of 2 is " + Math.acos(2))

    Смотрите также

  • Методы asin, atan, cos, sin, tan

    Свойство action

    Свойство action возвращает строку, состоящую из URL назначения для данных,введенных в форму.

    Синтаксис

     formName.action

    FormName является или именем формы или элемента form.

    Свойства

    form

    Описание

    Свойство action - это отражение атрибута ACTION тега HTML <FORM>. Каждый раздел URL содержит различную информацию. Смотрите объект location для описания компонент URL.

    Вы можете устанавливать свойство action в любое время.

    Некоторые значения свойство action могут требовать определенных значений для других свойств формы.

    Примеры

    Пример 1: Следующий пример свойства action формы musicForm устанавливает значение переменного urlName:

     document.musicForm.action=urlName

    Пример 2: С помощью JavaScript Вы не сможете создать книгу читательских отзывов, поскольку JavaScript лишен возможности записывать данные в какой-либо файл на сервере. Делать это Вы можете только через интерфейс CGI. Конечно, Вы можете создать книгу отзывов, для которой пользователи присылали сведения по электронной почте. Однако в этом случае Вы должны заносить отзывы вручную. Так можно делать, если Вы не предполагаете получать ежедневно по 1000 отзывов.
    Соответствующий скрипт будет простым текстом HTML. И никакого программирования на JavaScript здесь вовсе не нужно! Конечно за исключением того случая, если Вам понадобится перед пересылкой проверить данные, занесенные в форму - и здесь уже Вам действительно понадобится JavaScript. Следует лишь добавить, что команда mailto работает не повсюду - например, поддержка для ее отсутствует в Microsoft Internet Explorer 3.0.
    <form method=post action="mailto:your.address@goes.here" enctype="text/plain">
Нравится ли Вам эта страница?
  <input name="choice" type="radio" value="1">Вовсе нет.<br>
  <input name="choice" type="radio" value="2" CHECKED>Напрасная трата времени.<br>
  <input name="choice" type="radio" value="3">Самый плохой сайт в Сети.<br>
  <input name="submit" type="submit" value="Send">
</form>
         Параметр enctype="text/plain" используется для того, чтобы пересылать именно простой текст без каких-либо кодируемых частей. Это значительно упрощает чтение такой почты.

    Смотрите также

  • Свойства encoding, method, target

    Метод alert

    Показывает диалоговое окно alert с определенным програмистом сообщением и кнопкой OK.

    Синтаксис

    alert("message")

    message - любая строка или свойство существующего объекта.

    Метод

    window

    Описание

    Используйте метод alert, чтобы показать сообщение, которое не требует решения пользователя. Аргумент message определяет сообщение в диалоговом окне.

    Хотя alert - метод объекта window, вы не должны определять windowReference, когда вы вызываете его. Например, windowReference.alert () ненужен.

    Примеры

    В следующем примере, функция testValue () проверяет имя, введенное пользователем в текстовом объекте формы, чтобы удостовериться, что введенный текст не больше восеми знаков в длине.В этом примере метод alert используется для того чтобы пользователь ввел допустимое значение.

    function testValue(textElement) { if (textElement.length > 8) { alert("Please enter a name that is 8 characters or less") } } Вы можете вызвать функцию testValue () в обработчике событий onBlur текстового объекта формы, как показано в следующем примере: Name: <INPUT TYPE="text" NAME="userName" onBlur="testValue(userName.value)">

    Смотрите также примеры для метода setTimeout

    Смотрите также

  • Методы confirm, prompt

    Свойство alinkColor

    Цвет гиперссылки после нажатия на ней левой кнопки мыши, и до отпускания кнопки.

    Синтаксис

     Document.alinkColor

    Свойства

    document

    Описание

    Свойство alinkColor записывается как шестнадцатеричный триплет RGB или строковый литерал, смотрите Цвета в JavaScript. Эта свойство - JavaScript отражает атрибута ALINK тега <BODY>.

    Если вы выражаете цвет как шестнадцатеричный триплет RGB, вы должны использовать формат rrggbb. Например, шестнадцатеричные значения RGB для salmon - red=FA, green=80, и blue=72, поэтому триплет RGB для salmon - "FA8072".

    Примеры

    Следующий пример устанавливает цвет гиперссылки в цвет aqua, при использование строкового литерала:

document.alinkColor = "aqua"

    Следующий пример устанавливает цвет гиперссылки в цвет mintcream, при использование шестнадцатеричного триплета:

document.alinkColor = "F5FFFA"

    Смотрите также

  • Свойства BgColor, fgColor, linkColor, и vlinkColor

    Метод anchor

    Выводит строку на экран и делает ее якорем.

    Синтаксис

     text.anchor (nameAttribute)

    text - любая строка, которую пользователь видит на экране.
    NameAttribute - имеет значение атрибута NAME тега HTML <ANCHOR>

    Метод

    string

    Описание

    Использование метода anchor с методами write или writeln создает в текущем документе якорь.

    Якоря, созданные методом anchor станут элементами в массиве anchor. Информацию относительно массива anchor смотрите объект anchor.

    Следующий пример открывает окно msgWindow и создает якорь для Table of Contents:

    var myString="Table of Contents"
 msgWindow=window.open("","displayWindow")
  msgWindow.document.writeln(myString.anchor("contents_anchor"))
   msgWindow.document.close()

    Или подругому:

    <A NAME="contents_anchor">Table of Contents</A>

    Смотрите также

  • Метод link

    Объект anchor (массив anchor)

    Массив с информацией о якорях в документе.

    Синтаксис

    Чтобы определить якорь, используйте стандарт синтаксис HTML:

    <A [HREF=locationOrURL] NAME="anchorName" [TARGET="windowName"]> anchorText </A> HREF=locationOrURL идентифицирует якорь места назначения или URL. Если этот атрибут присутствует, объект якоря - также объект link. Смотрите подробнее     link.
    NAME = "anchorName" определяет тег, который становится доступной целью гипертекста внутри текущего документа.
    TARGET = "windowName" определяет окно, в которое будет загружена link. Этот атрибут имеет значение только, когда присутствует HREF=LOCATIONORURL. Смотрите подробнее link.
    AnchorText определяет текст якоря.

    Вы можете также определять якорь, используя метод anchor.

    Свойства

  • document

    Описание

    Включение в тег значения для атрибута HREF делает якорь также и гиперссылкой и добавляет ее к массиву links.

    Массив anchor

    Вы можете ссылаться на объект anchor в вашем коде, используя массив anchor. Этот массив содержит все теги <A>, содержащая атрибут NAME в документе в исходном порядке. Например, если документ содержит три якоря, то эти якоря отражены в массиве, как document.anchors [0], document.anchors [1], и document.anchors [2].

    Использование массива anchor:

1. document.anchors [index]
2. document.anchors.length

    index - целое число, представляющее якорь в документе.

    Для определения количества элементов в массива anchor в документе используйте свойство length. Например Document.anchors.length.

    Даже при том, что таблица якорей представляет именованные якоря, стоимость(значение) якорей [индекс] - всегда пустой указатель. Но если имена документа закрепляют в систематическом способе использовать натуральные числа, Вы можете использовать таблицу якорей и ее собственность длины, чтобы проверить правильность названия(имени) якоря перед использованием этого в действиях типа установки(урегулирования) location.hash. См. пример ниже.

    Элементы в массиве anchor только для чтения. Например, утверждение document.anchors [0] = "anchor1" не имеет никакого результата.

    Связанные элементы

  • Cвойства

    Объект anchor не имеет никаких свойствы. Массив anchor имеет следующие свойству:

    • length отражает число якорей в документе

  • Методы

    • Отсутствуют.

  • Обработчики событий

    • Отсутствуют.

    Примеры

    Пример 1: Следующий пример определяет якорь для текста " Добро пожаловать В JavaScript ".

    <A NAME="javascript_intro"> <H2> Добро пожаловать В JavaScript</H2>

    Если предшествующий якорь находится в файле intro.html, то связь в другим файлом может быть определна переходом к якорю следующим образом:

    <a hrEF="intro.html#javascript_intro">Введение</A>

    Пример 2: Следующий пример открывает два окна. Первое окно содержит ряд кнопок, которые напровляют location.hash во второе окне к определенному якорю. Второе окно определяет четыре якоря с именами "0", "1", "2", и "3". (имена якорей в документе - следовательно 0, 1, 2, ... (документ anchors.length-1)). Когда кнопка нажата в первом окне, обработчик событий onClick проверяет существует ли якорь во втором окне по указонному имени.

    LINK1. HTML, который определяет, первое окно и его кнопки, содержит следующий кодекс:

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Связи и Якоря: Окно 1</TITLE> </HEAD> <BODY> <SCRIPT> window2=open("Link2.html","secondLinkWindow","scrollbars=yes,width=250, height=400") function linkToWindow(num) { if (window2.document.anchors.length > num) window2.location.hash=num else alert("Anchor does not exist!") } </SCRIPT> <B>Связи и Якоря</B> <FORM> <P> Нажмите кнопку, чтобы показать тот якорь во втором окне <P> <INPUT TYPE="button" VALUE="0" NAME="link0_button" onClick="linkToWindow(this.value)"> <INPUT TYPE="button" VALUE="1" NAME="link0_button" onClick="linkToWindow(this.value)"> <INPUT TYPE="button" VALUE="2" NAME="link0_button" onClick="linkToWindow(this.value)"> <INPUT TYPE="button" VALUE="3" NAME="link0_button" onClick="linkToWindow(this.value)"> <INPUT TYPE="button" VALUE="4" NAME="link0_button" onClick="linkToWindow(this.value)"> </FORM> </BODY>

    LINK2. HTML, который содержит, якоря, содержат следующий кодекс:

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Связи и Якоря: Окно 2</TITLE> </HEAD> <BODY> <A NAME="0"><B>Некоторые числа</B></A> <LI> Один <LI> Два <LI> Три <LI> Четыре <LI> Пять <LI> Шесть <LI> Семь <LI> Восемь <LI> Девять <P> <A NAME="1"><B>Некоторые цвета</B> </A> <LI> Красный <LI> Оранжевый <LI> Желтый <LI> Зеленый <LI> Синий <LI> Фиолетовый <LI> Коричневый <LI> Черный <P> <A NAME="3"><B>Некоторые страны</B></A> <LI> Афганистан <LI> Бразилия <LI> Канада <LI> Финляндия <LI> Индия <LI> Италия <LI> Япония <LI> Кения <LI> Мексика <LI> Нигерия </BODY>

    Смотрите также

    • Объект link
    • Метод anchor

    Свойство anchor

    Массив объектов, соответствующих якорям в исходном порядке. Смотрите объект anchor.

    Свойство appCodeName

    Строка, определяющая имя кода окна просмотра.

    Синтаксис

     Navigator.appCodeName

    Свойства

    navigator

    Описание

    AppCodeName - свойство только для чтения.

    Примеры

    Следующий пример показывает значение свойства appCodeName:

     document.write (" Кодовое название вашего браузера: " +
navigator.appCodeName+".")

    Для Netscape Navigator 2.0 это будет выглядеть следующим образом:

     Кодовое название вашего браузера:Mozilla.

    Смотрите также

  • Свойства AppName, appVersion, userAgent

    Свойство appName

    Строка, определяющая имя окна просмотра.

    Синтаксис

     navigator.appName

    Свойства

    navigator

    Описание

    AppName - свойство только для чтения.

    Примеры

    Следующий пример показывает значение свойства appName:

     document.write ("Название вашего браузера: " +
  navigator.appName+".")

    Для Netscape Navigator 2.0 это будет выглядеть следующим образом:

    Название вашего браузера: Netscape

    Смотрите также

  • Свойства AppVersion, appCodeName, userAgent

    Свойство appVersion

    Строка с информацией, определяющей версию браузера.

    Синтаксис

     navigator.appVersion

    Свойства

    navigator

    Описание

    Свойство appVersion используется для проверки версии используемого на клиентском компьюторе браузера. Оно возвращает значение в формате:

    ReleaseNumber (платформа; страна)

    Ззначения, содержащиеся в этом формате - следующие:

  • ReleaseNumber - номер версии просмоторщика. Например, "2.0b4" определяет Навигатор 2.0 бета 4.
  • Платформа - платформа, под которой работает браузер. Например, "Win16" определяет 16-разрядную версию Windows типа Windows 3.11.
  • Страна является или "I" для международной версии, или "U" для внутреннего американской версии. Внутренняя версия имеет более сильную особенность шифрования чем международная версия.

    AppVersion - свойство только для чтения.

    Примеры

    Пример 1. Следующий пример показывает версию для Navigator:

    document.write ("Версия вашего браузера:" +
navigator.appVersion+".")

    Для Netscape Navigator 2.0 на платформе Windows 95 это будет выглядеть следующим образом:

Версия вашего браузера:2.0 (Win95, I).

    Пример 2. Следующий пример заполняет объект textarea с newline цифрами, отделяющими каждую линию. Поскольку newline цифра изменяется от платформы до платформы, то пример проверяет свойство appVersion, чтобы определить, работает ли пользователь в Windows . Если пользователь работает в Windows, то newline установлениа в \r\n; иначе, установлена в \n, который является newline для Unix и Macintosh.

     <SCRIPT>
var newline=null
function populate(textareaObject){
   if (navigator.appVersion.lastIndexOf('Win') != -1)
      newline="\r\n"
      else newline="\n"
   textareaObject.value="line 1" + newline + "line 2" + newline + "line 3"
}
</SCRIPT>
<FORM NAME="form1">  <BR>
<TEXTAREA NAME="testLines" ROWS=8 COLS=55>
</TEXTAREA>
<P>
<INPUT TYPE="button" VALUE="Populate the textarea object" onClick="populate(document.form1.testLines)">
</TEXTAREA>
</FORM>

    Смотрите также

  • Свойства AppName, appCodeName, userAgent

    Метод asin

    Возвращает арксинус своего аргумента.

    Синтаксис

     Math.asin (argument)

    argument - числовое выражение между -1 и 1.

    Метод

    Math

    Описание

    Метод asin возвращает арксинус аргумента между -pi/2 и pi/2 радианами. Если значение argument - выходит за пределы указанного диапазона, то возвращаемое значение - всегда 0.

    Примеры

// Показывает значение 1.570796326794897 (pi/2)
document.write("The arc sine of 1 is " + Math.asin(1))
// Показывает значение -1.570796326794897 (-pi/2)
document.write("The arc sine of -1 is " + Math.asin(-1))
// Показывает значение 0, потому что аргумент находится вне диапазона
document.write("The arc sine of 2 is " + Math.asin(2))

    Смотрите также

  • Методы acos, atan, cos, sin, tan

    Метод atan

    Возвращает арктангенс своего аргумента.

    Синтаксис

     Math.atan (argument)

    argument является числовым выражением между -1 и 1, равное тангесу возвращаемого значения.

    Метод

    Math

    Описание

    Метод atan возвращает число между -pi/2 и pi/2 радианами.

    Примеры

// Показывает значение 0.7853981633974483
document.write("The arc tangent of 1 is " + Math.atan(1))
// Показывает стоимость(значение) -0.7853981633974483
document.write("The arc tangent of -1 is " + Math.atan(-1))
// Показывает стоимость(значение) 0.4636476090008061
document.write("The arc tangent of .5 is " + Math.atan(.5))

    Смотрите также

  • Методы acos, asin, cos, sin, tan

    на начало страницы


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Метод back

Загружает предыдущий URL в списке хронологии.

Синтаксис

history.back ()

Метод

history

Описание

Этот метод выполняет то же самое, какое выполняет следующее выражениее history.go (-1).

Примеры

Следующие кнопки выполняют то же самое действия, что и в Navigator кропки Back и Forward:
<INPUT TYPE="button" VALUE="< Back"
   onClick="history.back()">
<INPUT TYPE="button" VALUE="> Forward"
   onClick="history.forward()">

Смотрите также

  • Методы forward, go

    Свойство bgColor

    Строка, определяющая фоновый цвет документа.

    Синтаксис

    document.bgColor

    Свойство

    document

    Описание

    Свойство bgColor выражается как шестнадцатеричный триплет RGB или так как это один из строковых литералов, внесенных в раздел Цвета JavaScript. Это свойство - JavaScript отражение атрибута BGCOLOR тега HTML <BODY>.

    Вы можете регулировать свойство bgColor в любое время.

    Если вы выражаете цвет, как шестнадцатеричный триплет RGB, то вы должны использовать формат rrggbb. Например, шестнадцатеричное значения RGB для цвета salmon - red=FA, green=80, и blue=72, следователь триплет RGB для salmon - "FA8072".

    Примеры

    Следующий пример устанавливает фон документа в цвет aqua при использование строкового литерала:

document.bgColor = "aqua"

    Следующий пример устанавливает фон документа в aqua при использование шестнадцатеричного триплета:

document.bgColor = "00FFFF"
    Следующий пример позволяет пользователю устанавливать свой собственный цвет фона с помощью переключателей.
    function newColor(colorString){
      document.bgColor=colorString
}
   ...
<FORM NAME="colors">
<INPUT TYPE="radio" NAME="color" VALUE="F0F8FF"
 onClick="newColor(this.value)">Alice Blue
<INPUT TYPE="radio" NAME="color" VALUE="FF4500"
 onClick="newColor(this.value)">Ochre
<INPUT TYPE="radio" NAME="color" VALUE="FFEFD5"
 onClick="newColor(this.value)">Papaya Whip
</FORM>

    Смотрите также

  • Свойства alinkColor, fgColor, linkColor, и vlinkColor

    Метод big

    Показывает строку более крупным шрифтом. Этот метод идентичен тегу HTML <BIG>.

    Синтаксис

     stringName.big ()

    stringName - любая строка.

    Метод

    string

    Описание

    Используйте метод big с методами write или writeln.

    Примеры

    Следующий пример использует метод string, чтобы изменить размер строки:

var worldString = " Привет мир "
document.write (worldString.small ())
document.write (" <P> " + worldString.big ())
document.write (" <P> " + worldString.fontsize (7))

    Следующий пример приводит к аналогичному результату:

    <SMALL> Привет, мир </SMALL> <P> <BIG> Привет, мир </BIG> <P> <FONTSIZE=7> Привет, мир </FONTSIZE>

    Смотрите также

  • Методы fontsize, small

    Метод blink

    Формотирует строку в виде мигающей, как будто это было в <BLINK > отметка.

    Синтаксис

     stringName.blink ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метода blink с методами write или writeln для форматирования строки в документе. Использование метода blink идентично изменению вида выводимого текста с помощью тега HTML <BLINK>.

    Примеры

    Следующий пример использует методы string, чтобы изменить строку:

var worldString = " Привет, мир "
document.write (worldString.blink ())
document.write (" <P> " + worldString.bold ())
document.write (" <P> " + worldString.italics ())
document.write (" <P> " + worldString.strike ())

    Следующий пример приведет к аналогичному результату:

    <BLINK> Привет, мир </BLINK> <P> <B>Привет, мир</B> <P> <I>Привет, мир</I> <P> <STRIKE> Привет, мир</STRIKE>

    Смотрите также

  • Методы bold, italics, strike

    Метод blur

    Измененный в Navigator 3.0

    Удаляет фокус из указанного элемента формы.

    Синтаксис

1. PasswordName.blur ()
2. SelectName.blur ()
3. TextName.blur ()
4. TextareaName.blur ()

    PasswordName является либо значением атрибута NAME объекта password либо значением элемента в массиве elements.
    SelectName является либо значением атрибута NAME выбранного объекта либо значением элемента в массиве elements.
    TextName является либо значением атрибута NAME текстового объекта либо значением элемента в массиве elements.
    TextareaName является либо значением атрибута NAME объекта textarea либо значением элемента в массиве elements.

    Метод

    password, select, text, textarea

    Описание

    Использование метода blur удалять фокус из определенного элемента формы.

    Примеры

    Следующий пример удаляет фокус из элемента password userPass:

userPass.blur ()
    Если элемент password определен как: <INPUT TYPE="password" NAME="userPass">
    Или другой пример следующая строка удаляет фокус из элемента feedback:

feedback.blur ()
    в предположение, что элемент feedback определен следующим образом: <INPUT TYPE="text" NAME="feedback">

    Смотрите также

  • Методы focus, select

    Метод bold

    Показывает строку жирным шрифтом, аналогично тегу HTML <B>.

    Синтаксис

     stringName.bold ()

    stringName - любой ряд или собственность существующего объекта(цели).

    Метод

    string

    Описание

    Используйте метод bold с методами write или writeln, чтобы форматировать строку в документе.

    Примеры

    Следующий пример использует метод string, чтобы изменить строку: var worldString = " Привет мир " document.write (worldString.blink ()) document.write (" <P> " + worldString.bold ()) document.write (" <P>" + worldString.italics ()) document.write (" <P> " + worldString.strike ())

    Или в синтакси HTML:

    <BLINK>Привет мир</BLINK> <P><B>Привет мир</B> <P><I>Привет мир</I> <P><STRIKE>Привет мир</STRIKE>

    Смотрите также

  • Методы blink, italics, strike

    Объект button

    Измененный в Navigator 3.0

    Кнопка в форме HTML.

    Синтаксис

    <INPUT
   TYPE="button"
   NAME="buttonName"
   VALUE="buttonText"
   [onClick="handlerText"]>
     NAME = "buttonName" определяет имя объекта кнопки. Вы можете обращаться к этому значению, используя свойство имени.
    VALUE = "buttonText" определяет значение кнопки на экране. Вы можете обращаться к этому значению, используя свойство значения.

    Использование свойства объекта и методы button:

1. buttonName.propertyName
2. buttonName.methodName (parameters)
3. formName.elements [index] .propertyName
4. formName.elements[index].methodName(parameters)
    buttonName - значение атрибута NAME объекта кнопки.
    formName является либо значением атрибута NAME объекта формы либо значением элемента в массиве form.
    index - целое число, представляющее объект кнопки в форме.
    propertyName - один из свойств, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойства

  • form

    Описание

    Объект button в форме выглядит следующим образом:

    Объект button - элемент формы и должен быть определен внутри тега <FORM>.

    Объект button - кнопка, которую вы можете использовать, для выполнения каких - либо действий, которое вы определили. При назначении кнопке обработчика событий onClick эта кнопка становится дополнительным средством для инициализации событий, отличных от submit и reset.

    Связанные элементы

  • Свойства

    • name отражает атрибут NAME
    • value отражает атрибут VALUE

  • Методы

    • click

  • Обработчики событий

    • OnClick

    Примеры

    Следующий пример создает кнопку calcButton.На экране, которой написано "Calculate". Когда кнопка нажата вызывается функция calcFunction ().

    <INPUT TYPE="button" VALUE="Calculate"
       NAME="calcButton"
   onClick="calcFunction(this.form)">

    Смотрите также

  • Объекты form, reset, и submit

    на начало страницы


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Использование Встроенных Объектов и Функций

JavaScript Язык содержит следующие встроенные объекты(цели) и функции:

  • Объект String
  • Объект Math
  • Объект Date
  • Встроенные функции

Эти объекты и их свойства и методы сформированы в язык. Вы можете использовать эти объекты, и в приложениях клиента с Netscape navigator и с приложениями - серверами с LiveWire.

Использование Объекта String

Всякий раз, когда вы приписываете значение строки переменной или свойству, вы создаете объект string. Литералы строки - также объекты string. Например, утверждение

 mystring = "Hello, World!"

Создает строковый объект mystring. Литерал "blah" - также строковый объект.

Объект string имеет методы, которые возвращают:

  • Изменение строки непосредственно, типа substring и toUpperCase.
  • HTML форматирование строки, типа bold и link.

Например, данный вышеупомянутый объект, mystring.toUpperCase() возвращает

и то же делает "Hello, World!".toUpperCase ().

Использование Объекта Math

Встроенный объект Math имеет свойства и методы для математических констант и функций. Например, PI свойство объекта Math имеет значение pi, который вы примененили бы как

Math. PI

Точно так же стандартные математические функции - методы Math. Они включают тригонометрические, логарифмические, экспоненциальные, и другие функции. Например, использование функции тригонометрического синуса, выглядет так

 Math.sin (1.56)

Замечание, что все аргументы тригонометрических методов Math в радианах.

Часто удобно использовать утверждение with, когда раздел кода использует несколько математических констант и методов, поэтому вы можете не писать несколько раз "Math". Например,

with (Math) {
   a = PI * r*r;
   y = r*sin(theta)
   x = r*cos(theta)
}

Использование Объекта Date

JavaScript не имеет данных типа date. Однако, объект date и его методы позволяют вам работать с датами и временами в ваших приложениях. Объект date имеет большое количество методов для установления, получения, и управления датами. Он не имеет никаких свойств.

JavaScript обрабатывает date очень похоже на обоабатывание в Java. Два языка имеют многие из тех же самых методов date, и оба языка сохраняютdate как число миллисекунд начиная с 1 января, 1970 00:00:00.

ЗАМЕЧАНИЕ: Вы не можете в настоящее время работать с датами до 1/1/70.

Создание объект date:

 varName = new Date(parameters)
Где varName - имя переменной JavaScript для создаваемого объекта date; это может быть новый объект или свойства существующего объекта.

Параметры Date могут быть следования:

  • Ничего: создает сегодняшнюю дату и время. Например, today = new Date()
  • Строка, представляющая дату в следующей форме: " Month day, year hours:minutes:seconds". Например, Xmas95= new Date("December 25, 1995 13:30:00"). Если вы опускаете значение часов, минут, или секунд, то будет установлено значение нуль.
  • Множество целых числ для year, month, и day. Например, Xmas95 = new Date(95,11,25)
  • Множество значений для for year, month, day, hour, minute, и seconds. Например, Xmas95 = new Date(95,11,25,9,30,0)

Объект Date имеет большое количество методов для обработки дат и времен. Методы относятся к этим широким категориям:

  • "set" методы, для установки даты и времени оценивается в объектах date
  • "get" методы, для получения значений даты и времени из объектов date
  • "to" методы, для возвращающегося ряда оценивает из объектов date.
  • Синтаксический анализ и UTC методы, для синтаксического анализа строковых date.

Методы "get" и "set" позволяют вам получать и управлять секундами, минутами, часами, днем месяца, днем недели, месяцами, и гадами отдельно. Имеется метод getDay, который возвращает день недели, но не соответствующий методу setDay, потому что день недели устанавливается автоматически. Эти методы используют целые числа, чтобы представить значения следующим образом:

  • Секунды и минуты: от 0 до 59
  • Часы: от 0 до 23
  • День: от 0 до 6 (день недели)
  • Дата: от 1 до 31 (день месяца)
  • Месяцы: от 0 (январь) до 11 (декабрь)
  • Год: годы начиная с 1900

Например, пусть вы определяете date следующим образом:

 Xmas95 = new Date("December 25, 1995")
Затем Xmas95.getMonth () возвращает 11, и Xmas95.getYear () возвращает 95.

Методы getTime и setTime полезны для сравнения дат. Метод getTime возвращает число миллисекунд начиная с периода для объекта даты.

Например, следующий код показывает число рабочих дней прошедших до Рождества:

today = new Date()
nextXmas = new Date("December 25, 1990")
nextXmas.setYear(today.getYear())
msPerDay = 24 * 60 * 60 * 1000 ;
// Number of milliseconds per day
daysLeft = (nextXmas.getTime() - today.getTime()) / msPerDay;
daysLeft = Math.round(daysLeft);
document.write("Number of Shopping Days until Christmas: " + daysLeft);

Этот пример создает объект date today, который содержит сегодняшнюю дату. Затем создается объект date nextXmas, устанавливающий год, текущего года. Затем, используя число миллисекунд в день, вычисляется число дней между today и nextXmas, используя getTime, и округляя до целого числа дней.

Метод синтаксического анализа полезен для назначения значений от строк date до существующих объектов date. Например, следующий код использует синтаксический анализ и setTime, чтобы присвоить дату к объекту IPODATE.

IPOdate = new Date()
IPOdate.setTime(Date.parse("Aug 9, 1995"))

Использование Встроенных функций

JavaScript имеет несколько функций "верхнего уровня", встроенные в язык. Это следующие функции:

  • eval
  • parseInt
  • parseFloat

Функция eval

Аргумент встроенной функции eval - строка. Строка может быть - любая строка, представляющая выражение JavaScript утверждение, или последовательность утверждений. Выражение может включать переменные и свойства существующих объектов.

Если аргумент представляет выражение, eval вычисляет выражение. Если аргумент представляет один или большее количество JavaScript утверждений, eval вычисляет утверждения.

Эта функция полезна для оценки строки, представляющая арифметическое выражение.

Следующий пример присваивает ввод в текстовой области, применяет eval функцию и показывает результат в другой текстовой области. Если вы напечатаете численное выражение в первой области, и нажимаете на кнопку, выражение будет вычисленно. Например, введите "(666 * 777)/3", и нажмите на кнопку, чтобы увидеть результат.

<SCRIPT> function compute(obj) { obj.result.value = eval(obj.expr.value) } </SCRIPT> <FORM NAME="evalform"> Enter an expression: <INPUT TYPE=text NAME="expr" SIZE=20 > <BR> Result: <INPUT TYPE=text NAME="result" SIZE=20 > <BR> <INPUT TYPE="button" VALUE="Click Me" onClick="compute(this.form)"> </FORM>

Enter an expression:
Result:

Функция eval не ограничена оценкой численных выражений. Его аргумент может включать ссылки объекта или даже JavaScript утверждения. Например, вы могли определить функцию setValue, который принимает два аргумента: и объект и значение, выглядят следующим образом:

function setValue (myobj, myvalue) {
   eval ("document.forms[0]." + myobj + ".value") = myvalue; }

Затем, например, вы могли вызывать эту функцию, чтобы установить значение элемента формы "text1" следующим образом:

 setValue (text1, 42)

Функции parseInt и parseFloat

Эти две встроенные функции возвращают числовое значение когда дана строка как аргумент.

Функция parseFloat анализирует его строковый аргумент, и возвращает число с плавающей точкой. если первый символ переданной строки - знак "плюс", знак "минус", десятичная точк число "е" (основание натурального логарифма) или цифра. Если parseFloat сталкивается с недопустимым символа то метод возвращает значение, основанное на подстроке, следующей до этого символа, игнорируя все последующие. Ее первый же символ недопустим, parseFloat возвращает одно из двух значений, в зависимости от платформы:

0 на платформах Windows.

"NaN" на любой другой платформе, указывая, что значение - не номер.

Для арифметических целей, значение "NaN" - не число в любом основании системы счисления. Вы можете вызывать функцию isNaN, чтобы определить,является ли результат parseFloat "NaN".

Функция parseInt анализирует ее первый строковый аргумент, и возвращать целое число, основанное на указанном основании системы счисления. Например, При параметре radix, равном 10, string преобразовыва-ется в десятичное число, при 8 преобразовывается в восьме-ричное и при 16 - в шестнадцатеричное. Значения, большие 10, для оснований, превышающих 10, представляются символами отАдо F вместо чисел. Использование radix, равного 2, служит для преобразований в двоичные числа. Числа с плавающей запятой будут преобразованы в целые числа. Правила обработки строки идентичны правилам для parseFloat.

Если parseInt сталкивается с сиволом, который - не символ в указанном основании системы счисления, то игнорирует его и возвращает значение целого числа, анализируемую до того пункта. Если первый символ не может быть преобразован к символу в указанном основании системы счисления, то возвращает NaN. ParseInt усекает числа до значения целого числа.


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Метод ceil

Возвращает ближайшее целое число, большее или равное аргументу.

Синтаксис

 Math.ceil (number)

number - любое числовое выражение.

Метод

Math

Примеры

// Показывает значение 46
document.write (" ceil 45.95 - " + Math.ceil (45.95))

// Показывает значение -45
document.write ("The Ceil -45.95 - " + Math.ceil (-45.95))

Смотрите также

  • Метод floor

    Метод charAt

    Возвращает символ из строки.

    Синтаксис

     stringName.charAt (index)

    stringName - любая строка или свойство существующего объекта.
    Индекс - любое целое число от 0 до stringName.length - 1, или собственности существующего объекта(цели).

    Метод

    string

    Описание

    Знаки в строке индексированы слева направо. Индекс первого символа - 0, последнего символа - stringName.length - 1. Если index находится вне диапазона, то JavaScript возвращает пустую строку.

    Примеры

    Следующий пример показывает символы в различных локализациях строки " Выдерживают новый мир ". var anyString = "Brave new world" document.write (" символ с индексом 0 - " + anyString.charAt (0)) document.write ("<p>"+" символ с индексом 1 - " + anyString.charAt (1)) document.write ("<p>"+" символ с индексом 2 - " + anyString.charAt (2)) document.write ("<p>"+" символ с индексом 3 - " + anyString.charAt (3)) document.write ("<p>"+" символ с индексом 4 - " + anyString.charAt (4))

    Смотрите также

  • Методы indexOf, lastIndexOf

    Объект checkbox

    Измененный в Navigator 3.0

    Элемент формы, который пользователь устанавливает в состоянии on или off посредством щелчка левой кнопкой мыши.

    Синтаксис

    Чтобы определить объект checkbox, используйте стандарт HTML синтаксис с использованием обработчика событий onClick:

    <INPUT
 TYPE="checkbox"
   NAME="checkboxName"
   VALUE="checkboxValue"
   [CHECKED]
   [onClick="handlerText"]>
   textToDisplay
     NAME = "checkboxName" определяет имя объекта checkbox. Вы можете обращаться к этому значению, используя свойство имени.
    VALUE = "checkboxValue" определяет значение, которая возвращена серверу, когда checkbox выбран, и форма подчинена. Это значение по умолчанию on. Вы можете обращаться к этому значению, используя свойство значения.
    CHECKED определяет состояние флажка. Вы можете обращаться к этому значению, используя свойство defaultChecked.
    TextToDisplay определяет значение, которое показано на экране.

    Использование свойств объекта и метода checkbox:

1. checkboxName.propertyName
2. checkboxName.methodName (parameters)
3. formName.elements [index] .propertyName
4. formName.elements[index].methodName(parameters)
    checkboxName - значение атрибута NAME объекта checkbox.
    formName является либо значением атрибута NAME объекта формы либо элемента в массиве form.
    index - целое число, представляющее объект checkbox в форме.
    propertyName - один из свойств, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойство

  • form

    Описание

    Объект checkbox в форме выглядет следующим образом:

    Overnight delivery

    Объект checkbox - элемент формы и должен быть определен внутри тега HTML <FORM>.

    Свойства и методы флажков имеют множество применений.
    Используйте свойство checked объекта checkbox для проверки текущего состояния флажка: установлен(true) или нет(false). Если атрибут CHECKED был использован в определении флажка, свойство defaultChecked также возращает true.

    Связанные элементы

  • Свойства

    • checked проверяет текущее состояние флажка
    • defaultChecked отражает атрибут CHECKED
    • name отражает атрибут NAME
    • value отражает атрибут VALUE

  • Методы

    • click

  • Обработчики событий

    • onClick

    Примеры

    Пример 1. Следующий пример показывает группу из четырех checkbox, которые все отмечены по умолчанию.

    <B>Specify your music preferences (check all that apply):</B> <BR> <INPUT TYPE="checkbox" NAME="musicprnb" CHECKED> R&B <BR> <INPUT TYPE="checkbox" NAME="musicpjazz" CHECKED> Jazz <BR> <INPUT TYPE="checkbox" NAME="musicpblues" CHECKED> Blues <BR> <INPUT TYPE="checkbox" NAME="musicpnewage" CHECKED> Newage

    Пример 2. Следующий пример содержит форму с тремя текстовыми блоками и одним checkbox. Checkbox позволяет пользователя выбрать, преобразовывать или нет текс в большие буквы. Каждая текстовая область имеет обработчик событий onChange , который преобразует значение области , если флажок выбран. Checkbox имеет обработчика событий onClick, который преобразовывает области, когда пользователь выбирает checkbox.

    <HTML> <HEAD> <TITLE>Checkbox object example</TITLE> </HEAD> <SCRIPT> function convertField(field) { if (document.form1.convertUpper.checked) { field.value = field.value.toUpperCase()} } function convertAllFields() { document.form1.lastName.value = document.form1.lastName.value.toUpperCase() document.form1.firstName.value = document.form1.firstName.value.toUpperCase() document.form1.cityName.value = document.form1.cityName.value.toUpperCase() } </SCRIPT> <BODY> <FORM NAME="form1"> <B>Last name:</B> <INPUT TYPE="text" NAME="lastName" SIZE=20 onChange="convertField(this)"> <BR><B>First name:</B> <INPUT TYPE="text" NAME="firstName" SIZE=20 onChange="convertField(this)"> <BR><B>City:</B> <INPUT TYPE="text" NAME="cityName" SIZE=20 onChange="convertField(this)"> <P><INPUT TYPE="checkBox" NAME="convertUpper" onClick="if (this.checked) {convertAllFields()}" > Convert fields to upper case </FORM> </BODY> </HTML>

    Смотрите также

  • Объекты form и radio

    Свойство checked

    Логическое значение, представляющее текущее состояние отдельного флажка или переключателя.

    Синтаксис

1. CheckboxName.checked
2. RadioName [index] .checked

    CheckboxName является либо значением атрибута NAME объекта checkbox или элемента в массиве elements.
    RadioName - значение атрибута NAME объекта radio.
    index - целое число, представляющее переключатели в объекте radio.

    Свойство

    checkbox, radio

    Описание

    Если флажок или переключатель выбраны, то значение выбранного свойства истинна; иначе ложно.

    Вы можете управлять свойством в любое время. Флажок или переключатель модернизируется немедленно, после того как вы исправили свойство.

    Примеры

    Пример 1: Следующий пример исследует массив переключателей musicType в форме musicForm, чтобы определить, кокая выбрана кнопка. Будучи использовано в цикле for...in, свойство может определить состояние кнопок:

    function stateChecker() {
   var checkedButton = ""
   for (var i in document.musicForm.musicType) {
      if (document.musicForm.musicType[i].checked=="1") {
         checkedButton=document.musicForm.musicType[i].value
      }
   }
}
         Пример 1: Следующий пример вновь устанавливает массив переключателей, названных musicType в форме musicForm.
    function radioResetter() {
   var i=""
   for (i in document.musicForm.musicType) {
      if (document.musicForm.musicType[i].defaultChecked==true) {
         document.musicForm.musicType[i].checked=true
      }
   }
}
         Следующий фрагмент программы возвращает группу переключателей к ихисходному состоянию путем поиска и установки переключателя в положение по умолчанию:
    for (var i in menuForm.choices) {
   if (menuForm.choices[i].defaultChecked==true) {
      menuForm.choices[i].checked=true
   }
}

    Смотрите также

  • Свойство defaultChecked

    Метод clearTimeout

    Отключает таймер, установленный при помощи метода setTimeout.

    Синтаксис

    clearTimeout(timeoutID)

    TimeoutID - отключает таймер, который был установлен предыдущим запросом методом setTimeout.

    Метод

    frame, window

    Описание

    Смотрите описание для метода setTimeout.

    Примеры

    Смотрите примеры для метода setTimeout.

    Смотрите также

  • Метода setTimeout

    Метод click

    Эмулирует щелчок на объекте левой кнопкой мыши.

    Синтаксис

1. buttonName.click ()
2. radioName [index] .click ()
3. checkboxName.click ()

    buttonName является либо значением атрибута NAME кнопки reset либо объект submit либо элемент в массиве elements.
    radioName - значение атрибута NAME объекта radio либо элемент в массиве elements.
    index - целое число, представляющее переключатель в объекте radio.
    checkboxName является либо значением атрибута NAME объекта checkbox либо элемент в массиве elements.

    Метод

    button, checkbox, radio, reset, submit

    Описание

    Эффект щелчка зависит от типа элемента формы.

    Воздействие метода click на элементы формы:

  • Для button, выполняет то же самое действие, что и нажатие кнопки.
  • Для radio, выбирает переключатель.
  • Для checkbox, устанавливает флажок и присваивает ему значение on.

    Примеры

    Следующий пример переключает состояние выбора первого переключателя в musicType объекта radio в форме musicForm:

     document.musicForm.musicType [0] .click ()

    Следующий пример переключает состояние выбора переключателя newAge в форме musicForm:

    document.musicForm.newAge.click ()

    Метод close (объект документа)

    Для документов закрывает текущий поток вывода и показывает содержимое документа на экране.

    Синтаксис

     document.close ()

    Метод

    document

    Описание

    Для документов метод close прекращает динамическое формирование документа, выводит содержимое документа на экран и сообщение в строке состояния "Document:Done".

    Примеры

    Следующие обращения к функции закрывает document.close () открытый при помощи document.open ().
    function windowWriter1() {
   var myString = "Hello, world!"
   msgWindow.document.open()
   msgWindow.document.write(myString + "<P>")
   msgWindow.document.close()
}

    Смотрите также

  • Методы open, write, writeln
  • Раздел Использование окон и фреймов

    Метод close (объект окна)

    Измененный в Navigator 3.0

    Закрывает указанное окно.

    Синтаксис

     windowReference.close ()

    windowReference - способ имеющий силу только для окна, смотрите в объекте window.

    Метод

    window

    Описание

    Метод close закрывает указанное окно. Если Вы вызываете close без определения windowReference, JavaScript закрывает текущее окно.

    В обработчиках событий, вы должны определять window.close () вместо использования close().

    Примеры

    Любой из следующих примеров закрывает текущее окно:

     window.close ()
 self.close ()
 close()

    Следующий пример закрывает окно messageWin:

     MessageWin.close ()

    Теперь создадим пример, который открывает новое окно. Загрузим туда web-страницу, где при нажатие кнопки оно будет закрыто:

    <html> <script language="JavaScript"> <!-- hide function closeIt(){ close(); } // --> </script> <center> <form> <input type=button value="Закрыть окно" onClick="closeIt()"> </form> </center> </html>

    Смотрите также

  • Метод open
  • Раздел Использование окон и фреймов

    Метод confirm

    Показывает диалоговое окно

    JavaScript Confirm с указанным сообщением и BATTON "OK" и "Cancel".

    Синтаксис

    confirm ("message")

    message - любая строка или свойство существующего объекта.

    Метод

    window

    Описание

    Используйте метод confirm, чтобы пользователя подтвердил принятое решение. Аргумент message определяет сообщение, которое побуждает пользователя для решения. Подтверждение возвращает методу, true, если пользователь выбирает "OK" или false если пользователь выбирает "Cancel".

    confirm - метод объекта окна, вы не должны определять windowReference, когда Вы вызываете его. Например, windowReference.confirm () ненужен.

    Примеры

    Этот пример использует метод confirm в функции confirmCleanUp (), чтобы подтвердить, что пользователь действительно хочет выйти. Если пользователь выбирает OK, то функция cleanUp() закрывает приложение.

    function confirmCleanUp() {
   if (confirm("Are you sure you want to quit this application?")) {
      cleanUp()
   }
}
         Вы можете вызвать функциею confirmCleanUp () в обработчике событий onClick кнопки формы, как показано в следующем примере: <INPUT TYPE="button" VALUE="Quit" onClick="confirmCleanUp()">

    Смотрите также

  • Методы alert, prompt

    Свойство cookie

    Значение строки cookie, которая содержит небольшое количество информации, сохраненной Navigator в файле cookies.txt.

    Синтаксис

     document.cookie

    Свойство

    document

    Описание

    Значение, хранимое в свойстве cookie, может быть извлечено с помощью методов charAt, indexOf, и lastIndexOf.

    Вы можете управлять свойством cookie в любое время.

    Примеры

    Следующая функция использует свойством cookie, чтобы делать запись напоминания для пользователей заявления(применения). " Истекает = " компонента, устанавливает дату истечения срока для печенья, так что это сохраняется вне текущего сеанса окна просмотра. Формат даты должен быть

Wdy, DD-Mon-YY HH:MM:SS GMT
    Где Wednesday - имя дня недели, DD - днь месяца, Mon - месяц, YY - последние два числа года, и HH, MM, и SS - соответственно часы, минуты, и секунды.

    Это тот же формат даты какой возвращяет Date.toGMTString, за исключением:

    • Черточек между днем, месяцем, и годом
    • Год состоит из двух-однозначных чисел для cookies.

    Например, имеет силу истечения даты cookies:
    expires=Wednesday, 09-Nov-99 23:12:40 GMT

    function RecordReminder(time, expression) {
// Делает запись <b>cookies</b> формы "@="
К отображению
// из

<T>
 В миллисекундах начиная с периода,
// возвращенный Date.getTime (), на закодированное выражение,
//
<E>
 ( Закодированный, чтобы содержать никакое незаполненное пространство, точку с запятой,
// или цифры(знаки) запятой)
document.cookie = "@" + time + "=" + expression + ";"
// урегулируют истечение печенья время к одному дню
// вне напоминания, время
  document.cookie += "expires=" + cookieDate(time + 24*60*60*1000)
// cookieDate - функция, которая форматирует дату согласно спецификациям печенья
}

    Когда пользователь грузит страницу, которая содержит эту функцию, другая функция использует indexOf ("@") и indexOf ("=") чтобы определить дату и время, сохраненную в печеньи.

    Смотрите также

  • Объект hidden

    Метод cos

    Возвращает косинус своего аргумента.

    Синтаксис

     Math.cos (number)

    number - числовое выражение, представляющее размер угла в радианах.

    Метод

    Math

    Описание

    Метод cos возвращает числовое значение в диапозоне между -1 и 1.

    Примеры

    // Показывает значение 6.123031769111886e-017
document.write (" косинус PI/2 радиан,  " + Math.cos (Math. PI/2))
// Показывает значение -1
document.write (" косинус PI радиан " + Math.cos (Math. PI))
// Показывает значение 1
document.write (" косинус 0 радиан - " + Math.cos (0))

    Смотрите также

  • Методы acos, asin, atan, sin, tan

    на начало страницы


Cоздание фреймов


Калькулятор

 <HTML> <HEAD> <title>Калькулятор</title> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <script language="JavaScript"> <!-- function calcFunction(form) { if (confirm("Are you sure?")) form.result.value = eval(form.expr.value) else alert("Please come back again.") } //--> </SCRIPT> </HEAD> <BODY> <FORM> Войдите в выражение: <INPUT TYPE="text" NAME="expr" SIZE=15 > <INPUT TYPE="button" VALUE="Calculate" onClick="calcFunction(this.form)"> Результат: <INPUT TYPE="text" NAME="result" SIZE=15 > </BODY> </html>


Код примера acos

 <HTML> <HEAD> <TITLE>Пример метода acos</TITLE> </head> <BODY> <script language="JavaScript"> <!-- document.write("<p>"+"The arc cosine of 1 is " + Math.acos(1)) document.write("<p>"+"The arc cosine of -1 is " + Math.acos(-1)) document.write("<p>"+"The arc cosine of 2 is " + Math.acos(2)) //--> </script> </BODY> </HTML>


пример объекта action

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE> пример объекта action</TITLE>
<BODY>
<FORM METHOD=post ACTION="mailto:kattay@mail.ru"
      ENCTYPE="text/plain">
<B>Нравится ли Вам эта страница?<BR></B>
<INPUT NAME="choice"
       TYPE="radio"
       VALUE="1">Вовсе нет.<br>
<INPUT NAME="choice"
       TYPE="radio"
       VALUE="2" CHECKED>Напрасная трата времени.<br>
<INPUT NAME="choice"
       TYPE="radio"
       VALUE="3">Самый плохой сайт в Сети.<br>
<INPUT NAME="submit"
       TYPE="submit"
       VALUE="Send">
</FORM>
</BODY>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.alinkColor = "aqua" var hotText="Netscape" var URL="../../../../www.netscape.com/default.htm" document.write("Click to return to "+hotText.link(URL)) //--> </script> </BODY> </HTML>


Пример метода alert

 <HTML> <HEAD> <TITLE>Пример метода alert</TITLE> <script language="JavaScript"> <!-- function testValue(textElement) { if (textElement.length>8) { alert("Please enter a name that is 8 characters or less") } } //--> </script> </HEAD> <BODY> <FORM> Name: <INPUT TYPE="text" NAME="userName" onBlur="testValue(userName.value)"> </FORM> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <A HREF="#contents_anchor">Оглавление</A> <p> <H2> <A NAME="contents_anchor">Оглавление</H2> Введение<BR> Создание сценариев в Navigator<BR> Объекты Navigator<BR> Использование окон и фреймов<P> <B>Языковые понятия</B><BR><P> Переменные,Литералы<BR> Выражения, операторы<BR> Объектная модель<BR> Встроеные объекты, Функции<BR> Обзор утверждений<BR><P> <B>Справочник</B><BR><P> Объекты<BR> Методы, Функции<BR> Свойства<BR> Обработчик событий<BR> Операторы<BR> Зарезервированные слова<BR> Цвета в JavaScript </BODY> </HTML>


Код примера area

 <HTML> <TITLE>Пример area</TITLE> <BODY> <MAP NAME="worldMap"> <AREA NAME="topWorld" COORDS="0,0,150,125" HREF="javascript:void(0)" onMouseOver="self.status='You are on top of the world'; return true" onMouseOut="self.status='You have left the top of the world'; return true"> <AREA NAME="bottomWorld" COORDS="0,125,150,250" HREF="javascript:void(0)" onMouseOver="self.status='You are on the bottom of the world'; return true" onMouseOut="self.status='You have left the bottom of the world'; return true"> </MAP> <IMG SRC="ter1samp.jpg" HSPACE=175 HEIGHT="250" WIDTH="150" USEMAP="#worldMap"> </BODY> </HTML>


 <HTML> <HEAD> <script language="JavaScript"> <!-- function setBGColor(theColor) { document.bgColor=theColor } //--> </script> </HEAD> <BODY> <CENTER> Выберите цвет фона этого документа<p> <MAP NAME="colorMap"> AREA NAME="topColor"COORDS="0,0,50,25" HREF="javascript:setBGColor('antiquewhite')"> <AREA NAME="bottomColor" COORDS="0,25,50,50" HREF="javascript:setBGColor('white')"> </MAP> <IMG SRC="color.gif" ALIGN="top" HEIGHT="50" WIDTH="50" USEMAP="#colorMap"> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write("<P>"+"The arc sine of 1 is " + Math.asin(1)) document.write("<P>"+"The arc sine of -1 is " + Math.asin(-1)) document.write("<P>"+"The arc sine of 2 is " + Math.asin(2)) //--> </SCRIPT> <P> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write("<p>"+"The arc tangent of 1 is " + Math.atan(1)) document.write("<p>"+"The arc tangent of -1 is " + Math.atan(-1)) document.write("<p>"+"The arc tangent of .5 is " + Math.atan(.5)) //--> </SCRIPT> </BODY> </HTML>


Фон документа

 <HTML> <HEAD> <TITLE>Фон документа</TITLE> </HEAD> <BODY> <center> <FORM> <INPUT TYPE="button" VALUE="Aqua" onClick="document.bgColor = 'aqua'"> <INPUT TYPE="button" VALUE="Очистить" onClick="document.bgColor = 'white'"> <INPUT TYPE="button" VALUE="00FFFF" onClick="document.bgColor = '00FFFF'"> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- var worldString = " Привет мир " document.write ("Уменьшает строку (small) " + worldString.small ()) document.write ("Увеличивает строку (big) " + worldString.big ()) document.write ("Увеличивает строку на 7 (fontsize) " + worldString.fontsize (7)) //--> </script> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script langvage="JavaScript"> <!-- var worldString = "Привет, мир" document.write ("Мирцание строки (blink) " +worldString.blink ()) document.write ("Жирный шрифт (bold) " + worldString.bold ()) document.write ("Курсивный шрифт (italics)" + worldString.italics ()) document.write ("Перечеркнута\я строка (strike) " + worldString.strike ()) //--> </script> </BODY> </HTML>


Пример Blur

 <HTML> <HEAD> <TITLE>Пример Blur</TITLE> <script language="JavaScript"> <!-- function BlurOut(){ document.userPass.userPass1.blur() } //--> </script> </HEAD> <BODY> <FORM NAME="userPass"> <INPUT TYPE="password" NAME="userPass1" SIZE="5"> </FORM> <FORM> <INPUT TYPE="button" VALUE="Delete Focus" onclick="BlurOut()"> </BODY> </HTML>


<HEAD>
<script language="JavaSript">
<!--
  function checkBorder(Image) {
   if (Image.border==0) {
      alert('The image has no border!')
   }
   else
      alert('The image border is ' + Image.border)
}
//-->
</script>
</HEAD>
<BODY>
<CENTER>
<IMG NAME="imagename1"
     SRC="fon4.jpg"
     WIDTH=73
     HIGHT=70
     BORDER=8>
<IMG NAME="imagename2"
     SRC="fon4.jpg"
     WIDTH=88
     HIGHT=85
     BORDER=0>
<FORM>
<INPUT TYPE="button"
       VALUE="Border Picture 1"
       onClick="checkBorder(imagename1)">
<INPUT TYPE="button"
       VALUE="Border Picture 2"
       onClick="checkBorder(imagename2)">
</FORM>
</CENTER>
</BODY>
</HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <B>Specify your music preferences (check all that apply):</B> <BR> <FORM> <INPUT TYPE="checkbox" NAME="musicprnb" CHECKED> R&B <BR> <INPUT TYPE="checkbox" NAME="musicpjazz" CHECKED> Jazz <BR> <INPUT TYPE="checkbox" NAME="musicpblues" CHECKED> Blues <BR> <INPUT TYPE="checkbox" NAME="musicpnewage" CHECKED> Newage </BODY> </HTML>


Checkbox object example

<HTML>
<HEAD>
<TITLE>Checkbox object example</TITLE>
</HEAD>
<script language="JavaScript">
<!--
function convertField(field)
{
   if (document.form1.convertUpper.checked)
    {
       field.value = field.value.toUpperCase()
    }
}
function convertAllFields() {
   document.form1.lastName.value =
    document.form1.lastName.value.toUpperCase()
   document.form1.firstName.value =
    document.form1.firstName.value.toUpperCase()
   document.form1.cityName.value =
    document.form1.cityName.value.toUpperCase()
}
//-->
</SCRIPT>
<BODY>
<FORM NAME="form1">
<B>Last name:</B>
<INPUT TYPE="text"
       NAME="lastName"
       SIZE=20
       onChange="convertField(this)">
<B>First name:</B>
<INPUT TYPE="text"
       NAME="firstName"
       SIZE=20
       onChange="convertField(this)">
<B>City:</B>
<INPUT TYPE="text"
       NAME="cityName"
       SIZE=20
       onChange="convertField(this)">
<INPUT TYPE="checkBox"
       NAME="convertUpper"
       onClick="if (this.checked)
          {convertAllFields()}">
Convert fields to upper case
</FORM>
</BODY>
</HTML>


Код примера abs

 <HTML> <TITLE>Пример abs</TITLE> <BODY> <FORM> <P>Enter a number: <INPUT TYPE="text" NAME="absEntry"> <P>The absolute value is: <INPUT TYPE="text" NAME="result"> <P> <INPUT TYPE="button" VALUE="Calculate" onClick="form.result.value = Math.abs(form.absEntry.value)"> </FORM> </BODY> </HTML>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write (" ceil 45.95 - " +Math.ceil (45.95)) document.write ("The Ceil -45.95 - " + Math.ceil (-45.95)) //--> </SCRIPT> </BODY> </HTML>


пример defaultChecked

<HTML>
<TITLE>пример defaultChecked</TITLE>
<script language="JavaScript">
<!--
function radioResetter() {
   var i=""
   for (i in document.musicForm.musicType) {
    if (document.musicForm.musicType[i].defaultChecked
        ==true)
      {
        document.musicForm.musicType[i].checked=true
      }
   }
}
//-->
</script>
<BODY>
<FORM name=musicForm>
<P>
<INPUT TYPE="radio"
       NAME="musicType"
       VALUE="soul-and-r&b"
       CHECKED>Soul и R&B <BR>
<INPUT TYPE="radio"
       NAME="musicType"
       VALUE="jazz"> Jazz <BR>
<INPUT TYPE="radio"
       NAME="musicType"
       VALUE="classical"> Classical
<P>
<INPUT TYPE="button"
       VALUE="Установить"
       onClick="radioResetter()">
</FORM>
</BODY>
</html>


Пример2 объекта Date

 <HTML> <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример2 объекта Date</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- hide now= new Date(); document.write("Time: " + now.getHours() + ":" + now.getMinutes()); document.write("Date: " + (now.getMonth() + 1) + "../../../" + now.getDate() + "../../../" + (1900 + now.getYear())); // --> </script> </BODY> </HTML>


Пример1 объекта Date

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE>Пример1 объекта Date</TITLE>
</HEAD>
<script Language="JavaScript">
<!--
var timeStr, dateStr;
function clock() {
        now = new Date();

        //time
        hours = now.getHours();
        minutes = now.getMinutes();
        seconds = now.getSeconds();
        timeStr = "" + hours;
        timeStr += ((minutes < 10) ? ":0" : ":")
                + minutes;
        timeStr += ((seconds < 10) ? ":0" : ":")
                + seconds;
        document.clock.time.value = timeStr;

        //date
        date= now.getDate();
        month= now.getMonth()+1;
        year= now.getYear();
        dateStr= "" + month;
        dateStr+= ((date<10) ? "../../../0" : "../../../default.htm") + date;
        dateStr+= "../../../" + year;
        document.clock.date.value = dateStr;

        Timer = setTimeout("clock()",1000);
}
//-->
</script>
</head>
<body onLoad="clock()">
<FORM NAME="clock">
 Время:
<INPUT TYPE="text"
       NAME="time"
       SIZE="8"
       VALUE="">
 Дата:
<INPUT TYPE="text"
       NAME="date"
       SIZE="8"
       VALUE="">
</FORM>
</BODY>
</HTML>


 <HTML> <script language="JavaScript"> <!-- function closeIt() { close(); } //--> </script> <CENTER> <FORM> <INPUT TYPE=button VALUE="Закрыть окно" onClick="closeIt()"> </FORM> </CENTER> </HTML>


Пример confirm

 <HTML> <TITLE>Пример confirm</TITLE> <BODY> <script language="JavaScript"> <!-- function confirmCleanUp() { if (confirm ("Are you sure you want to quit this application?")) { close() } } //--> </script> <FORM> <CENTER> <INPUT TYPE="button" VALUE="Quit" onClick="confirmCleanUp()"> </CENTER> </FORM> </BODY> </HTML>


Пример appCodeName

 <HTML> <HEAD> <TITLE>Пример appCodeName</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write (" Кодовое название вашего браузера: " +"<B><CENTER>"+navigator.appCodeName +"</B></CENTER>.") //--> </script> </BODY> </HTML>


Пример метода complit

 <HTML> <HEAD> <TITLE>Пример метода complit</TITLE> </HEAD> <BODY> <CENTER> <B>Выбери изображение:</B> <form> <INPUT TYPE="radio" NAME="imageChoice" VALUE="image1" CHECKED onClick="document.images[0].src='fon3.jpg'"> Fishes <INPUT TYPE="radio" NAME="imageChoice" VALUE="image2" onClick="document.images[0].src='fon2.jpg'"> Fur-tree <INPUT TYPE="radio" NAME="imageChoice" VALUE="image3" onClick="document.images[0].src='fon4.jpg'"> Roud <INPUT TYPE="button" VALUE="Is the image completely loaded?" onClick="alert ('The value of the complete property is ' + document.images[0].complete)"> </FORM> <IMG NAME="aircraft" SRC="fon4.jpg"> </FORM> </CENTER> </BODY> </HTML>


Checkbox object example

 <HTML> <HEAD> <TITLE>Checkbox object example</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write (" косинус PI/2 радиан: " + Math.cos (Math. PI/2)) document.write (" косинус PI радиан: " + Math.cos (Math. PI)) document.write (" косинус 0 радиан: " + Math.cos (0)) //--> </script> </BODY> </HTML>


Пример метода GetHours

 <HTML> <HEAD> <TITLE>Пример метода GetHours</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- var current= new Date() var day_night=current.getHours() if (day_night<=12) document.write("ДЕНЬ "+"<img src='day.gif'>") else document.write("НОЧЬ"+"<img src='night.gif'>") //--> </script> </BODY> </HTML>


Пример объекта Документа

 ************************************* DOC0.HTML, который определяет фреймы, содержат следующий код: ************************************* <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример объекта Документа</TITLE> </HEAD> <FRAMESET COLS="30%,70%"> <FRAME SRC="Doc1.html" NAME="frame1"> <FRAME SRC="Doc2.html" NAME="frame2"> </FRAMESET> ************************************* DOC1.HTML, который определяет, содержание первого фрейма, содержит следующий код: ************************************* <SCRIPT> </SCRIPT> <BODY BGCOLOR="antiquewhite" TEXT="darkviolet" LINK="fuchsia" ALINK="forestgreen" VLINK="navy"> <P> <B>Некоторые связи</B> <LI> <A HREF="Doc2.html#numbers" TARGET="frame2">Числа</A> <LI> <A HREF="Doc2.html#colors" TARGET="frame2">Цвета</A> <LI> <A HREF="Doc2.html#musicTypes" TARGET="frame2">Типы Музыки</A> <LI> <A HREF="Doc2.html#countries" TARGET="frame2">Страны</A> </BODY> ************************************* DOC2. HTML, который определяет, содержание второго фрейма, содержит следующий код: ************************************* <SCRIPT> </SCRIPT> <BODY BGCOLOR="oldlace" onLoad="alert('Hello, World.')" TEXT="navy"> <P> <A NAME="numbers"> <B>Некоторые числа</B></A> <LI> Один <LI> Два <LI> Три <LI> Четыре <LI> Пять <LI> Шесть <LI> Семь <LI> Восемь <LI> Девять <P> <A NAME="colors"> <B>Некоторые цвета</B></A> <LI> Красный <LI> Оранжевый <LI> Желтый <LI> Зеленый <LI> Синий <LI> Фиолетовый <LI> Коричневый <LI> Черный <P> <A NAME="countries"> <B>Некоторые страны</B></A> <LI> Афганистан <LI> Бразилия <LI> Канада <LI> Финляндия <LI> Индия <LI> Италия <LI> Япония <LI> Кения <LI> Мексика <LI> Нигерия </BODY>


пример defaultSelected

 <HTML> <TITLE>пример defaultSelected</TITLE> <script language="JavaScript"> <!-- function restoreDefault() { for (var i = 0; i < document.musicForm.musicType.length; i++) { if (document.musicForm.musicType.options[i].defaultSelected == true) { document.musicForm.musicType.options[i].selected =true } else { document.musicForm.musicType.options[i].selected=false } } } //--> </script> <BODY> <FORM NAME="musicForm"> <B> Choose some music types, then click the button below: </B> <SELECT NAME="musicType" MULTIPLE> <OPTION SELECTED >R&B <OPTION > Jazz <OPTION > Blues <OPTION > New Age <OPTION > Classical <OPTION > Opera </SELECT><P> <INPUT TYPE="button" VALUE="Установить" onClick="restoreDefault()"> </FORM> </BODY> </HTML>


example defaultValue

 <HTML> <HEAD> <TITLE>example defaultValue</TITLE> </HEAD> <script language="JavaScript"> <!-- function defaultGetter() { msgWindow=window.open("","displayWindow", "width=500, height=150, status=no, toolbar=no, menubar=no, scrollbars=no"); msgWindow.document.write("hidden.defaultValue is " + document.surfCity.hiddenObj.defaultValue + "<BR>") msgWindow.document.write("password.defaultValue is " + document.surfCity.passwordObj.defaultValue + "<BR>") msgWindow.document.write("text.defaultValue is " + document.surfCity.textObj.defaultValue + "<BR>") msgWindow.document.write("textarea.defaultValue is " + document.surfCity.textareaObj.defaultValue + "<BR>") // msgWindow.document.close() } function CloseAll(){ window.close() window.msgWindow.close() } //--> </SCRIPT> <BODY> <FORM NAME="surfCity"> <INPUT TYPE="hidden" NAME="hiddenObj" VALUE="hiddenObject"> <B>Enter password:</B> <INPUT TYPE="password" NAME="passwordObj" SIZE=20 VALUE="12345"> <B>City:</B> <INPUT TYPE="text" NAME="textObj" SIZE=20 VALUE="N-sk"><P> <B>Descriptions:</b> <textarea NAME="textareaObj" ROWS=5 COLS=50> Our city is located in an average part of Siberia. </TEXTAREA> <P> <INPUT TYPE="button" VALUE="Показать" onClick="defaultGetter()"> </FORM> </BODY> </HTML>


example E

 <HTML> <HEAD> <TITLE>example E</TITLE> </HEAD> <script language="JavaScript"> <!-- document.write("Euler's constant is" + Math.E) //--> </script> <BODY> </FORM> <center> <FORM> <INPUT TYPE="button" VALUE="Закрыть" onClick="window.close()"> </FORM> </center> </BODY> </HTML>


Example escape

 <HTML> <HEAD> <TITLE>Example escape</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write(escape("&")) document.write(escape("Hi!")) document.write( escape("!#")) //--> </script> </BODY> </HTML>


example Eval

 <HTML> <HEAD> <TITLE>example Eval</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- var x = 2 var y = 39 var z = "42" document.write("eval(x + y + 1)=", eval("x + y + 1")) document.write("eval(z)=", eval(z)) //--> </script> </BODY> </HTML>


example defaultValue

 <HTML> <HEAD> <TITLE>example defaultValue</TITLE> </HEAD> <script language="JavaScript"> <!-- function setValue (textObject, newValue) { eval ("document.forms[0]." +textObject +".value") =newValue } //--> </script> <BODY> </FORM> <CENTER> <FORM NAME="Number"> <INPUT TYPE="text" NAME="newValue" SIZE=2 onChange="setValue(this.value,this.value)"> </FORM> </CENTER> </BODY> </HTML>


example expanenta

 <HTML> <HEAD> <TITLE>example expanenta</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write("The value of e<SUP>1</SUP> is " +Math.exp(1)+"</b>") //--> </SCRIPT> </BODY> </HTML>


example fixed

 <HTML> <HEAD> <TITLE>example fixed</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- var worldString="Hello, world!" document.write(worldString.fixed()) //--> </script> </BODY> </HTML>


example floor

 <HTML> <HEAD> <TITLE>example floor</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write ("floor 45.95 is " +Math.floor (45.95)) document.write (" floor -45.95 is " +Math.floor (-45.95)) //--> </script> </BODY> </HTML>


Пример изменения фона

<html>
<HEAD>
<title>Пример изменения фона</title>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE>Фон окна</TITLE>
<script language="JavaScript">
<!--
function newColor(colorString){
      document.bgColor=colorString
 }
//-->
</script>
</HEAD>
<BODY>
<FORM NAME="colors">
<INPUT TYPE="radio"
       NAME="color"
       VALUE="F0F8FF"
       onClick="newColor(this.value)">Alice Blue
<INPUT TYPE="radio"
       NAME="color"
       VALUE="FF4500"
       onClick="newColor(this.value)">Ochre<p>
<INPUT TYPE="radio"
       NAME="color"
       VALUE="FFEFD5"
       onClick="newColor(this.value)">Papaya Whip
</BODY>
</HTML>


Пример объекта формы

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE> Пример объекта формы</TITLE>
</HEAD>
<script>
function setCase (caseSpec){
if (caseSpec == "upper") {
   document.form1.firstName.value
  =document.form1.firstName.value.toUpperCase()
   document.form1.lastName.value
  =document.form1.lastName.value.toUpperCase()}
else {
   document.form1.firstName.value
  =document.form1.firstName.value.toLowerCase()
   document.form1.lastName.value
  =document.form1.lastName.value.toLowerCase()}
}
</script>
<BODY>
<FORM NAME="form1">
<B>First Name:</B>
<INPUT TYPE="text"
       NAME="firstName"
       SIZE=20>
<B>Last Name:</B>
<INPUT TYPE="text"
       NAME="lastName"
       SIZE=20>
<P>
<INPUT TYPE="button"
       VALUE="Names to uppercase"
       NAME="upperButton"
       onClick="setCase('upper')">
<INPUT TYPE="button"
       VALUE="Names to lowercase"
       NAME="lowerButton"
       onClick="setCase('lower')">
</FORM>
</BODY>


example form

 <HTML> <HEAD> <TITLE>example form</TITLE> </HEAD> <BODY onLoad="alert ('You are looking at the ' + document.forms.pass + ' form!')"> <p> </FORM> <CENTER> <FORM NAME="pass"> <INPUT TYPE="password" NAME="userPass" onChange="checkPassword(this)"> </FORM> </CENTER> </BODY> </HTML>


Пример объекта Формы

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример объекта Формы</TITLE> </HEAD> <script> var dataOK=false function checkData (){ if (document.form1.threeChar.value.length == 3) { return true} else { alert("Enter exactly three characters. " + document.form1.threeChar.value + " is not valid.") return false} } </script> <BODY> <FORM NAME="form1" onSubmit="return checkData()"> <B>Введите 3 знака:</B> <INPUT TYPE="text" NAME="threeChar" SIZE=3> <INPUT TYPE="submit" VALUE="Done" NAME="submit1" onClick="document.form1.threeChar.value =document.form1.threeChar.value.toUpperCase()"> </FORM> </BODY>


Пример объекта Формы

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример объекта Формы</TITLE> </HEAD> <script> var dataOK=false function checkData (){ if (document.form1.threeChar.value.length == 3) { document.form1.submit()} else { alert("Enter exactly three characters. " + document.form1.threeChar.value + " is not valid.") return false} } </script> <BODY> <FORM NAME="form1" onSubmit="alert('Form is being submitted.')"> <B>Введите 3 знака:</B> <INPUT TYPE="text" NAME="threeChar" SIZE=3> <P> <INPUT TYPE="button" VALUE="Done" NAME="button1" onClick="checkData()"> </FORM> </BODY>


Frame и Framesets: Окно 1

 ************************************ Framset1.HTML - определяет, фреймы для первого окна, содержат следующий кодекс: ************************************ <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Frame и Framesets: Окно 1</TITLE> </HEAD> <FRAMESET ROWS="50%,50%" COLS="40%,60%" onLoad="alert('Hello, World.')"> <FRAME SRC=Framcon1.html NAME="frame1"> <FRAME SRC=Framcon2.html NAME="frame2"> <FRAME SRC=Framcon2.html NAME="frame3"> <FRAME SRC=Framcon2.html NAME="frame4"> </FRAMESET> ************************************ Framset2. HTML, который определяет, фреймы для второго окна, содержат следующий кодекс: ************************************ <HEAD> <META HTTP-EQUIV="Content-Type" C ONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Фреймы и Framesets: Окно 2</TITLE> </HEAD> <FRAMESET ROWS="50%,50%" COLS="40%,60%"> <FRAME SRC=Framcon2.html NAME="frame1"> <FRAME SRC=Framcon2.html NAME="frame2"> <FRAME SRC=Framcon2.html NAME="frame3"> <FRAME SRC=Framcon2.html NAME="frame4"> </FRAMESET> ************************************ Framcon1.HTML, который определяет, содержание для первого фрейма в первом окне, содержит следующий кодекс: ************************************ <BODY> <A NAME="frame1"> <H1> Frame1</H1> <P> <A HREF="Framcon3.htm" TARGET=frame2>Нажмите в этом месте</A>, чтобы загрузить другой файл во второй фрейм. <script> window2=open("framset2.htm","secondFrameset") </script> <FORM> <P> <INPUT TYPE="button" VALUE="Change frame2 to teal" onClick="parent.frame2.document.bgColor ='teal'"> <P> <INPUT TYPE="button" VALUE="Change frame3 to slateblue" onClick="parent.frames[2].document.bgColor ='slateblue'"><P> <INPUT TYPE="button" VALUE="Change frame4 to darkturquoise" onClick="top.frames[3].document.bgColor ='darkturquoise'"> <P> <INPUT TYPE="button" VALUE="window2.frame2 to violet" onClick="window2.frame2.document.bgColor ='violet'"> <P> <INPUT TYPE="button" VALUE="window2.frame3 to fuchsia" onClick="window2.frames[2].document.bgColor ='fuchsia'"> <P> <INPUT TYPE="button" VALUE="window2.frame4 to deeppink" onClick="window2.frames[3].document.bgColor ='deeppink'"> </FORM> </BODY> ************************************ Framcon2. HTML - определяет, содержание для остающихся фреймов: ************************************ <BODY> <P> Это - фрейм. </BODY> ************************************ Framcon3. HTML, который упомянут в объекте links в Framecon1. HTML, содержит следующий код: ************************************ <BODY> <P> Это - фрейм. Что Вы думаете? </BODY>


Пример объекта Формы

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример объекта Формы</TITLE> </HEAD> <BODY> <script> endOfWorld = new Date(1997,0,11) document.write("endOfWorld.getDate() = ",endOfWorld.getDate()) </script> </body> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <script> Xmas95 = new Date("December 25, 1995 23:15:00") weekday = Xmas95.getDay() document.write("weekday= ",weekday) </script> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <script> Xmas95 = new Date("December 25, 1995 23:15:00") hours = Xmas95.getHours() document.write("hours= ",hours) </script> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <SCRIPT> Xmas95 = new Date("December 25, 1995 23:15:00") minutes = Xmas95.getMinutes() document.write("minutes= ",minutes) </SCRIPT> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <script> Xmas95 = new Date("December 25, 1995 23:15:00") month = Xmas95.getMonth() document.write("month= ",month) </script> </BODY>


Пример go

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример go</TITLE> </HEAD> <BODY> <form> <INPUT TYPE="button" VALUE="Go" onClick="history.go('home.netscape.com')"> </FORM> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <script> Xmas95 = new Date("December 25, 1995 23:15:30") secs = Xmas95.getSeconds() document.write("secs= ",secs) </script> </BODY>


Пример getDay

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getDay</TITLE> </HEAD> <BODY> <script> theBigDay = new Date("July 1, 1999") document.write("theBigDay.getTime() =",theBigDay.getTime()) </script> </BODY>


Пример getTimezoneOffset

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getTimezoneOffset</TITLE> </HEAD> <BODY> <SCRIPT> x = new Date() currentTimeZoneOffsetInHours = x.getTimezoneOffset()/60 document.write("currentTimeZoneOffsetInHours =",currentTimeZoneOffsetInHours) </SCRIPT> </BODY>


Пример getYear

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример getYear</TITLE> </HEAD> <BODY> <SCRIPT> Xmas95 = new Date("December 25, 1995 23:15:00") year = Xmas95.getYear() document.write("year= ",year ) </SCRIPT> </BODY>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> <script> <!-- hide function setRetry(){ alert("FailedTries = " +document.userPasswordForm.FailedTries.value++) } //--> end of hide </script> </HEAD> <BODY> <FORM NAME="userPasswordForm"> <INPUT TYPE="hidden" NAME="FailedTries" VALUE="0"> <P> <INPUT TYPE="button" VALUE="Вызвать setRetry" onclick="setRetry()"><P> </BODY>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> </HEAD> <BODY> <B>Нажмите некоторые из этих объектов, затем нажмите кнопка"Display hidden value"</B> <B>Посмотрите последнее значение нажатого объекта.</B> <FORM NAME="form1"> <INPUT TYPE="hidden" NAME="hiddenObject" VALUE="None"> <P> <INPUT TYPE="button" VALUE="Click me" NAME="button1" onClick="document.form1.hiddenObject.value =this.value"> <P> <INPUT TYPE="radio" NAME="musicChoice" VALUE="soul-and-r&b" onClick="document.form1.hiddenObject.value =this.value"> Soul и R&B <INPUT TYPE="radio" NAME="musicChoice" VALUE="jazz" onClick="document.form1.hiddenObject.value =this.value"> Jazz <INPUT TYPE="radio" NAME="musicChoice" VALUE="classical" onClick="document.form1.hiddenObject.value =this.value"> Classical <P> <SELECT NAME="music_type_single" onFocus="document.form1.hiddenObject.value =this.options[this.selectedIndex].text"> <OPTION SELECTED> Красный <OPTION> Оранжевый <OPTION> Желтый </SELECT> <P> <INPUT TYPE="button" VALUE="Display hidden value" NAME="button2" onClick="alert('Last object clicked: ' +document.form1.hiddenObject.value)"> </FORM> </BODY>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> <script> <!-- hide function Open_Window(){ newWindow=window.open("d_e.html#list_defaultValue","win1", "width=300,height=300,status=no, toolbar=no,menubar=no,scrollbars=yes") msgWindow=window.open("","win2", "width=570,height=300,status=no, toolbar=no,menubar=no,scrollbars=yes") msgWindow.document.write("newWindow.location.href ="+ newWindow.location.href +" <P>") msgWindow.document.write("newWindow.location.href ="+ newWindow.location.href +" <P>") msgWindow.document.write("newWindow.location.protocol =" + newWindow.location.protocol +" <P>") msgWindow.document.write("newWindow.location.host =" + newWindow.location.host +" <P>") msgWindow.document.write("newWindow.location.hostName =" + newWindow.location.hostName +"<P>") msgWindow.document.write("newWindow.location.port =" + newWindow.location.port +" <P>") msgWindow.document.write("newWindow.location.pathname =" + newWindow.location.pathname +" <P>") msgWindow.document.write("newWindow.location.search =" + newWindow.location.search +" <P>") msgWindow.document.write("newWindow.location.hash =" + newWindow.location.hash +" <P>") msgWindow.document.close () } function CloseAll(){ window.close() newWindow.close() msgWindow.close() } //--> end of hide </script> </HEAD> <BODY> <P> <FORM> <INPUT TYPE="button" VALUE="Open new Window" onclick="Open_Window()"> </form> </BODY>


Пример размера изображения

<HTML>
<HEAD>
<TITLE>Пример размера изображения</TITLE>
<SCRIPT language="JavaScript">
<!--
 function showImageSize(theImage) {
   alert('height=' + theImage.height+
       '; width=' + theImage.width  +
       '; hspace=' + theImage.hspace +
       '; vspace=' + theImage.vspace)
}
//-->
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<IMG NAME="IMAGENAME1"
     SRC="FON4.JPG"
     WIDTH=73 HIGHT=70
     BORDER=8
     HSPACE=5>
<IMG NAME="imagename2"
     SRC="fon4.jpg"
     WIDTH=88
     HIGHT=85
     VSPACE=1>
<FORM>
<INPUT TYPE="button"
       VALUE="Size Picture 1"
       onClick="showImageSize(imagename1)">
<INPUT TYPE="button"
       VALUE="Size Picture 2"
       onClick="showImageSize(imagename2)"><p>
</FORM>
</CENTER>
</BODY>
</HTML>


пример объекта selected

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE> пример объекта selected</TITLE>
<SCRIPT LANGUAGE="JavaScript">
<!-- hide
function test2(form) {
  if (form.text2.value == "" ||
      form.text2.value.indexOf('@', 0) == -1)
      alert("Неверно введен адрес e-mail!");
  else
      alert("OK!");
}
//--> end of hide
</SCRIPT>
<BODY>
<FORM NAME="first">
Введите Ваш адрес e-mail:
<INPUT TYPE="text"
       NAME="text2">
<INPUT TYPE="button"
       NAME="button2"
       VALUE="Проверка"
       onClick="test2(this.form)">
</FORM>
</BODY>


Пример indexOf и lastIndexOf

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример indexOf и lastIndexOf</TITLE> <BODY> <script> <!-- hide var anyString="Brave new world" document.write("<P>The index of the first w from the beginning is " + anyString.indexOf("w")) document.write("<P>The index of the first w from the end is " + anyString.lastIndexOf("w")) document.write("<P>The index of 'new' from the beginning is " + anyString.indexOf("new")) document.write("<P>The index of 'new' from the end is " + anyString.lastIndexOf("new")) //--> end of hide </script> </HEAD> </BODY>


Пример isNaN

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример isNaN</TITLE> <script> <!-- hide function Win_isNaN(floatValue){ if (isNaN (floatValue)) { alert("You input "+floatValue) } } //--> end of hide </script> </HEAD> <BODY> <FORM NAME="form1"> <INPUT TYPE="text" NAME="floatValue" SIZE=3 onChange="Win_isNaN(this.value)"> </FORM> </BODY>


 <HTML> <BODY> <CENTER> <script language="JavaScript"> <!-- a = new Array("Wind","Rain","Fire") document.write(a.join() +"<BR>") document.write(a.join(", ") +"<BR>") document.write(a.join(" + ") +"<BR>") // --> </script> </BODY> </HTML>


Пример lastModified

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример lastModified</TITLE> <script> <!-- hide document.write(" Этот пример последний раз был модифицирован " + document.lastModified) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример link

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример link</TITLE> <script> <!-- hide var hotText="Netscape" var URL="../../../../www.netscape.com/default.htm" document.open() document.write("Click to return to " + hotText.link(URL)) document.close() //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример link

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример link</TITLE> <script> <!-- hide var destHREF="'../../../../www.netscape.com/" //--> end of hide </script> </HEAD> <BODY> <P> <FORM NAME="form1"> <B>Choose a destination from the following list, then click"Click me" below.</B> <BR> <INPUT TYPE="radio" NAME="destination" VALUE="netscape" onClick="destHREF ='../../../../www.netscape.com/default.htm'"> Netscape home page <BR> <INPUT TYPE="radio" NAME="destination" VALUE="sun" onClick="destHREF ='../../../../www.sun.com/default.htm'"> Sun home page <BR> <INPUT TYPE="radio" NAME="destination" VALUE="rfc1867" onClick="destHREF ='../../../../www.ics.uci.edu/pub/ietf/html/rfc1867.txt'"> RFC 1867 <P> <A HREF="" onMouseOver="window.status ='Click this if you dare!'; return true" onClick="this.href =destHREF"> <B>Click me</B> </A> </FORM> </BODY>


Пример links

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример links</TITLE> <script> <!-- hide function linkGetter() { newWindow=window.open("../../../../www.netscape.com/default.htm") msgWindow=window.open("","", "width=100,height=100,status=no, toolbar=no,menubar=no,scrollbars=no" ) for (var i = 0; i < newWindow.document.links.length; i++) { msgWindow.document.write(newWindow.document.links[i]) } } //--> end of hide </script> </HEAD> <BODY> <P> <FORM NAME="form1"> <INPUT TYPE="button" VALUE="Open message" onClick="linkGetter()"><P> </FORM> </BODY>


Пример LN2

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример LN2</TITLE> <script> <!-- hide document.write ("натуральный логарифм числа 2" + Math. LN2) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример LN10

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример LN10</TITLE> <script> <!-- hide document.write ("натуральный логарифм числа 10 " + Math.LN10) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример log

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример log</TITLE> <script> <!-- hide document.write (" натуральный логарифм 10 is " + Math.log (10)+"<BR>") document.write (" натуральный логарифм 1 is " + Math.log (1)+"<BR>") document.write ("натуральный логарифм 0 is " + Math.log (0)) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример LOG2E

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример LOG2E</TITLE> <script> <!-- hide document.write ("Логарифм с основанием 2 числа e равен " + Math. LOG2E) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример LOG2E

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример LOG2E</TITLE> <script> <!-- hide document.write (" логарифм с основанием 10 числа E " + Math. LOG10E) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример max

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример max</TITLE> <script> <!-- hide document.write (" The max value of 10 and 20 is " + Math.max (10,20)) document.write ("The max value of -10 and -20 is " + Math.max (-10, -20)) fistNum = 1 SecondNum = 100 var Solution=Math.max (fistNum, SecondNum) document.write ("The max value of fistNum and SecondNum is ", Solution) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример min

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример min</TITLE> <script> <!-- hide document.write("The minimum of 10 and 20 is " + Math.min(10,20)) document.write("The minimum of -10 and -20 is " + Math.min(-10,-20)) fistNum = 1 SecondNum = 100 var Solution=Math.min (fistNum, SecondNum) document.write("The minimum of fistNum and SecondNum is " + Solution) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример name

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример name</TITLE> <script> <!-- hide newWindow=window.open("../../../../www.netscape.com/default.htm","", "width=300,height=300,status=no, toolbar=no,menubar=no,scrollbars=yes") function valueGetter() { var msgWindow=window.open("","", "width=100,height=100,status=no, toolbar=no,menubar=no,scrollbars=no" ) for (var i = 0; i < newWindow.document.valueTest.elements.length; i++) { msgWindow.document.write (newWindow.document.valueTest.elements[i].name + "") } } //--> end of hide </script> </HEAD> <BODY> <P> <FORM> <INPUT TYPE="button" VALUE="Open message" onClick="valueGetter()"> </BODY>


Пример name

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример name</TITLE> <script> <!-- hide netscapeWin=window.open("../../../../www.netscape.com/default.htm", "netscapeHomePage", "width=300,height=300,status=no, toolbar=no,menubar=no,scrollbars=yes") alert(netscapeWin.name) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример appName

 <HTML> <HEAD> <TITLE>Пример appName</TITLE> </HEAD> <BODY> <script> document.write ("Название вашего браузера: " +navigator.appName) </script> </BODY> </HTML>


 <html> <FRAMESET ROWS="50%,50%" COLS="40%,60%"> <FRAME SRC=onblur2.html NAME="frame1"> <FRAME SRC=onblur2.html NAME="frame2"> <FRAME SRC=onblur2.html NAME="frame3"> <FRAME SRC=onblur2.html NAME="frame4"> </FRAMESET> </html>


<script language="JavaScript">
<!--
function setUpHandlers() {
  for (var i = 0; i < frames.length; i++) {
    frames[i].onfocus = new Function
          ("document.bgColor='antiquewhite'")
    frames[i].onblur  = new Function
          ("document.bgColor='lightgrey'")
  }
}
//-->
</SCRIPT>
<FRAMESET ROWS="50%,50%"
          COLS="40%,60%"
          onLoad=setUpHandlers()>
 <FRAME SRC=onblur2.html
        NAME="frame1">
 <FRAME SRC=onblur2.html
        NAME="frame2">
 <FRAME SRC=onblur2.html
        NAME="frame3">
 <FRAME SRC=onblur2.html
        NAME="frame4">
</FRAMESET>


Пример onBlur

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE>Пример onBlur</TITLE>
<script>
<!-- hide
function check(obj){
var ok = true;
  for (var i = 0; i < obj.length; i++) {
    var chr = obj.charAt(i);
    var found = false;
    for (var j = 1; j < check.length; j++) {
      if (chr == check[j]) found = true;
    }
    if (!found) ok = false;
  }
  return ok;
}
function required(obj){
if (check
  (obj,"1","2","3","4","5","6","7","8","9",
       "0","../../../default.htm","-","_","+",""))
{
 alert("Input your name");}
else {
 alert("OK!");}
}
//--> end of hide
</script>
</HEAD>
<BODY>
<P>
<form>
<INPUT TYPE="text"
       NAME="userName"
       onBlur="required(this.form.userName.value)"><P>
</form>
</BODY>


Пример onChange

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE>Пример onChange</TITLE>
<script>
<!-- hide
function check(obj){
var ok = true;
  for (var i = 0; i < obj.length; i++) {
    var chr = obj.charAt(i);
    var found = false;
    for (var j = 1; j < check.length; j++) {
      if (chr == check[j]) found = true;
    }
    if (!found) ok = false;
  }
  return ok;
}
function required(obj){
if (check
   (obj,"1","2","3","4","5","6","7",
        "8","9","0","../../../default.htm","-","_","+",""))
{
 alert("Input your name");}
else
{
 alert("OK!");}
}
//--> end of hide
</script>
</HEAD>
<BODY>
<P>
<FORM>
<INPUT TYPE="text"
       NAME="userName"
   onChange="required(this.form.userName.value)">
</FORM>
</BODY>


 <HTML> <BODY BGCOLOR="peachpuff"> <center> <form> <INPUT TYPE="checkbox" NAME="check1" VALUE="check1" onClick="return confirm ('This purges all your files. Are you sure?')"> Удалить файлы </FORM> </CENTER> </BODY> </HTML>


Пример onError

 <html> <head> <title>Пример onError</title> <SCRIPT LANGUAGE="JAVASCRIPT"> <!-- window.onerror = myOnError msgArray = new Array() urlArray = new Array() lnoArray = new Array() function myOnError(msg, url, lno) { msgArray[msgArray.length] = msg urlArray[urlArray.length] = url lnoArray[lnoArray.length] = lno return true } function displayErrors() { win2=window.open('', "window2","width=400,height=310, scrollbars=yes") win2.document.writeln('<B>Error Report</B>') for (var i=0; i < msgArray.length; i++) { win2.document.writeln ('<B>Error in file:</B> ' + urlArray[i] + '<BR>') win2.document.writeln ('<B>Line number:</B> ' + lnoArray[i] + '<BR>') win2.document.writeln ('<B>Message:</B> ' + msgArray[i] + '<P>') } win2.document.close() } //--> </SCRIPT> </head> <BODY onload="noSuchFunction()"> <center> <FORM> <BR> <INPUT TYPE="button" VALUE="This button has a syntax error" onClick="alert('unterminated string')"> <P> <INPUT TYPE="button" VALUE="Display Error Report" onClick="displayErrors()"> </FORM> </CENTER> </BODY> </HTML>


Пример onError

 <HTML> <HEAD> <title>Пример onError</title> <script language="JavaScript"> <!-- function badImage(theImage) { alert ('Error: ' + theImage.name +'did not load properly.') } //--> </SCRIPT> </HEAD> <BODY> <CENTER> <FORM> <IMG NAME="image1" SRC="fon4.gif" ALIGN="left" BORDER="2" onError="badImage(this)"> </FORM> </CENTER> </BODY> </HTML>


Пример onFocus

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример onFocus</TITLE> <script> <!-- hide function setFocus(){ document.first.text1.select(); } //--> end of hide </script> </HEAD> <BODY> <P> <FORM NAME="first"> <INPUT TYPE="text" VALUE="INPUT TEXT" NAME="text1" onFocus="setFocus()"> </FORM> </BODY>


Пример onLoad

 <HTML> <HEAD> <TITLE>Пример onLoad</TITLE> <SCRIPT LANGUAGE="JAVASCRIPT"> <!-- imageA = new Image(50,50) imageA.onload=displayAlert imageA.src="night.gif" function displayAlert(theImage) { if (theImage==null) { alert('An image loaded') } else alert(theImage.name + ' has been loaded.') } //--> </SCRIPT> </HEAD> <BODY> <CENTER> <IMG NAME="imageB" SRC="ter1samp.jpg" ALIGN="top" BORDER="2" onLoad=displayAlert(this)> <BR> </CENTER> </BODY> </HTML>


Пример OnLoad

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример OnLoad</TITLE> </HEAD> <BODY OnLoad = "window.alert ('Добро пожаловать на домашнюю страницу Brave New World ! ')"> </BODY>


<html>
<head>
<script language="javascript1.1">
<!--
firstimage=new Image()
firstimage.src="1.gif"
secondimage=new Image()
secondimage.src="2.gif"
firstimage1=new Image()
firstimage1.src="22.gif"
secondimage1=new Image()
secondimage1.src="11.gif"
firstimage2=new Image()
firstimage2.src="222.gif"
secondimage2=new Image()
secondimage2.src="111.gif"
function filter(imagename,objectsrc){
if (document.images)
document.images[imagename].src
      =eval(objectsrc+".src")
}
//-->
</script>
</HEAD>
<BODY BGCOLOr="white">
<a href=""
   onMouseover="filter('a','secondimage')"
   onMouseout="filter('a','firstimage')">
<IMG SRC="1.gif"
     NAME="a"
     BORDER=0 >
</a>
<p>
<a href="../../../../www.yandex.ru/default.htm"
   onMouseover="filter('b','secondimage1')"
   onmouseout="filter('b','firstimage1')">
<IMG SRC="22.gif"
     NAME="b"
     BORDER=0 >
</a>
<p>
<a href="../../../../www.netscape.com/default.htm"
   onMouseover="filter('c','secondimage2')"
   onmouseout="filter('c','firstimage2')">
<IMG SRC="222.gif"
     NAME="c"
     BORDER=0>
</a>
</BODY>
</HTML>


Пример onReset

 <HTML> <HEAD> <TITLE>Пример onReset</TITLE> </HEAD> <BODY> <FORM NAME="form1" onReset="alert ('Defaults have been restored.')"> Состояние: <INPUT TYPE="text" NAME="state" VALUE="ПРИБЛИЗИТЕЛЬНО" SIZE="14"> <P> <INPUT TYPE="reset" VALUE="Clear Form" NAME="reset1"> </form> </BODY> </HTML>


пример объекта selected

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE> пример объекта selected</TITLE>
<SCRIPT LANGUAGE="JavaScript">
<!-- hide
function check(input) {
  var ok = true;
  for (var i = 0; i < input.length; i++) {
    var chr = input.charAt(i);
    var found = false;
    for (var j = 1; j < check.length; j++) {
      if (chr == check[j]) found = true;
    }
    if (!found) ok = false;
  }
  return ok;
}
function test(input) {
  if (!check(input, "1", "2", "3", "4",
        "5", "6", "7", "8", "9", "0", "-", " "))
  {
    alert("Input not ok.");
     return false
  }
  else {
   alert("Input ok!");
     return true
  }
}
function validate() {
   if (test(document.formname.telephone.value))
     return true
   else
     return false;
}
//--> end of hide
</SCRIPT>
<BODY>
<FORM NAME="formname"
      METHOD=post
      ACTION="mailto:your.address@goes.here"
      ENCTYPE="text/plain"
      onSubmit="return validate()">
<B>Telephone:</B>
<INPUT TYPE="text"
       NAME="telephone"
       VALUE="">
<INPUT NAME="submit"
       TYPE="submit"
       VALUE="Send">
</FORM>
</BODY>


Пример parse

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример parse</TITLE> <script> <!-- hide document.write("Date.parse(\"Jan 11, 1996\") is " +Date.parse("Jan 11, 1996")) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример parseFloat

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример parseFloat</TITLE> <script> <!-- hide document.write("parseFloat (\" 3.14\") = "+parseFloat("3.14")) document.write("parseFloat (\" 314e-2\") ="+parseFloat (" 314e-2 ")) document.write("parseFloat (\" 0.0314E+2 \") ="+parseFloat (" 0.0314E+2 ")) var x = " 3.14" document.write("parseFloat(x) ="+parseFloat(x)+"<BR>") document.write("parseFloat (\"FF2\") ="+parseFloat ("FF2")) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример parseInt

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример parseInt</TITLE> <script> <!-- hide document.write("parseInt (\"F\", 16) ="+parseInt ("F", 16)) document.write("parseInt (\"17\", 8) ="+parseInt ("17", 8)) document.write("parseInt (\"15\", 10) ="+parseInt ("15", 10)) document.write("parseInt (15.99, 10) ="+parseInt (15.99, 10)) document.write(" parseInt (\"FXX123\", 16) ="+parseInt ("FXX123", 16)) document.write("parseInt (\"1111\", 2) ="+parseInt ("1111", 2)) document.write("parseInt (\"15*3\", 10) ="+parseInt ("15*3", 10)) document.write("parseInt (\"Привет\", 8) ="+parseInt ("Привет", 8)) document.write("parseInt (\"Ox7\", 10) ="+parseInt ("Ox7", 10)) document.write("parseInt (\"FFF\", 10) ="+parseInt ("FFF", 10)) document.write("parseInt (\"0x11\", 16) ="+parseInt ("0x11", 16)) document.write("parseInt (\"0x11\", 0) ="+parseInt ("0x11", 0)) document.write("parseInt (\"0x11\") ="+ parseInt ("0x11")) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример PI

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример PI</TITLE> <script> <!-- hide document.write (" значение PI=" + Math. PI) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример pow

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример pow</TITLE> <script> <!-- hide document.write ("7 to the power of 2 is " + Math.pow (7,2)+"<br>") document.write (" 2 to the power of 10 is " + Math.pow (2,10)) //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример prompt

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример prompt</TITLE> </HEAD> <BODY onLoad= "prompt('Enter the number of cookies you want to order:', 12)"> </BODY>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> </HEAD> <BODY> <FORM> <INPUT TYPE="text" NAME="catalog" SIZE="20"><P> <INPUT TYPE="radio" NAME="musicChoice" VALUE="soul-and-r&b" onClick="musicForm.catalog.value ='soul-and-r&b'"> Soil и R&B <INPUT TYPE="radio" NAME="musicChoice" VALUE="jazz" onClick="musicForm.catalog.value ='jazz'"> Jazz <INPUT TYPE="radio" NAME="musicChoice" VALUE="classical" onClick="musicForm.catalog.value ='classical'"> Classical </FORM> </BODY>


Radio object example

<HTML>
<HEAD>
<TITLE>Radio object example</TITLE>
<SCRIPT LANGUAGE="JAVASCRIPT">
<!--
function convertField(field) {
   if (document.form1.conversion[0].checked) {
      field.value = field.value.toUpperCase()
  }
   else {
   if (document.form1.conversion[1].checked) {
      field.value = field.value.toLowerCase()
}
  }
}
function convertAllFields(caseChange)
  {
  if (caseChange=="upper") {
   document.form1.lastName.value =
   document.form1.lastName.value.toUpperCase()
   document.form1.firstName.value =
   document.form1.firstName.value.toUpperCase()
   document.form1.cityName.value =
   document.form1.cityName.value.toUpperCase()}
  else {
   document.form1.lastName.value =
   document.form1.lastName.value.toLowerCase()
   document.form1.firstName.value =
   document.form1.firstName.value.toLowerCase()
   document.form1.cityName.value =
   document.form1.cityName.value.toLowerCase()
   }
}
//-->
</SCRIPT>
</HEAD>
<BODY>
<FORM NAME="form1">
<B>Last name:</B>
<INPUT TYPE="text"
       NAME="lastName"
       SIZE=20
       onChange="convertField(this)">
<B>First name:</B>
<INPUT TYPE="text"
       NAME="firstName"
       SIZE=20
       onChange="convertField(this)">
<B>City:</B>
<INPUT TYPE="text"
       NAME="cityName"
       SIZE=20 onChange="convertField(this)">
<B>Convert values to:</B>
<INPUT TYPE="radio"
       NAME="conversion"
       VALUE="upper"
       onClick="if (this.checked)
       {convertAllFields('upper')}">
Upper case
<INPUT TYPE="radio"
       NAME="conversion"
       VALUE="lower"
       onClick="if (this.checked)
       {convertAllFields('lower')}">
Lower case
<INPUT TYPE="radio"
       NAME="conversion"
       VALUE="noChange">
No conversion
</FORM>
</BODY>
</HTML>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> <script> <!-- hide document.write("Щелкнете <A HREF=\"" +document.referrer +"\">здесь</A>") //--> end of hide </script> </HEAD> <BODY> </BODY>


Пример reset

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример reset</TITLE> </HEAD> <BODY> <FORM> <b>State:</b> <INPUT TYPE="text" NAME="state" SIZE="9"> <P> <INPUT TYPE="reset" VALUE="Clear Form"> <P> </FORM> </BODY>


Пример объекта reset

 <HTML> <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Пример объекта reset</TITLE> </HEAD> <BODY> <FORM NAME="form1"> <BR> <B>Город:</B> <INPUT TYPE="text" NAME="city" VALUE="Santa Cruz" SIZE="20"> <p> <B>State:</B> <INPUT TYPE="text" NAME="state" VALUE="CA" SIZE="2"> <P> <SELECT NAME="colorChoice"> <OPTION SELECTED> Синий <OPTION> Желтый <OPTION> Зеленый <OPTION> Красный </SELECT> <P> <INPUT TYPE="radio" NAME="musicChoice" VALUE="soul-and-r&b" CHECKED> Soul и R&B <BR> <INPUT TYPE="radio" NAME="musicChoice" VALUE="jazz"> Jazz <BR> <INPUT TYPE="radio" NAME="musicChoice" VALUE="classical"> Classical <P> <INPUT TYPE="reset" VALUE="Defaults" NAME="reset1"> </FORM> </BODY> </HTML>


Пример reverse

 <HTML> <HEAD> <TITLE>Пример reverse</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- myArray = new Array ("один", "два", "три") document.write("myArray[0]=" +myArray[0],"<br>", "myArray[1]=" +myArray[1],"<br>" , "myArray[0]= "+myArray[2]) myArray.reverse () document.write("myArray[0]=" +myArray[0],"<br>", "myArray[1]= "+myArray[1],"<br>" , "myArray[0]= "+myArray[2]) //--> </script> </BODY> </HTML>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> <script> <!-- hide document.write("<B>The rounded of 20.49 is " + Math.round(20.49)) document.write("The rounded of 20.5 is " + Math.round(20.5)) document.write("The rounded of -20.5 is " + Math.round(-20.5)) document.write("The rounded of -20.51 is " + Math.round(-20.51)) //--> end of hide </script> </HEAD> <BODY> </BODY>


 <html> <head> <SCRIPT LANGUAGE="JAVASCRIPT"> <!-- function scrollIt(form) { var x = parseInt(form.x.value) var y = parseInt(form.y.value) parent.frame2.scroll(x,y) } //--> </SCRIPT> </head> <BODY> <FORM NAME="myForm"> <P> <B>Введите координаты, чтобы пролистать до:</B> Горизонтальной: <INPUT TYPE="text" NAME=x VALUE="0" SIZE=4> <BR> Вертикальной: <INPUT TYPE="text" NAME=y VALUE="0" SIZE=4> <BR> <INPUT TYPE="button" VALUE="Go" onClick="scrollIt(document.myForm)"> </FORM> </BODY> </HTML>


Отобранный пример объекта

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> Отобранный пример объекта</TITLE> </HEAD> <BODY> <SCRIPT> var today = new Date() //--------------- function updatePropertyDisplay(monthObj,dayObj) { // Get date strings var monthInteger, dayInteger, monthString, dayString monthInteger=monthObj.selectedIndex dayInteger=dayObj.selectedIndex monthString=monthObj.options[monthInteger].text dayString=dayObj.options[dayInteger].text // Display property values document.selectForm.textFullDate.value =monthString +"" + dayString document.selectForm.textMonthLength.value =monthObj.length document.selectForm.textDayLength.value =dayObj.length document.selectForm.textMonthName.value =monthObj.name document.selectForm.textDayName.value =dayObj.name document.selectForm.textMonthIndex.value =monthObj.selectedIndex document.selectForm.textDayIndex.value =dayObj.selectedIndex // Is it Cinco de Mayo? if (monthObj.options[4].selected && dayObj.options[4].selected) document.selectForm.textCinco.value="Yes!" else document.selectForm.textCinco.value="No" } </SCRIPT> <!---------------> <FORM NAME="selectForm"> <P> <B>Выберите месяц и день:</B> Месяц: <SELECT NAME="monthSelection" onChange="updatePropertyDisplay (this,document.selectForm.daySelection)"> <OPTION> Январь <OPTION> Февраль <OPTION> Март <OPTION> Апрель <OPTION> Май <OPTION> Июнь <OPTION> Июль <OPTION> Август <OPTION> Сентябрь <OPTION> Октябрь <OPTION> Ноябрь <OPTION> Декабрь </SELECT> День: <SELECT NAME="daySelection" onChange="updatePropertyDisplay (document.selectForm.monthSelection,this)"> <OPTION> 1 <OPTION> 2 <OPTION> 3 <OPTION> 4 <OPTION> 5 <OPTION> 6 <OPTION> 7 <OPTION> 8 <OPTION> 9 <OPTION> 10 <OPTION> 11 <OPTION> 12 <OPTION> 13 <OPTION> 14 <OPTION> 15 <OPTION> 16 <OPTION> 17 <OPTION> 18 <OPTION> 19 <OPTION> 20 <OPTION> 21 <OPTION> 22 <OPTION> 23 <OPTION> 24 <OPTION> 25 <OPTION> 26 <OPTION> 27 <OPTION> 28 <OPTION> 29 <OPTION> 30 <OPTION> 31 </SELECT> <P> <B>Установите дату:</B> <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=0; daySelection.selectedIndex=0; updatePropertyDisplay (document.selectForm.monthSelection, document.selectForm.daySelection)"> New Year's Day <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=4; daySelection.selectedIndex=4; updatePropertyDisplay (document.selectForm.monthSelection, document.selectForm.daySelection)"> Cinco Mayo <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=5; daySelection.selectedIndex=20; updatePropertyDisplay (document.selectForm.monthSelection, document.selectForm.daySelection)"> Летнее солнцестояние <P> <B> Property values:</ B> <BR> Выбранная Дата: <INPUT TYPE="text" NAME="textFullDate" VALUE="" SIZE=20"> <BR>monthSelection.length <INPUT TYPE="text" NAME="textMonthLength" VALUE="" SIZE=20"> <BR> DaySelection.length <INPUT TYPE="text" NAME="textDayLength" VALUE="" SIZE=20"> <BR>monthSelection.name <INPUT TYPE="text" NAME="textMonthName" VALUE="" SIZE=20"> <BR> DaySelection.name <INPUT TYPE="text" NAME="textDayName" VALUE="" SIZE=20"> <BR>monthSelection.selectedIndex <INPUT TYPE="text" NAME="textMonthIndex" VALUE="" SIZE=20"> <BR> DaySelection.selectedIndex <INPUT TYPE="text" NAME="textDayIndex" VALUE="" SIZE=20"> <BR>Is it Cinco de Mayo? <INPUT TYPE="text" NAME="textCinco" VALUE="" SIZE=20"> <SCRIPT> document.selectForm.monthSelection.selectedIndex= today.getMonth() document.selectForm.daySelection.selectedIndex= today.getDate()-1 updatePropertyDisplay (document.selectForm.monthSelection, document.selectForm.daySelection) </SCRIPT> </FORM> </BODY>


пример setHours

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> пример setHours</TITLE> <SCRIPT> theBigDay = new Date (" July 27, 1962 23:30:00") document.write("theBigDay="+theBigDay+"<BR>") theBigDay.setHours (17) document.write("theBigDay= "+theBigDay) </SCRIPT> </HEAD> <BODY> </BODY>


пример setDate

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример setDate</TITLE> <SCRIPT> theBigDay = new Date (" July 27, 1962 23:30:00") document.write("theBigDay= "+theBigDay) theBigDay.setDate (24) document.write("theBigDay= "+theBigDay) </SCRIPT> </HEAD> <BODY> </BODY>


пример setMinutes

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример setMinutes</TITLE> <SCRIPT> var theBigDay=new Date (" July 27, 1962 23:30:00") document.write("theBigDay="+theBigDay+"<br>") theBigDay.setMinutes(45) document.write("theBigDay="+theBigDay) </SCRIPT> </HEAD> <BODY> </BODY>


пример setSeconds

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример setSeconds</TITLE> <SCRIPT> var theBigDay=new Date (" June 27, 1962 23:30:55") document.write("theBigDay="+theBigDay) theBigDay.setSeconds (30) document.write("theBigDay="+theBigDay)) </SCRIPT> </HEAD> <BODY> </BODY>


пример setTime

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример setTime</TITLE> <SCRIPT> theBigDay = new Date("July 1, 1999") sameAsBigDay = new Date() sameAsBigDay.setTime(theBigDay.getTime()) document.write("sameAsBigDay ="+sameAsBigDay) </SCRIPT> </HEAD> <BODY> </BODY>


 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <SCRIPT LANGUAGE="JavaScript"> var timerID = null function displayAlert() { alert("5 seconds have elapsed since the button was clicked.") } </SCRIPT> <BODY> <FORM> Click the button on the left for a reminder in 5 seconds; click the button on the right to cancel the reminder before it is displayed. <P> <INPUT TYPE="button" VALUE="5-second reminder" NAME="remind_button" onClick="timerID= setTimeout('displayAlert()',5000)"> <INPUT TYPE="button" VALUE="Clear the 5-second reminder" NAME="remind_disable_button" onClick="clearTimeout(timerID)"> </FORM> </BODY>


<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<SCRIPT>
var timerID = null;
var timerRunning = false;
function stopclock () {
 if (timerRunning)
  clearTimeout(timerID) ;
  timerRunning=false;
}
function startclock () {
  stopclock () ;
  showtime() ;
}
function showtime () {
var now
    = new Date();
document.clock.display.value
    = now.toLocaleString() ;
timerID
    = setTimeout("startclock ()",5000);
timerRunning
    =true;
}
</SCRiPT>
<BODY onLoad="startclock ()">
<FORM NAME="clock">
<INPUT TYPE="text"
       NAME="display"
       VALUE="Standby for the time">
</FORM>
</BODY>


Example setTimeout

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE>Example setTimeout</TITLE>
<SCRIPT LANGUAGE="JavaScript">
<!--
var timerID = null
var timerRunning = false
function stopclock(){
  if(timerRunning)
    clearTimeout(timerID)
    timerRunning = false
}
function startclock(){
// Make sure the clock is stopped
    stopclock()
    showtime()
}
function showtime(){
  var now = new Date()
  var hours = now.getHours()
  var minutes = now.getMinutes()
  var seconds = now.getSeconds()
  var timeValue ="" + ((hours > 12) ? hours - 12 : hours)
   timeValue  += ((minutes < 10) ?":0" :":") + minutes
   timeValue  += ((seconds < 10) ?":0" :":") + seconds
   timeValue  += (hours >= 12) ?" P.M." :" A.M."
   document.clock.face.value = timeValue
   timerID = setTimeout("showtime()",1000)
   timerRunning = true
}
//-->
</SCRIPT>
 </HEAD>
<BODY onLoad="startclock()">
<FORM NAME="clock"
      onSubmit="0">
<INPUT TYPE="text"
       NAME="face"
       SIZE=12
       VALUE ="">
</FORM>
</BODY>


пример setYear

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример setYear</TITLE> <SCRIPT> theBigDay = new Date("July 1, 1999") document.write("theBigDay="+theBigDay) theBigDay.setYear (96) document.write("theBigDay="+theBigDay) </SCRIPT> </HEAD> <BODY> </BODY>


пример sin

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример sin</TITLE> <SCRIPT> document.write ("синус pi/2 радиан " + Math.sin (Math. PI/2)) document.write ("синус pi радиан " + Math.sin (Math. PI)) document.write ("синус 0 радиан " + Math.sin (0)) </SCRIPT> </HEAD> <BODY> </BODY>


Пример sort

 <html> <title>Пример sort</title> <body> <SCRIPT LANGUAGE="JAVASCRIPT"> <!-- stringArray = new Array("Blue","Humpback","Beluga") numericStringArray = new Array("80","9","700") numberArray = new Array(40,1,5,200) mixedNumericArray = new Array("80","9","700",40,1,5,200) function compareNumbers(a, b) { return a - b } document.write("<B>stringArray:</B> " + stringArray.join()) document.write("<B>Sorted:</B> " + stringArray.sort()) document.write("<B>numberArray:</B> " + numberArray.join()) document.write("<B>Sorted without a compare function:</B> " + numberArray.sort()) document.write("<B>Sorted with compareNumbers:</B> " + numberArray.sort(compareNumbers)) document.write("<B>numericStringArray:</B> " + numericStringArray.join()) document.write("<B>Sorted without a compare function:</B> " + numericStringArray.sort()) document.write("<B>Sorted with compareNumbers:</B> " + numericStringArray.sort(compareNumbers)) document.write("<B>mixedNumericArray:</B> " + mixedNumericArray.join()) document.write("<B>Sorted without a compare function:</B> " + mixedNumericArray.sort()) document.write("<B>Sorted with compareNumbers:</B> " + mixedNumericArray.sort(compareNumbers)) //--> </SCRIPT> </BODY> </HTML>


Пример split

 <html> <head> <title>Пример split</title> </head> <body> <SCRIPT LANGUAGE="JAVASCRIPT"> <!-- function splitString (stringToSplit,separator) { arrayOfStrings = stringToSplit.split(separator) document.write ('<P>The original string is: "' + stringToSplit + '"') document.write ('<BR>The separator is: "' + separator + '"') document.write ("<BR>The array has " + arrayOfStrings.length + " elements: ") for (var i=0; i < arrayOfStrings.length; i++) { document.write (arrayOfStrings[i] + " / ") }} var tempestString="Oh brave new world that has such people in it." var monthString="Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec" var space=" " var comma="," splitString(tempestString,space) splitString(tempestString) splitString(monthString,comma) //--> </SCRIPT> </html>


пример sqrt

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример sqrt</TITLE> <SCRIPT> document.write ("квадратный корень из 9 равен " + Math.sqrt (9)) document.write ("квадратный корень из 2 равен " + Math.sqrt (2)) document.write ("квадратный корень из -1 равен" + Math.sqrt (-1)) </SCRIPT> </HEAD> <BODY> </BODY>


пример SQRT1_2

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример SQRT1_2</TITLE> <SCRIPT> document.write ("квадратный корнь из 1/2" + Math. SQRT1_2) </SCRIPT> </HEAD> <BODY> </BODY>


пример SQRT2

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример SQRT2</TITLE> <SCRIPT> document.write (" квадратный корень из 2" + Math. SQRT2) </SCRIPT> </HEAD> <BODY> </BODY>


Пример src

<html>
<head>
<title>Пример src</title>
<SCRIPT language="JavaScript">
<!--
function displayImage(lowRes,highRes) {
   document.images[0].lowsrc=lowRes
   document.images[0].src=highRes
}
//-->
</SCRIPT>
</head>
<body>
<FORM NAME="imageForm">
<B>Выберите изображение:</B>
<INPUT TYPE="radio"
       NAME="imageChoice"
       VALUE="image1"
       CHECKED
       onClick="displayImage('fon2.jpg','fon2.jpg')">
F-15 Орел <BR>
<INPUT TYPE="radio"
       NAME="imageChoice"
       VALUE="image2"
       onClick="displayImage('fon3.jpgf','fon3.jpg')">
F-15 Орел 2 <BR>
<INPUT TYPE="radio"
       NAME="imageChoice"
       VALUE="image3"
       onClick="displayImage('fon4.jpgf','fon4.jpg')">
АХ -64 Apache <BR>
<IMG NAME="aircraft"
     SRC="fon2.jpg"
     LOWSRC="fon3.gpg"
     ALIGN="left"
     VSPACE="10">
<BR>
</FORM>
</body>
</html>


пример status

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример status</TITLE> <BODY> <A HREF="../../../../www.netscape.com/default.htm" onMouseOut="top.status='Go to Netscape'"> Go Netscape! </A> </BODY>


 <HTML> <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITEL>Примеры форматирования строки</TITEL> </HEAD> <BODY> <script language="JavaScript"> <!-- var worldString = " Привет мир " document.write ("Уменьшает строку:" +worldString.small ().fontcolor("maroon")) document.write ("Увеличивает строку:" +worldString.big ().fontcolor("salmon")) document.write ("Увеличивает строку на 7:" +worldString.fontsize (7).fontcolor("mediumorchid")) document.write ("Мирцание строки:" +worldString.blink().fontcolor("aquamarine")) document.write ("Жирный шрифт:" +worldString.bold ().fontcolor("beige")) document.write ("Курсивный шрифт:" +worldString.italics ().fontcolor("darkcyan")) document.write ("Перечеркнута\я строка:" +worldString.strike ().fontcolor("palegoldenrod")) //--> </script> </BODY> </HTML>


пример SUB

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример SUB</TITLE> <SCRIPT LANGUAGE="JavaScript"> var superText="superscript" var subText="subscript" document.write("This is what a" + superText.sup() +"looks like.") document.write("This is what a" + subText.sub() +"looks like.") </SCRIPT> <BODY> </BODY>


пример substring

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE> пример substring</TITLE> <SCRIPT LANGUAGE="JavaScript"> var anyString ="Netscape" document.write ("anyString.substring (0,anyString.length-2) ="+anyString.substring (0,anyString.length)) document.write ("anyString.substring (3,0) ="+anyString.substring (3,0)) document.write ("anyString.substring (4,7) ="+anyString.substring (4,7)) document.write ("anyString.substring (7,4) ="+anyString.substring (7,4)) </SCRIPT> <BODY> </BODY>


Пример объекта hidden

 <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> <script> <!-- hide document.write (" тангенс pi/4 радиан равен " + Math.tan (Math. PI/4)) document.write (" тангенс 0 радиан равен " + Math.tan (0)) //--> end of hide </script> </HEAD> <BODY> </BODY>


пример объекта text

<HEAD>
<META HTTP-EQUIV="Content-Type"
      CONTENT="text/html;
      CHARSET=Windows-1251">
<TITLE> пример объекта text</TITLE>
<BODY BGCOLOR="olivedrab">
<FORM NAME="form1">
<B>Город:</B>
<INPUT TYPE="text"
       NAME="city"
       VALUE="Novosibirsk"
       SIZE="20"
       onFocus="this.select()">
<BR>
<B>Государство:</B>
<INPUT TYPE="text"
       NAME="state"
       VALUE="RUSSIA"
       SIZE="20"
       onChange="this.value
               =this.value.toUpperCase()">
</FORM>
</BODY>


Пример toString

 <html> <head> <title>Пример toString</title> <script language="JavaScript"> var monthNames = new Array("Jan","Feb","Mar","Apr") document.write("monthNames is " + monthNames.toString()) //--> </script> <head> <body> </body> </html>


Пример toString

 <html> <head> <title>Пример toString</title> <script language="JavaScript"> <!-- for (x = 0; x < 10; x++) { document.write("Decimal: ", x.toString(10), " Binary: ", x.toString(2))} //--> </script> </head> </html>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- var myFun = new Function("5+2") var shape="round" var size=1 var today=new Date() document.write("typeof myFun is " +typeof(myFun)) document.write("typeof shape is " +typeof(shape)) document.write("typeof size is " +typeof(size)) document.write("typeof today is " +typeof(today)) document.write("typeof dontExist is " +typeof(dontExist)) //--> </script> <HEAD> <BODY> </BODY> </HTML>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- var VarTrue = true var Empty=null document.write("typeof VarTrue is " +typeof(VarTrue)) document.write("typeof Empty is " +typeof(Empty)) //--> </script> <HEAD> <BODY> </BODY> </HTML>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- document.write("typeof 62 is " +typeof(62)) document.write("typeof 'Hello world' is " +typeof( 'Hello world')) //--> </script> <HEAD> <BODY> </BODY> </HTML>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- document.write("typeof document.lastModified is " +typeof(document.lastModified)) document.write("typeof window.length is " +typeof(window.length)) document.write("typeof Math.LN2 is " +typeof(Math.LN2)) //--> </script> </HEAD> <BODY> </BODY> </HTML>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- document.write("typeof blur is " +typeof(blur)) document.write("typeof eval is " +typeof(eval)) document.write("typeof parseInt is " +typeof(parseInt)) document.write("typeof split is " +typeof(split)) //--> </script> <HEAD> <BODY> </BODY> </HTML>


Пример typeof

 <HTML> <HEAD> <TITLE>Пример typeof</TITLE> <script language="JavaScript"> <!-- document.write("typeof Date is " +typeof(Date)) document.write("typeof Function is " +typeof(Function)) document.write("typeof Math is " +typeof(Math)) document.write("typeof Option is " +typeof(Option)) document.write("typeof String is " +typeof(String)) //--> </script> <HEAD> <BODY> </BODY> </HTML>


Пример file

 <HTML> <HEAD> <TITLE>Пример file</TITLE> </HEAD> <BODY> <center> <FORM NAME="form1"> Отправить файл: <INPUT TYPE="file" NAME="myUploadObject"> <P>Получены следующие свойства<BR> <INPUT TYPE="button" VALUE="Имя" onClick="alert('Имя: ' +document.form1.myUploadObject.name)"> <INPUT TYPE="button" VALUE="Значение" onClick="alert('Значение: ' +document.form1.myUploadObject.value)"> <BR> </FORM> </BODY> </HTML>


Пример appName

 <HTML> <HEAD> <TITLE>Пример appName</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- document.write("Верси\я вашего браузера: " +navigator.appVersion) //--> </script> </BODY>


A Simple Document

 <HTML> <HEAD> <TITLE>A Simple Document</TITLE> </HEAD> <BODY> <script language="JavaScript"> <!-- var newline=null function populate(textareaObject){ if (navigator.appVersion.lastIndexOf('Win') != -1) newline="\r\n" else newline="\n" textareaObject.value="line 1" + newline + "line 2" + newline + "line 3" } //--> </script> <FORM NAME="form1"> <BR> <TEXTAREA NAME="testLines" ROWS=8 COLS=55> </TEXTAREA> <P> <INPUT TYPE="button" VALUE="Populate the textarea object" onClick="populate(document.form1.testLines)"> </TEXTAREA> </FORM> </BODY> </HTML>


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Значение цветов.

Ряд литералов в следующей таблице могут использоваться для того, чтобы определить цвета в свойствах JavaScript alinkColor, bgColor, fgColor, linkColor, и vlinkColor и в методе fontcolor.

Вы можете также использовать этот ряд литералов, чтобы определить цвет в HTML - странице, например

<BODY BGCOLOR="bisque"> и установить цвет в атрибуте COLOR тега FONT, например, <FONT COLOR="blue">color</font>

Следующие красные, зеленые, и синие значения находится в шестнадцатеричном триплете RGB.

Реальный цвет на клиентском компьютере зависит от возможностей монитора - монитор VGA с 16 цветами явно не даст такой картинки, как с 16 SVGA миллионами цветов.

ЦВЕТ
aliceblue
antiquewhite
aqua
aquamarine
azure
beige
bisque
black
blanchedalmond
blue
blueviolet
brown
burlywood
cadetblue
chartreuse
chocolate
coral
cornflowerblue
cornsilk
crimson
cyan
darkblue
darkcyan
darkgoldenrod
darkgray
darkgreen
darkkhaki
darkmagenta
darkolivegreen
darkorange
darkorchid
darkred
darksalmon
darkseagreen
darkslateblue
darkslategray
darkturquoise
darkviolet
deeppink
deepskyblue
dimgray
dodgerblue
firebrick
floralwhite
forestgreen
fuchsia
gainsboro
ghostwhite
gold
goldenrod
gray
green
greenyellow
honeydew
hotpink
indianred
indigo
ivory
khaki
lavender
lavenderblush
lawngreen
lemonchiffon
lightblue
lightcoral
lightcyan
lightgoldenrodyellow
lightgreen
lightgrey
lightpink
lightsalmon
lightseagreen
lightskyblue
lightslategray
lightsteelblue
lightyellow
lime
limegreen
linen
magenta
maroon
mediumaquamarine
mediumblue
mediumorchid
mediumpurple
mediumseagreen
mediumslateblue
mediumspringgreen
mediumturquoise
mediumvioletred
midnightblue
mintcream
mistyrose
moccasin
navajowhite
navy
oldlace
olive
olivedrab
orange
orangered
orchid
palegoldenrod
palegreen
paleturquoise
palevioletred
papayawhip
peachpuff
peru
pink
plum
powderblue
purple
red
rosybrown
royalblue
saddlebrown
salmon
sandybrown
seagreen
seashell
sienna
silver
skyblue
slateblue
slategray
snow
springgreen
steelblue
tan
teal
thistle
tomato
turquoise
violet
wheat
white
whitesmoke
yellow
yellowgreen 		КРАСНЫЙ
F0
FA
00
7F
F0
F5
FF
00
FF
00
8A
A5
DE
5F
7F
D2
FF
64
FF
DC
00
00
00
B8
A9
00
BD
8B
55
FF
99
8B
E9
8F
48
2F
00
94
FF
00
69
1E
B2
FF
22
FF
DC
F8
FF
DA
80
00
AD
F0
FF
CD
4B
FF
F0
E6
FF
7C
FF
AD
F0
E0
FA
90
D3
FF
FF
20
87
77
B0
FF
00
32
FA
FF
80
66
00
BA
93
3C
7B
00
48
C7
19
F5
FF
FF
FF
00
FD
80
6B
FF
FF
DA
EE
98
AF
DB
FF
FF
CD
FF
DD
B0
80
FF
BC
41
8B
FA
F4
2E
FF
A0
C0
87
6A
70
FF
00
46
D2
00
D8
FF
40
EE
F5
FF
F5
FF
9A 		ЗЕЛЕНЫЙ
F8
EB
FF
FF
FF
F5
E4
00
EB
00
2B
2A
B8
9E
FF
69
7F
95
F8
14
FF
00
8B
86
A9
64
B7
00
6B
8C
32
00
96
BC
3D
4F
CE
00
14
BF
69
90
22
FA
8B
00
DC
F8
D7
A5
80
80
FF
FF
69
5C
00
FF
E6
E6
F0
FC
FA
D8
80
FF
FA
EE
D3
B6
A0
B2
CE
88
C4
FF
FF
CD
F0
00
00
CD
00
55
70
B3
68
FA
D1
15
19
FF
E4
E4
DE
00
F5
80
8E
A5
45
70
E8
FB
EE
70
EF
DA
85
C0
A0
E0
00
00
8F
69
45
80
A4
8B
F5
52
C0
CE
5A
80
FA
FF
82
B4
80
BF
63
E0
82
DE
FF
F5
FF
CD 		СИНИЙ
FF
D7
FF
D4
FF
DC
C4
00
CD
FF
E2
2A
87
A0
00
1E
50
ED
DC
3C
FF
8B
8B
0B
A9
00
6B
8B
2F
00
CC
00
7A
8F
8B
4F
D1
D3
93
FF
69
FF
22
F0
22
FF
DC
FF
00
20
80
00
2F
F0
B4
5C
82
F0
8C
FA
F5
00
CD
E6
80
FF
D2
90
D3
C1
7A
AA
FA
99
DE
E0
00
32
E6
FF
00
AA
CD
D3
DB
71
EE
9A
CC
85
70
FA
E1
B5
AD
80
E6
00
23
00
00
D6
AA
98
EE
93
D5
B9
3F
CB
DD
E6
80
00
8F
E1
13
72
60
57
EE
2D
C0
EB
CD
90
FA
7F
B4
8C
80
D8
47
D0
EE
B3
FF
F5
00
32


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Объект Date

Измененный в Навигаторе 3.0

Предоставляет набор методов для работы с датами и временами.

Синтаксис

Создание объекта Date:

1. DateObjectName = new Date ()
2. DateObjectName = new Date (" month day, year hours:minutes:seconds ")
3. DateObjectName = new Date (year, month, day)
4. DateObjectName = new Date (year, month, day, hours, minutes, seconds)
DateObjectName является именем нового объекта.
year, month, day, hours, minutes ,seconds - строковое значение для 2. Для 3 и 4 - это значения целого числа.

Использование методы Date:

DateObjectName.methodName (параметры)
DateObjectName является именем существующего объекта Date
MethodName - один из методов, описанных ниже.

Исключения: синтаксический анализ объекта Date и UTC методы - статические методы, которые вы используете следующим образом:

Date. UTC (параметры)
Date.parse (параметры)

Свойства

  • Отсутствуют.

    Описание

    Объект Date - встроенный объект JavaScript.

    Несмотря на отсутсьвие каких - либо свойств, объект Date имеет несколько методов для установки и изменения своего значения.
    Хотя значения даты возвращаются в стардатной форме, фактическое значение хранится как количество миллисекунд, прошедших после полуночи 1 января 1970 года. Применение этого соглашения запрещает использование дат до 1970 года.
    Если при создании объект Date опустить компонент, указывающий время, оно по умолчанию будет установлено в 00:00:00. Методы для установки и получения значения даты и времени деляться на четыре основных категории: set, get, to и parse/UTc.
    За исключением номера дня в месяце, все числовые представления даты нумеруются с нуля. Это не должно составлять проблемы, за исключением месяцев (0(январь)-11(декабрь)).
    Стандартный синтаксис даты таков: "Thu, 11 Jan 1996 06:33:09 GMT". Принятые в США аббревиатуры временных поясов воспринимаются корректно, но для универсальности лучше указывать сдвиг поясного времени относительно Гринвичского меридеана. Например, "Thu, 11 Jan 1996 06:33:09 GMT+0530" указывает пояс, находящийся на 5:30 западнее Гринвича.

    Связанные элементы

  • Свойства

    • Отсутствуют.

  • Методы

    • GetDate
    • getDay
    • getHours
    • getMinutes
    • getMonth
    • getSeconds
    • getTime
    • getTimezoneOffset
    • getYear
    • parse
    • setDate
    • setHours
    • setMinutes
    • setMonth
    • setSeconds
    • setTime
    • setYear
    • toGMTString
    • toLocaleString
    • UTC

  • Обработчики Результата

    • Отсутствуют. Встроенные объекты не имеют обработчиков событий.

    Примеры

    Следующий скрипт, пичатает текущее дату и время.

    <script language="JavaScript"> <!-- hide now= new Date(); document.write("Time: " + now.getHours() + ":" + now.getMinutes() + "<br>"); document.write("Date: " + (now.getMonth() + 1) + "../../../" + now.getDate() + "../../../" + (1900 + now.getYear())); // --> </script>
    Здесь мы пользуемся такими методами, как getHours(), чтобы вывести на экран время и дату, указанные в объекте Date с именем now. Можно видеть, что мы добавляем к записи года еще число 1900. Дело в том, что метод getYear() указывает количество лет, прошедших после 1900 года. А стало быть, если сейчас 1997 год, то будет выдано значение 97, а если 2010 год - то 110, а не 10! Если мы так и будем всякий раз добавлять 1900, то у нас не будет проблемы 2000 года. Помните также, что мы обязаны увеличивать на единицу значение, получаемое от метода getMonth().
    В данном скрипте не выполняется проверки на тот случай, если количество минут окажется меньше, чем 10. Это значит, что Вы можете получить запись времени примерно в следующем виде: 14:3, что на самом деле должно было бы означать 14:03. Решение этой проблемы мы рассмотрим в следующем примере. Рассмотрим теперь скрипт, создающий на экране изображение работающих часов:
    <script Language="JavaScript">
var timeStr, dateStr;
function clock() {
        now = new Date();

        // время
        hours = now.getHours();
        minutes = now.getMinutes();
        seconds = now.getSeconds();
        timeStr = "" + hours;
        timeStr += ((minutes < 10) ? ":0" : ":") + minutes;
        timeStr += ((seconds < 10) ? ":0" : ":") + seconds;
        document.clock.time.value = timeStr;

        // дата
        date= now.getDate();
        month= now.getMonth()+1;
        year= now.getYear();
        dateStr= "" + month;
        dateStr+= ((date<10) ? "../../../0" : "../../../default.htm") + date;
        dateStr+= "../../../" + year;
        document.clock.date.value = dateStr;

        Timer = setTimeout("clock()",1000);
}
</script>
    Здесь для ежесекундной коррекции времени и даты мы пользуемся методом setTimeout(). Фактически это сводится к кому, что мы каждую секунду создаем новый объект Date, занося туда текущее время.

    Свойство defaultChecked

    Логическое значение(true или false), указывающее состояние флажка или переключателя по умолчанию.

    Синтаксис

1. checkboxName.defaultChecked
2. radioName [index] .defaultChecked

    checkboxName является либо значением атрибута NAME объекта переключателя либо элемента в массиве elements.
    radioName - значение атрибута NAME объекта radio.
    index - целое число, представляющее переключатель в объекте radio.

    Свойства

    checkboxt, radio

    Описание

    Если переключатель выбраны по умолчанию, то значение свойства defaultChecked истинна; иначе ложно. Установка значения свойства DefaultChecked может перекрывать атрибут CHECKED тега, создавшего элемент формы.

    Вы можете управлять свойством defaultChecked в любое время.

    Примеры

    Следующий пример вновь устанавливает массив переключателей, названных musicType в форме musicForm.

function radioResetter() {
   var i=""
   for (i in document.musicForm.musicType) {
      if (document.musicForm.musicType[i].defaultChecked==true) {
         document.musicForm.musicType[i].checked=true
      }
   }
}
    Следующий фрагмент программы возвращает группу переключателей к их исходному состоянию путем поиска и установки переключателя в положение по умолчанию:

   for (var i in menuForm.choices) {
      if (menuForm.choices[i].defaultChecked==true) {
         menuForm.choices[i].defaultChecked=true
      }
   }

    Смотрите также

  • Свойство checked

    Свойство defaultSelected

    Измененный в Navigator 3.0

    Логическое значение, указывающее элемента формы select по умолчанию.

    Синтаксис

      selectName.options[index].defaultSelected

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elements.
    index - целое число, представляющее выбор в объекте select.

    Свойства

    Массив select

    Описание

    Если выбор в объекте select отобран по умолчанию, то значение свойства defaultSelected истинна; иначе ложно. Программная установка значения свойства DefaultSelected перекрывает наличие наличие или отсутствие атрибута SELECTED тега <OPTION>.

    Поведение аналогично свойству defaultChecked

    Примеры

    В следующем примере, функция restoreDefault () возвращает объекту select musicType его состояние. Цикл for использует массив выбора, чтобы вычислить каждый выбор в объекте select. Оператор if устанавливает свойство selected, если defaultSelected истинен.

function restoreDefault() {
   for (var i = 0; i < document.musicForm.musicType.length; i++) {
      if (document.musicForm.musicType.options[i].defaultSelected == true) {
         document.musicForm.musicType.options[i].selected=true
      }
   }
}

    Смотрите также свойства

    index
    selected
    selectedIndex

    Свойство defaultStatus

    Выводимое сообщение показанное в строке состояния внизу окна браузера.

    Синтаксис

     WindowReference.defaultStatus

    WindowReference - путь обращенный к окна, как описано в объекте window.

    Свойства

    window

    Описание

    DefaultStatus устанавливает сообщение, выводимое в строке состония, когда браузер не выдает своих сообщений.Это сообщение вытесняется более приоритетными или временными сообщениями, подобными сообщению, инициируемому обработчиком событий mouseOver.

    Вы можете регулировать свойством defaultStatus в любое время. Вы должны возвращать истинну, если Вы хотите регулировать свойством defaultStatus в обработчике событий onMouseOver .

    Примеры

    В следующем примере, функция statusSetter () устанавливает, как состояние так и свойство defaultStatus в обработчике событий onMouseOver:

    function statusSetter() {
   window.defaultStatus = "Click the link for the Netscape home page"
   window.status = "Netscape home page"
}
<A HREF="../../../../www.netscape.com/default.htm"
   onMouseOver = "statusSetter();
   return true">Netscape
</A>

    Смотрите также свойства

  • status

    Свойство defaultValue

    Первоначальное содержимое текстовых элементов формы.

    Синтаксис

1. PasswordName.defaultValue
2. TextName.defaultValue
3. TextareaName.defaultValue

    PasswordName является либо значением атрибута NAME объекта password либо элемента в массиве elements.
    TextName является либо значением атрибута NAME текстового объекта либо элемента в массиве elements.
    TextareaName является либо значением атрибута NAME объекта textarea либо элемента в массиве elements.

    Свойства

  • password
  • text
  • textarea

    Описание

    Начальное значение defaultValue отличается для каждого объекта:

  • Для объектов text, это первоначально отражает значение атрибута VALUE.
  • Для объектов textarea, это первоначально отражает значение, указанное между тегами <TEXTAREA> и </TEXTAREA>.
  • Для объектов password, это первоначально пустое (из соображения безопасности), независимо от значения атрибута VALUE.

    Вы можете регулировать свойством defaultValue в любое время. Показ связанного объекта не модернизируется, когда вы регулируете свойством defaultValue, а модернизируется только тогда, когда вы регулируете свойством значения.

    Примеры

    Следующая функция вычисляет свойство defaultValue объекта в форме surfCity и показывает значение в окне msgWindow:

    function defaultGetter() { msgWindow=window.open("") msgWindow.document.write("hidden.defaultValue is " + document.surfCity.hiddenObj.defaultValue + "<BR>") msgWindow.document.write("password.defaultValue is " + document.surfCity.passwordObj.defaultValue + "<BR>") msgWindow.document.write("text.defaultValue is " + document.surfCity.textObj.defaultValue + "<BR>") msgWindow.document.write("textarea.defaultValue is " + document.surfCity.textareaObj.defaultValue + "<BR>") msgWindow.document.close() }

    Смотрите также свойство

  • value

    Объект document

    Измененный в Навигаторе 3.0

    Содержит информацию относительно текущего документа, и с помощью методов позволяет также выводит для пользователя на экран текст HTML.

    Синтаксис

    Чтобы определbть объект document, используйте стандарт HTML синтаксис:

    <BODY
   BACKGROUND="backgroundImage"
   BGCOLOR="backgroundColor"
   TEXT="foregroundColor"
   LINK="unfollowedLinkColor"
   ALINK="activatedLinkColor"
   VLINK="followedLinkColor"
   [onLoad="handlerText"]
   [onUnload="handlerText"]>
</BODY>
         BACKGROUND определяет фон документа.
    BGCOLOR, TEXT, LINK, ALINK, и VLINK - специфичиские цвета, выраженные как шестнадцатеричный триплет RGB (в формате "rrggbb" или "#rrggbb") или так как это один из строковых литералов, внесенных в список Цвета в JavaScript.

    Использование свойства объекта и методы document:

1. Document.propertyName
2. Document.methodName (параметры)
    PropertyName - один из свойствы, описанных ниже.
    MethodName - один из методов, описанных ниже.

    Свойство

  • window

    Описание

    HTML документ состоит из тегов <HEAD> И <BODY>. <HEAD> включает информацию относительно заголовка документа. Тег <BODY> содержит тело документа, который определен текущим URL. Все тело документа (все другие HTML элементы для документа) находятся внутри тега <BODY>.

    Вы можете загрузить новый документ используя объект location.

    Вы можете ссылаться на документа, используя anchors, forms или массив links. Этот массив содержат все каждого anchor, form, или link в документе.

    Связанные элементы

  • Свойства

    • AlinkColor отражает атрибут ALINK
    • anchor - массив, содержащий все якоря в документе
    • BgColor отражает атрибут BGCOLOR
    • cookie определяет cookie
    • FgColor отражает атрибут TEXT
    • form - массив, содержащий все формы в документе
    • LastModified отражает дату, когда последний раз документ был изменен
    • LinkColor отражает атрибут LINKS
    • link - массив, содержащий все links в документе
    • Referrer отражает URL вызывающего документа
    • title отражает содержание тега <TITLE >
    • URL отражает полный URL документа
    • VlinkColor отражает атрибут VLINK

    Следующие объекты - то же свойства объекта document:

    • anchor
    • form
    • history
    • link

  • Методы

    • close
    • open
    • write
    • writeln

  • Обработчики событий

    • Отсутствуют. Обработчики событий OnLoad и onUnload определены в теге <BODY>, хотя фактически они для объекта window.

    Примеры

    Следующий пример создает два фрейма, каждый содержит по одному документу. Документ в первой фрейме содержит ссылки к якорям в документе относительно второго фрейма.

    DOC0. HTML, который определяет фреймы, содержат следующий код:

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта Документа</TITLE> </HEAD> <FRAMESET COLS="30%,70%"> <FRAME SRC="doc1.html" NAME="frame1"> <FRAME SRC="doc2.html" NAME="frame2"> </FRAMESET>

    DOC1. HTML, который определяет, содержание первого фрейма, содержит следующий код:

    <SCRIPT> </SCRIPT> <BODY BGCOLOR="antiquewhite" TEXT="darkviolet" LINK="fuchsia" ALINK="forestgreen" VLINK="navy"> <P> <B>Некоторые связи</B> <LI> <A HREF="doc2.html#numbers" TARGET="frame2">Числа</A> <LI> <A HREF="doc2.html#colors" TARGET="frame2">Цвета</A> <LI> <A HREF="doc2.html#musicTypes" TARGET="frame2">Типы Музыки</A> <LI> <A HREF="doc2.html#countries" TARGET="frame2">Страны</A> </BODY>

    DOC2. HTML, который определяет, содержание второго фрейма, содержит следующий код:

    <SCRIPT> </SCRIPT> <BODY BGCOLOR="oldlace" onLoad="alert('Hello, World.')" TEXT="navy"> <P> <A NAME="numbers"><B>Некоторые числа</B></A> <LI> Один <LI> Два <LI> Три <LI> Четыре <LI> Пять <LI> Шесть <LI> Семь <LI> Восемь <LI> Девять <P> <A NAME="colors"><B>Некоторые цвета</B></A> <LI> Красный <LI> Оранжевый <LI> Желтый <LI> Зеленый <LI> Синий <LI> Фиолетовый <LI> Коричневый <LI> Черный <P> <A NAME="countries"><B>Некоторые страны</B></A> <LI> Афганистан <LI> Бразилия <LI> Канада <LI> Финляндия <LI> Индия <LI> Италия <LI> Япония <LI> Кения <LI> Мексика <LI> Нигерия </BODY>

    Смотрите также

  • Объекты frame и window

    Свойство E

    Основание натуральных логарифмов, значение приблизительно равно 2.718. Иногда ее еще называют Эйлеровой константой.

    Синтаксис

     Math. E

    Свойство

    Math

    Описание

    Поскольку E постоянен, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает Эйлерову постоянную:

    document.write("Euler's constant is " + Math.E)

    Смотрите также

  • Свойства LN2, LN10, LOG2E, LOG10E, PI, SQRT1_2, SQRT2

    Массив elements

    Массив объектов, соответствующих элементам формы (типа объектов checkbox, radio, и text) в исходном порядке.

    Синтаксис

1. formName.elements [index]
2. formName.elements.length

    formName является либо именем формы либо элемента в массиве form.
    index - целое число, представляющее объект в форме.

    Свойство

  • form

    Описание

    Вы можете ссылаться на элементы формы в вашем коде, используя массив elements. Этот массив содержит все объекта (button, checkbox, hidden, password, radio, reset, select, submit, text, или textarea object). Например, если форма имеет область text и два checkbox, то эти элементы отражены следующим образом formName.elements [0], formName.elements [1], и formName.elements [2].

userInfo.userName.value
userInfo.elements [0] .value

    Чтобы получить число элементов в форме, используйте свойство length: formName.elements.length. Каждая "радио" кнопка в объекте(цели) радио появляется как отдельный элемент в таблице элементов.

    Элементы в таблице elements только для чтения. Например, утверждение formName.elements [0] = "music" не имеет никакого результата.

    Свойства

  • length отражает число элементов в форме

    Примеры

    Смотрите примеры для свойства name.

    Смотрите также

  • Объект form

    Свойство elements

    Массив объектов, соответствующих элементов формы (типа объектов checkbox, radio, и text ) в исходном порядке. Смотрите массив elements.

    Свойство encoding

    Возвращает строку с типом кодирования MIME.

    Синтаксис

     FormName.encoding

    FormName является либо именем формы либо элемента в массиве form.

    Свойство

    form

    Описание

    Свойство encoding первоначально отражает атрибут ENCTYPE тега <FORM >, однако, управляя encoding отменяет атрибут ENCTYPE.

    Вы можете управлять свойством encoding в любое время.

    Некоторые значения свойства encoding могут требовать определенных значений для других свойствы формы.

    Примеры

    Следующая функция возвращает значение musicForm свойству encoding:

function getEncoding() {
 return document.musicForm.encoding
}

    Смотрите также

  • Свойства action, method, target

    Функция escape

    Возвращает ASCII-код своего аргумента в наборе символов ISO Latin-1.

    Синтаксис

     escape ("string")

    string - не-алфавитно-цифровой строка в наборе символов ISO Latin-1.

    Описание

    Функция Escape - не метод, связанный с любым объектом(целью), но - часть языка непосредственно.

    Значение, возвращенная функцией Escape - строка вида "%xx", где xx - десятичное число, представляющее код ASCII.

    Примеры

    Следующий пример

    <SCRIPT LANGUAGE="JAVASCRIPT">
<!-- hide
document.write(escape("&"),"<BR>")
document.write(escape("Hi!"),"<BR>")
document.write( escape("!#"))
// --> end of hide
</SCRIPT>
         возвращает следующие

    Смотрите также

  • Функцию unescape

    Функция eval

    Функция eval вычисляет строку как числовое выражение.

    Синтаксис

     eval (string)
     string - любая строка, представляющая выражение JavaScript, утверждение, или последовательность утверждений. Выражение может включать переменные и свойства существующих объектов.

    Описание

    Функция eval - встроенная JavaScript функция. Это - не метод, связанный с любым объектом, но - часть языка непосредственно.

    Аргумент функции eval - строка. Не вызовайте eval, чтобы вычислить арифметическое выражение. JavaScript вычисляет арифметические выражения автоматически. Если аргумент представляет выражение, eval вычисляет выражение.

    В случае получения строки функция eval пытается преобразовать ее в числовое выражение, затем вычисляет это выражение и возвращает получившийся результат.

    Примеры

    Пример 1. Оба из ниже приведенных утверждений показывают 42. Первый вычисляет строку " x + y + 1 ", а второй вычисляет строку "42".

var x = 2
var y = 39
var z = "42"
document.write(eval("x + y + 1"))
document.write(eval(z))

    Пример 2. В следующем примере, функция getFieldName (n) возвращает имя энного элемента формы как строку. Первое утверждение присваевает значение строке третьего элемента формы к переменной field. Второе утверждение использует eval, чтобы показать значение элемента формы.

var field = getFieldName(3)
document.write("The field named ", field, " has value of ",
   eval(field + ".value"))

    Пример 3. Следующий пример использует eval, чтобы вычислить строку str. Эта строка состоит из JavaScript утверждений, которые открывают диалоговое окно alert и присваивают z значение 42, если x - пять, и ноль иначе. Когда второе утверждение выполнено, то утверждения выполняються, и вычисляют набор утверждений и возвращают значение, которое присвоено z.

var str = "if (x == 5) {alert('z is 42'); z = 42;}
           else z = 0; "
document.write("
    z is ", eval(str))

    Пример 4. В следующем примере, функция setValue () использует eval, чтобы присвоить значение переменному newValue в текстовой области textObject.

function setValue (textObject, newValue) {
  eval ("document.forms[0]." + textObject + ".value") = newValue
}

    Метод exp

    Возвращает значение enumber, где number - аргумент, а e - постоянная Эйлера (основание натуральных логарифмов).

    Синтаксис

     Math.exp (number)
     number - любое числовое выражение.

    Метод

    Math

    Примеры

document.write("The value of e1 is " + Math.exp(1))

    Смотрите также

  • log

    на начало страницы


Определение и запрос функций

Документ готов.


Некоторые связи

  • Числа
  • Цвета
  • Типы Музыки
  • Страны


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Обработчики событий

  • onAbort
  • onBlur
  • onChange
  • onClick
  • onError
  • onFocus
  • onLoad
  • onMouseOut
  • onMouseOver
  • onReset
  • onSelect
  • onSubmit
  • onUnload

    Полное содержание


пример объекта selected

Нравится ли Вам эта страница?
 Вовсе нет.
Напрасная трата времени.
Самый плохой сайт в Сети.


Пример метода alert

Name:


A Simple Document

 Оглавление

Оглавление

Введение
Создание сценариев в Navigator
Объекты Navigator
Использование окон и фреймов

Языковые понятия

Переменные,Литералы
Выражения, операторы
Объектная модель
Встроеные объекты, Функции
Обзор утверждений

Справочник

Объекты
Методы, Функции
Свойства
Обработчик событий
Операторы
Зарезервированные слова
Цвета в JavaScript


A Simple Document

 Specify your music preferences (check all that apply):
R&B
Jazz
Blues
Newage


Checkbox object example

Last name:
First name:
City:

Convert fields to upper case


Пример abs

Enter a number:

The absolute value is:


Примеры форматирования строки


пример defaultChecked

Soul и R&B
Jazz
Classical


Пример1 объекта Date

Время:
Дата:


Пример метода complit

Выбери изображение:

Fishes
Fur-tree
Roud


пример условного оператора

Enter you age:
Result:


пример defaultSelected

Choose some music types, then click the button below:


пример defaultStatus

 Netscape


example defaultValue

Enter password:
City:

Descriptions:


Выберите цвет фона этого документа


Пример изменения фона

Alice Blue

Ochre

Papaya Whip


Пример оператора FOR

Choose some music types, then click the button below:


Пример объекта формы

First Name:
Last Name:


Пример объекта Формы

Введите 3 знака:


Пример объекта hidden

 Нажмите некоторые из этих объектов, затем нажмите кнопка"Display hidden value"
Посмотрите последнее значение нажатого объекта.

Soul и R&B Jazz Classical


индексные ссылки на примеры

алфавитный указатель примеров

a b c d e f g h i j l m n o p r s t

метод abs

  • пример:при использование метода abs, следующий пример, преобразует, введеное вами число, к абсолютному.
    • запуск примера: пример abs
    • код примера: код abs
вернуться к алфавиту

метод acos

  • запуск примера: пример acos
  • код примера: код acos
вернуться к алфавиту

метод alert

  • пример:в следующем примере обработчик событий onblur, вызывает функцию testvalue (), в которой метод alert используется для того чтобы пользователь ввел допустимое значение.
    • запуск примера: пример alert
    • код примера: код alert
вернуться к алфавиту

метод anchor

  • пример: следующий пример открывает окно msgwindow и создает anchor для оглавления .
    • запуск примера: пример anchor
    • код примера: код anchor
вернуться к алфавиту

метод asin

  • запуск примера: пример asin
  • код примера: код asin
вернуться к алфавиту

метод atan

  • запуск примера: пример atan
  • код примера: код atan
    вернуться к алфавиту

    метод atan2

    • метод. возвращает угол в полярных координатах (r, тета) которые соответствует указанным декартовым координатам (x, y).
    вернуться к алфавиту

    метод area

    • пример1:обработчики событий onmouseover и onmouseout в теге href объекта area выводит различные сообщения в строке состояния в зависимости от месторасположения указателя мышки.
      • запуск примера: пример1 area
      • код примера: код1 area
    • пример2:следующий пример использует атрибут href объекта area, чтобы выполнить функция setbgcolor, которая изменяет цвет фона документа в выбранный пользователем.цвет
      • запуск примера: пример2 area
      • код примера: код2 area
    вернуться к алфавиту

    объект array

    • позволяет вам создавать массивы и работать с ними.
    вернуться к алфавиту

    свойство action

    • пример:следующий пример создает книгу читательских отзывов.
      • запуск примера: пример action
      • код примера: код action
    вернуться к алфавиту

    свойство alinkcolor

    • пример1:следующий пример устанавливает цвет гиперссылки в цвет aqua, при использование строкового литерала.
      • запуск примера: пример alinkcolor
      • код примера: код alinkcolor
    • пример2:следующий пример устанавливает цвет гиперссылки в цвет mintcream, при использование шестнадцатеричного триплета.
      • запуск примера: пример alinkcolor
      • код примера: код alinkcolor
    вернуться к алфавиту

    свойство anchors

    • массив объектов, соответствующих якорям в исходном порядке.
    вернуться к алфавиту

    свойство appcodename

    • пример:следующий пример демонстрирует кодовое название вашего браузера.
      • запуск примера: пример appcodename
      • код примера: код appcodename
    вернуться к алфавиту

    свойство appname

    • пример:следующий пример показывает название вашего браузера.
      • запуск примера: пример appname
      • код примера: код appname
    вернуться к алфавиту

    свойство appversion

    • пример1:следующий пример показывает версию, используемого браузера.
      • запуск примера: пример appname
      • код примера: код appversion
    • пример2:пример использует свойство appversion, чтобы определить, под какой платформой работает пользователь, если пользователь работает в windows, то newline установливается в \r\n; иначе, в \n для unix и macintosh.
      • запуск примера: пример appversion
      • код примера: код appversion
    вернуться к алфавиту

    свойство arguments

    • определять массив arguments изнутри объекта function.
    вернуться к алфавиту

    метод back

    • загружает предыдущий url в списке хронологии.
    вернуться к алфавиту

    метод big

    • пример:увеличивает шрифт строки. этот метод идентичен тегу big.
      • запуск примера: пример big
      • код примера: код big
    вернуться к алфавиту

    метод blink

    • пример:метод аналогичен тегу blink.
      • запуск примера: пример blink
      • код примера: код blink
    вернуться к алфавиту

    метод blur

    • пример:следующий пример удаляет фокус из элемента password userpass.
      • запуск примера: пример blur
      • код примера: код blur
    вернуться к алфавиту

    объект button

    • пример:следующий пример создает кнопку calcbutton с именем calculate.обработчик событий onclick вызывате функцию calcfunction ().
      • запуск примера: пример button
      • код примера: код button
    вернуться к алфавиту

    свойство bgcolor

    • пример1:следующий пример устанавливает фон документа в aqua при использование строкового литерала и шестнадцатеричного триплета.
      • запуск примера: пример bgcolor
      • код примера: код bgcolor
    • пример2:следующий пример меняет цвет фона при использование переключателей.
      • запуск примера: пример bgcolor
      • код примера: код bgcolor
    вернуться к алфавиту

    метод border

    • следующая показывает значение свойства изображения border.
      • запуск примера: пример border
      • код примера: код border
    вернуться к алфавиту

    метод ceil

    • запуск примера: пример ceil
    • код примера: код ceil
    вернуться к алфавиту

    метод charat

    • следующий пример показывает различные символы из строки "выдерживают новый мир ".
      • запуск примера: пример charat
      • код примера: код charat
    вернуться к алфавиту

    метод cleartimeout

    • отключает таймер, установленный при помощи метода settimeout.
    вернуться к алфавиту

    метод click

    • эмулирует щелчок на объекте левой кнопкой мыши.
    вернуться к алфавиту

    метод close

    • следующий пример закрывает окно.
      • запуск примера: пример close
      • код примера: код close
    вернуться к алфавиту

    метод confirm

    • в этом примере при нажатие кнопки вызывается функция confirmcleanup(), в которой вызывается метод confirm, чтобы подтвердить, что пользователь действительно хочет выйти. если пользователь выбирает ok, то функция cleanup() закрывает приложение.
      • запуск примера: пример confirm
      • код примера: код confirm
    вернуться к алфавиту

    метод cos

    • запуск примера: пример cos
    • код примера: код cos
    вернуться к алфавиту

    объект checkbox

    • следующий пример показывает группу из четырех checkbox, которые все отмечены по умолчанию.
      • запуск примера: пример checkbox
      • код примера: код checkbox
    • следующий пример содержит форму с тремя текстовыми блоками и одним checkbox. checkbox позволяет пользователя выбрать, преобразовывать или нет текс к большому регистру. каждая текстовая область имеет обработчик событий onchange, который преобразует значение области , если флажок выбран. checkbox имеет обработчика событий onclick, который преобразовывает области, когда пользователь выбирает checkbox.
      • запуск примера: пример checkbox
      • код примера: код checkbox
    вернуться к алфавиту

    свойство checked

    • следующий пример устанавливает массив переключателей musictype в форме musicform. функция radioresetter() возвращает группу переключателей к ихисходному состоянию путем поиска и установки переключателя в положение по умолчанию.
      • запуск примера: пример checked
      • код примера: код checked
    вернуться к алфавиту

    свойство cookie

    • значение строки cookie, которая содержит небольшое количество информации, сохраненной navigator в файле cookies.txt.
    вернуться к алфавиту

    свойство complete

    • следующий пример показывает изображение и три переключателя. пользователь может щелкать переключатели, чтобы выбрать, какое изображение показано. щелчок другой кнопки позволяет пользователю, смотреть текущее значение свойства complete.
      • запуск примера: пример complete
      • код примера: код complete
    вернуться к алфавиту

    объект date

    • следующий скрипт, пичатает текущее дату и время
      • запуск примера: пример date
      • код примера: код date
    • следующий скрипт, пичатает текущее дату и идущее время
      • запуск примера: пример date
      • код примера: код date
    вернуться к алфавиту

    объект document

    • следующий пример создает два фрейма, документ в первой фрейме содержит ссылки к якорям во втором фрейма.
      • запуск примера: пример document
      • код примера: код document
    вернуться к алфавиту

    метод defaultchecked

    • следующий пример устанавливает массив переключателей musictype в форме musicform. функция radioresetter() возвращает группу переключателей к ихисходному состоянию путем поиска и установки переключателя в положение по умолчанию.
      • запуск примера: пример defaultchecked
      • код примера: код defaultchecked
    вернуться к алфавиту

    метод defaultselected

    • в следующем примере, функция restoredefault() возвращает объекту select musictype его состояние. цикл for использует массив выбора, чтобы вычислить каждый выбор в объекте select. оператор if устанавливает свойство selected, если defaultselected истинен.
      • запуск примера: пример defaultselected
      • код примера: код defaultselected
    вернуться к алфавиту

    метод defaultvalue

    • следующая функция вычисляет свойство defaultvalue объекта surfcity и показывает значение в окне msgwindow.
      • запуск примера: пример defaultvalue
      • код примера: код defaultvalue
    вернуться к алфавиту

    метод exp

    • запуск примера: пример exp
    • код примера: код exp
    вернуться к алфавиту

    объект elements

    • массив объектов, соответствующих элементам формы (типа объектов checkbox, radio, и text) в исходном порядке.
    вернуться к алфавиту

    свойство e

    • запуск примера: пример e
    • код примера: код e
    вернуться к алфавиту

    свойство encoding

    • возвращает строку с типом кодирования mime.
    вернуться к алфавиту

    свойство enabledplugin

    • возвращает ссылку к объекту plugin для plug-in, который обращается к типу mime, или null, если никакой plug-in не обращается к типу mime.
    вернуться к алфавиту

    функция escape

    • запуск примера: пример escape
    • код примера: код escape
    вернуться к алфавиту

    функция eval

    • функция eval вычисляет выражение и возвращает получившийся результат.
      • запуск примера: пример eval
      • код примера: код eval
    • в следующем примере, функция setvalue() использует eval, чтобы присвоить значение переменной newvalue текстовой области textobject.
      • запуск примера: пример eval
      • код примера: код eval
    вернуться к алфавиту

    метод fixed

    • следующий пример использует метод fixed для изменения строки.
      • запуск примера: пример fixed
      • код примера: код fixed
    вернуться к алфавиту

    метод floor

    • запуск примера: пример floor
    • код примера: код floor
    вернуться к алфавиту

    метод focus

    • передает фокус указанному элементу формы.
    вернуться к алфавиту

    метод fontcolor, fontsize

    • следующий пример использует методы small,fontsize, blink, bold, italics, stike, fontcolor для изменения размера цвета строки.
      • запуск примера: пример fontcolor
      • код примера: код fontcolor
    вернуться к алфавиту

    метод forward

    • загружает следующий документ из списка url, просмотренных за текущий сеанс.
    вернуться к алфавиту

    объект form

    • следующий пример создает форму form1, которая содержит текстовую область для имени и фамилии. форма также содержит две кнопки, которые изменяют имена. функция setcase показывает, как обращаться к форме при помощи ее именем.
      • запуск примера: пример form
      • код примера: код form
    • обработчик событий onload в следующем примере показывает имя первой формы в диалоговом окне.
      • запуск примера: пример form
      • код примера: код form
    • следующий пример содержит обработчик событий onsubmit и один текстовый объект, где пользователь вводит три символа. обработчик событий onsubmit вызывает функцию checkdata, которая возвращает true если символов - три; и false иначе. также onsubmit содержит утверждение return, которое возвращает значение, полученное обращением к функции.
      • запуск примера: пример form
      • код примера: код form
    • следующий пример подобен предыдущему, за исключением подчиненной формы, используя метод submit вместо объекта submit. обработчик событий onsubmit формы не предотвращает форму от утверждения. форма использует обработчик событий кнопки onclick, вызвает функцию checkdata. если значение верно, то функция checkdata подчиняет форму.
      • запуск примера: пример form
      • код примера: код form
    вернуться к алфавиту

    объект frame

    • следующий пример создает два окна, каждый с четырьмя фреймами. в первом окне, первый фрейм содержит кнопки, которые изменяют цвет фона фреймов в обоих окнах.
      • запуск примера: пример frame
      • код примера: код frame
    вернуться к алфавиту

    объект fileupload

    • следующий пример размещает объект fileupload и две кнопки на форму, которые позволяют пользователю, показывать текущии значения свойств name и value.
      • запуск примера: пример fileupload
      • код примера: код fileupload
    вернуться к алфавиту

    объект function

    • определяет строку кода javascript, которую нужно компилировать как функция.
    вернуться к алфавиту

    свойство fgcolor

    • строка, определяющая цвет текста документа.
    вернуться к алфавиту

    свойство forms

    • массив объектов, соответствующие формам созданных в тегах html в том же порядкя.
    вернуться к алфавиту

    свойство frames

    • массив объектов, соответствующий дочерним фреймам, созданные с помощью тега frameset.
    вернуться к алфавиту

    свойство filename

    • имя файла plug-in.
    вернуться к алфавиту

    метод getdate

    • возвращает число месяца.
      • запуск примера: пример getdate
      • код примера: код getdate
    вернуться к алфавиту

    метод getday

    • возвращает день недели как целое число от 0(воскресенье) до 6(суббота).
      • запуск примера: пример getday
      • код примера: код getday
    вернуться к алфавиту

    метод gethours

    • возвращает час суток.
      • запуск примера: пример gethours
      • код примера: код gethours
    • следующий код показывает различные изображения, в зависимости от время суток (замечание: утро - от 12 до 12 пополудни).
      • запуск примера: пример gethours
      • код примера: код gethours
    вернуться к алфавиту

    метод getminutes

    • возвращает минуты как целое число в диапозоне от 0 до 59.
      • запуск примера: пример getminutes
      • код примера: код getminutes
    вернуться к алфавиту

    метод getmonth

    • возвращает номер месяца в году.
      • запуск примера: пример getmonth
      • код примера: код getmonth
    вернуться к алфавиту

    метод getseconds

    • возвращает число секунд текущего времени.
      • запуск примера: пример getseconds
      • код примера: код getseconds
    вернуться к алфавиту

    метод gettime

    • возвращает целое число, представляющее собой текущее значение объекта date.
      • запуск примера: пример gettime
      • код примера: код gettime
    вернуться к алфавиту

    метод gettimezoneoffset

    • возвращает разницу в минутах между местным временем клиента и гринвическим (gmt).
      • запуск примера: пример gettimezoneoffset
      • код примера: код gettimezoneoffset
    вернуться к алфавиту

    метод getyear

    • возвращает год указанной даты.
      • запуск примера: пример getyear
      • код примера: код getyear
    вернуться к алфавиту

    метод go

    • кнопка go в примере переходит к самомой ближайшей странице в списке history, который содержит строку "home.netscape.com":
      • запуск примера: пример go
      • код примера: код go
    вернуться к алфавиту

    объект hidden

    • следующий пример использует объект hidden, который хранит имя последнего объекта. форма содержит кнопку, в которой обработчик событий onclick показать значение объекта hidden в диалоговом окне alert.
      • запуск примера: пример hidden
      • код примера: код hidden
    • в следующем примере каждый раз, когда вызывается функция setretry, значение объекта failedtries типа hidden, увеличевается на единицу. это один из примеров гибкости типов переменных javascript.
      • запуск примера: пример hidden
      • код примера: код hidden
    вернуться к алфавиту

    объект history

    • список ранее просмотренных страниц, аналогично пункту меню go браузера.
    вернуться к алфавиту

    свойство hash

    • возвращает часть url, начинающуюся с символа (#).
    вернуться к алфавиту

    свойство host

    • строка, определяющая свойства url hostname и port.
    вернуться к алфавиту

    свойство hostname

    • строка, определяющая имя домена или ip-адрес url.
    вернуться к алфавиту

    свойство href

    • в следующем примере, утверждение window.open создает окно newwindow и загружает в него указанный url. утверждение document.write показываtт все свойства newwindow.location в окне msgwindow.
      • запуск примера: пример href
      • код примера: код href
    вернуться к алфавиту

    свойство height

    • следующая функция показывает значения свойства изображения height , width, hspace, и vspace.
      • запуск примера: пример height
      • код примера: код height
    вернуться к алфавиту

    свойство hspace

    • строка, определяющая поле в пикселях между левыми и правильными гранями изображения и текста окружения.
    вернуться к алфавиту

    метод indexof

    • следующий пример использует indexof, и lastindexof, чтобы разместить значение в строке "brave new world".
      • запуск примера: пример indexof
      • код примера: код indexof
    • в функции test2(form), вы получите сообщение об ошибке, если предоставленная вами строка пуста, или в ней отсутствует символ @.
      • запуск примера: пример indexof
      • код примера: код indexof
    вернуться к алфавиту

    функция isnan

    • следующий пример вычисляет floatvalue, чтобы определить,является ли оно числом, и если нет то выводит сообщение.
      • запуск примера: пример isnan
      • код примера: код isnan
    вернуться к алфавиту

    метод italics

    • следующий пример использует методы small,fontsize, blink, bold, italics, stike, fontcolor для изменения размера цвета строки.
      • запуск примера: пример italics
      • код примера: код italics
    вернуться к алфавиту

    объект image

    • определяет изображение на форме.
    вернуться к алфавиту

    свойство index

    • целое число, представляющее индекс элемента в объекте select.
    вернуться к алфавиту

    метод javaenabled

    • определяет, допускается ли java.
    вернуться к алфавиту

    метод join

    • следующий пример создает массив, с тремя элементами, затем соединяет массив три раза: используя заданного по умолчанию разделителя, затем запятую и пробел, и затем плюс.
      • запуск примера: пример join
      • код примера: код join
    вернуться к алфавиту

    метод lastindexof

    • следующий пример использует indexof, и lastindexof, чтобы разместить значение в строке "brave new world".
      • запуск примера: пример lastindexof
      • код примера: код lastindexof
    вернуться к алфавиту

    метод link

    • следующий пример выводит гиперссылку "netscape", которая возвращает пользователю netscape home page.
      • запуск примера: пример link
      • код примера: код link
    вернуться к алфавиту

    метод log

    • запуск примера: пример log
    • код примера: код log
    вернуться к алфавиту

    объект link

    • следующий пример создает гиперссылку к url. набор переключателей позволяют пользователю, выбрать из трех url один. обработчик событий onclick ссылки устанавливает url (href свойство link). сслка также имеет обработчик событий onmouseover, который изменяет свойство состояния окна.
      • запуск примера: пример link
      • код примера: код link
    • следующий пример открывает netscape home page в окне newwindow. функция linkgetter () использует массив links, чтобы показать значение каждой из ее ссылок.
      • запуск примера: пример link
      • код примера: код link
    вернуться к алфавиту

    объект location

    • содержит информацию относительно url текущего документа.
    вернуться к алфавиту

    свойство lastmodified

    • следующий пример показывает дату последней модификации данной страницы.
      • запуск примера: пример lastmodified
      • код примера: код lastmodified
    вернуться к алфавиту

    свойство linkcolor

    • строка, определяющая цвет гиперссылки документа.
    вернуться к алфавиту

    свойство length

    • целое число, которое определяет связанную длиной особенность вызывающего объекта или таблицы.
    вернуться к алфавиту

    свойство links

    • массив объектов link.
    вернуться к алфавиту

    свойство ln2

    • следующий пример показывает натуральный логарифм числа 2.
      • запуск примера: пример ln2
      • код примера: код ln2
    вернуться к алфавиту

    свойство ln10

    • следующий пример показывает натуральный логарифм числа 10
      • запуск примера: пример ln10
      • код примера: код ln10
    вернуться к алфавиту

    свойство log2e

    • следующий пример показывает логарифм с основанием 2 числа e.
      • запуск примера: пример log2e
      • код примера: код log2e
    вернуться к алфавиту

    свойство log10e

    • следующий пример показывает логарифм с основанием 10 числа e.
      • запуск примера: пример log10e
      • код примера: код log10e
    вернуться к алфавиту

    свойство lowsrc

    • строка, определяющая изображение более низкого разрешения, которое нужно отобразить в документе.
    вернуться к алфавиту

    метод max

    • возвращает наибольшее из двух чисел.
      • запуск примера: пример max
      • код примера: код max
    вернуться к алфавиту

    метод min

    • возвращает наименьшее из двух чисел.
      • запуск примера: пример min
      • код примера: код min
    вернуться к алфавиту

    объект math

    • встроенный в javascript объект, дающий доступ к математическим константам и функциям.
    вернуться к алфавиту

    свойство method

    • отражает значение атрибута method тега form.
    вернуться к алфавиту

    свойство mimetypes

    • массив всех типов mime, обеспечиваемых клиентом.
    вернуться к алфавиту

    метод navigator

    • содержит информацию относительно версии используемого navigator.
    вернуться к алфавиту

    свойство name

    • в следующем примере, функция valuegetter() использует цикл for. окно msgwindow показывает имена всех элементов в форме.
      • запуск примера: пример name
      • код примера: код name
    • в следующем примере, первое утверждение создает окно netscapewin. второе утверждение показывает значение "netscapehomepage" в диалоговом окне alert.
      • запуск примера: пример name
      • код примера: код name
    вернуться к алфавиту

    обработчик событий onblur

    • в следующем примере обработчик событий onblur вызывает функцию required(),чтобы подтвердить, что username имеет правильное значение.
      • запуск примера: пример onblur
      • код примера: код onblur
    • следующий пример создает четыре фрейма. источник для каждого фрейма, onblur2.html имеет тег body с обработчиками события onblur и onfocus. когда документ загружен, все фреймы - "lightgrey". когда пользователь нажимает на фрейм, обработчик события onfocus изменяет фоновый цвет фрейма на "antiquewhite". фрейм, который теряет фокус, изменен на "lightgrey". обратите внимание, что обработчики события onblur и onfocus - внутри тега body, а не тега frame
      • запуск примера: пример onblur
      • код примера: код onblur
    • следующий код имеет тот же самый эффект что и предыдущий код, но выполнен по-другому. обработчики события onfocus и onblur связаны с фреймом, а не с документом. обработчики события onblur и onfocus для фрейма определены, устанавливая свойства onblur и onfocus.
      • запуск примера: пример onblur
      • код примера: код onblur
    вернуться к алфавиту

    обработчик событий onchange

    • в следующем примере обработчик событий onblur вызывает функциею checkvalue(), которая проверяет правильность введеного значения в текстовую область username.
      • запуск примера: пример onchange
      • код примера: код onchange
    вернуться к алфавиту

    обработчик событий onfocus

    • следующий пример обработчик onfocus выделяет элемент и находящийся в нем текст объекта text при использование метода select.
      • запуск примера: пример onfocus
      • код примера: код onfocus
    вернуться к алфавиту

    обработчик событий onload

    • в следующем примере, обработчик событий onload показывает сообщение, после загрузки страницы.
      • запуск примера: пример onload
      • код примера: код onload
    вернуться к алфавиту

    обработчик событий onmouseover

    • следующий пример при помощи обработчиков событий onmouseover onmouseout изменяет гиперрсылки.
      • запуск примера: пример onmouseover
      • код примера: код onmouseover
    вернуться к алфавиту

    обработчик событий onsubmit

    • например если вы хотите проверить форму прежде, чем она будет отправлена по сети, то для этого можете воспользоваться программой обработки событий onsubmit. вы должны поместить вызов этой программы в тэг form.
      • запуск примера: пример onsubmit
      • код примера: код onsubmit
    вернуться к алфавиту

    обработчик событий onclick

    • обработчик события onclick отображает подтверждение, которое предупреждает пользователя, что отмеченный checkbox очищает все файлы. если пользователь выбирает отмену, обработчик события возвращает false.
      • запуск примера: пример onclick
      • код примера: код onclick
    вернуться к алфавиту

    обработчик событий onerror

    • следующий пример определяет функцию myonerror, которая прерывает javascript ошибки. функция использует три массива, чтобы сохранить сообщение, url, и номер строки для каждой ошибки. когда пользователь нажимает кнопку display error report, функция displayerrors() открывает окно и создает отчет об ошибках в этом окне.
      • запуск примера: пример onerror
      • код примера: код onerror
    • в теге img, обработчик события onerror вызывает функцию badimage(), если существуют ошибки, когда изображение загружается.
      • запуск примера: пример onerror
      • код примера: код onerror
    вернуться к алфавиту

    обработчик событий onload

    • следующий пример создает два объекта image, один при помощи image(), а другой при помощи тега img. каждый объект image имеет обработчик события onload, который вызывает функцию displayalert(), выводящая сообщение. для изображения, созданного в теге img, alert отображает имя изображения. для изображения, созданного, как image(), alert отображает сообщение без имени изображения.
      • запуск примера: пример onload
      • код примера: код onload
    вернуться к алфавиту

    обработчик событий onreset

    • следующий пример отображает объект text со значением по умолчанию "приблизительно" и кнопку reset. если пользователь напечатает в объекте text и затем нажимет кнопку сброса, первоначальное значение "приблизительно" восстанавливается. onreset обработчик события формы отображает сообщение, указывающее, что значения по умолчанию были восстановлены.
      • запуск примера: пример onreset
      • код примера: код onreset
    вернуться к алфавиту

    метод parse

    • преобразует строку даты типа "jan 11,1996" в количество миллисекунд, прошедших с полуночи 1 января 1970.
      • запуск примера: пример parse
      • код примера: код parse
    вернуться к алфавиту

    метод pow

    • возвращает основание, возведенное в степень, т.е base exponent .
      • запуск примера: пример pow
      • код примера: код pow
    вернуться к алфавиту

    метод prompt

    • отображает диалоговое окно ввода пользователя .
      • запуск примера: пример prompt
      • код примера: код prompt
    вернуться к алфавиту

    свойство pi

    • возвращает значение числа pi, приблизительно равное 3.14159.
      • запуск примера: пример pi
      • код примера: код pi
    вернуться к алфавиту

    функция parsefloat

    • анализирует строковый аргумент и возращает число с плавающей точкой.
      • запуск примера: пример parsefloat
      • код примера: код parsefloat
    вернуться к алфавиту

    функция parseint

    • анализирует строковый аргумент и возвращает целое число, основанное на указанной системе счисления.
      • запуск примера: пример parseint
      • код примера: код parseint
    вернуться к алфавиту

    метод round

    • возвращает число, округленное до ближайщего целого.
      • запуск примера: пример round
      • код примера: код round
    вернуться к алфавиту

    метод reverse

    • следующий пример создает массив myarray, содержащий три элемента, и затем перемещает массив.
      • запуск примера: пример reverse
      • код примера: код reverse
    вернуться к алфавиту

    объект radio

    • следующий пример определяет три переключателя с именем name = "musicchoice", формируя группу кнопок из которых можно сделать только один выбор. обработчик событий onclick определяет область, которую выбрал пользователь.
      • запуск примера: пример radio
      • код примера: код radio
    • следующий пример содержит форму с тремя текстовыми блоками и тремя переключателями, которыепреобразовывают текс к верхнему регистру, к нижнему регистру или не преобразовывают вообще. каждая текстовая область имеет обработчик событий onchange, который преобразует значение области, в зависимости от выбора переключателя. переключатель для верхнего регистра и нижнего регистра имеют обработчик событий onclick, который преобразует область.
      • запуск примера: пример radio
      • код примера: код radio
    вернуться к алфавиту

    объект reset

    • следующий пример показывает текстовый объект со значением по умолчанию "ca" и кнопкой reset "clear form ". если пользователь изменяет значение в текстовом объекте state, то после нажатия кнопки "clear form" восстанавливается первоначальное значение "ca".
      • запуск примера: пример reset
      • код примера: код reset
    • следующий пример показывает два текстовых объекта, объект select, и три переключателя; все эти объекты имеют первоночальное значение. форма также содержит кнопку reset, которая восстанавливает заданное значение по умолчанию.
      • запуск примера: пример reset
      • код примера: код reset
    вернуться к алфавиту

    свойство referrer

    • url документа, который привел к текущему документу.
      • запуск примера: пример referrer
      • код примера: код referrer
    вернуться к алфавиту

    метод select

    • следующий пример при использование обработчика onfocus выделяет элемент и находящийся в нем текст объекта text при использование метода select.
      • запуск примера: пример select
      • код примера: код select
    вернуться к алфавиту

    метод setdate

    • устанавливает день месяца для указанной даты.
      • запуск примера: пример setdate
      • код примера: код setdate
    вернуться к алфавиту

    метод sethours

    • устанавливает час для текущего времени.
      • запуск примера: пример sethours
      • код примера: код sethours
    вернуться к алфавиту

    метод setminutes

    • устанавливает минуты для текущего времени.
      • запуск примера: пример setminutes
      • код примера: код setminutes
    вернуться к алфавиту

    метод setseconds

    • устанавливает секунды для данного времени.
      • запуск примера: пример setseconds
      • код примера: код setseconds
    вернуться к алфавиту

    метод settime

    • устанавливает значение объекта date.
      • запуск примера: пример settime
      • код примера: код settime
    вернуться к алфавиту

    метод settimeout

    • следующий пример показывает сообщение alert через 5 секунды (5,000 миллисекунд) после того, как пользователь нажимает кнопку. если пользователь нажимает вторую кнопку прежде, чем появилось сообщение, то блокировка по времени отменяется, и сообщение не показывается.
      • запуск примера: пример settimeout
      • код примера: код settimeout
    • вызов функции startclock в нижеприведенном примере запускает бесконечный цикл, который устанавливает промежуток времени в 1 секунду для вывода очередного значения времени.
      • запуск примера: пример settimeout
      • код примера: код settimeout
    • вызов функции startclock в нижеприведенном примере запускает бесконечный цикл, в котором таймер сбрасывается, затем на экран выводится текущее время и, наконец, заново устанавливается промежуток времени в 1 секунду для вывода очередного значения времени.
      • запуск примера: пример settimeout
      • код примера: код settimeout
    вернуться к алфавиту

    метод setyear

    • устанавливает год для указанной даты.
      • запуск примера: пример setyear
      • код примера: код setyear
    вернуться к алфавиту

    метод sin

    • возвращает синус аргумента.
      • запуск примера: пример sin
      • код примера: код sin
    вернуться к алфавиту

    метод small

    • следующий пример использует методы small,fontsize, blink, bold, italics, stike, fontcolor для изменения размера цвета строки.
      • запуск примера: пример small
      • код примера: код small
    вернуться к алфавиту

    метод sqrt

    • возвращает квадратный корень аргумента.
      • запуск примера: пример sqrt
      • код примера: код sqrt
    вернуться к алфавиту

    свойство sqrt1_2

    • квадратный корень из 0.5, приблизительно равно 0.707
      • запуск примера: пример sqrt1_2
      • код примера: код sqrt1_2
    вернуться к алфавиту

    свойство sqrt2

    • квадратный корень из числа два, приблизительно равно 1.414.
      • запуск примера: пример sqrt2
      • код примера: код sqrt2
    вернуться к алфавиту

    свойство status

    • определяет текст основного или кратковременного сообщения в строке состояния внизу окна.
      • запуск примера: пример status
      • код примера: код status
    вернуться к алфавиту

    метод strike

    • следующий пример использует методы small,fontsize, blink, bold, italics, stike, fontcolor для изменения размера цвета строки.
      • запуск примера: пример strike
      • код примера: код strike
    вернуться к алфавиту

    метод sup

    • форматирует строковый объект как верхний индекс, аналогично использованию тега sup.
      • запуск примера: пример sup
      • код примера: код sup
    вернуться к алфавиту

    метод sub

    • форматирует строковый объект как нижний индекс, аналогично использованию тега sub.
      • запуск примера: пример sub
      • код примера: код sub
    вернуться к алфавиту

    метод substring

    • возвращает часть строкового объекта в зависимости от двух индексов.
      • запуск примера: пример substring
      • код примера: код substring
    вернуться к алфавиту

    метод split

    • разбивает объект string в массив строк, разделяя строку в подстроки.
      • запуск примера: пример split
      • код примера: код split
    вернуться к алфавиту

    метод scroll

    • следующий код, в первом фрейме, пролистыват второй фрейм. два объекта text позволяют пользователю вводить координаты y и x. когда пользователь нажимает кнопку go, документ во втором фрейме прокручивается к определенным координатам.
      • запуск примера: пример scroll
      • код примера: код scroll
    вернуться к алфавиту

    метод sort

    • следующий пример создает четыре массива и отображает первоначальный массив, затем массивы сортируются. числовые массивы сортируются без, а затем со, сравнивающейся функция.
      • запуск примера: пример sort
      • код примера: код sort
    вернуться к алфавиту

    объект selected

    • в следующем пример пользователь выбирает из двух списков месяц и день, которые инициализированы к текущей дате. текстовые области в форме показывают значения свойства объекта select и указывают выбранную дату.
      • запуск примера: пример selected
      • код примера: код selected
    вернуться к алфавиту

    свойство src

    • следующий пример отображает изображение и три переключателя. пользователь может нажимать переключатели, чтобы выбрать, какое изображение отображать. каждое изображение использует свойство lowsrc, чтобы отобразить изображение низкого разрешения.
      • запуск примера: пример src
      • код примера: код src
    вернуться к алфавиту

    метод tan

    • возвращает тангенс аргумента.
      • запуск примера: пример tan
      • код примера: код tan
    вернуться к алфавиту

    метод tostring

    • следующий код создает массив и преобразовывает его в строку.
      • запуск примера: пример tostring
      • код примера: код tostring
    • следующий пример чисела от 0 до 9 в десятичном и двоичном исчеслениях.
      • запуск примера: пример tostring
      • код примера: код tostring
    вернуться к алфавиту

    объект text

    • следующий пример создает два объекта text. каждый объект имеет значение по умолчанию. объект city имеет обработчик событий onfocus. объект state имеет обработчик событий onchange, который форматирует значение к большому регистру.
      • запуск примера: пример text
      • код примера: код text
    вернуться к алфавиту

    оператор typeof

    • возвращает строку, указывающая тип неоцененного операнда.
      • запуск примера: пример typeof
      • код примера: код typeof
    • оператор typeof для true и null.
      • запуск примера: пример typeof
      • код примера: код typeof
    • для числа или строки.
      • запуск примера: пример typeof
      • код примера: код typeof
    • для значений свойств, оператор typeof возвращает тип значения, содержащего свойства.
      • запуск примера: пример typeof
      • код примера: код typeof
    • для методов и функций.
      • запуск примера: пример typeof
      • код примера: код typeof
    • для объектов.
      • запуск примера: пример typeof
      • код примера: код typeof
    вернуться к алфавиту


пример объекта selected

Введите Ваш адрес e-mail:


Пример link

Choose a destination from the following list, then click"Click me" below.
Netscape home page
Sun home page
RFC 1867

Click me


 пример сдвига влево


 пример оператора not


Удалить файлы


Пример onReset

Состояние:


пример объекта selected

Telephone:


 пример or


 пример оператора присваивания (побитовые рператоры)


Пример объекта hidden

Soil и R&B Jazz Classical


Radio object example

Last name:
First name:
City:

Convert values to:
Upper case
Lower case
No conversion


Пример reset

State:


Пример объекта reset

Город:

State:

Soul и R&B
Jazz
Classical


Пример reset

Введите CA или AZ:


пример объекта selected

Выберите месяц и день: Месяц: День:

Установите дату: New Year's Day Cinco Mayo Летнее солнцестояние

Property values:
Выбранная Дата:
monthSelection.length
DaySelection.length
monthSelection.name
DaySelection.name
monthSelection.selectedIndex
DaySelection.selectedIndex
Is it Cinco de Mayo?


пример объекта selected

Click the button on the left for a reminder in 5 seconds; click the button on the right to cancel the reminder before it is displayed.


Пример src

Выберите изображение:
F-15 Орел
F-15 Орел 2
АХ -64 Apache


пример status

 Go Netscape!


пример объекта text

Город:
Государство:


Пример file

Отправить файл:

Получены следующие свойства


Пример печати

This is some text.


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

JavaScript Выражения и Операторы

  • Выражения
  • Операторы
    • Арифметические Операторы
    • Побитовые Операторы
    • Логические операторы
    • Операторы Сравнения
    • Операторы Строки
    • Старшинство Оператора

Выражения

Выражение - любой имеющий силу набор литералов, переменных, операторов, и выражений, которые вычисляю простое значение. Значение может быть число, строка, или логическое значение. Существует два типа выражений: которые присваивают значение переменной, и которые вычисляют выражение без присваивания его переменной. Например, выражение

x = 7

Является выражением, которое приписывает x значение 7. Это выражение вычисляет 7. Такие выражения используют операторы присвоения. С другой стороны, выражение

3 + 4

Просто вычисляет 7; оно не выполняет присвоения. Операторы используемые в таких выражениях, упоминаются просто как операторы.

JavaScript имеет следующие выражения:

  • Арифметические: например, вычисляет число
  • Строковые: вычисляют строку символов, например "Джон" или "234"
  • Логические: вычисляют true(истина) или false(ложь)

Язык JavaScript включает в себя значение null для переменных, которым не присвоено никакое значение. Любая попытка использовать переменную, имеющую значение null, в вычисляемом выражении приводит к ошибке, за исключением случая присваивания значения null переменной, например timerID = null.

Условные Выражения

Условное выражение может иметь одну из двух значений, основанных на условии. Синтаксис

 (Условие)? Val1: val2

Если условие истинно, то выражение имеет значение val1, иначе имеет значение val2.

Например,

status = (age >= 18) ? "adult" : "minor" Это утверждение присваивает значение "adult" переменной status, если age равно 18 или больше чем 18. Иначе, приписывает значение "minor" переменной status.

Операторы Присваивания (=, + =, - =, * =, / =)

Оператор присваивает значение левому операнду, основанному на значении правого операнда. Основной оператор присваивания равенство (=), который присваивает значение правого операнда левому операнду. То есть x = y приписывает значение y к x.

Другие операторы - стенография для стандартных арифметических действий выглядят следующим образом:

  • Сложение, конкатенация:X + = y означает x = x + y
  • Вычитание:x - = y означает x = x - y
  • Умножение:X * = y означает x = x * y
  • Деление:X / = y означает x = x / y
  • Вычисление остатка от деления: X % = y означает x = x % y

Имеются дополнительные операторы присваивания для побитовых операторов

  • Побитовый сдвиг влево: X <<=y означает x=x<<y
  • Побитовый сдвиг вправо: x>>=y означает x=x>>y
  • Побитовый сдвиг вправо с заполнением нулями x>>>=y означает x=x>>>y
  • Побитовое И x&=y Означает x = x и y
  • Исключающее побитое ИЛИ x^=y означает x = x ^ y
  • Побитовый ИЛИ x|=y означает x = x | y

Операторы

JavaScript имеет арифметические, строковые и логические операторы. Имеет, и бинарные и унарные операторы. Бинарный оператор требует двух операндов, унарный перед оператором и одним после оператора:

Operand1 operator operand2

Например, 3 + 4 or x * y

Унарный оператор требует одного операнда, до или после оператора:

operator operand

Или

operand operator

Например x ++ или ++ x.

Арифметические Операторы

Арифметические операторы принимают численные значения (литералы или переменные) как их операнды и возвращают числовое значение.

Стандартные Арифметические Операторы

Стандарт Арифметические операторы - сложение (+), вычитание (-), умножение (*), и деление (/). Эти операторы работают стандартным способом.

Модуль (%)

Оператор модуля используется следующим образом:
Var1 % var2

Оператор модуля возвращает первый операнд по модулю второго операнд, то есть var1 по модулю var2, где var1 и var2 - переменные. Функция по модулю - это остаточный член от деления var1 на var2. Например, 12 % 5 возвращается 2.

Инкримент (++)

Оператор инкримент используется следующим образом:
var++ или ++var

Этот оператор увеличивает его операнд и возвращает значение. Если используемый постфикс, с оператором после операнда (например x ++), то возвращает значение перед увеличением. Если используемый префикс с оператором перед операндом (например, ++ x), то возвращает значение после увеличения.

Например, если x - 3, то утверждение

y = x ++

Увеличивает x до 4 и присваивает y равное 3.

Если x - 3, то утверждение

y = ++ x

Увеличивает x до 4 и присваивает y равное 4.

Декремент (--)

Оператор декремента используется следующим образом:

var-- или --var

Этот оператор уменьшает его операнд и возвращает значение. Если используемый постфикс (например x--) то возвращает значение перед уменьшением. Если используемый префикс (например, --x), то возвращает значение после уменьшения.

Например, если x - 3, то утверждение

y = x --

Уменьшает x до 2 и присваивает y равное 3.

Если x - 3, то утверждение

y = -- x

Уменьшает x до 2 и присваивает y равное 2.

Унарное вычитание (-)

Унарный оператор вычитания должен предшествовать его операнду. Например,

x = -x

Вычитает значение x; например, если бы x был равен 3, то стал бы равным -3.

Побитовые Операторы

Побитовые операторы воздействуют на операнды как набор битов (0 и 1). Например, десятичное число 9 имеет двоичное представление 1001. Побитовые операторы выполняют действия на таких двоичных представлениях, но они возвращают стандартное JavaScript численное значение.

Побитовые Логические операторы

Побитовые логические операторы работают следующим образом:

  • Операнды преобразованы в 32-битные целые числа, и выражения строк битов (0 и 1).
  • Каждый бит в первом операнде соединен с соответствующим битом во втором операнде: первый бит к первому биту, второй бит ко второму биту, и так далее.
  • Оператор применяется к каждой паре битов, и результат создан побитовым.

Побитовые операторы:

  • Побитовый И & возвращает 1, если оба операнда 1.
  • Побитовый ИЛИ | возвращает 1, если любой операнд 1.
  • Исключающее побитовое ИЛИ ^ возвращает 1, если есть 1 но не оба операнда 1.

Например, бинарное представление 9 - 1001, и бинарное представление 15 - 1111. Так, когда побитовые операторы применяются к этим значениям, то результаты выглядят следующим образом:

  • 15 & 9 возвращает 9 (1111 & 1001 = 1001)
  • 15 | 9 возвращает 15 (1111 | 1001 = 1111)
  • 15 ^ 9 возвращает 6 (1111 ^ 1001 = 0110)

Побитовые Операторы сдвига

Побитовые операторы сдвига:

  • Сдвит влево (<<)
  • Сдвиг вправо (>>)
  • Сдвиг вправо с заполнением нулями (>>>)

Операторы сдвига присваивает два операнда: первый - количество на которое будет сдвинуто, и второй определяет число битовых положений, которыми первый операнд должен быть сдвинут. Направление действия сдвига управляется использующим оператором.

Операторы сдвига преобразуют операнды к 32-битное целое число, и возвращают результат того же самого типа что и левый оператор.

Сдвит влево (<<)

Сдвиг влево перемещает все биты влево на количество позиций, указанных в правой части выражения, заполняя освободившиеся позиции нулямию

Например, 9<<2 возвращает 36, потому что 1001 сдвигается на 2 бита влево и становится равным 100100, что равно в дисятеричной системе 36.

Сдвиг вправо (>>)

Cдвиг вправо заполняет освободившиеся слева позиции значением самого левого бита исходного значения.

Например, 9 >> 2 возвращает 2, потому что 1001 сдвигается на два бита вправо и становится 10, что равно в дисятеричной системе 2. Аналогично, -9 >> 2 возвращает -3, потому что знак сохраняется.

Сдвиг вправо с заполнением нулями (>>>)

Сдвиг вправо с заполнением нулями работает аналогично сдвигу влево, только в противоположном направлении.

Например, 19>>>2 возвращает 4, потому что 10011 сдвигается на два бита вправо и становятся 100, что равно в дисятеричной системе 4. Для postive чисел, ноль - заполняет правый сдвиг, и распространяющийся знак сдвигается вправо выдает тот же самый результат.

Логические операторы

Логические операторы принимают логические (Булевы) значения как операнды. Они возвращают логическое значение. Логические значения true(истина) и false(ложь).

И (&&)

Использование: expr1 && Expr2

Логический "и" возвращает оператор true, если оба логических выражения и expr1 и expr2 true. Иначе, возвращается false.

Или (||)

Использование: expr1 || expr2

Логический "или" возвращает оператор true, если хотя бы одно из логических выражений или expr1 или expr2 true. Если и expr1 и expr2 false, то это возвращается false.

Нет (!)

Использование:! Expr

Логический оператор "нет" - унарный оператор, который отрицает выражение операнда expr. То есть если expr true, то возвращает false, и если expr false, то возвращает true.

Вычисление...

Так как логические выражения вычисляются слева направо, то они проверены для возможного вычисления "короткой цепи", используя следующее правило:

  • false && Какая - нибудь - короткая цепь, оцененная как false.
  • true || Какая - нибудь - короткая цепь, оцененная как true.

Логическое правило гарантирует, что эти вычисления будут всегда правильными.

Операторы Сравнения (==, >, >, =<, <=,!=)

Оператор сравнения сравнивает его операнды и возвращает логическое значение, основанное на том, является ли сравнение true или false. Операнды могут быть численными или строковыми значениями. Когда используется на строковых значениях, то сравнения основывается на стандартном лексикографическом порядке.

Операторы:

  • Равно (==): возвращает true, если операнды равны.
  • Не равно (!=): возвращает true, если операнды не равны.
  • Больше чем (>): возвращает true, если левый операнд больше чем правый операнд. Пример: x>y возвращает true, если x больше чем y.
  • Больше или равно чем (>=): возвращает true, если левый операнд больше чем или равен правому операнду. Пример: x>=y возвращает true, если x больше или равен чем y.
  • Меньше чем (<): возвращает true, если левый операнд - меньше чем правый операнд. Пример: x<y возвращает true, если x - меньше чем y.
  • Меньше или равно чем (< =): возвращает true, если левый операнд - меньше или равен правому операнду. Пример: x<= y возвращает true, если x - меньше или равен y.

Операторы Строки

В дополнение к операторам сравнения, которые могут использоваться на значениях строк, оператор конкатенации (+), суммирует две строки вместе, возвращая другую строку, которая является соединением двух строк операнда. Например,

"my " + "string"

Возвращает строку

"my string"

Оператор происвоения += может также использоваться, чтобы конкатенировать строки. Например, если переменнай mystring - строка, которая имеет значение "alpha", затем выражение

 Mystring + = "bet"
Вычисляет как "alphabet" и приписывает это значение mystring.

Старшинство Оператора

Старшинством операций называется порядок, в котором выполняются операции в сложных выражениях. Операции на одном уровне имеют равное старшинство. Вычисления производятся слева направо для всех бинарных операций, начиная с операций, перечисленных в верхней части списка, и заканчивая операциями в нижней части.

Старшинство операторов, от самого низкого до самого высокого будут следующие:

Запятая,
Присвоение =+=-=*=/=%=<<=>>=>>>=&=^=|=
Выбор по условию ? :
Логическое ИЛИ ||
Логическое И &&
Побитовы ИЛИ |
Побитовый исключающее ^
Побитовое И &
Неравенство !=
Равенство/Неравенство == !=
Сравнение <<=>> =
Побитовый сдвиг << >> >>>
Сложение/вычитание + -
Умножите/деление * / %
Отрицание/дополнение/унарный минус/инкримент/дикримент ! ~ - ++ --
Вызов, передача параметров () [].


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Свойство fgColor

Строка, определяющая цвет текста документа.

Синтаксис

 document.fgColor

Свойство

document

Описание

Свойство fgColor представлен в виде шестнадцатеричного триплет RGB или в виде строкового литерала, описанных в разделе Цвета в JavaScript. Эта свойство - JavaScript отражение атрибута TEXT тега HTML <BODY>.Это значение не может быть изменено после загрузки документа, для отдельных фрагментов текста можно изменить цвет с помощью метода fontcolor

Вы можете отменять свойство fgColor следующим из способов:

  • Установить атрибут COLOR тега <FONT.
  • Использовать метод fontcolor.

    Примеры

    Следующий пример устанавливает цвет текста в aqua при использование строкового литерала:

document.fgColor = "aqua"

    Следующий пример устанавливает цвет текста в aqua при использование шестнадцатеричного триплета:

document.fgColor = "00FFFF"

    Смотрите также

  • Свойства alinkColor, bgColor, linkColor, и vlinkColor
  • Метод fontcolor

    Метод fixed

    Выводит строку на экран шрифтом фиксированной ширины, аналогично применению тега HTML <TT>.

    Синтаксис

     StringName.fixed ()

    StringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод fixed с методами write или writeln.

    Примеры

    Следующий пример использует метод fixed, чтобы изменить строку:

var worldString="Hello, world"
 document.write(worldString.fixed())

    Или по другому:

    <TT>Hello, world</TT>

    Метод floor

    Возвращает ближайшее целое число, меньшее или равное аргументу.

    Синтаксис

     Math.floor (number)

    number - любое числовое выражение.

    Метод

    Math

    Примеры

// Возвращает значение 45
document.write ("floor 45.95 - " + Math.floor (45.95))
// Возвращает значение -46
document.write (" floor -45.95 - " + Math.floor (-45.95))

    Смотрите также

  • Метод ceil

    Метод focus

    Измененный в Navigator 3.0

    Передает фокус указанному элементу формы.

    Синтаксис

1. PasswordName.focus ()
2. SelectName.focus ()
3. TextName.focus ()
4. TextareaName.focus ()

    PasswordName является либо значением атрибута NAME объекта password либо элемента в массиве elements.
    SelectName является либо значением атрибута NAME объекта select либо элемента в массиве elements.
    TextName является либо значением атрибута NAME объекта text либо элемента в массиве elements.
    TextareaName является либо значением атрибута NAME объекта textarea либо элемента в массиве elements.

    Метод

    password, select, text, textarea

    Описание

    Используя имена формы и элемента, метод focuse передает фокус элементу. С этого момента можно программно ввести значение в элемент формы, либо пользователь может сделать это вручную.

    Примеры

    В следующем примере, функция checkPassword подтверждает, что пользователь правельно ввел password. Если password введен не правильно, то фокус возвращает метод focuse к объекту password, и методу select высвечивяя пользователю, что он может повторно ввести пароль.

    function checkPassword(userPass) {
    if (badPassword) {
      alert("Please enter your password again.")
      userPass.focus()
      userPass.select()   }}
     Этот пример выполнен когда password определен как: <INPUT TYPE="password" NAME="userPass">

    Смотрите также

  • Методы blur, select

    Метод fontcolor

    Переопределяет цвет выводимого текста для строкового абъекта, анологично тегу <FONT COLOR=color>.

    Синтаксис

     StringName.fontcolor (color)

    StringName - любая строка или свойство существующего объекта.
    color - строка, выражющая цвет как шестнадцатеричный триплет RGB или как строковый литерал, описанных в разделе     Цвета JavaScript.

    Метод

    string

    Описание

    Используйте метод fontcolor с методами write или writeln для форматирования строки в документе.

    Метод fontcolor отменяет значение свойства fgColor.

    Примеры

    Следующий пример использует метод fontcolor, изменяя цвет строки var worldString="Hello, world" document.write(worldString.fontcolor("maroon") + " is maroon in this line") document.write("<P>" + worldString.fontcolor("salmon") + " is salmon in this line") document.write("<P>" + worldString.fontcolor("red") + " is red in this line") document.write("<P>" + worldString.fontcolor("8000") + " is maroon in hexadecimal in this line") document.write("<P>" + worldString.fontcolor("FA8072") + " is salmon in hexadecimal in this line") document.write("<P>" + worldString.fontcolor("FF00") + " is red in hexadecimal in this line")

    Следующий пример выглядит на экране анологично предыдущемк:

    <FONT COLOR="maroon">Hello, world</FONT> is maroon in this line
<P><FONT COLOR="salmon">Hello, world</FONT> is salmon in this line
<P><FONT COLOR="red">Hello, world</FONT> is red in this line
<FONT COLOR="8000">Hello, world</FONT> is maroon in hexadecimal in this line
<P><FONT COLOR="FA8072">Hello, world</FONT> is salmon in hexadecimal in this line
<P><FONT COLOR="FF00">Hello, world</FONT> is red in hexadecimal in this line

    Метод fontsize

    Показывает строку в указанном размере шрифта, аналогично тегу HTML <FONTSIZE=size>.

    Синтаксис

     StringName.fontsize (size)

    StringName - любая строка или свойство существующего объекта.
    size - целое число расположенное в диапозоне между 1 и 7, или строка, представляющая целое число между 1 и 7.

    Метод

    string

    Описание

    Используйте метод fontsize с методами write или writeln, чтобы форматировать строку в документе. Когда вы определяете размер как целое число, вы изменяете размер stringName к одному из семи определенных размеров. Когда вы определяете размер как строку типа "-2", то вы изменяете размер шрифта stringName относительно размера установленног в теге <BASEFONT>.

    Примеры

    Следующий пример использует методы string изменить размер строки:

var worldString = " Привет мир "
Document.write (worldString.small ())
document.write (worldString.big ())
document.write (worldString.fontsize (7))

    Или по другома:

    <SMALL> Привет мир</SMALL> <BIG> Привет мир</BIG> <FONTSIZE=7> Привет мир</FONTSIZE>

    Смотрите также

  • Методы big, small

    Объект form (массив form)

    Измененный в Navigator 3.0

    Объект, предоставляющий форму в документе.

    Синтаксис

    Чтобы определить форму, используйте стандарт HTML синтаксис с использованием обработчика событий onSubmit:

    <FORM
   NAME="formName"
   TARGET="windowName"
   ACTION="serverURL"
   METHOD=GET | POST
   ENCTYPE="encodingType"
   [onSubmit="handlerText"]>
</FORM>

    NAME = "formName" определяет имя объекта формы.

    TARGET = "windowName" определяет окно, в которое идти. WindowName может быть существующее окно; это может быть имя фрейма указанное в теге <FRAMESET>; это не может быть выражение JavaScript (например, это не может быть parent.frameName или windowName.frameName). Некоторые значения для этого атрибута могут требовать определенных значений для других атрибутов. Вы можете обращаться к этому значению, используя свойство target .

    ACTION = "serverURL" определяет URL- адрес сценарного приложения сервера, которое будет обрабатывать.

    METHOD=GET | POST определяет, как информация послана серверу, указанному ACTION.

    ENCTYPE = "encodingType" определяет кодирование MIME посланных данных: "application/x-www-form-urlencoded" (неплатеж) или "multipart/form-данные". Некоторые стоимости(значения) для этого атрибута могут требовать определенных стоимостей(значений) для других атрибутов. См. RFC 1867 для деталей. Вы можете обращаться к этой стоимости(значению), используя собственность кодирования.

    Использование свойств объекта и метода form:

1. formName.propertyName
2. formName.methodName (параметры)
3. forms[index].propertyName4. forms[index].methodName(parameters)
    formName - значение атрибута NAAME объекта формы.
    propertyName - один из свойствы, описанных ниже.
    methodName - один из методов, описанных ниже.
    index - целое число, представляющее объект формы.

    Свойство

  • document

    Описание

    Каждая форма в документе - различный объект.

    Вы можете ссылаться на элементы формы в вашем коде, используя имя элемента (из атрибута NAME) или массива elements. Таблица элементов содержит вход для каждого элемента (типа переключателя, радио, или текстового объекта(цели)) в форме.

    Массив form

    Вы можете ссылаться на формы в вашем коде, используя массив form.

    Использование массива form:

1. document.forms [index]
2. document.forms.length

    index - целое число, представляющее форму в документе.

    Чтобы получать число форм в документе, используйте свойство lendth: document.forms.length.

    Вы можете также обращаться к элементам формы, используя массив form. Например, вы хотите обратиться к текстовому объекту quantity во второй форме как document.forms [1] .quantity. То вы обратились бы к свойству значения этого текстового объекта как document.forms [1] .quantity.value.

    Элементы в массиве form только для чтения. Например, утверждение document.forms [0] = "музыка" не имеет никакого результата.

    Значение каждого элемента в массиве form - <objectNameAttribute>, где nameAttribute - атрибут NAME формы.

    Связанные элементы

  • Cвойства

    Объект формы имеет следующие свойства:

    • action отражает атрибут ACTION
    • elements - массив, отражающий все элементы формы
    • encoding отражает атрибут ENCTYPE
    • length отражает число элементов формы
    • method отражает атрибут METHOD
    • target отражает атрибут TARGET

    Следующие объекты - также свойства объекта формы:

    • button
    • checkbox
    • hidden
    • password
    • radio
    • reset
    • select
    • submit
    • text
    • textarea

    Массиве form имеет следующие свойства:

    • length отражает число форм в документе

  • Методы

    • submit

  • Обработчики событий

    • OnSubmit

    Примеры

    Пример 1: следующий пример создает форму form1, которая содержит текстовую область для имени и фамилии. Форма также содержит две кнопки, которые изменяют имена. Функция setCase показывает, как обращаться к форме при помощи ее именем.

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта формы</TITLE> </HEAD> <SCRIPT> function setCase (caseSpec){ if (caseSpec == "upper") { document.form1.firstName.value=document.form1.firstName.value.toUpperCase() document.form1.lastName.value=document.form1.lastName.value.toUpperCase()} else { document.form1.firstName.value=document.form1.firstName.value.toLowerCase() document.form1.lastName.value=document.form1.lastName.value.toLowerCase()} } </SCRIPT> <BODY> <FORM NAME="form1"> <B>Имя:</B> <INPUT TYPE="text" NAME="firstName" SIZE=20> <BR> <B>Фамилия:</B> <INPUT TYPE="text" NAME="lastName" SIZE=20> <P> <INPUT TYPE="button" VALUE="Names to uppercase" NAME="upperButton" onClick="setCase('upper')"> <INPUT TYPE="button" VALUE="Names to lowercase" NAME="lowerButton" onClick="setCase('lower')"> </FORM> </BODY>
    Пример 2: Обработчик событий OnLoad в следующем примере показывает имя первой формы в диалоговом окне. <font color="purple"> <BODY onLoad="alert('You are looking at the ' + document.forms[0] + ' form!')">

    Если имя первой формы - pass, то

    Пример 3: следующий пример содержит обработчик событий onSubmit , который решает, подчинить форму или нет. Форма содержит один текстовый объект, где пользователь вводит три знака. Обработчик событий OnSubmit вызывает функцию checkData, которая возвращает true если символов - три; иначе она возвращает false. Также onSubmit содержит утверждение return, которое возвращает значение, полученное обращением к функции.

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта Формы</TITLE> </HEAD> <SCRIPT> var dataOK=false function checkData (){ if (document.form1.threeChar.value.length == 3) { return true} else { alert("Enter exactly three characters. " + document.form1.threeChar.value + " is not valid.") return false} } </SCRIPT> <BODY> <FORM NAME="form1" onSubmit="return checkData()"> <B>Введите 3 знака:</B> <INPUT TYPE="text" NAME="threeChar" SIZE=3> <P> <INPUT TYPE="submit" VALUE="Done" NAME="submit1" onClick="document.form1.threeChar.value=document.form1.threeChar.value.toUpperCase()"> </FORM> </BODY>

    Пример 4: следующий пример подобен предыдущему, за исключением подчиненной формы, используя подчиненный метод вместо подчиненного объекта. Обработчик событий onSubmit формы не предотвращает форму от утверждения. Форма использует обработчик событий onClick кнопки, чтобы вызвать функцию checkData. Если значение верно, то функция checkData подчиняет форму.

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE>Подчиненная форма</TITLE> </HEAD> <SCRIPT> var dataOK=false function checkData (){ if (document.form1.threeChar.value.length == 3) { document.form1.submit()} else { alert("Enter exactly three characters. " + document.form1.threeChar.value + " is not valid.") return false} } </SCRIPT> <BODY> <FORM NAME="form1" onSubmit="alert('Form is being submitted.')"> <B>Введите 3 знака:</B> <INPUT TYPE="text" NAME="threeChar" SIZE=3> <P> <INPUT TYPE="button" VALUE="Done" NAME="button1" onClick="checkData()"> </FORM> </BODY>

    Смотрите также

  • button, checkbox, hidden, password, radio, reset, select, submit, text, textarea

    Свойство form

    Массив объектов, соответствующих формам созданных в тегах HTML в том же порядкя. Смотрите объект form.

    Метод forward

    Загружает следующий документ из списка URL, просмотренных за текущий сеанс.

    Синтаксис

     History.forward ()

    Метод

    history

    Описание

    Этот метод выполняет то же самое действие, что и выражение history.go (1).

    Примеры

    Следующие кнопки custom выполняют те же самое действие, что и кнопки в Navigator Back и Forward:
    <P><INPUT TYPE="button" VALUE="< Back"
    onClick="history.back()">
<P><INPUT TYPE="button" VALUE="> Forward"
    onClick="history.forward()">

    Смотрите также

  • Методы back, go

    Объект frame (массив frames)

    Измененный в Navigator 3.0

    Окно (кадр),содержащее независимо прокручиваемый субдокумент HTML. Фреймы могут указывать на различные URL и быть целенаправленными другими URL, все внутри того же самого экрана.

    Синтаксис

    Чтобы определить объект фрейма, используйте стандарт HTML синтаксис. Обработчики событий OnLoad и onUnload определенные в теге <FRAMESET> - обработчики слбытий для объекта окна:

    <FRAMESET
   ROWS="rowHeightList"
   COLS="columnWidthList"
   [onLoad="handlerText"]
   [onUnload="handlerText"]>
   [<FRAME SRC="locationOrURL" NAME="frameName">]
</FRAMESET>
     ROWS = "rowHeightList" - атрибут для фреймов, расположенных друг над с другом.
    COLS = "columnWidthList" - атрибут для фреймов, расположенных друг рядом с другом.
    <FRAME> определяет фрейм.
    SRC = "locationOrURL" определяет URL документа, который будет показан в фрейме. URL не может включать имя якоря; например <FRAME SRC="doc2.html#colors " NAME = " frame2 " > является недопустимым. Более подробно смотрите объект location.
    NAME = "frameName" определяет имя, которое нужно использовать для переходов гиперссылки.

    Использование свойств объекта frame:

1. [windowReference]. FrameName.propertyName
2. [windowReference.]frames[index].propertyName
3. window.propertyName
4. self.propertyName
5. parent.propertyName
    windowReference - переменная windowVar из определенного окна (смотрите объект window).
    frameName - значение атрибута NAME в теге <FRAME > объекта фрейма.
    index - целое число, представляющее объект фрейма.
    propertyName - один из свойств, описанных ниже.

    Свойства

  • Объект фрейма - свойство window
  • Массив frames - свойство frame и window

    Описание

    Тег <FRAMESET > используется в HTML документе, где единственная цель заключается в том, чтобы определить расположение фреймов, которые создает страницу. Каждый фрейм - это объект окна.

    Если тег <FRAME> содержит SRC и атрибут NAME, то вы можете обращаться к этому фрейму из соседнего фрейма, используя parent.frameName или parent.frames [index]. Например, если четвертый фрейм имеет NAME = "homeFrame", то из соседнего фрейма можно обратиться к этому фрейму, используя parent.homeFrame или parent.frames [3].

    Свойства Self и Window - синонимы для текущего фрейма, и вам необязательно использовать их, чтобы обратиться к текущему фрейму. Вы можете использовать это свойство, чтобы делать ваш код более читаемым. Смотрите свойства, описанные ниже в разделе примеров.

    Свойства Parent и Top - также синонимы, которые могут использоваться вместо имени фрейма. Смотрите свойства top и parent.

    Массив frames

    Вы можете ссылаться на объекты фрейма в вашем коде, используя массив frames. Этото массив содержит все фреймы. Например, если окно содержит три фрейма, то эти фреймы отражены в массиве как parent.frames [0], parent.frames [1], и parent.frames [2].

    Использование массива frames:

1. [frameReference]. Frames [index]
2. [frameReference]. Frames.length
3. [windowReference]. Frames [index]
4. [windowReference]. Frames.length

    FrameReference - способ только для фреймов, как описано в объекте frame.
    WindowReference - переменная windowVar (смотрите объект window).
    Index - целое число, представляющее фрейм в родительском окне.

    Чтобы получать число дочерних фреймов в окне или фрейме, используйте свойство length:

[ windowReference.].frames.length
[frameReference.].frames.length

    Элементы в массиве frames только для чтения. Например, утверждение windowReference.frames [0] = "frame1" не имеет никакого результата.

    Значение каждого элемента в массиве frames - <object NameAttribute >, где nameAttribute - атрибут NAME фрейма.

    Связанные элементы

  • Свойства

    Объект frame имеет следующие свойства:

    • frame - массив, отражающий все фреймы в окне
    • name отражает атрибут NAME тега <FRAME >
    • length отражает число дочерних фреймов внутри фрейма
    • parent - синоним для окна или фрейма, содержащий текущий frameset
    • self - синоним для текущего фрейма
    • window - синоним для текущего фрейма

    Массиве frames имеет следующие свойства:

    • length отражает число дочерних фреймов внутри фрейма

  • Методы

    • ClearTimeout
    • SetTimeout

  • Обработчики событий

    • Отсутствуют. Обработчики событий OnLoad и onUnload определены в теге <FRAMESET > но - фактически обработчики событий для объекта окна.

    Примеры

    Следующий пример создает два окна, каждый с четырьмя фреймами. В первом окне, первый фрейм содержит кнопки, которые изменяют цвет фона фреймов в обоих окнах.

    Framset1.HTML - определяет, фреймы для первого окна, содержат следующий кодекс:

    <HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
<TITLE> Frame и Framesets: Окно 1</TITLE>
</HEAD>
<FRAMESET ROWS="50%,50%" COLS="40%,60%" onLoad="alert('Hello, World.')">
<FRAME SRC=framcon1.html NAME="frame1">
<FRAME SRC=framcon2.html NAME="frame2">
<FRAME SRC=framcon2.html NAME="frame3">
<FRAME SRC=framcon2.html NAME="frame4">
</FRAMESET>

    Framset2. HTML, который определяет, фреймы для второго окна, содержат следующий кодекс:

    <HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
<TITLE> Фреймы и Framesets: Окно 2</TITLE>
</HEAD>
<FRAMESET ROWS="50%,50%" COLS="40%,60%">
<FRAME SRC=framcon2.html NAME="frame1">
<FRAME SRC=framcon2.html NAME="frame2">
<FRAME SRC=framcon2.html NAME="frame3">
<FRAME SRC=framcon2.html NAME="frame4">
</FRAMESET>

    Framcon1.HTML, который определяет, содержание для первого фрейма в первом окне, содержит следующий кодекс:

    <BODY>
 <A NAME="frame1">
<H1> Frame1</H1>
<P>
<A HREF="Framcon3.htm" target=frame2>Нажмите в этом месте</A>, чтобы загрузить другой файл во второй фрейм.
<SCRIPT>
window2=open("framset2.htm","secondFrameset")
</SCRIPT>
<FORM>
<P>
<INPUT TYPE="button" VALUE="Change frame2 to teal"
  onClick="parent.frame2.document.bgColor='teal'"><P>
<INPUT TYPE="button" VALUE="Change frame3 to slateblue"
  onClick="parent.frames[2].document.bgColor='slateblue'"><P>
<INPUT TYPE="button" VALUE="Change frame4 to darkturquoise"
  onClick="top.frames[3].document.bgColor='darkturquoise'"><P>
<INPUT TYPE="button" VALUE="window2.frame2 to violet"
  onClick="window2.frame2.document.bgColor='violet'"><P>
<INPUT TYPE="button" VALUE="window2.frame3 to fuchsia"
  onClick="window2.frames[2].document.bgColor='fuchsia'"><P>
<INPUT TYPE="button" VALUE="window2.frame4 to deeppink"
  onClick="window2.frames[3].document.bgColor='deeppink'">
</FORM>
</BODY>

    Framcon2. HTML - определяет, содержание для остающихся фреймов:

    <BODY> <P> Это - фрейм. </BODY>

    Framcon3. HTML, который упомянут в объекте links в Framecon1. HTML, содержит следующий код:

    <BODY> <P> Это - фрейм. Что Вы думаете? </BODY>

    Смотрите также

  • Объекты document и window
  • Раздел Использование окон и фреймов

    Свойство frames

    Массив объектов, соответствующий дочерним фреймам, созданным с помощью тега <FRAMESET>. Смотрите объект frame.

    Метод getDate

    Возвращает число месяца.

    Синтаксис

     DateObjectName.getDate ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Значение, возвращенное getDate - это целое число между 1 и 31.

    Примеры

    Второе уиверждениее ниже приведенного примера приписывает значение 25 переменному day.

Xmas95 = new Date("December 25, 1995 23:15:00")
day = Xmas95.getDate()
    Следующий пример возвращает 11
    endOfWorld = new Date("Januare 11, 1997 06:44:00")
document.write(endOfTheWorld.getDate())

    Смотрите также

  • Метод setDate

    Метод getDay

    Возвращает день недели как целое число от 0(воскресенье) до 6(суббота).

    Синтаксис

     DateObjectName.getDay ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Значение, возвращенное getDay - целое число, соответствующее дню недели: ноль в течение воскресенья, один в течение понедельника, два в течение вторника, и так далее.

    Соответствующего метода getDay не существует, так как день недели автоматически вычисляется на основе значения объекта Date.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 1 weekday , основанному на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:00")
weekday = Xmas95.getDay()

    Метод getHours

    Возвращает час суток.

    Синтаксис

     DateObjectName.getHours ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Значение, возвращенное getHours - целое число между 0 и 23.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 23 переменной hours, основанным на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:00")
hours = Xmas95.getHours()
    Следующий код показывает различные изображения на вашей странице, в зависимости от того сейчас утро или ночь (Замечание: Утро - от 12 до 12 пополудни). <script> <!-- /* Time of the day image script credit: Website Abstraction (www.wsabstract.com). Your free JavaScripts archieve, with over 200+ free JavaScripts. This script may be freely used as long as credit remains intact. */ var current= new Date() var day_night=current.getHours() if (day_night<=12) document.write("<img src='day.gif'>") else document.write("<img src='night.gif'>") //--> </script>

    Смотрите также

  • Метод setHours

    Метод getMinutes

    Возвращает минуты как целое число в диапозоне от 0 до 59.

    Синтаксис

     DateObjectName.getMinutes ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Метод getMinutes возвращает один из элементов времени.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 15 переменной minutes, основанное на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:00")
minutes = Xmas95.getMinutes()

    См. также

  • SetMinutes метод

    Метод getMonth

    Возвращает номер месяца в году.

    Синтаксис

     DateObjectName.getMonth ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Номер месяца возвращается как целое число в интервале между 0(январь) и 11(декабрь), а не как строка. Это значение может внести путанницу, так как не соответствует стандартному способу нумерации месяцев. Прежде чем вывести значение на экран или после получения данных, введенных пользователем в форму, надо произвести соответствующие преобразования. Рассмотрим эти преобразования ниже в разделе примеры.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 11 переменному month, основанному на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:00")
month = Xmas95.getDate()
    Следующая функция toReality преобразует номер месяца в стандартную систему обозначений "1-12"
     function toReality(){
  this+=1
}
    Следующая пример преобразует номер месяца в систему обозначений "0-11"
     function toConvention(){
  this-=1
}

    Смотрите также

  • SetMonth метод

    Метод getSeconds

    Возвращает число секунд текущего времени.

    Синтаксис

     DateObjectName.getSeconds ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Секунды возвращаются как целое число от 0 до 59.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 30 переменной secs, основанное на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:30")
secs = Xmas95.getSeconds()

    Смотрите также

  • Метод setSeconds

    Метод getTime

    Возвращает целое число, представляющее собой текущее значение объекта Date.

    Синтаксис

     DateObjectName.getTime ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Значение представляет собой количество миллисекунд, прошедших после полуночи 1 января 1970 00:00:00. Это значение может использоваться для сравнения двух дат.

    Примеры

    Следующий пример приписывает значение даты theBigDay к sameAsBigDay.

theBigDay = new Date("July 1, 1999")
sameAsBigDay = new Date()
sameAsBigDay.setTime(theBigDay.getTime())
    Для функций, включающих в себя вычисления дат, полезно создать набор переменных, определяющих минуты, чисы и дни в миллисекундах.

var dayMillisec=1000*60*60*24
//1000 миллисекунд*60 сек*60 мин*24 часа
var hourMillisec=1000*60*60
//1000 миллисекунд*60 сек*60 мин
var minuteMillisec=1000*60
//1000 миллисекунд*60

    Смотрите также

  • Метод setTime

    Метод getTimezoneOffset

    Возвращает разницу в минутах между местным временем клиента и гринвическим (GMT).

    Синтаксис

     DateObjectName.getTimezoneOffset ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Это значение является константой, за исключением случаев перехода на летнее/зимнее время.

    Примеры

x = new Date()
currentTimeZoneOffsetInHours = x.getTimezoneOffset()/60

    Метод getYear

    Возвращает год указанной даты.

    Синтаксис

     DateObjectName.getYear ()

    DateObjectName является либо именем объекта даты либо свойством существующего объекта.

    Метод

    Date

    Описание

    Возвращает год объекта Date минус 1900. Например, если год - 1976, возвращенное значение - 76. Несмотря на то что значение года может быть передано объекту date как 4-значное число в виде строки, возвращаемое методом getYear значение является 2-значным числом.

    Примеры

    Второе утверждение ниже приведенного примера приписывает значение 95 переменному year, основанному на значении даты объекта Xmas95.

Xmas95 = new Date("December 25, 1995 23:15:00")
year = Xmas95.getYear()

    Смотрите также

  • Метод setYear

    Метод go

    Загружает документ из списка страниц, посещенных за текущий сеанс работы с браузером.

    Синтаксис

     History.go (delta | "location")
     delta - целое число.
    location - строка, представляя все или часть URL в списке страниц.

    Метод

    history

    Описание

    Метод go может ссылаться на документы из списка history по URL или по относительной позиции в этом списке. Если указан неполный адрес URL, используется ближайшее соответствующее значение. Результат поиска не зависит от регистра.

    Аргумент delta - целое число. Если delta больше чем ноль, то метод go загружает URL. Если delta - 0, Navigator перезагружает текущую страницу.

    Аргумент location - строка. Использование location загружает самую ближайшую страницу в списка history, чей URL содержит location как подстроку. Каждый раздел URL содержит различную информацию. Смотрите объект location для описания компонент URL.

    Примеры

    Следующая кнопка переходит к самомой ближайшей странице в списке history, который содержит строку "home.netscape.com":

    <P><INPUT TYPE="button" VALUE="Go" onClick="history.go('home.netscape.com')">

    на начало страницы


Введите выражение:
Результат:


Пример с формой и атрибутом обработчика события внутри тега BODY

Пожалуйста введите маленькое число:


Введите координаты, чтобы пролистать до:
Горизонтальной:
Вертикальной:


Frame1

Нажмите в этом месте, чтобы загрузить другой файл во второй фрейм.


Это - фрейм.


Пример объекта Формы

Это - фрейм. Что Вы думаете?


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Свойство hash

Измененный в Navigator 3.0

Возвращает часть URL, начинающуюся с символа (#).

Синтаксис

1. link [index] .hash
2. location.hash

index - целое число, представляющее объект связи.

Свойство

link, location

Описание

Свойство hash определяет часть URL.

Свойство hash ссылается на имя, созданное в теге <A NAME...>. Вы можете управлять свойства hash в любое время. Изменяя это свойство, можно изменять часть URL, начинающуюся с символа #, хотя безопаснее менять весь URL, с помощью свойства href. Если имя, указанное в свойстве hash данного URL, не удается найти, возвращается ошибка.

Примеры

Смотрите примеры для объекта anchor и свойства href.

Смотрите также

  • Свойства host, hostname, href, pathname, port, protocol, search

    Объект hidden

    Измененныйв Navigator 3.0

    Текстовый объект в форме HTML, не отражаемый на экране.

    Синтаксис

    <INPUT
   TYPE="hidden"
   NAME="hiddenName"
   [VALUE="textValue"]>
     NAME ="hiddenName" определяет имя скрытого объекта. Вы можете обращаться к этому значению, используя свойство name.
    VALUE ="textValue" определяет начальное значение скрытого объекта.

    Использование свойства объекта hidden:

1. hiddenName.propertyName
2. formName.elements [index] .propertyName
    hiddenName - значение атрибута NAME скрытого объекта.
    formName является либо значением атрибута NAME объекта формы либо элемента в массиве form.
    index - целое число, представляющее скрытый объект в форме.
    propertyName - один из свойств, описанных ниже.

    Свойства

  • form

    Описание

    Объект hidden - элемент формы и должен быть определен внутри тега <FORM>.
    Объект hidden может применяться на ряду с cookie для передачи пар имя/значение для клиент-серверного взаимодействия. Разница в том, что cookie постоянно существует на клиентском компьюторе в течение сессии, в то время как объект hidden относится к конкретной форме. Первоначальное содержание объект hidden может быть изменено внутри функции путем присвоения нового значения своству value этого объекта. Первоначальное значение объекта представляет собой строку. Несмотря на это, когда программа встречает математический оператор, она пытается преобразовать значения объекта в целое число.

    Свойства

  • name отражает атрибут NAME
  • value отражает текущую значение объекта hidden

    Методы

  • Отсутствуют.

    Обработчики событий

  • Отсутствуют.

    Примеры

    Следующий пример использует объект hidden, чтобы сохранить значение последнего объекта. Форма содержит кнопку"Display hidden value", которую пользователь может нажимать, чтобы показать значение объекта hidden в диалоговом окне Alert. <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE>Пример объекта hidden</TITLE> </HEAD> <BODY> <B>Нажмите некоторые из этих объектов, затем нажмите кнопка"Display hidden value"</B> <BR> <B>Посмотрите последнее значение нажатого объекта.</B> <FORM NAME="form1"> <INPUT TYPE="hidden" NAME="hiddenObject" VALUE="None"> <P> <INPUT TYPE="button" VALUE="Click me" NAME="button1" onClick="document.form1.hiddenObject.value=this.value"> <P> <INPUT TYPE="radio" NAME="musicChoice" VALUE="soul-and-r&b" onClick="document.form1.hiddenObject.value=this.value"> Soul и R&B <INPUT TYPE="radio" NAME="musicChoice" VALUE="jazz" onClick="document.form1.hiddenObject.value=this.value"> Jazz <INPUT TYPE="radio" NAME="musicChoice" VALUE="classical" onClick="document.form1.hiddenObject.value=this.value"> Classical <P> <SELECT NAME="music_type_single" onFocus="document.form1.hiddenObject.value=this.options[this.selectedIndex].text"> <OPTION SELECTED> Красный <OPTION> Оранжевый <OPTION> Желтый </SELECT> <P> <INPUT TYPE="button" VALUE="Display hidden value" NAME="button2" onClick="alert('Last object clicked: ' + document.form1.hiddenObject.value)"> </FORM> </BODY>
    В следующем примере каждый раз, когда вызывается функция setRetry, значение объекта типа hidden, названного failedTries, увеличевается на единицу. Это один из примеров гибкости типов переменных в JavaScript. <INPUT TYPE="hidden" NAME="failedTries" VALUE="0"> ...строки кода... function setRetry(){ document.userPasswordForm.FailedTries.value++ }

    Смотрите также

  • Свойство cookie

    Объект history

    Список ранее просмотренных страниц, аналогично пункту меню Go браузера.

    Синтаксис

    Использование объект history:

1. history.propertyName
2. history.methodName (parameters)
    propertyName - один из свойств, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойства

  • document

    Описание

    Объект history унаследован из меню Go браузера и содержит список ранее просмотренных страниц. Методы объекта служат для навигации к любому элементу списка. Для определения количества элементов объекта служит свойство length: document.history.length.

    Свойства

  • length отражает количество элементов объекта

    Методы

  • back
  • forward
  • go

    Обработчики событий

  • Отсутствуют.

    Примеры

    Пример 1.Метод go допускает и более сложные, чем просто перемещение к следующей странице, переходы по списку, подобно выбору адреса прямо из меню Go.

    history.go (-3)

    Пример 2.Навигация представляет собой относительное перемещение по списку вперед или назад, подобно использованию кнопок на панели инструментов.

    window2.history.back ()

    Пример 3. Следующий пример заставляет второй фрейм в frameset вернуться на один пункт назад:

    parent.frames [1] .history.back ()

    Пример 4. Следующий пример заставляет фрейм, названный frame1 в frameset, чтобы вернуться на один пункт назад:

    parent.frame1.history.back()

    Пример 5. Следующий пример заставляет фрейм, названный frame2 в window2, вернуться на один пункт назад:

    window2.frame2.history.back()

    Смотрите также

  • Объект location

    Свойство host

    Измененныйв Navigator 3.0

    Строка, определяющая свойства URL hostname и port.

    Синтаксис

1. links [index] .host
2. location.host

    index - целое число, представляющее объект связи.

    Свойства

    link, location

    Описание

    Свойство host определяет часть URL. Свойство host - совмещает свойства hostname и port, отделенные двоеточием. Когда свойство port не указан, свойства host и hostname одинаковы.
    Вы можете устанавливать свойством host в любое время, хотя более надежно изменять свойства href. Если host, который вы определили, не найден, то вы получите ошибку.

    Примеры

    location.host="www.montana.com:80"

    Смотрите примеры для свойства href.

    Смотрите также

  • Свойства hash, hostname, href, pathname, port, protocol, search

    Свойство hostname

    Измененныйв Navigator 3.0

    Строка, определяющая имя домена или IP-адрес URL.

    Синтаксис

1. links [index] .hostname
2. location.hostname

    index - целое число, представляющее объект links.

    Свойства

    link, location

    Описание

    Свойство hostname определяет часть URL. Это свойство схоже со свойством host, за исключением того, что не включает в себя информацию о номере порта. Если свойство port имеет значение null, то свойства host и hostname одинаковы.
    Вы можете изменить свойство hostname в любое время, хотя рекомендуется изменять весь URL. Если имя hostname, которое вы определили, не найдено, то вы получите ошибку.

    Примеры

    Смотрите примеры для свойства href.

    Смотрите также

  • Свойства hash, host, href, pathname, port, protocol, search

    Свойство href

    Измененныйв Navigator 3.0

    Строка, определяющая полный URL текущего документа.

    Синтаксис

1.links [index] .href
2. location.href

    index - целое число, представляющее объект links.

    Свойства

    link, location

    Описание

    Свойство href определяет полный URL. Другие свойства объекта location - подстрока свойства href. Вы можете изменять Свойство href в любое время.

    Опущение свойства name из объекта location эквивалентно определению location.href. Например, следующие два утверждения эквивалентны и устанавливают URL текущего окна в Netscape home page:

    window.location.href="http://www.netscape.com/" window.location="http://www.netscape.com/"

    Примеры

    В следующем примере, утверждение window.open создает окно с именем newWindow и загружает в него указанный URL. Утверждение document.write показываtт все свойства newWindow.location в окне с именем msgWindow.

NewWindow=window.open
    (" http://home.netscape.com/comprod/products/navigator/
    version_2.0/script/script_info/Objects.html#list_checkbox")
msgWindow.document.write("newWindow.location.href ="+
    newWindow.location.href +" <P>")
msgWindow.document.write("newWindow.location.protocol =" +
    newWindow.location.protocol +" <P>")
msgWindow.document.write("newWindow.location.host =" +
    newWindow.location.host +" <P>")
msgWindow.document.write("newWindow.location.hostName =" +
    newWindow.location.hostName +"<P>")
msgWindow.document.write("newWindow.location.port =" +
    newWindow.location.port +" <P>")
msgWindow.document.write("newWindow.location.pathname =" +
    newWindow.location.pathname +" <P>")
msgWindow.document.write("newWindow.location.search =" +
    newWindow.location.search +" <P>")
msgWindow.document.write("newWindow.location.hash =" +
    newWindow.location.hash +" <P>")
msgWindow.document.close ()

    Следующий пример выводит на экран анологичный результат предыдущего:

newWindow.location.href =
    http://home.netscape.com/comprod/products/navigator/
    version_2.0/script/script_info/Objects.html#list_checkbox_object
newWindow.location.protocol = http:
newWindow.location.host = home.netscape.com
newWindow.loctation.hostName = home.netscape.com
newWindow.location.port =
newWindow.location.pathname =
     /comprod/products/navigator/version_2.0/script/
     script_info/Objects.html newWindow.location.search =
newWindow.location.hash = #list_checkbox_object

    Смотрите также

  • Свойства hash, host, hostname, pathname, port, protocol, search

    Свойство index

    Измененныйв Navigator 3.0

    Целое число, представляющее индекс элемента в объекте select.

    Синтаксис

SelectName.options [indexValue] .index

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elements.
    indexValue - целое число, представляющее элемент в объекте select.

    Свойства

    Массив opthions

    Описание

    Положение элемента в объекте select нумеруется начиная с нуля.

    Смотрите также

  • Свойства defaultSelected, selected, selectedIndex

    Метод indexOf

    Возвращает позицию определенного символа или подстрки.

    Синтаксис

stringName.indexOf (searchValue [, fromIndex])

    stringName - любая строка или свойство существующего объекта.
    searchValue - строка или свойство существующего объекта, представляющие значение, которое нужно искать.
    fromIndex - поиск начинается с этой позиции. Это может быть любое целое число от 0 до stringName.length - 1 или свойство существующего объекта.

    Метод

    string

    Описание

    Символы в строке индексированы слева направо. Индекс первого символа - 0, индекс последнего символа - stringName.length - 1.
    Если вы не определили значение для fromIndex, то JavaScript принимает значение 0 по умолчанию. Если searchValue не найден, то JavaScript возвращается -1.

    Примеры

    Пример 1: Следующий пример использует indexOf, и lastIndexOf, чтобы разместить значение в строке"Brave new world". var anyString="Brave new world" //Displays 8 document.write("<P>The index of the first w from the beginning is" + anyString.indexOf("w")) //Displays 10 document.write("<P>The index of the first w from the end is" + anyString.lastIndexOf("w")) //Displays 6 document.write("<P>The index of 'new' from the beginning is" + anyString.indexOf("new")) //Displays 6 document.write("<P>The index of 'new' from the end is" + anyString.lastIndexOf("new"))
    Пример 2: В функции test2(form), Вы получите сообщение об ошибке, если либо предоставленная Вами строка пуста, либо в ней отсутствует символ @.
    function test2(form) {
  if (form.text2.value == "" ||
      form.text2.value.indexOf('@', 0) == -1)
        alert("Неверно введен адрес e-mail!");
  else alert("OK!");
}

    Смотрите также

  • Методы charAt, lastIndexOf

    Функция isNaN

    Измененныйв Navigator 3.0

    На Unix платформах, вычисляет является ли аргумент"NaN" (не числом).

    Синтаксис

     isNaN (testValue)

    testValue - значение, которое вы хотите вычислять.

    Описание

    Функция isNaN - встроенная JavaScript функция. Это - не метод, связанный с любым объектом, а - часть языка непосредственно. IsNaN доступен на только Unix платформах.
    На всех платформах за исключением Windows, функции parseFloat и parseInt возвращают"NaN", когда вычисляют значение, которое - не является числом. Значение"NaN" - не число в любом основании системы счисления. Вы можете вызывать функцию isNaN, чтобы определить,является ли результат parseFloat или parseInt"NaN".

    Функция isNaN возвращается значение истинна, если аргумент не является числом или ложь в противном случае.

    Примеры

    Пример 1:Следующий пример вычисляет floatValue, чтобы определить,является ли он числом, а затем соответственно вызывает процедуру.

floatValue=parseFloat (toFloat)
if isNaN (floatValue) {
notFloat ()
}
else {
isFloat ()
}
    Пример 2:

function Win_isNaN(floatValue){
  if (isNaN (floatValue)) {
     alert("You input "+floatValue)
 }
}

    Смотрите также

  • Функции parseFloat, parseInt

    Метод italics

    Страка форматируется в курсивный шрифт, подобно тегу <I>.

    Синтаксис

     stringName.italics ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод italics с методами write или writeln для форматирования и вывода строки в документе.

    Примеры

    Следующий пример использует методы string, чтобы изменить строку:

var worldString =" Привет, мир"
document.write (worldString.blink ())
document.write (" <P>" + worldString.bold ())
document.write (" <P>" + worldString.italics ())
document.write (" <P>" + worldString.strike ())

    Следующий пример выглядит на экране анологично выше приведенному:

    BLINK>Hello, world</BLINK> <P><B>Hello, world</B> <P><I>Hello, world</I> <P><STRIKE>Hello, world</STRIKE>

    Смотрите также

  • Методы blink, bold, strike

    Метод lastIndexOf

    Возвращает позицию символа или подстраки в строке, начиная поиск с конца.

    Синтаксис

     stringName.lastIndexOf (searchValue [, fromIndex])

    stringName - любая строка или свойство существующего объекта.
    searchValue -строка или свойство существующего объекта, представляющие значение, которое нужно искать.
    fromIndex - начинае поиск с этого параметра. Это может быть любое целое число от 0 до stringName.length - 1 или свойство существующего объекта.

    Метод

    string

    Описание

    Символы в строке пронумерованы слева направо. Номер первого символа - 0, а номер последнего символа - stringName.length - 1.
    Если вы не определили значение для fromIndex, то JavaScript принимает stringName.length - 1 (конец строки) по умолчанию. Если searchValue не найден, то JavaScript возвращается -1.

    Примеры

    Следующий пример использует indexOf, и lastIndexOf, чтобы установить значения в строке" Brave new world".
    var anyString="Brave new world"
//Displays 8
document.write("
    The index of the first w from the beginning is" +
   anyString.indexOf("w"))
//Displays 10
document.write("The index of the first w from the end is" +
   anyString.lastIndexOf("w"))
//Displays 6
document.write("The index of 'new' from the beginning is" +
   anyString.indexOf("new"))
//Displays 6
document.write("The index of 'new' from the end is" +
   anyString.lastIndexOf("new"))

    Смотрите также

  • Методы charAt, indexOf

    Свойство lastModified

    Строка, представляющая дату, когда документ был последний раз изменен.

    Синтаксис

     document.lastModified

    Свойства

    document

    Описание

    Это свойство опирается на атрибуты файла-источника. Строка форматируется стандартным для JavaScript образом (смотрите объект Date).LastModified - свойство только для чтения.

    Примеры

    В следующем примере, свойство lastModified используется в теге <SCRIPT> в конце файла HTML, чтобы показать дату изменения страницы:

document.write (" Эта страница, была модифицируема последний раз" + document.lastModified)

    Свойство length

    Измененныйв Navigator 3.0

    Целое число, которое определяет связанную длиной особенность вызывающего объекта или таблицы.

    Синтаксис

    Когда свойство length используется с объектами:

1. formName.length
2. frameReference.length
3. history.length
4. radioName.length
5. selectName.length
6. stringName.length
7. windowReference.length

    Когда используется со свойством массива:

8. anchors.length
9. elements.length
10. forms.length
11. frameReference.frames.length
12. windowReference.frames.length
13. links.length
14. selectName.options.length

    formName является либо именем формы либо элемента в массиве form.
    frameReference является либо значением атрибута NAME фрейма либо элемента в массиве frames.
    radioName является либо значением атрибута NAME объекта radio либо элемента в массиве elements.
    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elements.
    stringName - любая строка либо свойство существующего объекта.
    windowReference - только для окон, как описано в объекте window.

    Свойства

  • Объекты frame, history, radio, select, string, window
  • Массивы anchor, elements, form, frame, link, select

    Описание

    Свойство length - целое число, которое определяет одно из следующих:

  • Число элементов в форме (форма 1 из пункта синтаксис).
  • Число фреймов внутри фрейма (фора 2 из пункта синтаксис). Фрейм, который не загружен в документ, содержащий тег <FRAMESET> всегда, имеет длину 0.
  • Число элементов в объекте history (форма 3 из пункта синтаксис).
  • Число переключателей в объекте radio (форма 4 из пункта синтаксис).
  • Число элементов в объекте select (форма 5 из пункта синтаксис).
  • Длина объекта string (форма 6 из пункта синтаксис).
  • Число фреймов в родительском окне (форма 7 из пункта синтаксис).
  • Число элементов в одном из свойств массива (все другие формы из пункта синтаксис).

    length - это свойство только для чтения.

    Для пустой строки, length - ноль. Для объекта select, значение, возвращенное формой 5 и формой 14 из пункта синтаксиса - тот же самое. Для окна, содержащего фреймы, значения, возвращенное формой 7 и формой 12 из пункта синтаксис - то же самое. Для объекта form, значения, возвращенное формой 1 и формой 9 из пункта синтаксис - то же самое. Для фрейма, содержащий фреймы, значения, возвращенные формой 2 и формой 11 из пункта синтаксис - то же самое.

    Примеры

    В следующем примере, функция getChoice () использует свойство length, чтобы повторить каждый элемент в массиве musicType. MusicType - выбранный элемент в форме musicForm.

function getChoice() {
   for (var i = 0; i < document.musicForm.musicType.length; i++) {
      if (document.musicForm.musicType.options[i].selected == true) {
         return document.musicForm.musicType.options[i].text
      }
   }
}

    Следующий пример показывает 8 в диалоговом окне alert:

    var x="Netscape"
alert("The string length is" + x.length)

    Метод link

    Создает новую гиперссылку, которая переходит к другому URL.

    Синтаксис

     linkText.link (hrefAttribute)

    linkText - любая строка или свойство существующего объекта.
    hrefAttribute - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод link с методами write или writeln, которые создают и показывают гиперссылки в документе.
    В синтаксисе, строка linkText представляет литеральный текст, который вы хотите, чтобы пользователь видел. HrefAttribute строка представляет атрибут HREF тега <A>. Каждый раздел URL содержит различную информацию. Смотрите для описания URL объект location.
    Гиперссылки, созданные при помощи метода link станут элементами в массиве link. Смотрите информацию для массива link объект link.

    Примеры

    Следующий пример показывает слово"Netscape" как гиперссылку, которая возвращает пользователю Netscape home page:

var hotText="Netscape"
var URL="http://www.netscape.com"
document.open()
document.write("Click to return to" + hotText.link(URL))
document.close()

    Следующий пример анологичен предыдушему, только в синтакси HTML:

     Click to return to <A HREF="http://www.netscape.com">Netscape </A>

    Смотрите также

  • Метод anchor

    Объект link (массив link)

    Измененныйв Navigator 3.0

    Часть текста или изображения, идентифицированного как гиперссылка на другой URL.

    Синтаксис

    Чтобы определить link, используйте стандарт HTML синтаксис с использованием обработчиков событий onClick и onMouseOver:

<A HREF=locationOrURL
[NAME = "anchorName"]
[TARGET = "windowName"]
[onClick = "handlerText"]
[onMouseOver = "handlerText"] >
linkText
<A>
    HREF=locationOrURL идентифицирует расположение якоря или URL.
    NAME ="anchorName" определяет тег, который становится доступной целью гипертекста внутри текущего документа. Если этот атрибут присутствует, объект связи - также объект якоря. Смотрите anchor для деталей.
    TARGET ="windowName" определяет окно, в которое загружается. WindowName может быть существующее окно; это может быть имя фрейма, указанное в теге <FRAMESET>; или это может быть однин из литералов фрейма, с именем _top, _parent, _self, или _blank; это не может быть выражение JavaScript (например, это не может быть parent.frameName или windowName.frameName).
    linkText представлен как гиперссылка к URL.

    Вы можете также определить ссылку, используя метод link.

    Использовать свойства объекта связи:

document.links [index] .propertyName
    index - целое число, представляющее объект связи.
    propertyName - один из свойствы, описанных ниже.

    Свойства

  • document

    Описание

    Каждый объект link - объект location, и имеет те же самые свойства, что и объект location.
    Если объект link - является объектом anchor, объект входит и в массив links и anchor.
    Когда пользователь нажимает на объект link и перемещается к документу (указанный HREF=LOCATIONORURL), свойство referrer указанного документа содержит URL исходного документа.

    Массив link

    Вы можете ссылаться на объекты link в вашем коде, используя массив link. Этот массив содержит все объекты link (теги <A HREF ="">) в документе в исходном порядке. Например, если документ содержит три объекта link, то эти link отображены как document.links [0], document.links [1], и document.links [2].

    Использование массив link:

1. document.links [index]
2. document.links.length

    index - целое число, представляющее ссылку в документе.
    Чтобы получать число сслок в документе, используйте свойство length: document.links.length.
    Элементы в массиве link только для чтения. Например, утверждение document.links [0] ="link1" не имеет никакого результата.

    Свойства

    Объект link имеет следующие свойства:

  • hash определяет имя якоря в URL
  • host определяет hostname:port
  • hostname определяет host и имя области, или IP адрес, сетевого host
  • Href определяет весь URL
  • pathname определяет ту часть URL, которая содержит путь
  • port определяет ту часть URL, которая содержит номер порта
  • protocol определяет начало URL, включая двоеточие
  • search определяет запрос
  • target отражает атрибут TARGET

    Массив link имеет следующие свойства:

  • length отражает число ссылок в документе

    Методы

  • Отсутствуют.

    Обработчики событий

  • onClick
  • onMouseOver

    Примеры

    Пример 1. Следующий пример создает гиперссылку к якорю с именем javascript_intro.

    <A HREF="#javascript_intro">Введение в JavaScript</A>

    Пример 2. Следующий пример создает гиперссылку к якорю с именем numbers в файле Doc3.HTML в окне window2.

    <LI> <A HREF="doc3.html#numbers" TARGET="window2">numbers</A>

    Пример 3. Следующий пример берет пользователя, поддерживают x входы в списке хронологии:

    <A HREF="javascript-history.go(-1 - x)">Нажмите здесь</A>

    Пример 4. Следующий пример создает гиперссылку к URL. Набор переключателей позволяют пользователя, выбирать между тремя URL. Обработчик событий OnClick ссылки устанавливает URL (href свойство link). Сслка также имеет обработчик событий onMouseOver, который изменяет свойства состояния окна. Как показанный пример, вы должны вернуть истинну, чтобы установить window.status свойства в обработчике событий onMouseOver.

    <SCRIPT>
var destHREF="'../../../../www.netscape.com/"
</SCRIPT>
<FORM NAME="form1">
<B>Choose a destination from the following list, then click"Click me" below.</B>
<BR><INPUT TYPE="radio" NAME="destination" VALUE="netscape"
   onClick="destHREF='../../../../www.netscape.com/default.htm'"> Netscape home page
<BR><INPUT TYPE="radio" NAME="destination" VALUE="sun"
   onClick="destHREF='../../../../www.sun.com/default.htm'"> Sun home page
<BR><INPUT TYPE="radio" NAME="destination" VALUE="rfc1867"
   onClick="destHREF='../../../../www.ics.uci.edu/pub/ietf/html/rfc1867.txt'"> RFC 1867
<P><A HREF=""
   onMouseOver="window.status='Click this if you dare!'; return true"
   onClick="this.href=destHREF">   <B>Click me</B></A></FORM>

    Пример 5: Следующий пример открывает Netscape home page в окне newWindow. Функция linkGetter () использует массив links, чтобы показать значение каждой из ее ссылок.

     newWindow=window.open("http://www.netscape.com")
function linkGetter() {
   msgWindow=window.open("")
   for (var i = 0; i < newWindow.document.links.length; i++) {
   msgWindow.document.write(newWindow.document.links[i] +"<BR>")
   }
}

    Смотрите также

  • Объект anchor
  • Метод link

    Свойство linkColor

    Строка, определяющая цвет гиперссылки документа.

    Синтаксис

     document.linkColor

    Свойства

    document

    Описание

    Свойство linkColor выражено как шестнадцатеричный триплет RGB или как строковый литерал, описынные в разделе Цвета JavaScript. Это свойство - JavaScript анологично атрибуту LINK тега <BODY>. Вы не можете изменять это свойство после того, как HTML - страница была загружена.

    Если Вы выражаете цвет как шестнадцатеричный триплет RGB, вы должны использовать формат rrggbb. Например, шестнадцатеричное значение RGB для salmon - red=FA, green=80, и blue=72,следовательно триплет для salmon -"FA8072".

    Примеры

    Следующий пример устанавливает цвет сслки документа в aqua при использование строкового литерала:

document.linkColor ="aqua"

    Следующий пример устанавливает цвет сслки документа в aqua при использование шестнадцатеричного триплета:

document.linkColor ="00FFFF"

    Смотрите также

  • Свойства alinkColor, bgColor, fgColor, и vlinkColor

    Свойство links

    Массив объектов link. Смотрите объект link.

    Синтаксис

    document.links[index]

    Описание

    Ссылки определяются в HTML с помощью тега <A HREF=URL>. Они отражаются в свойстве links, первая ссылка представленна как document.links[0].

    Свойство LN2

    Константа определяющая натуральный логарифм числа 2, приблизительно равна 0.693.

    Синтаксис

     Math. LN2

    Свойства

    Math

    Описание

    Так как LN2 константа, то это - свойства только для чтения.

    Примеры

    Следующий пример показывает натуральный логарифм числа 2:

    document.write ("натуральный логарифм числа 2" + Math. LN2)

    Смотрите также

  • Свойства E, LN10, LOG2E, LOG10E, PI, SQRT1_2, SQRT2

    Свойство LN10

    Константа определяющая натуральный логарифм числа десять, приблизительно равна 2.302.

    Синтаксис

     Math. LN10

    Свойства

    Math

    Описание

    Так как LN10 константа, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает натуральный логарифм числа 10:

document.write (" натуральный логарифм числа 10" + Math.LN10)

    Смотрите также

  • Свойства E, LN2, LOG2E, LOG10E, PI, SQRT1_2, SQRT2

    Объект location

    Измененныйв Navigator 3.0

    Содержит информацию относительно URL текущего документа.

    Синтаксис

    Использование объект location:

[ windowReference.] location [.propertyName]
    windowReference - переменная windowVar из определения окна (Смотрите объект window).
    propertyName - один из свойств, описанных ниже.

    Свойства

  • window

    Описание

    Объект location используется для определения URL любого активного документа, включая документы в других окнах или кадрах навигатора. Если объект window не указан подразумевается текущее окно. Каждое свойство объекта location представляет разлиную часть URL.

    Следующий список URL показывает связи между свойствами location:

protocol // hostname:port pathname search hash

    protocol строка, содержащая начальную часть URL, до двоеточия включительно.
    hostname строка с именем домена или IP адрес
    port часть URL, содержащая номер порта
    pathname часть URL, содержащая путь
    search строка, содержащая любую информацию запроса, присоединенную к URL, начинающийся с вопросительного знака.
    hash часть URL, начинающуюся с символа (#).

    Смотрите свойства (описанные ниже) для подробного анализа частей URL, или свойство href для примеров.

    Объект локализации имеет два других реквизита(свойства), не показанные в графике выше:

    Href представляет полный URL.
    host представляет сочетание hostname:port.

    Объект location содержится в объекте window, и действует внутри его области. Если вы ссылаетесь на объект location без определения окна, то объект location представляет текущую location. Если вы ссылаетесь на объект location и определяют имя окна, например, windowReference.location.propertyName, то объект location представляет location указанного окна.

    Не путайте объект location со свойством location объекта document. Вы не можете изменять значение свойства location (document.location), но вы можете изменять значение свойства объекта location (window.location.propertyName).

    Синтаксис для общих типов URL

    Когда Вы определяете URL, Вы можете использовать стандартные формы URL и JavaScript утверждения. Следующая таблица показывает синтаксис для определения части наиболее общих типов URL.
    URL type Protocol Example
    JavaScript code javascript: javascript:history.go(-1)
    Navigator info about: about:cache
    World Wide Web http: http://www.netscape.com/
    File file: file:///javascript/Methods.html
    FTP ftp: ftp://ftp.mine.com/home/mine
    MailTo mailto: mailto:info@netscape.com
    Usenet news: news://news.scruznet.com/comp.lang.javascript
    Gopher gopher: gopher.myhost.com

    Javascript: протокол вычисляет выражение после двоеточия (:),и пытается загрузить получившееся выражение. Если выражение нет или неопределено, остается загруженной текущая страница.

    about: протокол представляет три метода получения информации о браузере и имеет следующий синтаксис:

about: [cache|plugins]
    1. Сам по себе дает такой же результат, что и выбор пункта Netscape Abort меню Help.
    about:cacheотражает текущее состояние кэша.
    about:plug-ins содержит информацию об установленных приложениях plug-ins.

    Свойства

  • hash определяет имя якоря в URL
  • host определяет hostname:port части URL
  • hostname определяет host и name области, или IP адрес, сетевого host
  • Href определяет полный URL
  • pathname часть URL, содержащая путь
  • port часть URL, содержащая номер порта
  • protocol строка, содержащая начальную часть URL, до двоеточия включительно.
  • search строка, содержащая любую информацию запроса, присоединенную к URL, начинающийся с вопросительного знака.

    Методы

  • Отсутствуют.

    Обработчики событий

  • Отсутствуют.

    Примеры

    Пример 1. Следующие два утверждения эквивалентны и изменяют URL текущего окна в Netscape home page:

    window.location.href="http://www.netscape.com/" window.location="http://www.netscape.com/"

    Пример 2. Следующее утверждение устанавливает URL фрейма с именем frame2 в home page sun:

    parent.frame2.location.href="http://www.sun.com/"

    Смотрите также пример для объекта anchor.

    Смотрите также

  • Объект history
  • Свойства URL

    Метод log

    Возвращает натуральный логарифм для положительного аргумента.

    Синтаксис

     Math.log (number)
     number - любое положительное числовое выражение или свойство существующего объекта.

    Метод

    Math

    Описание

    Если значение number - расположено вне предложенного диапазона, то возвращаемое значение - всегда -1.797693134862316e+308.

    Примеры

// Возвращает значение 2.302585092994046
document.write (" натуральный логарифм 10 -" + Math.log (10))
// Возвращает значение 0
document.write (" натуральный логарифм 1 -" + Math.log (1))
// Возвращает значение -1.797693134862316e+308,
// потому что аргумент находится вне диапазона
document.write ("натуральный логарифм 0 -" + Math.log (0))

    Смотрите также

  • Методы exp, pow

    Свойство LOG2E

    Константа, представляющяя логарифм с основанием 2 числа E (приблизительно равно 1.442).

    Синтаксис

     Math. LOG2E

    Свойства

    Math

    Описание

    Так как LOG2E константа, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает логарифм с основанием 2 числа E:

     document.write (" логарифм с основанием 2 числа e равен" + Math. LOG2E)

    Смотрите также

  • Свойства E, LN2, LN10, LOG10E, PI, SQRT1_2, SQRT2

    Свойство LOG10E

    Константа, представляющяя логарифм с основанием 10 числа E (приблизительно равно 0.434).

    Синтаксис

     Math. LOG10E

    Свойства

    Math

    Описание

    Так как LOG10E константа, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает логарифм с основанием 10 числа E:

     document.write (" логарифм с основанием 10 числа E" + Math. LOG10E)

    Смотрите также

  • Свойства E, LN2, LN10, LOG2E, PI, SQRT1_2, SQRT2

    на начало страницы


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Введение

  • Язык JavaScript
  • JavaScript и Java
  • JavaScript и JScript
  • JavaScript в Navigator 3.0
  • Ссылки

Язык JavaScript

Сегодня Всемирная сеть - это среда информационного обмена для миллионов людей. Они размещают текст, видео, звук, и информацию, и все более и более, они усложняют свои страницы, делая их интерактивными в сети. JavaScript - это новый язык программирования, используемый в составе страниц HTML для увеличения функциональности и возможностей взаимодействия с пользователями. Он был разработан фирмой Netscape в сотруднечестве с Sun Microsystems на базе языка Sun's Java .С помощью JavaScript на Web-странице можно сделать то, что невозможно сделать стандартными тегами HTML. Скрипты выполняются в результате наступления каких-либо событий, инициированных действиями пользователя. Создание Web- документов, вклучающих программы на JavaScript, требует наличее текстового редактора и подходящего браузера. Некоторые просмоторщики включают в себе встроенные редакторы, поэтому необходимость во внешнем редакторе отпадает.

Несмотря на отсутствие прямой связи с языком Java, JavaScript может обращаться к внешним свойствам и методам Java- апплетов, встроенных в страницу HTML. Разница сводится к тому, что апплеты существуют вне браузера, в то время как программы JavaScript могут работать только внутри браузера. На первой взгляд кажется, что найти информацию по JavaScript несложно. Сначала создается впечатление, что ее можно увидеть везде: на сервере Natscape, в виде электронных руководств и примеров, во многих других местах. Тем не менее разыскать информацию об объектах, операторах, цветах и всем прочем в одном источнике, чтобы она была всегда под рукой, трудно.

JavaScript и Java

JavaScript и Java- это два разных языка программирования. Java- это объектно-ориентированный язык программирования и запускается при помощи компилятора и вспомогательных файлов. Разрабатываемые с помощью Java программы могут работать как законченные приложения либо как встроенные в Web-страницу апплеты. И хотя они встроены в страницу HTML, они храняться на клиенской машине как отдельные файлы.

Напротив, JavaScript, размещаются внутри HTML страницы и не могут существовать, как отдельные программы и функционируют, будучи запущенными в браузерах типа Netscape Navigator или Internet Explorer.

Следующая таблица сравнивает JavaScript и Java

.
JavaScript | Java
Не компилируемый клиентом. | Компилируемая клиентом перед запуском программы.
Объектный язык. | Объектно-ориентированный.
Внедренный в HTML - страницу. | Небольшие приложения, отделенные от HTML - страниц.
Переменные типы данных, не объявляются. | Переменные типы данных должны быть объявленны (строгий контроль типов).
Динамическое закрепление. Ссылки объекта, поверяются во время выполнения. | Статическое закрепление. Ссылки объекта, проверяются во время компиляции.

JavaScript и JScript

  • Спецификация языка JavaScript
  • JavaScript компании Netscape
  • Jscript корпорации Microsoft
  • JavaScript или Jscript
  • Работа с объектами
  • Сценарии, которые могут работать в разных браузерах
  • Итоги

Спецификация языка JavaScript

В первоначальном варианте JavaScript назывался LiveScript. Однако не успело это название сделаться привычным, как Netscape поменяла его, а заодно и основные концепции языка. Сейчас выпущена уже третья версия, и с выходом каждой из них в JavaScript появлялись новые функции. Но подобные непрерывные совершенствования могли сильно мешать разработчикам, которым бы хотелось, чтобы создаваемые Web-страницы воспринимались максимальным числом браузеров. Действительно, какая польза от "напичканной" JavaScript-сценариями страницы, если миллионы клиентов не смогут ее прочитать. Как будто специально чтобы еще осложнить жизнь программистов, Microsoft предложила собственную версию JavaScript, назвав ее JScript; сейчас выпущена уже вторая основная редакция. По аналогии с языком JavaScript фирмы Netscape, который ориентирован на браузер Netscape Navigator, JScript создавался для работы с Internet Explorer. И хотя обе эти реализации похожи друг на друга, в каждой из них имеются свои уникальные функциональные возможности. Такой разнобой приводит к тому, что ваша прекрасно оформленная Web-страница, содержащая обращения к сценариям на JavaScript, может не воспроизводиться на "другом" браузере, что, возможно, лишит вас миллионов потенциальных клиентов. Как в таком случае быть? Следует ли придерживаться только одной спецификации? Или можно попытаться создавать сценарии, совместимые как с JavaScript, так и с JScript?

Для того чтобы ответить на эти вопросы, давайте внимательно рассмотрим оба языка, проведем их детальное сравнение и дадим рекомендации по подготовке сценариев, совместимых как с пакетом Netscape Navigator, так и Internet Explorer.

JavaScript компании Netscape

JavaScript - это несомненно превосходный инструмент для преобразования Web-страниц из безжизненных картинок в динамичные, полностью интерактивные страницы с незамедлительной реакцией на действия пользователя. Но что делать, если хочется большего, если тянет вырваться за традиционные рамки задач, возлагаемых на сценарии? Например, что, если организовать с помощью JavaScript одновременное решение задачи средствами сервера и клиента? Сможет ли удовлетворить JavaScript этим пожеланиям?

Без всякого сомнения - да. Созданный как несложный набор команд для подго-товки сценариев работы клиента, JavaScript превратился в развитую инфраструктуру для решения задач, связанных с деятельностью как клиента, так и сервера. Средства для обслуживания клиентской части вычислений, к которым вы обращаетесь из Web-страниц, предоставляются браузером Netscape Navigator. Когда же речь идет о фоновой обработке, в ход идут средства JavaScript, реализованные на сервере. Они выполнены как надстройка к серверам Netscape и объединены в продукте, называемом LiveWire. На серверах FastTrack или Enterprise фирмы Netscape средства LiveWire и JavaScript обеспечивают обработку сценариев работы шлюза и полное обслуживание серверных задач по операциям под файлами, управлению базами данных и т. д.

По первоначальному замыслу считалось, что JavaScript - это открытый стандарт, не требующий ориентации на разработки отдельной компании или на конкретный про-дукт, но жизнь внесла свои коррективы. В конечном счете оказывается, что при исполь-зовании JavaScript приходится ориентироваться на продукты и технологии, разработан-ные фирмой Netscape. Более того, наблюдается тесная интеграция JavaScript в общую технологическую модель, разрабатываемую Netscape, особенно когда речь заходит о среде Netscape ONE (Open Networked Environment - открытая среда для сетевых взаимодей-ствий).

Netscape ONE служит межплатформенной средой разработки, объединяющей множество различных технологий создания программных продуктов для Web. В ее основу положена инфраструктура LiveConnect, обеспечивающая взаимодействие между средствами Java, JavaScript и внешними модулями Netscape. Благодаря ей можно составлять сценарии для обновления Java-апплет, создавать внешние модули Netscape, взаимодейст-вующие с Java -апплетами, и составлять Java-апплеты, которые вызывают функции, хранящиеся в сценариях. LiveConnect представляет собой мощное, новаторское решение. Но, фактически, это не какая-то отдельная технология, а скорее некоторая надстройка для уже существующих инструментов, таких, как JavaScript. Таким образом, при создании сценариев, предусматривающих взаимодействие с Java-апплетами и внешними модулями Netscape, вы используете LiveConnect-надстройку к JavaScript.

Jscript корпорации Microsoft

В Microsoft практически сразу осознали потенциал JavaScript и создали собственную версию этого языка сценариев - JScript, - изменив при этом отдельные его фундаментальные положения. Но JScript также и полномасштабная система для разработок в Web. Подобно тому как JavaScript тесно взаимосвязан с технологической моделью Netscape, язык JScript тесно интегрирован в модель Microsoft. В результате была достигнута всесторонняя реализация JavaScript с рядом специфических дополнений, ориентированных на браузер Internet Explorer. Инфраструктуры объектов в JScript и JavaScript аналогичны, а способ применения JScript для Web-страниц такой же, как у JavaScript.

Однако за внешним сходством этих объектных инфраструктур скрываются существенные различия в том, как создаются и работают объектные модели JScript и JavaScript. В спецификации JScript задаются базовые функциональные свойства языка и основная инфраструктура его объектов; спецификация дополняется средствами объектной модели Internet Explorer для обслуживания сценариев. Именно за cчет этой надстройки предоставляется львинная доля возможностей JScript. Видите разницу: раздельная схема из базовых функций и средств объектной модели браузера, с одной стороны, и интегрированная модель Netscape, где базовые функции тесно переплетены с предлагаемой инфраструктурой объектов, с другой. Ясно, что в Microsoft выбрали не просто иной путь для реализации JScript, а более прогрессивное направление.

Раздельное существование объектных моделей Internet Explorer и JScript позволяет корпорации Microsoft сделать ряд потрясающих вещей, одна из которых - открыть доступ к объектной модели Internet Explorer из предусмотренных в браузере языков сценариев других разновидностей (например, VBScript). Обновляя объектную модель Internet Explorer, Microsoft сразу же наращивает функциональные возможности как JScript, так и VBScript. Эта же объектная модель служит составной частью архитектуры ActiveX корпорации Microsoft.

ActiveX, как и LiveConnect, является инфраструктурой, обеспечивающей взаимодействие различных технологий. Но в отличие от LiveConnect в ней используется расширенный интерфейс OLE, позволяющий связывать элементы управления ActiveX, сценарии и Java-апплеты. Хотя технология OLE - вещь уже давно известная, ее внедрение в инструментарий для Internet стало знаменательным новаторским решением, которое в сочетании с JScript открывает перспективу создания Web-страниц, обладающих самыми широкими возможностями: средствами виртуальной реальности, исчерпывающим управлением видеоданными, синхронным звуковым сопровождением и даже реализацией видеоигр. Если посмотреть глубже, то в JScript имеются интерфейсы и ссылки, позволяющие связать воедино все необходимые элементы. Широчайшая популярность ActiveX приносит дополнительные очки языку JScript в его конкурентной борьбе с JavaScript. Таким образом, если в своих сценариях вы собираетесь использовать в полном объеме возможности ActiveX, то необходим именно JScript. Это справедливо даже с учетом того, что в версии Navigator 4.0 предусмотрены средства, хотя и ограниченные, для работы с ActiveX.

Что касается серверов, объектная модель JScript присутствует в архитектуре платформы Active, реализуемой на любом соответствующем сервере корпорации Microsoft, в том числе Internet Information Server 3.0 и следующих версий.

JavaScript или Jscript

Многогранность и динамичность JavaScript и JScript объясняются их тесной взаимосвязью с соответствующими инфраструктурами. Так, выбор JavaScript идеален при работе с клиен-тами и серверами Netscape, а при использовании соответствующих систем корпорации Microsoft очевиден выбор языка JScript.

В условиях корпоративной интрасети можно заранее предусмотреть, с какими клиентами и серверами придется иметь дело. Однако при работе в Web вы не можете знать, кто обратится к вашему узлу. Поэтому стоит разобраться в достоинствах и недостатках обоих языков, что позволит сделать обоснованный выбор между ними.

При сравнении базовых функциональных средств JavaScript и JScript оказывается, что они почти идентичны, особенно с точки зрения синтаксиса и набора операторов. В таблице 1 приведен список операторов, предусмотренных в обоих языках. Если вы хоть немного работали с Java или Си/Си++, то большинство операторов в таблице будут вам хорошо знакомы.

Таблица 1

Арифметические операторы
+ | Сложение
- | Вычитание
* | Умножение
/ | Деление
++ | Приращение на единицу
- | Уменьшение на единицу
- | Унарный минус
% | Взятие модуля
Операторы присваивания
= | Присваивание значения
+= | Увеличение на заданную величину
-= | Уменьшение на заданную величину
*= | Умножение на заданную величину
/= | Деление на заданную величину
%= | Взятие модуля заданной величины
&= | Поразрядное логическое И с заданной величиной
|= | Поразрядное логическое ИЛИ с заданной величиной
Поразрядные логические операторы
& | Поразрядное логическое И
| | Поразрядное логическое ИЛИ
^ | Поразрядное логическое сложение по модулю 2 (XOR)
~ | Поразрядное отрицание (инверсия)
<< | Поразрядный сдвиг влево
>> | Поразрядный сдвиг вправо
>>> | Поразрядный сдвиг вправо с заполнением нулями
Операторы сравнения
== | Эквивалентность сравниваемых объектов
!= | Не равно
> | Больше
>= | Больше или равно
< | Меньше
<= | Меньше или равно
Логические операторы
&& | логическое И
|| | логическое ИЛИ
! | логическое отрицание
В таблице 2 перечислены встроенные функции и средства управления ходом выполнения, имеющиеся в JavaScript и JScript. Здесь JavaScript выглядит лучше - благодаря появлению в его новой версии для Navigator 4.0 таких конструкций и элементов, как select/switch case, циклы do-while и метки.

Таблица 2

+ ДА - НЕТ | JSCRIPT | JAVASCRIPT
ВСТРОЕННЫЕ ФУНКЦИИ
EVAL() | + | +
ESCAPE() / UNESCAPE() | + | +
ISNAN() | + | -
PARSEINT() / PARSEFLOAT() | + | +
TAINT() / UNTAINT() | - | +
УПРАВЛЕНИЕ ХОДОМ
ВЫПОЛНЕНИЯ ЦИКЛ FOR | + | +
ЦИКЛ FOR EACH / IN | + | +
IF ... THEN ... ELSE | + | +
SELECT / SWITCH CASE | - | +
ЦИКЛ WHILE | + | +
ЦИКЛ DO WHILE | - | +
ФУНКЦИЯ BREAK / EXIT | + | +
GOTO (МЕТКИ) | - | +
В разделе Встроенные функции приведены базовые средства обоих языков. Они предназначены для выполнения общих операций, например интерпретации записанных выражений, преобразования в допустимый формат адресов URL и преобразования строковых переменных в числовые. Как вы можете видеть, только в JavaScript содержатся функции taint/intaint (установка/снятие пометок на необходимость разрешения при пересылке данных). Когда функция taint активизирована, можно преодолеть запрет на доступ из сценариев к списку History вашего браузера; теперь ваши сценарии могут извлечь все реальные адреса URL, куда обращался пользователь.

Средства taint также позволяют в сценариях получать данные из документов, записанных на разных доменах. Так, сценарий из документа, взятого с вашего домена и показанного в одной секции окна, может получить ссылки, изображения и объекты из документа, взятого с иного домена и отображаемого в другой секции окна. Поскольку средства taint предназначены для защиты данных, они используются в интрасетях или там, где требуется повышенная безопасность, и начинают работать, если задать конкретную переменную среды.

В разделе Управление ходом выполнения приведены способы организации ветвления хода выполнения сценария. Здесь очевидное преимущество за JavaScript . Однако имейте в виду: конструкции switch-case и do-while можно реализовать через более общие управляющие эелементы, которые содержит JScript.

Работа с объектами

JavaScript и JScript представляют собой объектно- ориентированные языки, и путем внимательного изучения их объектных моделей удается узнать много полезного. Хотя первоначально задумывалось, что обе модели будут совместимы между собой, дальнейшее развитие языков пошло в разных направлениях. В итоге получилось, что наборы объектов обоих языков несколько отличаются. Это хорошо видно, если взглянуть в таблице 3. Здесь дается перечень объектов и проводится их сравнение; также указывается, когда одноименные JScript- и JavaScript-объекты имеют между собой различия. При просмотре таблицы помните, что ее данные соответствуют спецификациям JavaScript 1.2 и JScript 2.0. Приложение 3 дает четкую картину того, что общего у этих моделей и в чем они различаются, и может служить по-лезным руководством при разработке новых сценариев для Internet Explorer и Netscape Navigator.

Таблица 3

ОБЪЕКТ | ПРЕДУСМОТРЕН В JSCRIPT | БАЗОВЫЙ НАБОР ОБЪЕКТОВ JSCRIPT * | ПРЕДУСМОТРЕН В JAVASCRIPT | ОДИНАКОВЫЙ НАБОР СВОЙСТВ И МЕТОДОВ | В JSCRIPT ОТСУТСТВУЕТ, НО ПРИСУТСТВУЕТ В ФОРМАХ | ОПИСАНИЕ
ANCHOR | + | &NBSP; | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ОБЩЕЕ СВОЙСТВО NAME.
APPLET | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ТЭГА <OBJECT>.
AREA | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ОБЪЕКТАМИ СО ССЫЛКАМИ.
ARRAY | + | + | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С МАССИВАМИ.
BUTTON | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С НАЖИМАЕМЫМИ КНОПКАМИ. **
CHECKBOX | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С КНОПКАМИ-ФЛАЖКАМИ. **
DATE | - | + | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ИНФОРМАЦИЕЙ О ДАТЕ И ВРЕМЕНИ.
DOCUMENT | + | &NBSP; | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ОСТУПА К ИДЕНТИФИКАТОРЫ)
EVENT | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С JAVASCRIPT 1.2.
FILEUPLOAD | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ПОЛЯМИ, ГДЕ ВВОД ЗАГРУЖАЕМОГО ФАЙЛА. **
FORM | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ФОРМАМИ НА WEB-СТРАНИЦАХ. ХОТЯ В JSCRIPT НЕ ПРЕДУСМОТРЕНЫ МЕТОД RESET() И РЕАКЦИЯ НА СОБЫТИЕ ONRESET, JSCRIPT МОЖЕТ РАБОТАТЬ С ОБЪЕКТАМИ, ВСТРОЕННЫМИ С ПОМОЩЬЮ ТЭГА <OBJECT> ЧЕРЕЗ ОБЪЕКТ FORM. В JAVASCRIPT ТЭГ <OBJECT> ПОКА НЕ ПРЕДУСМОТРЕН.
FRAME | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С WEB-СТРАНИЦАМИ, ИМЕЮЩИМИ РАЗБИВКУ НА СЕКЦИИ. В JSCRIPT НЕ ПРЕДУСМОТРЕНЫ МЕТОДЫ ONERROR, FOCUS(), BLUR(), SCROLL(), ONBLUR=, ONFOCUS=. В JAVASCRIPT НЕ ОБСЛУЖИВАЕТСЯ МЕТОД NAVIGATE().
FUNCTION | + | &NBSP; | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К СВОЙСТВАМ ФУНКЦИЙ.
HIDDEN | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ЭЛЕМЕНТАМИ, НЕ ОТОБРАЖАЕМЫМИ В ОКНЕ. **
HISTORY | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К СПИСКУ HISTORY БРАУЗЕРА (ПЕРЕЧЕНЬ АДРЕСОВ-ОБРАЩЕНИЙ). ПОСКОЛЬКУ В JSCRIPT НЕ ДОПУСКАЕТСЯ ЗАДАНИЕ ПОМЕТОК НА ПОЛУЧЕНИЕ РАЗРЕШЕНИЯ ПРИ ПЕРЕСЫЛКЕ ДАННЫХ (DATA TAINTING), В НЕМ НЕ ПРЕДУСМОТРЕНА ОБРАБОТКА СВОЙСТВ CURRENT, NEXT И PREVIOUS.
IMAGE | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ИЗОБРАЖЕНИЯМИ НА WEB-СТРАНИЦАХ.
LAYER | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С МНОГОСЛОЙНЫМИ ОТОБРАЖЕНИЯМИ ДОКУМЕНТОВ; ВВЕДЕН В ВЕРСИИ JAVASCRIPT 1.2.
LINK | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ МАНИПУЛЯЦИЙ С ГИПЕРТЕКСТОВЫМИ ССЫЛКАМИ НА WEB-СТРАНИЦЕ. В JAVASCRIPT НЕ ПРЕДУСМОТРЕНА ОБРАБОТКА СОБЫТИЯ ONMOUSEMOVE, ПОЗВОЛЯЮЩЕГО ПОЛУЧИТЬ КООРДИНАТЫ (В ПИКСЕЛАХ) УКАЗАТЕЛЯ МЫШИ И ИНФОРМАЦИЮ О СОБЫТИЯХ ЩЕЛЧКОВ МЫШИ НАД ОБЪЕКТАМИ СО ССЫЛКАМИ. В JSCRIPT НЕ ПРЕДУСМОТРЕНА ОБРАБОТКА СОБЫТИЯ ONMOUSEOUT=.
LOCATION | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К ИНФОРМАЦИИ, ОТНОСЯЩЕЙСЯ К ПОЛНОМУ АДРЕСУ URL ДЛЯ ДОКУМЕНТА ИЗ УКАЗАННОГО ОКНА. ХОТЯ В JSCRIPT НЕ ПРЕДУСМОТРЕНЫ МЕТОДЫ RELOAD() И REPLACE(), ДЛЯ ЗАГРУЗКИ ДОКУМЕНТОВ МОЖНО ПРИМЕНИТЬ МЕТОД NAVIGATE() НУЖНОГО ОКНА И ОБЪЕКТ FRAME.
MATH | - | + | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ВЫПОЛНЕНИЯ САМЫХ РАСПРОСТРАНЕННЫХ МАТЕМАТИЧЕСКИХ ОПЕРАЦИЙ.
NAVIGATOR | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К ИНФОРМАЦИИ О БРАУЗЕРЕ ПОЛЬЗОВАТЕЛЯ. В JSCRIPT НЕ ПРЕДУСМОТРЕНЫ МЕТОДЫ JAVAENABLED(), TAINTENABLED(), MIMETYPES[] И PLUGINS[].
MIMETYPE | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К ИНФОРМАЦИИ ОБ ОБСЛУЖИВАЕМЫХ БРАУЗЕРОМ MIME-ТИПАХ.
PASSWORD | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ПОЛЯМИ, СЛУЖАЩИМИ ДЛЯ ВВОДА ПАРОЛЯ. **
PLUGIN | - | &NBSP; | + | &NBSP; | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ДОСТУПА К ИНФОРМАЦИИ О ПОДКЛЮЧАЕМЫХ ВНЕШНИХ МОДУЛЯХ БРАУЗЕРА.
RADIO | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С КНОПКАМИ-ПЕРЕКЛЮЧАТЕЛЯМИ. **
RESET | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С КНОПКАМИ RESET (ОЧИСТИТЬ). **
SELECT | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ СО СПИСКОВЫМИ МЕНЮ. ** В JSCRIPT НЕ ПРЕДУСМОТРЕНО СВОЙСТВО TYPE; В JAVASCRIPT НЕ ПРЕДУСМОТРЕНЫ СВОЙСТВО FORM И МЕТОДЫ OPTIONS.NAME[] И OPTIONS.LENGTH[].
STRING | - | + | + | + | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ СО СТРОКОВЫМИ ЗНАЧЕНИЯМИ.
SUBMIT | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С КНОПКАМИ SUBMIT (СДЕЛАНО). **
TEXT | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ПОЛЯМИ ТЕКСТОВОГО ВВОДА. ** В JSCRIPT НЕ ПРЕДУСМОТРЕНО СВОЙСТВО TYPE, А В JAVASCRIPT - СВОЙСТВО FORM.
TEXTAREA | + | &NBSP; | + | - | + | ИСПОЛЬЗУЕТСЯ ДЛЯ РАБОТЫ С ПОЛЯМИ МНОГОСТРОЧНОГО ТЕКСТОВОГО ВВОДА. **
WINDOW | + | &NBSP; | + | - | &NBSP; | ИСПОЛЬЗУЕТСЯ ДЛЯ ОБСЛУЖИВАНИЯ ИЛИ СОЗДАНИЯ ОКНА БРАУЗЕРА. В JAVASCRIPT НЕПРЕДУСМОТРЕН МЕТОД NAVIGATE(). В JSCRIPT НЕ ПРЕДУСМОТРЕНЫ МЕТОДЫ BLUR(), CLEARINTERVAL(), FOCUS(), MOVEBY(), MOVETO(), RESIZEBY(), RESIZETO(), SCROLL(), SCROLLBY(), SCROLLTO(), SETINTERVAL() И ONBI.

Сценарии, которые могут работать в разных браузерах

В настоящее время ежедневная численность работающих с Web составляет более 60 млн. человек, из которых 30-35% используют Internet Explorer, а 55-60% - Netscape Navigator. Поскольку эти браузеры занимают доминирующие позиции на рынке, наша цель - создать сценарии, которые будут восприниматься обеими системами. Для этого нужно использовать только общие элементы объектных моделей JScript и JavaScript . На первый взгляд все очень просто. Однако лишь очень немногие владельцы Web-узлов действительно понимают имеющиеся между JScript и JavaScript различия, и уж совсем мало таких, кто может четко обозначить то общее, что у них есть. Но теперь, имея на вооружении данные таблиц 2 и 3, можно приступать к составлению сценариев, которые будут работать в среде как Internet Explorer, так и Netscape Navigator.

При разработке необходимо помнить о постоянном совершенствовании спецификаций JScript и JavaScript. С выходом очередной версии Internet Explorer или Netscape Navigator можно ожидать появления новых функций в соответствующем языке. Если вы хотите использовать конкретное свойство, присутствующее только в одной спецификации, необходимо, чтобы сценарий либо выда-вал сообщение о наличии функций, не предусмотренных в браузере пользователя, либо корректно работал в обоих браузерах.

Как это сделать? Секрет в том, чтобы организовать ветвление внутри сценария: первая ветвь команд будет исполняться браузером Internet Explorer, другая - Netscape Navigator . Поскольку до начала обработки любой функции браузер не проверяет ее на допустимость, наличие посторонних функций в сценарии не приведет к сообщению об ошибке. В примере 4 показан прототип сценария, который я постоянно использую для Web-страниц; он не приостанавливает свою работу ни в среде Internet Explorer, ни Netscape Navigator . При изучении текста сценария вы можете видеть, как параметр Navigator. appName позволяет узнать имя браузера, чтобы затем передать управление соответствующей функции.

Пример 1

<SCRIPT LANGUAGE="JavaScript">
      <!--

      // присвоить значения переменным

   browserName = ""
      browserName = navigator.appName

      function shield() {

      if (browserName == "Microsoft Internet Explorer") {
         ieCall()
         }
      else if (browserName == "Netscape") {
         ncCall
         }
      else genCall()
       }

      function ieCall() {

      // вставьте операторы и вызовы функций, предусмотренные для Internet Explorer и JScript

      }

      function ncCall() {

      // вставьте операторы и вызовы функций, предусмотренные для Netscape Navigator и JavaScript

  }

      function genCall() {

      // запасной вариант для других браузеров, "понимающих" сценарии JavaScript. Сюда рекомендуется вставлять наиболее общие операторы и вызываемые функции.

}

      // -->
      </SCRIPT>
 Также можно предусмотреть выполнение функций, уникальных для конкретных версий браузеров. Для этого следует проверять имя браузера и сведения о его версии с помощью параметров Navigator.appName и Navigator.appVersion. Здесь перед вызовом нужной функции проверяются оба параметра. Однако текст сценария будет получаться более запутанным; один из способов его упрощения - брать имя браузера и данные о версии из параметра Navigator. userAgent, который содержит сводную информацию о браузере. В этом случае потребуется проверка только одного параметра вместо двух.

Кроме того, вы можете обеспечить, чтобы выполнялись только те сценарии, которые соответствуют конкретной версии JavaScript, предусмотренной браузером пользователя. Для этих целей применяется тэг SCRIPT, например:

<SCRIPT LANGUAGE="JavaScript">
<SCRIPT LANGUAGE="JavaScript1.1">
<SCRIPT LANGUAGE="JavaScript1.2">
 Но учтите: поскольку Internet Explorer не различает версий JavaScript 1.1 или JavaScript 1.2, обычно лучше пользоваться функцией, продемонстрированная в приложение 4. Тогда браузеры любого типа, где предусмотрены сценарии JavaScript, сумеют извлечь максимум информации, содержа-щейся на вашей Web-странице.

При изучении работы этого сценария обратите внимание, что в Navigator сначала полностью загружается HTML-документ, а лишь потом начинается обработка сценария. В Internet Explorer, наоборот, сразу приступают к делу и сценарий начинает исполняться еще до того, как закончится загрузка всей страницы. Видно, что процедуры загрузки и отображения Web-страниц в браузерах Navigator и Internet Explorer работают поразному: Navigator последовательно выводит элементы страницы по мере их получения, а Internet Explorer сначала строит структуру страницы, а затем начи-нает показывать ее элементы.

В примере 5 подробно описан пример, который работает в часто используемых браузерах.

Пример 5

<HTML>
<HEAD>
<SCRIPT>
<!-- hide                 //скрыть от старых браузеров

// присвоить значения переменным
var pos = 0;                     // начальная позиция
var move = true;              // движение
var direction= false;        // направление
var mie=false;

// проверяем браузер
if(navigator.appName.indexOf("Microsoft")!=-1)
  {mie=true;}

// Функция отвечающая за движение и направление
function moveNclip() {

// перемещение вперед
  if (move & direction ) {
      pos-=1
     if (pos < -986) move=false;
     if(!mie) document.layers["clippingLayer"].layers["imgLayer"].top= pos; // обращение к вложенному слою imgLayeir
else document.all.imgLayer.style.pixelTop= pos; // обращение к стилю imgLayeir
  }

// перемещение назад
if (!move & !direction ) {
      pos+=1
     if (pos > 200) move=true;
     if(!mie) document.layers["clippingLayer"].layers["imgLayer"].top= pos;
     else document.all.imgLayer.style.pixelTop= pos;
  }
}

// Функция изменяющая движение и направление
function StopStart(par){
if (par == 0) {
        direction= false;
        move = false;}
if (par == 1) {move = false;
               direction= true;}
if (par == 2) {
        direction= true;
        move = true;}
}

function DrowPicture(){

// если Netscape Navigator создаем слои
if(!mie){
s='<CENTER><ILAYER NAME="clippingLayer" CLIP="0,0,1000,185"><ILAYER NAME="imgLayer" TOP=0 LEFT=0>'
s+='<IMG NAME=davinci SRC="text1.gif"></ILAYER></ILAYER></CENTER>'
s+='<LAYER TOP=230 ><CENTER><FORM>'
s+='<INPUT TYPE="button" VALUE="&lt;&lt;" onClick="StopStart(0);">'
s+='<INPUT TYPE="button" VALUE="STOP" onClick="StopStart(1);">'
s+='<INPUT TYPE="button" value="&gt;&gt;" onClick="StopStart(2)"><p>'
s+='<INPUT TYPE="button" VALUE="CLOSE" onClick="window.close()"></FORM></CENTER></LAYER>'
}

// если Internet Explorer создаем стили
if (mie){
s='<CENTER><DIV ID="imgLayer" STYLE="position:absolute; top:0;"><IMG SRC="text1.gif"></DIV></CENTER>'
s+='<DIV ID="dummy" STYLE="position:absolute; top:185; left:0; height:800; background-color:bisque"></DIV>'
s+='<DIV ID="ButtonsForm" STYLE="position:absolute; top:220;" ><CENTER><FORM>'
s+='<INPUT TYPE="button" VALUE="&lt;&lt;" onClick="StopStart(0);">'
s+='<INPUT TYPE="button" VALUE="STOP" onClick="StopStart(1);">'
s+='<INPUT TYPE="button" VALUE="&gt;&gt;" onClick="StopStart(2)"><p>'
s+='<INPUT TYPE="button" VALUE="CLOSE" onClick="window.close()"></FORM></CENTER></DIV>'
}
document.writeln(s);
}
// -->
</SCRIPT>
</HEAD>
<BODY  BGCOLOR="bisque" onLoad="setInterval('moveNclip()', 10);">
<SCRIPT>
 DrowPicture();
</SCRIPT>
</BODY>
</HTML>

ИТОГИ

В ходе детального сравнения JScript и JavaScript выяснилось, что между этими версиями существует много и сходств, и различий, причем выявить бесспорного победителя не удалось. Оба языка обладают всесторонне развитыми средствами для обслуживания клиента и сервера; в каждом из них имеются свои уникальные возможности, функции, объекты. Любая из спецификаций, несомненно, сможет обеспечить достойное решение задач, возлагае-мых на сценарии в Web.

Тем не менее существуют ситуации, когда предпочтительным будет выбор одного из языков, особенно если речь идет о корпоративной интрасети. Если вы готовите публикации в интрасети с использованием сервера Microsoft Web, ориентированного на технологию ActiveX, то явных симпатий заслуживают JScript и Internet Explorer - это даст возможность взаимодействовать с JScript- и ActiveX-средствами сервера. Если же в вашей интрасети работает сервер Netscape SuiteSpot Web, то очевидное преимущество получают JavaScript и Navigator - только при таком выборе будут доступны технологические средства JavaScript и Netscape ONE, предоставляемые сервером.

Если поставленная задача выходит за рамки интрасети, то пропадает всякая возможность контроля, через какие браузеры будут обращаться к вашему Web-узлу. В такой ситуации наилучший выход - использовать только средства, общие для обоих языков, и создавать сценарии, которые будут работать у любого клиента.

JavaScript в Navigator 3.0

  • Резюме новых особенностей JavaScript
  • Ссылки

Резюме новых особенностей JavaScript

Навигатор JavaScript описывает

Java аплеты, plug-ins и надежность

Новые объекты

  • Объект area определяет отображения изображения
  • Объект function определяет ряд кодов JavaScript, которые нужно компилировать как функция
  • Объект image отражает изображения

Новые свойства

  • Свойство opener определяет окно вызывающего документа
  • Свойство type определяет тип элемента формы

Новые методы

  • Методы blur и focus теперь работают для окон
  • Метод close имеет новые расширения безопасности
  • Метод javaEnabled определяет, открыт ли Java
  • Метод reload вынуждает перезагрузку текущего документа окна
  • Метод replace , загружает указанный URL по текущему входу хронологии
  • Метод reset моделирует щелчок мыши на кнопке восстановления
  • Метод scroll прокручивает окно
  • Метод split раскалывается объект String в таблицу рядов

Формы и элементы формы

  • Объект Select позволяет пользователю выбрать один из элементов списка
  • Свойство элемента формы type
  • Объект FileUpload

События и обработчики событий

  • Обработчик результата OnAbort выполняется загрузка прерванных пользователем изображений
  • Обработчики результата OnBlur и onFocus теперь обращаются к окнам и framesets
  • Обработчик результата OnError выполняется
    JavaScript
    , когда образуется ошибка при загрузки документа или изображения
  • Обработчик результата OnMouseOut выполняется, когда указатель мыши помещается над гиперссылкой
  • Обработчик результата OnReset выполняется, когда происходит результат восстановления
  • Запрос обработчиков результата
  • Отмена событий в onClick

Теги HTML и атрибуты

  • Объекты JavaScript для атрибутов HTML
  • Атрибут SRC тега <SCRIPT> позволяет вам использовать коды JavaScript
  • Тег <NOSCRIPT> не показывает скрипты для старых браузеров или когда пользователь блокировал JavaScript в Navigator.

Особенности языка JavaScript 1.1

  • Объекты Array: стандартные массивы, теперь встроенны в язык. Они имеют некоторые методы: join, reverse, и sort.
  • Метод random объекта Math работает на всех платформах.
  • Новые особенности объекта String, и новый метод split string.
  • Функции isNaN, parseFloat, и parseInt работают на всех платформах.
  • Объект prototypes: можно использовать совместно со всеми свойствами объекта того же самого типа.
  • Индексация свойств объекта: Или используйте индекс числа или строки, но не оба для того же самого свойства.
  • Оператор Typeof: возвращает тип данных его операнда.
  • Оператор void: определяет выражение, которое будет выражено в числах без возвращения значения.
  • Метод ToString преобразовывает объект в string

Ссылки

Новые особенности JavaScript | Измененные особенности JavaScript
Applet Area arguments array atan2 blur border button complete checkbox close (window object) Date defaultSelected description document enabledPlugin filename fileUpload focus form frame function hash height hidden host hostname href hspace Image index isNaN javaEnabled join length link (links array) location lowsrc Math mimeTypes name navigator onAbort onBlur onClick onError | onFocus onLoad onMouseOut onMouseOver onReset onSubmit opener Option Password pathname Plugin plugins array port protocol prototype Radio random reload replace reset (метод) reset (объект) reverse scroll search Select selected sort split src String submit suffixes taint target text object text property textarea toString type typeof untaint value void vspace width window

Applet

<<New.>>

Объект. Включает Java аплет в web - страницу.

HTML синтаксис

<APPLET
    CODE=classFileName
     HEIGHT=height
      WIDTH=width
       MAYSCRIPT
       [NAME=appletName]
      [CODEBASE=classFileDirectory]/
     [ALT=alternateText]
    [ALIGN="left"|"right"|
           "top"|"absmiddle"|"absbottom"|
           "texttop"|"middle"|"baseline"|"bottom"]           [HSPACE=spaceInPixels]
      [VSPACE=spaceInPixels]>
      [<PARAM NAME=parameterName VALUE=parameterValue>]
    [ ... <PARAM>]
</APPLET>

HTML атрибуты

CODE=classFileName определяет имя файла апплета, которое вы хотите зарузить. Это имя файла должно иметь расширение .class.

HEIGHT=height внутри браузера определяет высоту апплета в пикселах.

WIDTH=width определяет ширину апплета в пикселах.

MAYSCRIPT позволяет апплету обращаться к JavaScript.

NAME=appletName определяет имя апплета. вы можете обращаться к этому значению, используя свойство name.

CODEBASE=classFileDirectory определяет направление файла .class, если это отличается от направления, которое содержит HTML страницу.

ALT=alternateText определяет текст, чтобы показать браузерам, которые не поддерживают тег <APPLET>.

ALIGN=alignment определяет выравнивание небольшого приложения на HTML странице.

HSPACE=spaceInPixels определяет в пикселах интервал по горизонтали апплета внутри окна.

VSPACE=spaceInPixels определяет в пикселах интервал по вертикали апплета внутри окна.

<PARAM> Определяет параметры апплета.

NAME=parameterName определяет имя параметра.

VALUE=parameterValue определяет значение параметра.

Синтаксис

Использование объекта апплет:

1. AppletName.propertyName
2. Document.applets [index] .propertyName

Параметры

AppletName - значение атрибута NAME объекта applet.

index - целое число, представляющее апплет в документе, содержащем имя объекта applet.

PropertyName - одино из свойств, внесенных в список ниже.

Свойства

document

Выполненный в

Навигатор 3.0

Описание

Автор HTML страницы должен разрешить апплету обращаться к JavaScript, определяя атрибут MAYSCRIPT тега APPLET. Это предотвращает апплет от доступа JavaScript на странице без ведома автора страницы. Например, чтобы допустить апплет musicPicker.class к JavaScript на вашей странице, определите следующеее:

<APPLET
  CODE = "musicPicker.class"
    WIDTH=200
    HEIGHT=35
  NAME="musicApp"
MAYSCRIPT>

Массив applet

вы можете ссылаться на апплеты, используя массив applet. Этот массив содержит все объекты Applet (тег <APPLET>) в документе в исходном порядке. Например, если документ содержит три апплета, то эти апплеты отражены как document.applets [0], document.applets [1], и document.applets [2].

Использование массива applet:

1. Document.applets [index]
2. Document.applets.length
index - целое число, представляющее апплет в документе, содержащем имя объекта Applet.

Чтобы получить число апплетов в документе, используйте свойство length:

document.applets.length

Элементы в массиве applets только для чтения. Например, утверждение document.applets [0] = "myApplet.class" не имеет никакого результата.

Свойства

Объект Applet имеет следующие свойства:

Свойство | Описание
name | Отражает атрибут NAME

Методы

  • Отсутствуют.

    Обработчики Результата

  • Отсутствуют.

    Примеры

    Следующий пример запускает апплет "musicApp":

    <APPLET CODE="musicSelect.class" WIDTH=200 HEIGHT=35 NAME="musicApp" MAYSCRIPT> </APPLET>

    Смотрите также

    Объекты MimeTypes, Plugin

    Area

    <<New.>>

    Объект. Определяет область изображения как отображение изображения. Когда пользователь нажимает область, ссылка гипертекста области загрузится в ее целевое окно.

    HTML синтаксис

    Чтобы определять область, используйте стандарт HTML синтаксис с добавлением обработчиков событий onMouseOut и onMouseOver:

    <MAP NAME="mapName">
  <AREA
     [NAME="areaName"]
      COORDS="x1,y1,x2,y2,..."|"x-center,y-center,radius"
       HREF="location"
        [SHAPE="rect"|"poly"|"circle"|"default"]
       [TARGET="windowName"]
      [onMouseOut="handlerText"]
     [onMouseOver="handlerText"]>
</MAP>

    HTML атрибуты

    NAME = "mapName" определяет имя отображения. вы можете определить это имя отображения в атрибуте USEMAP тега <IMG>.

    AREA определяет область изображения как отображение изображения.

    NAME = "areaName" определяет имя объекта Area . Этот атрибут не отражен в JavaScript (вы не можете обратиться к объекту Area по имени).

    COORDS определяет координаты отображения изображения.

    HREF = "location" определяет URL документа, чтобы загрузить, когда пользователь нажимает область. Любая область изображения, которая не имеет атрибута HREF, не делает функцию как гиперсвязь. Этот атрибут требуется, если вы включаете обработчики результата onMouseOut и onMouseOver.

    SHAPE определяет форму отображения. "default" определяет область как невыполнть. Если опущено, используется "rect".

    TARGET = "windowName" определяет окно, в которое будет загружена связь. windowName может быть существующее окно; это может быть имя фрейма, указанное в теге <FRAMESET>; или это может быть один из литералов фрейма name _top, _parent, _self, или _blank; это не может быть выражение JavaScript (например, это не может быть parent.frameName или windowName.frameName).

    Синтаксис

    Использование свойств объекта Area:

1. AreaName.propertyName
2. Document.links [index] .propertyName

    Параметры

    AreaName - значение атрибута NAME объекта Area.

    index - целое число, представляющее область в документе, содержащее имя объекта Area

    PropertyName - один из свойств, описанных ниже.

    Свойства

    document

    Выполненный в

    Навигатор 3.0

    Описание

    Объекты Area находятся в массиве links. вы не можете обратиться к объекту Area по имени; вы должны использовать массив links. Например, если документ содержит три объекта области, эти объекты отражены как document.links [0], document.links [1], и document.links [2]. Для информации относительно массива links, смотрите объект Link.

    Атрибут HREF требуется для объекта Area чтобы использовать обработчики результата onMouseOut или onMouseOver. Однако, если вы создаете Area для изображения и не хотите, чтобы изображение связалось с ссылкой гипертекста когда нажато, определите JavaScript функцию в области аттрибута HREF, используя javascript: URL протокол. Например, если пользователь нажимает следующий объект Area, выполняется функция onTop.

    <MAP NAME="worldMap"> <AREA NAME="topWorld" COORDS="0,0,50,25" HREF="javascript-onTop()" onMouseOver="self.status='You are on top of the world'; return true" onMouseOut="self.status='You have left the top of the world'; return true"> </MAP>

    Если вы хотите, чтобы связь области ничего не делала, используйте javascript:void (0) в атрибуте HREF. Когда пользователь нажимает следующий объект Area, ничего не случиться:

    <MAP NAME="worldMap">
 <AREA
  NAME="topWorld"
   COORDS="0,0,50,25"
    HREF="javascript-void(0)"
    onMouseOver="self.status='You are on top of the world';
   return true"
  onMouseOut="self.status='You have left the top of the world';
 return true">
</MAP>

    свойства

    Объект Area имеет следующие свойства:

    Свойства | Описание
    hash | Определяет имя якоря в URL
    host | Определяет хост и имя области, или адрес IP, сетевого хоста
    hostname | Определяет хост части URL
    href | Определяет целый URL
    pathname | Определяет часть пути URL
    port | Определяет порт связи, который сервер использует для связи
    protocol | Определяет начало URL, включая двоеточие (:)
    search | Определяет запрос
    target | Отражает атрибут TARGET

    Методы

  • Отсутствуют

    Обработчики событий

  • OnMouseOut
  • OnMouseOver

    Примеры

    Пример 1.Обработчики событий OnMouseOver и onMouseOut.Следующий пример показывает изображение globe.gif. Изображение использует отображение изображения, которое определяет области для верхней и нижней половин изображения. OnMouseOver и onMouseOut обработчики событий показывают различные сообщения строки состояния в зависимости от местоположения мыши, и оставляет либо верхную либо нижную половины изображения. Атрибут HREF требуется при использовании обработчиков событий onMouseOver и onMouseOut, но в этом примере, изображение не нуждается в гипертекстовой связи , так что атрибут HREF выполняет javascript:void (0), который ничего не делает (для получения дополнительной информации смотрите оператор void).

    <MAP NAME="worldMap">
 <AREA
   NAME="topWorld"
   COORDS="0,0,50,25"
   HREF="javascript:void(0)"
   onMouseOver="self.status='You are on top of the world';
   return true"
   onMouseOut="self.status='You have left the top of the world';
   return true">
 <AREA
   NAME="bottomWorld"
   COORDS="0,25,50,50"
   HREF="javascript:void(0)"
   onMouseOver="self.status='You are on the bottom of the world';
   return true"
   onMouseOut="self.status='You have left the bottom of the
       world';
   return true">
</MAP>
<IMG SRC="globe.gif" ALIGN="top" HEIGHT="150" WIDTH="150"   USEMAP="#worldMap">

    Пример 2. Обращение к объекту через массив link. Следующийпример обращается к свойству href первого объекта Area, показанного в Примере 1.

    Document.links [0] .href

    Пример 3. Использование onClick с атрибутом HREF. Следующий пример использует атрибут HREF объекта Area, чтобы выполнить JavaScript функцию. Продемонстрированное изображение colors.gif, показывает два типовых цвета. Верхняя половина изображения - цветом "antiquewhite", а нижняя половина белая. Когда пользователь нажимает на верхную или нижную половины изображения, функция setBGColor изменяет цвет фона документа в цвет, выбранному пользователем.

    <SCRIPT>
   function setBGColor(theColor) {
       document.bgColor=theColor
   }
</SCRIPT>
 Выберите цвет фона этого документа
<MAP NAME="colorMap">
 <AREA NAME="topColor"COORDS="0,0,50,25"HREF="javascript:setBGColor('antiquewhite')">
 <AREA NAME="bottomColor" COORDS="0,25,50,50"HREF="javascript:setBGColor('white')">
</MAP>
 <IMG SRC="colors.gif"
  ALIGN="top"
   HEIGHT="50"
   WIDTH="50"
  USEMAP="#colorMap">

    Смотрите также

    Объект image Оператор void

    arguments

    << Измененный. >>

    Свойство arguments - свойство объекта function.

    Синтаксис

    Определять массив arguments изнутри объекта function:

this.arguments [index]

    Собственность

  • Объект Функции

    array

    <<New.>>

    Объект. Позволяет вам создавать массивы и работу с ними.

    Синтаксис

    Создание объекта array :

1. arrayObjectName = new Array ()
2. arrayObjectName = new Array (arrayLength)
    Использование объекта array :

1. arrayObjectName.propertyName
2. arrayObjectName.methodName ( parameters)

    Параметры

    arrayObjectName является либо именем нового объекта либо свойством существующего объекта.

    arrayLength - начальная длина массива. вы можете обращаться к этому значению, используя свойство length

    propertyName - один из свойств, описанных ниже.

    methodName - один из методов, описанных ниже.

    Свойства

    Отсутствуют.

    Выполненный в

    Navigator 3.0

    Описание

    Объект array - встроенный объект JavaScript.

    вы можете определять начальную длину, когда создаете массив. Следующий код создает массив из пяти элементов:

    billingMethod = new array(5)

    Когда вы создаете массив, все его элементы первоначально недействительны. Следующий код создает массив из 25 элементов, затем присваивает значения первым трем элементам:

     musicTypes = new Array(25)
musicTypes[0] = "R&B"
musicTypes[1] = "Blues"
musicTypes[2] = "Jazz

    Длина массива увеличивается, если вы приписываете значение элементу больше чем текущая длина массива. Следующий код создает массив нулевой длины, затем присваивает значение элементу 99, изменяя длину массива до 100.

    colors = new Array() colors[99] = "midnightblue"

    вы можете создавать плотный массив из двух или больше элементов, начинающихся с индекса 0, если вы определяете начальные значения для всех элементов. Плотный массив - это массив, в котором каждый элемент имеет значение. Следующий код создает плотный массив с тремя элементами:

    myArray = new Array("Hello", myVar, 3.14159)

    Свойства

    Объект array имеет следующие свойства:

    Свойства | Описание
    length | Отражает число элементов в массиве
    prototype | Позволяет вам, добавлять свойства к объекту array.

    Методы

  • join
  • reverse
  • sort

    Обработчики событий

  • Отсутствуют. Встроенные объекты не имеют обработчиков событий.

    Примеры

    Следующий пример создает массив, msgArray, нулевой длины, затем присваивает значения msgArray [0] и msgArray [99], изменяя длину массива до 100.

     msgArray = new Array()
msgArray [0] = "Hello"
msgArray [99] = "world"
if (msgArray .length == 100)
// This is true, because defined msgArray [99] element.
   document.write("The length is 100.")

    Смотрите также примеры для обработчика событий onError.

    Смотрите также

    Объект image

    atan2

    <<New.>>

    Метод. Возвращает угол полярной координаты (r, тета) который соответствует указанной декартовой координате (x, y).

    Замечание: Этот метод существовал в 2.0, но не был описан.

    Синтаксис

Math.atan2 (x, y)

    Параметры

    x является либо числовым выражением либо свойством существующего объекта, представляющие декартову координату x.

    y является либо числовым выражением либо свойством существующего объекта, представляющие декартову координату y.

    Метод

    Math

    Выполненный в

    Navigator 2.0

    Описание

    Метод atan2 возвращает числовое значение.

    Примеры

    Следующая функция возвращает угол полярной координаты:

     function getAtan2(x,y) {
   return Math.atan2(x,y)
}

    Если выполняется getAtan2 значения (90,15), то возвращается 1.4056476493802699; если выполняется значение (15,90), то возвращается 0.16514867741462683.

    Смотрите также

    Методы acos, asin, atan, cos , sin , tan

    blur

    <<Changed. >>

    Метод blur - метод объектов window и frame. Метод blur удаляет фокус из окна или фрейма. Передвижение фокуса посылает окно к фону в большинстве систем управления окнами.

    Синтаксис

frameReference.focus ()
windowReference.blur ()

    Параметры

    frameReference - способ только для фреймов, как описано в объекте frame.

    windowReference - способ только для окн, как описано в объекте window .

    Метод

  • frame
  • window

    border

    < <New. > >

    Свойство. Строка, определяющая ширину, в пикселях, границы изображения.

    Синтаксис

imageName.border

    Параметры

    imageName является либо именем объекта image либо элементом в массиве image.

    Свойства

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойстов border отражает атрибут BORDER тега <IMG >. Для изображений, созданных при image (), значение свойства border - 0.

    border - свойство только для чтения.

    Примеры

    Следующая функция показывает значение свойства border изображения, если значение - не ноль.

     function checkBorder(theImage) {
   if (theImage.border==0) {
      alert('The image has no border!')
   }
   else alert('The image's border is ' + theImage.border)
}

    Смотрите также

    Свойства height , hspace, vspace, width

    button

    < <Changed. > >

    Следующие свойства были добавлены к объекту button:

    Свойства | Описание
    type | Отражает атрибут TYPE

    checkbox

    < <Changed. > >

    Следующие свойства были добавлены к объекту checkbox :

    Свойства | Описание
    type | Отражает атрибут TYPE

    close (объект окна)

    < <Changed. > >

    Метод close закрывает только окна, открытые JavaScript использующие метод close. Если вы хотите закрыть любое другое окно, которое допускает пользователя, выбирают, закрывается ли окно. Это - элемент(размер элемента) безопасности(акции), чтобы предотвратить " бомбы почты " содержащий self.close (). Однако, если окно имеет только один документ (текущий) в его истории сеанса, завершение допускается без, любой подтверждает. Это - частный случай для одноразовых окон, которые должны открыться другие окна и затем распорядиться собой.

    complete

    < <New. > >

    Свойство. Логическое значение, которое указывает закончила ли Navigator загружать изображение.

    Синтаксис

imageName.complete

    Параметры

    imageName является либо именем объекта image либо элементом в массиве image.

    Свойства

    image

    Выполненный в

    Navigator 3.0

    Описание

    complete - свойство только для чтения.

    Примеры

    Следующий пример показывает изображение и три переключателя. Пользователь может щелкать переключатели, чтобы выбрать, какое изображение показано. Щелчок другой кнопки позволяет пользователю, смотреть текущее значение complete собственности.

    <B>Choose an image:</B>
<BR><INPUT TYPE="radio" NAME="imageChoice" VALUE="image1" CHECKED
   onClick="document.images[0].src='f15e.gif'">F-15 Eagle
<BR><INPUT TYPE="radio" NAME="imageChoice" VALUE="image2"
   onClick="document.images[0].src='f15e2.gif'">F-15 Eagle 2
<BR><INPUT TYPE="radio" NAME="imageChoice" VALUE="image3"
   onClick="document.images[0].src='ah64.gif'">AH-64 Apache

<BR><INPUT TYPE="button" VALUE="Is the image completely loaded?"
   onClick="alert('The value of the complete property is '
      + document.images[0].complete)">
<BR>
<IMG NAME="aircraft" SRC="f15e.gif" ALIGN="left" VSPACE="10"><BR>

    Смотрите также

    Свойства lowsrc, src

    Date

    < <Changed. > >

    Следующие свойства были добавлены к объекту Date :

    Свойства | Описание
    prototype | Позволяет вам, добавлять свойства к объекту Date.

    defaultSelected

    < <Changed. > >

    Свойство defaultSelected - свойство объекта Option .

    Синтаксис

    Следующий синтаксис был добавлен для свойства defaultSelected:

optionName.defaultSelected

    Параметры

    optionName - имя Select созданного при использование Option().

    Свойства

  • Объект Option

    description

    < <New. > >

    Свойство.

    Синтаксис

1. navigator.mimeTypes [index] .description
2. navigator.mimeTypes[mimeTypeName].description
3. navigator.plugins [index] .description
4. navigator.plugins[pluginName].description

    Выполненный в

    Navigator 3.0

    document

    < <Changed. > >

    Синтаксис

    Следующий синтаксис был добавлен для объекта document :

<BODY > ...
[onBlur = "handlerText"]
[onFocus = "handlerText"] ...
</BODY >

    Описание

    Обработчики событий OnBlur и onFocus определены в теге <BODY >, но - фактически обработчики событий для объекта window.

    Свойства

    Следующие свойства были добавлены к объекту document :

    Свойства | Описание
    applet | Массив, отражающий все applet в документе
    plugin | Массив, отражающий все plugins в документе
    image | Массив, отражающий все image в документе

    Следующие объекты - свойства объекта document

  • applet
  • area
  • image
  • plugin

    Дополнительное описание

    Не используйте локализацию как свойство объекта document ; используйте вместо свойство document.URL. Свойство document.location, которое является синонимом для document.URL, в будущем будет удален.

    вы можете очищать подокна документа (и устранять текст, формы элемента, и так далее, не восстанавливая изображение) используя document.close (); document.open (); document.write ().

    enabledPlugin

    < <New. > >

    Свойство. Возвращает ссылку к объекту Plugin для plug-in, который обращается к типу MIME, или NULL, если никакой plug-in не обращается к типу MIME.

    filename

    < <New. > >

    Свойство. Имя файла plug-in.

    Синтаксис

1. navigator.plugins [ index] .filename
2. navigator.plugins [pluginName] .filename

    Свойство

    plugin

    Выполненный в

    Navigator 3.0

    fileUpload

    < <New. > >

    Объект. Файл загружает элемент в форму HTML. Файл загружает элемент, позволяет пользователю, обеспечивая файл как вход.

    HTML синтаксис

    Чтобы определять объект FileUpload, используйте стандарт HTML синтаксис:

<INPUT
TYPE = "file"
NAME = "fileUploadName" >

    HTML атрибуты

    NAME = "fileUploadName" определяет имя объекта fileUpload (это - не имя файла, которое загружено). вы можете обращаться к этому значению, используя свойство name.

    Синтаксис

    Использование свойства объекта FileUpload:

fileUploadName.propertyName

    Параметры

    fileUploadName - значение атрибута NAME объекта FileUpload.

    propertyName - один из свойств, описанных ниже.

    Свойства

    form

    Выполненный в

    Navigator 3.0

    Описание

    вы можете размещать объект FileUpload в форме, но вы не можете использовать JavaScript, чтобы изменить его в любое время.

    Свойства

    Объект FileUpload имеет следующие свойства:

    Свойства | Описание
    name | Отражает атрибут NAME
    value | Отражает текущее значение файла загруженной области элемента; это соответствует имени файла. Это - свойство только для чтения.

    Методы

  • Отсутствуют.

    Обработчики событий

  • Отсутствуют.

    Примеры

    Следующий пример размещает объект FileUpload в форму и обеспечивает две кнопки, которые позволяют пользователю, показывать текущие значения свойств name и value.

     <FORM NAME="form1">
File to send: <INPUT TYPE="file" NAME="myUploadObject">
<P>Get properties<BR>
<INPUT TYPE="button" VALUE="name"
   onClick="alert('name: ' + document.form1.myUploadObject.name)">
<INPUT TYPE="button" VALUE="value"
   onClick="alert('value: ' + document.form1.myUploadObject.value)"><BR>
</FORM>

    Смотрите также

    Объект text

    focus

    < <Changed. > >

    Метод focus - метод объектов window и frame. Метод focus дает фокус окну или фрейму.

    Синтаксис

    Следующий синтаксис был добавлен для метода focus:

frameReference.focus ()
windowReference.focus ()

    Параметры

    frameReference - способ только для фрема, как описано в объекте frame.

    windowReference - способ только для окна, как описано в объекте window.

    Метод

  • frame
  • window

    form

    < <Changed. > >

    Следуещее было добавлено к синтаксису объекта form :

[ OnReset = "handlerText"]

    Следующие объекты - свойства объекта form

  • fileUpload

    Следующие методы были добавлены к объекту form

  • reset

    Следующие обработчики событий были добавлены к объекту reset

  • onReset

    frame

    < <Changed. > >

    Синтаксис

    Следующий синтаксис был добавлен для определения обработчика событий onBlur, или onFocus для frameset (framesets - окна, которые имеют не-пустые массивы frame):

<FRAMESET > ...
[<FRAME SRC = "locationOrURL" NAME="frameName" >]
[onBlur = "handlerText"]
[onFocus = "handlerText"] ...
<FRAMESET >

    Следующий синтаксис был добавлен для определения обработчика событий onBlur или onFocus для фрейма (для фреймов, вы не можете определять эти обработчики результата в HTML):

frameReference.onblur=errorHandler
frameReference.onfocus=errorHandler

    Параметры

    frameReference - только для фрейма, как описано в объекте frame .

    errorHandler - нулевое ключевое слово, имя функции обработки ошибок, либо переменная либо свойство, которое содержит нулевой или имеющий силу справочник по функциям.

    Описание

    Чтобы создавать обработчик событий onBlur или onFocus для фрейма, вы должны управлять свойством onblur или onfocus и определять их во всех нижних регистрах (вы не можете определять их в HTML).

    Обработчики событий

    Следующие обработчики событий были добавлены к framesets и объекту frame:

  • onBlur
  • onFocus

    function

    < <New. > >

    Объект. Определяет строку код JavaScript, которую нужно компилировать как функция.

    Синтаксис

functionTarget = new Function ([arg1, arg2, ... argn], functionBody)

    Параметры

    functionTarget - имя переменной или свойство существующего объекта. Это может также быть объект, сопровождаемый именем обработчика событий нижнего регистра, типа window.onerror.

    arg1, arg2, ... argn - строковые аргументы, которые нужно использовать функцией как формальные имена аргумента.

    functionBody - строка, определяющая код JavaScript, который нужно компилировать как тело функции.

    Выполненный в

    Navigator 3.0

    Описание

    Объекты function оцениваются, каждый раз когда они используются. Это менее эффективно чем объявление функции и запроса внутри вашего кода, потому что объявленные функции компилируются.

    Определение переменной значения с объектом Function

    Следующий код присваивает функцию переменной setBGColor. Эта функция устанавливает цветовой фон текущего документа.

    var setBGColor = new Function("document.bgColor='antiquewhite'")

    Чтобы вызывать объект Function , вы можете определить переменное имя, так если бы это была функция. Следующий код выполняет функцию, определенная как переменная setBGColor:

    var colorChoice="antiquewhite" if (colorChoice=="antiquewhite") {setBGColor()}

    вы можете присваивать функцию обработчику событий следующими способами:

    1. document.form1.colorButton.onclick=setBGColor 2. <INPUT NAME="colorButton" TYPE="button" VALUE="Change background color" onClick="setBGColor()">

    Создание переменной setBGColor показанный выше подобно объявлению следующей функции:

    function setBGColor() {
   document.bgColor='antiquewhite'
}

    Назначение функцию как переменную подобно объявлению функции, но они имеют разногласия:

    • Когда вы приписываете функцию переменной, используя var setBGColor= new Function("..."), setBGColor - переменная, для которой текущая значение является ссылкой на функцию, созданную с new Function().
    • Когда вы создаете функцию, используя функцию setBGColor () {...}, setBGColor - не переменная, это - имя функции.

    Определение аргументов в объекте function

    Следующий код определяет объект function ,который принимает два аргумента.

    Вар multFun = новая Функция ("x", "y", " возвращают x * y ")

    Остроковые аргументы "x" и "y" - формальные имена аргумента, которые используются в теле функции, " возвращают x * y ".

    Следующий код показывает различные способы как вызвать функцию multFun:

     var theAnswer = multFun (7,6) document.write (" 15*2 = " + multFun (15,2))
<INPUT NAME="operand1" TYPE="text" VALUE="5" SIZE=5>
<INPUT NAME="operand2" TYPE="text" VALUE="6" SIZE=5>
<INPUT NAME="result" TYPE="text" VALUE="" SIZE=10>
<INPUT NAME="buttonM" TYPE="button" VALUE="Multiply" onClick="document.form1.result.value= multFun(document.form1.operand1.value, document.form1.operand2.value)">

    вы не можете вызывать функцию multFun в свойстве обработчика событий, потому что эти свойства не могут брать аргументы. Например, вы не можете вызвать функцию multFun следующим образом:

    document.form1.button1.onclick=multFun(5,10)

    Определение обработчика событий с объектом function

    Следующий код присваивает функцию onFocus обработчику событий окна:

    window.onfocus = new Function("document.bgColor='antiquewhite'")

    Если вы имеете только ссылку на объект функции, то вы можете использовать его одноименную функцию, и преобразует от объекта до функции:

    Window.onfocus ()

    Свойства

    Объект function имеет следующие свойства:

    Свойства | Описание
    arguments | Соответствует элементам функции.
    prototype | Позволяет вам, прибавлять свойства к объекту function.

    Методы

  • Отсутствуют.

    Обработчики Событий

  • Отсутствуют.

    Примеры

    Следующий пример создает обработчики событий onFocus и onBlur для фрейма. Этот код существует в том же самом файле, который содержит тег <FRAMESET>. Заметьте, что это - единственый способ создания обработчиков событий onFocus и onBlur для фрейма, потому что вы не можете определять обработчики событий в теге <FRAME>.

    frames[0].onfocus = new Function("document.bgColor='antiquewhite'") frames[0].onblur = new Function("document.bgColor='lightgrey'")

    hash

    <<Changed.>>

    Свойство hash - свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен для с войство hash :

areaName.hash

    Параметры

    areaName - значение атрибута NAME объекта Area .

    Свойства

  • Объект Area

    Описание

    вы можете управлять свойством hash в любое время.

    height

    < <New.> > ;

    Свойство. Строка, определяющая высоту изображения или в пикселях или в процентах от высоты окна.

    Синтаксис

imageName.height

    Параметры

    imageName является либо именем объекта image либо элемента в массиве image.

    Свойства

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство height отражает атрибут HEIGHT тега <IMG>.

    height - свойство только для чтения.

    Примеры

    Следующая функция показывает значения свойства изображения height , width, hspace, и vspace.

     function showImageSize(theImage) {
   alert('height=' + theImage.height+
       '; width=' + theImage.width  +
       '; hspace=' + theImage.hspace +
       '; vspace=' + theImage.vspace)
}

    Смотрите также

    Свойства border , hspace, vspace, width

    hidden

    < <Changed.> >

    Следующие свойства были добавлены к объекту hidden :

    Свойства | Описание
    type | Отражает атрибут TYPE

    host

    < <Changed.> >

    Свойство host - свойство объекта Area .

    Синтаксис

    Следующий синтаксис был добавлен для свойства host :

areaName.host

    Параметры

    areaName - значение атрибута NAME объекта Area .

    Свойства

  • Объект area

    Описание

    вы можете управлять свойством host в любое время.

    hostname

    < <Changed.> >

    Свойство hostname - свойство объекта Area .

    Синтаксис

    Следующий синтаксис был добавлен для свойства hostname:

areaName.hostname

    Параметры

    areaName - значение атрибута NAME объекта Area .

    Свойства

  • Объект area

    Описание

    вы можете управлять свойством hostname в любое время.

    href

    < <Changed.> >

    Свойство href - свойство объекта Area .

    Синтаксис

    Следующий синтаксис был добавлен для свойства href:

areaName.href

    Параметры

    areaName - значение атрибута NAME объекта Area .

    Свойства

  • Объект area

    Описание

    вы можете управлять свойством href в любое время.

    hspace

    < ;<New.> >

    Свойства. Строка, определяющая поле в пикселях между левыми и правильными гранями изображения и текста окружения.

    Синтаксис

imageName.hspace

    Параметры

    imageName является либо именем объекта image либо элемента в массиве image.

    Свойства

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство hspace отражает атрибут HSPACE тега <IMG>.

    Hspace - свойство только для чтения.

    Примеры

    Смотрите примеры для свойства height .

    Смотрите также

    Свойства border , height , vspace, width

    Image (массив image )

    < <New.> >

    Объект. Изображение на форме HTML.

    HTML синтаксис

    Чтобы определить изображение, используйте стандарт HTML синтаксис с использованием обработчиков событий onAbort и onLoad:

<IMG
[NAME = "imageName"]
SRC = " Location "
[LOWSRC = " Location "]
[HEIGHT = " Pixels " |"Value"% ]
[WIDTH = " Pixels " | "Value"%]
[HSPACE = " Pixels "]
[VSPACE = " Pixels "]
[BORDER = " Pixels "]
[ALIGN="left"|"right"|
      "top"|"absmiddle"|"absbottom"|
      "texttop"|"middle"|"baseline"|"bottom"]
[ISMAP]
[USEMAP="Location#MapName "]
[onAbort = " handlerText "]
[onError = " handlerText "]
[onLoad = " handlerText "] >

    HTML атрибуты

    NAME = "imageName" определяет имя объекта image. Что бы обратиться к этому значению, используите свойство name.

    SRC = " Location " определяет URL изображения, которое будет показано в документе. Что бы обратиться к этому значению, используите свойство src.

    LOWSRC = " Location " определяет URL версии низкого разрешения изображения, которое будет показано в документе. вы можете обращаться к этому значению, используя свойство lowsrc.

    HEIGHT = " Pixels " |"Value"% определяет высоту изображения или в пикселях или в процентах от высоты окна. вы можете обращаться к этому значению, используя свойство height.

    WIDTH = " Pixels " | "Value"% определяет ширину изображения или в пикселях или в процент от ширины окна. вы обращаться к этому значению, используя свойство width.

    HSPACE = " Pixels " определяют расстояние в пикселях между левыми и правыми гранями изображения и текста окружения. Этот атрибут применяется только к изображениям, которые используют "левый" или "правые" как значения атрибута ALIGN. вы можете обращаться к этому значению, используя свойство hspace.

    VSPACE = " Pixels " определяют расстояние в пикселях между верхними и нижними гранями изображения и текста окружения. Этот атрибут применяется только к изображениям, которые используют "левый" или "правый" как значение атрибута ALIGN. вы можете обращаться к этому значению, используя свойство vspace.

    BORDER = " Pixels " определяет ширину, в пикселях, границы изображения. вы можете обращаться к этому значению, используя свойство border.

    ALIGN определяет выравнивание изображения относительно текста окружения. Если опущено, используется "bottom".

    ISMAP определяет изображение как отображение изображения стороны сервера.

    USEMAP="Location#MapName " Определяет изображение как отображение изображения стороны клиента. Этот атрибут должен определить URL файла, который содержит формирование рисунка отображения, сопровождаемое Символом #, и затем имя отображения. Например, USEMAP="http://www.HomeWorld.com/Maplist.html#areamap".

    Синтаксис

    Создание объект Image:

imageName = new Image([width, height])

    Использование свойства объекта Image:

1. ImageName.propertyName
2. Document.images [index] .propertyName
3. FormName.elements [index] .propertyName

    Определим обработчик событий для объекта Image , созданного при помощи Image():

imageName.onabort = handlerFunction
imageName.onerror = handlerFunction
imageName.onload = handlerFunction

    Параметры

    imageName является либо именем нового объекта либо свойством существующего объекта. При использовании свойства объекта image, imageName - значение атрибута NAME объекта image

    width - ширина изображения, в пикселях.

    heigt - высота изображения, в пикселях.

    formName является либо значением атрибута NAME объекта form либо элементом в массиве form.

    index, когда используется с массивом image - целое число или строка, представляющая объект image . index, когда используется с массивом elements, является целым числом, представляющим объект image на форме.

    propertyName - один из свойств, описанных ниже.

    handlerFunction - основное ключевое слово, имя функции, или переменной или свойство, которое содержит основное или имеющий силу функции.

    Свойства

    document

    Выполненный в

    Navigator 3.0

    Описание

    Положение и размер изображения в документе установлены, когда документ отображен в Navigator и не может быть изменен. вы можете изменять изображение, показанное как свойства src и lowsrc. (Смотрите описания src и lowsrc.)

    вы можете использовать JavaScript, чтобы создать анимацию с объектом image многократно устанавливая свойство src, как показано в Примере 4. JavaScript анимация медленнее чем GIF анимация, потому что с GIF анимацией полная анимация находится в одном файле; с JavaScript анимацией, каждый фрейм находится в отдельном файле.

    Объекты image не имеют обработчиков событий onClick, onMouseOut, и onMouseOver. Но, если вы определяете объект Area для изображения или размещаете тег <IMG> внутри объекта Link, вы можете использовать обработчики событий объектов Area или Link . Смотрите объекты link и area .

    Построение image()

    Первичное использование для объекта image, созданного при помощи image() должен загружать изображение из сети прежде, чем это фактически необходимо для показа. Затем, когда вы должны показать изображение внутри существующей ячейки изображения, устанавливая свойство src показанного изображения к тому же самому значению, поскольку оно использовало для предвыбранного изображения, следующим образом.

    myImage = new Image() myImage.src = "seaotter.gif" ... document.images[0].src = myImage.src

    Возникающее в результате изображение будет получено из кэша, скорее чем загруженный сетью. вы можете использовать эту методику, чтобы создать гладкие анимации, или вы можете отображать одно из отдельных изображений, основанных на вводе формы.

    Массив image

    вы можете ссылаться на изображения в вашем код, используя массив image . Этот массив содержит все объекты image (тег <IMG>) в документе в исходном порядке (изображения, созданные при помощи image() не включены в массив image ). Например, если документ содержит три изображения, то эти изображения отражены как document.images[0], document.images[1], и document.images[2].

    Использование массива image:

1. document.images [index]
2. document.images.length
    index - целое число, представляющее изображение в документе или строка, содержащая имя объекта image.

    Чтобы получать число изображений в документе, используйте свойство length: document.images.length.

    Элементы в массиве image только для чтения. Например, утверждение document.images [0] = "logo.gif" не имеет никакого действия.

    Свойства

    Объект image имеет следующие свойства:

    Свойства | Описание
    border | Отражает атрибут BORDER
    complete | Логическое значение, указывающее, закончил ли Navigator загружать изображение
    height | Отражает атрибут HEIGHT
    hspace | Отражает атрибут HSPACE
    lowsrc | Отражает атрибут LOWSRC
    name | Отражает атрибут NAME
    prototype | Позволяет вам, добавлять свойства к объекту image.
    src | Отражает атрибут SRC
    vspace | Отражает атрибут VSPACE
    width | Отражает атрибут WIDTH

    Замечание: border, hspace, name, и vspace свойства не обязательны для изображений, созданных при помощи image().

    Массив image имеет следующие свойства:

    Свойства | Описание
    length | Отражает число изображений в документе

    Методы

    Отсутствуют.

    Обработчики событий

  • onAbort
  • onError
  • onLoad

    Примеры

    Пример 1. Обращение к изображению его имени. Если вы обращаетесь к изображению его имени, вы должны включить имя формы, если изображение находится в форме. Например, пусть следующее изображение определено так:

    <IMG NAME="aircraft" SRC="f15e.gif" ALIGN="left" VSPACE="10">

    Следующий код обращается к изображению, если он расположен на форме:

    document.myForm.aircraft.src ='f15e.gif '

    Следующий код обращается к изображению, если он расположен не на форме:

    document.aircraft.src ='f15e.gif '

    Пример 2. Создание изображения при помощи Image(). Следующий пример создает объект Image, myImage, который имеет размеры 70 пикселей в ширину и 50 пикселей в высоту. Если источник URL, seaotter.gif, не имеет размерностей 70x50 пикселы, то масштабируется к этому размеру.

    myImage = new Image(70, 50) myImage.src = "seaotter.gif"

    Если вы опускаете параметры ширину и высоту в Image(), myImage создается размерами, равными этому изображения, именованного в источнике URL.

    myImage = new Image() myImage.src = "seaotter.gif"

    Пример 3. Показывает изображение, основанное на вводе формы. В следующем примере, пользователь выбирает, какое изображение показывать. Пользователь заказывает рубашку, заполняя форму. Показанное изображение зависит от цвета рубашки и размера, который пользователь выбирает. Все возможные выборы изображения предварительно загружены, чтобы ускорить время ответа Когда пользователь нажимает кнопку, чтобы упорядочить(заказать) рубашку, функция allShirts отображает изображения всех рубашек.

    <SCRIPT> shirts = new Array() shirts[0] = "R-S" shirts[1] = "R-M" shirts[2] = "R-L" shirts[3] = "W-S" shirts[4] = "W-M" shirts[5] = "W-L" shirts[6] = "B-S" shirts[7] = "B-M" shirts[8] = "B-L" doneThis = 0 shirtImg = new Array() // Preload shirt images for(j = 0; j < 3; j++) { for(k = 0; k < 3; k++) { idx = j*3 + k shirtImg[idx] = new Image() shirtImg[idx].src = "shirt-" + shirts[idx] + ".gif" } } function changeShirt(form) { shirtColor = form.color.options[form.color.selectedIndex].text shirtSize = form.size.options[form.size.selectedIndex].text newSrc = "shirt-" + shirtColor.charAt(0) + "-" + shirtSize.charAt(0) + ".gif" document.shirt.src = newSrc } function allShirts() { document.shirt.src = shirtImg[doneThis].src doneThis++ if(doneThis != 9)setTimeout("allShirts()", 500) else doneThis = 0 return } </SCRIPT> <FONT SIZE=+2><B>Netscape Рубашки Поло!</B></FONT> <TABLE CELLSPACING=20 BORDER=0> <TR> <TD> <IMG name="shirt" SRC="shirt-W-L.gif"> </TD> <TD> <FORM> <B>Цвет</B> <SELECT SIZE=3 NAME="color" onChange="changeShirt(this.form)"> <OPTION> Красный <OPTION SELECTED> Белый <OPTION> Голубой </SELECT> <P> <B>Размер</B> <SELECT SIZE=3 NAME="size" onChange="changeShirt(this.form)"> <OPTION> Маленький <OPTION> Средний <OPTION SELECTED> Большой </SELECT> <P> <INPUT type="button" name="buy" value="Buy This Shirt!" onClick="allShirts()"> </FORM> </TD> </TR> </TABLE>

    Пример 4. JavaScript анимация. Следующий пример использует JavaScript, чтобы создать анимацию с объектом Image, многократно изменяя значение свойства src. Сценарий начинается, предварительно загрузив десять изображений, которые создают анимацию (! Image1.gif,! Image2.gif,! Image3.gif, и так далее). Когда объект Image размещается на документе с тегом <IMG>,! показывается Image1.gif, и обработчик событий onLoad начинает анимацию, вызывая функцию animate . Обратите внимание, что функция animate не вызывается после изменения свойства src объекта Image. Это - то, потому что, когда src изменения свойство, обработчик события onLoad изображения вызван, и функция animate вызывается.

    <SCRIPT>
delay = 100
imageNum = 1
// Preload animation images
theImages = new Array()
for(i = 1; i < 11; i++) {
   theImages[i] = new Image()
   theImages[i].src = "!image" + i + ".gif"
   }
function animate() {
   document.animation.src = theImages[imageNum].src
   imageNum++   if(imageNum > 10) {
   imageNum = 1
   }
}
function slower() {
   delay+=10
   if(delay > 4000) delay = 4000
}
function faster() {
   delay-=10
   if(delay < 0) delay = 0
}
</SCRIPT>
<BODY BGCOLOR="white">
 <IMG NAME="animation" SRC="!image1.gif" ALT="[Анимация]" onLoad="setTimeout('animate()', delay)">
<FORM>
<INPUT TYPE="button" Value="Slower" onClick="slower()">
<INPUT TYPE="button" Value="Faster" onClick="faster()">
</FORM>
</BODY>

    Смотрите также примеры для обработчиков событий onAbort, onError, и onLoad.

    Смотрите также

    Объекты Область, link ;Обработчики событий onClick, onMouseOut, onMouseOver

    index

    < <Changed.>>

    Свойство index - свойство объекта Option.

    Синтаксис

    Следующий синтаксис был добавлен для свойства index:

optionName.index

    Параметры

    optionName - имя созданной опции объекта Select, при использовании Option().

    Свойства

  • Объект Option

    isNaN

    < <Changed.>>

    Функция isNaN теперь работает на всех платформах.

    Для информации относительно isNaN, смотрите функцию isNaN.

    javaEnabled

    < <New.>>

    Метод. Определяет, допускается ли Java.

    Синтаксис

navigator.javaEnabled ()

    Метод

    navigator

    Выполненный в

    Navigator 3.0

    Описание

    javaEnabled возвращает true, если Java допускается, иначе false. Пользователь имеет возможность или отключать Java, выбирая Network Preferences из меню Navigator's Options.

    Примеры

    Следующий код выполняет function1, если Java допускается; иначе выполняет function2.

     if (navigator.javaEnabled()) {
   function1()
}
else function2()

    Смотрите также

    Свойства appName, appCodeName, userAgent

    join

    < <New.>>

    Метод. Соединяет все элементы массива в строку.

    Синтаксис

arrayName.join ( separator)

    Параметры

    arrayName - имя объекта Array или свойство существующего объекта.

    separator определяет строку, которая отделяет каждый элемент массива. separator преобразован в строку в случае необходимости. Если опущен, то элементы массива отделяются запятой (,).

    Метод

    array

    Выполненный в

    Navigator 3.0

    Описание

    Строковое преобразование всех элементов массива соединено в одну строку.

    Примеры

    Следующий пример создает массив, с тремя элементами, затем соединяет массив три раза: используя заданного по умолчанию разделителя, затем запятую и пробел, и затем плюс.

    a = new Array("Wind","Rain","Fire")
document.write(a.join() +"<BR>")
document.write(a.join(", ") +"<BR>")
document.write(a.join(" + ") +"<BR>")

    Этот код выглядит следующим образом:

    Смотрите также

    Методы reverse , sort

    length

    < <Changed.>>

    Свойства length - свойство следующих:

  • объект array
  • массив image
  • plugin объект

    Синтаксис

    Следующий синтаксис был добавлен для свойства length:

1. arrayName.length
2. images.length
3. navigator.plugins [index] .length
4. navigator.plugins [pluginName] .length

    Параметры

    arrayName - имя объекта Array.

    Описание

    Свойство length - целое число, которое определяет один из следующих:
    • Число элементов в массиве.
    • Число изображений в документе.

    Для массивов, вы можете устанавливать свойства length, чтобы урезать массив в любое время. вы не можете расширять массив; например, если вы устанавливаете длину 3, когда - в настоящее время 2, массив будет все еще содержать только 2 элемента. Для информации относительно других способов изменять длины массива, смотрите объект Array. { array }

    Примеры

    Следующий код укорачивает массив statesUS до длины 50, если текущая длина большая чем 50. if (statesUs.length > 50) { statesUs.length=50 alert("The U.s. has only 50 states. New length is " + statesUs.length) }

    Свойства

  • объект array
  • массив image
  • plugin объект

    link (массив links )

    < <Changed.>>

    Массив links теперь содержит объекты Area, которые созданы с <AREA HREF = "...">.

    Следующие обработчики события были добавлены к объекту Link:

  • OnMouseOut

    Дополнительное описание

    Следующее обсуждение будет добавлено к документации для объекта Link; однако, это - не новые функциональные возможности.

    вы можете использовать объект Link, чтобы выполнить функцию JavaScript быстрее чем связь с гиперссылкой, определяя javascript: URL протокол для HREF атрибута связи. вы можете делать это, если связь окружает объект Image, и вы хотите выполнять JavaScript код, когда изображение нажато. Или вы можете использовать связь вместо кнопки, чтобы выполнить JavaScript код.

    Например, когда пользователь нажимает на следующие связи, slower и faster выполняются функции:

    <A HREF="javascript-slower()">Slower</A> <A HREF="javascript-faster()">Faster</A>

    вы можете использовать объект Link, чтобы не делать ничто скорее чем связь с гиперссылкой, определяя javascript:void (0) URL протокол для HREF атрибута связи. вы можете делать это, если связь окружает объект Image, и вы хотите использовать обработчики события связи с изображением. Когда пользователь нажимает следующую связь или изображение, ничего не происходит:

     <A HREF="javascript-void(0)">Click here to do nothing</A>
 <A HREF="javascript-void(0)">
   <IMG SRC="globe.gif" ALIGN="top" HEIGHT="50" WIDTH="50">
</A>

    Смотрите также

    void

    location

    < <Changed.>>

    Синтаксис

    Следующий синтаксис был добавлен к объекту Location:

[ windowReference.]location.methodName(parameters)

    Методы

    Следующие методы были добавлены к объекту Location:

  • reload
  • replace

    Дополнительное описание

    Следующее обсуждение будет добавлено к документации для объекта Location; однако, это - не новые функциональные возможности.

    В обработчиках события, вы должны определить window.location вместо просто использования location. Из-за обзора статических объектов в JavaScript, обращение к location без определения объектного имяни эквивалентно document.location, который является синонимом для документа URL.

    Не используйте location как свойство объекта Document; используйте вместо этого свойство document. URL. Свойство Document.location, которое является синонимом для document.URL, будет удален в будущем.

    lowsrc

    < <New.>>

    Свойство. Строка, определяющая URL версии низкого разрешения изображения, которое нужно отобразить в документе.

    Синтаксис

imageName.lowsrc

    Параметры

    imageName является либо именем объекта Image либо элемента в массиве Image.

    Свойства

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство Lowsrc первоначально отражает атрибут LOWSRC тега <IMG>. Navigator загружает меньшее изображение, определенное lowsrc и затем заменяет его на большее изображение, определенное свойством src. вы можете изменять свойства lowsrc в любое время.

    Примеры

    Свойства Смотрите примеры для src.

    Смотрите также

    Свойства complete , src

    Math

    < <Changed.>>

    Следующие методы были добавлены к объекту Math:

  • atan2

    mimeTypes

    < <New.>>

    Массив всех типов MIME, обеспечиваемых клиентом.

    Свойства

    navigator

    Выполненный в

    Navigator 3.0

    name

    < <Changed.>>

    Свойства name - свойства только для чтения следующих объектов:

  • applet
  • fileUpload
  • image
  • plugin

    Синтаксис

    Следующий синтаксис был добавлен для свойства name :

1. fileUploadName.name
2. imageName.name
3. navigator.plugins [index] .name
4. navigator.plugins [pluginName] .name

    Параметры

    fileUploadName является либо значением атрибута NAME объекта FileUpload либо элемента в массиве elements .

    imageName является либо значением атрибута NAME объекта Image либо элемента в массиве images.

    index - целое число, представляющее plug-in документа или строка, содержащая имя объекта Plugin

    Описание

    Для объекта FileUpload, name - свойство только для чтения.

    Для изображений, созданных при помощи image(), значение свойства name пусто.

    Свойства

  • объект fileUpload
  • image
  • plugin

    Смотрите также

    Объекты applet , plugin <------------------------------------------------------->

    navigator

    < <Changed.>>

    Следующие объекты - свойства объекта navigator

  • mimeType
  • plugins

    Следующие методы были добавлены к объекту navigator

  • javaEnabled

    onAbort

    < <New.>>

    Обработчик событий. Событие аварийного прекращения работы происходит, когда пользователь прерывает загрузку изображения (например, нажимая связь или нажимая Кнопку остановки). Обработчик события OnAbort выполняет JavaScript код, когда происходит событие аварийного прекращения работы.

    Выполненный в

    Navigator 3.0

    Обработчики событий

  • image

    Примеры

    В следующем примере, обработчик onAbort в объекте Image отображает сообщение, когда пользователь прерывает загрузку изображения:

    <IMG NAME="aircraft" SRC="f15e.gif" onAbort="alert('You didn\'t get to see the image!')">

    Смотрите также

    Обработчики событий onError, onLoad

    OnBlur

    < <Changed.>>

    Обработчик события OnBlur - обработчик события окон, фреймов, и framesets.

    Обработчик События

  • window
  • frame

    Описание

    Для окон, фреймов, и framesets, обработчик события onBlur определяет JavaScript код, который выполниться, когда окно теряет фокус.

    Обработчик события OnBlur фрейма отменяет обработчик события onBlur в теге <BODY> документа, загруженного в фрейм.

    Обратите внимание: На платформах Windows, помещая обработчик события onBlur в тег <FRAMESET> не имеет никакого действия.

    Примеры

    Пример 1. Изменение фона окна. В следующем примере, обработчики события onBlur окна и onFocus изменяют фоновый цвет окна в зависимости от того, имеет ли окно фокус.

    <BODY BGCOLOR="lightgrey"
onBlur="document.bgColor='lightgrey'"
onFocus="document.bgColor='antiquewhite'">

    Пример 2. Изменение фонового цвета фрейма. Следующий пример создает четыре фрейма. Источник для каждого фрейма, Onblur2.html имеет тег <BODY> с обработчиками события onBlur и onFocus, показанными в Примере 1. Когда документ загружен, все фреймы - "lightgrey". Когда пользователь нажимает фрейм, обработчик события onFocus изменяет фоновый цвет фрейма на "antiquewhite". Фрейм, который теряет фокус, изменен на "lightgrey". Обратите внимание, что обработчики события onBlur и onFocus - внутри тега <BODY>, а не тега <FRAME>.

    <FRAMESET ROWS="50%,50%" COLS="40%,60%">
<FRAME SRC=onblur2.html NAME="frame1">
<FRAME SRC=onblur2.html NAME="frame2">
<FRAME SRC=onblur2.html NAME="frame3">
<FRAME SRC=onblur2.html NAME="frame4">
</FRAMESET>

    Следующий код имеет тот же самый эффект что и предыдущий код, но выполнен по-другому. Обработчики события onFocus и onBlur связаны с фреймом, а не с документом. Обработчики события onBlur и onFocus для фрейма определены, устанавливая свойства onblur и onfocus. Для информации относительно использования new определяющий строку JavaScript кода, который нужно компилировать как функция, смотрите объект Function. { function }
    <SCRIPT>
function setUpHandlers() {
  for (var i = 0; i < frames.length; i++) {
    frames[i].onfocus = new Function("document.bgColor='antiquewhite'")
    frames[i].onblur  = new Function("document.bgColor='lightgrey'")
  }
}
</SCRIPT>
<FRAMESET ROWS="50%,50%" COLS="40%,60%" onLoad=setUpHandlers()>
<FRAME SRC=Onblur2.html NAME="frame1">
<FRAME SRC=Onblur2.html NAME="frame2">
<FRAME SRC=Onblur2.html NAME="frame3">
<FRAME SRC=Onblur2.html NAME="frame4">
</FRAMESET>

    Пример 3. Закрытие окн. В следующем примере, обработчик события onBlur окна закрывает окно, когда окно теряет фокус.

    <BODY onBlur="window.close()"> Здесь - некоторый текст </BODY>

    onClick

    < <Changed.>>

    Для checkboxes, links, radio buttons, reset buttons, и submit buttons , обработчик события onClick может теперь возвращать false, чтобы отменить действие, обычно связываемое с событием щелчка. Возвращение false в обработчике события onClick для кнопки не имеет никакого действия.

    Обратите внимание: На платформах Windows, возвращая false в обработчике события onClick для кнопки reset не имеет никакого действия.

    Например, нажмите на следующую гиперссылку, и затем выберите Отмену. Когда вы выбираете Отмену, новая страница не загрузиться.

    Netscape

    Код для этого примера выглядит следующим образом:

    <A HREF = "index-1.htm" onClick="return confirm('Load Netscape home page?')">Netscape</A>

    Примеры

    Следующий пример создает checkbox с обработчиком события onClick. Обработчик события отображает подтверждение, которое предупреждает пользователя, что проверка checkbox очищает все файлы. Если пользователь выбирает Отмену, обработчик события onClick возвращает false, и checkbox не отмечен.

    <INPUT TYPE="checkbox" NAME="check1" VALUE="check1" onClick="return confirm('This purges all your files. Are you sure?')"> Удалить файлы

    onError

    <<New.>>

    Обработчик События. Событие ошибки происходит, когда загрузка документа или изображения вызывает ошибку. Обработчик события onError выполняет JavaScript код, когда происходит событие ошибки.

    Обработчик события onError может быть любым из следующих:

    • Пустой указатель, чтобы подавить все диалоги ошибки. Установка window.onerror к пустому указателю означает что ваши пользователи, не будет видеть JavaScript ошибки, вызванные вашим собственным кодом.
    • Имя функции, которая обрабатывает ошибки (параметры - текст сообщения, URL, номер строки ошибки). Чтобы скрыть стандартную диалоговую ошибку JavaScript, функция должна возвратить true. Смотрите нижеприведенный Пример 3.
    • Переменная или свойство, которое содержит пустой указатель или допустимая ссылка к функциям.

    Если вы записываете функцию обработчика событий, то вы имеете три параметра для сообщения ошибок:

    • Ошибки Следа, который позволяет диалоговому стандарту JavaScript сообщать их (используйте функцию обработчика событий, который не возвращает true)
    • Ошибки Отчета самостоятельны и отключают стандартную диалоговую ошибку (используйте функцию обработчика событий, которая возвращает true)
    • Выключите все сообщающуюся ошибку (установите onError обработчик события к пустому указателю)

    Событие ошибки происходит только, когда происходят синтаксис JavaScript или ошибка во время выполнения программы, но не, когда происходит ошибка Navigator. Например, если вы пытаетесь установить window.location.href ='Notthere.html ', причем Notthere.html не существует, в результате возникает сообщение об ошибках - есть Navigator сообщения об ошибках; следовательно, обработчик события onError не прервал бы это сообщение.

    Смотрите релевантные объекты для синтаксиса onError.

    Выполненный в

    Navigator 3.0

    Обработчик События

  • image
  • window

    Примеры

    Пример 1. Обработчик События с нулевой вероятностью. В следующем теге <IMG>, код onError = "null" скрывает сообщения об ошибках, если ошибки происходят, когда изображение загружается.

    <IMG NAME="imageBad1" SRC="corrupt.gif" ALIGN="left" BORDER="2" onError="null">

    Пример 2. Обработчик События с нулевой вероятностью для окна. Обработчик события OnError для окон не может быть выражен в HTML. Следующий код приписывает null обработчику onError для всего окна, а не только для объект Image. Это скроет все JavaScript сообщения об ошибках.

    <SCRIPT> window.onerror=null </SCRIPT> <IMG NAME="imageBad1" SRC="corrupt.gif" ALIGN="left" BORDER="2">

    В следующем примере, окно onerror=null скрывает все сообщения об ошибки. Без onerror=null, иначе код вызвал бы ошибку (stack overflow error).

    <SCRIPT> window.onerror = null; function testErrorFunction() { testErrorFunction(); } </SCRIPT> <BODY onload="testErrorFunction()"> Сообщение теста </BODY>

    Пример 3. Функция Обработки ошибок. Следующий пример определяет функцию myOnError, которая прерывает JavaScript ошибки. Функция использует три массива, чтобы сохранить сообщение, URL, и номер строки для каждой ошибки. Когда пользователь нажимает кнопку Display Error Report, функция displayErrors открывает окно и создает отчет ошибки в этом окне.

     <SCRIPT>
 window.onerror = myOnError
 msgArray = new Array()
 urlArray = new Array()
 lnoArray = new Array()
 function myOnError(msg, url, lno) {
   msgArray[msgArray.length] = msg
   urlArray[urlArray.length] = url
   lnoArray[lnoArray.length] = lno
   return true
}
function displayErrors() {
   win2=window.open('','window2','scrollbars=yes')
   win2.document.writeln('<B>Error Report</B><P>')
   for (var i=0; i < msgArray.length; i++) {
      win2.document.writeln('<B>Error in file:</B> ' + urlArray[i] + '<BR>')
      win2.document.writeln('<B>Line number:</B> ' + lnoArray[i] + '<BR>')
      win2.document.writeln('<B>Message:</B> ' + msgArray[i] + '<P>')
   }
   win2.document.close()
}
</SCRIPT>
<BODY onload="noSuchFunction()">
<FORM>  <BR>
<INPUT TYPE="button" VALUE="This button has a syntax error" onClick="alert('unterminated string)">
<P>
<INPUT TYPE="button" VALUE="Display Error Report" onClick="displayErrors()">
</FORM>

    Пример 4. Обработчик События вызывающий функцию. В следующем теге <IMG>, обработчик события onError вызывает функцию badImage, если существуют ошибки, когда изображение загружается. <SCRIPT> function badImage(theImage) { alert('Error: ' + theImage.name + ' did not load properly.') } </SCRIPT> <FORM> <IMG NAME="imageBad2" SRC="orca.gif" ALIGN="left" BORDER="2" onError="badImage(this)"> </FORM>

    Смотрите также

    Обработчик события OnLoad

    OnFocus

    < <Changed.>>

    Обработчик события OnFocus - теперь это обработчик события window, frame, и frameset.

    Обработчик События

  • window
  • frame

    Описание

    Для window, frame, и framesets, обработчик события onFocus определяет код JavaScript, который выполниться, когда окно получает фокус.

    Обработчик события OnFocus frame отменяет обработчик события onFocus в теге <BODY> документа, загруженного в frame.

    Обратите внимание, что размещение alert в обработчике события onFocus приводит к рекуррентным сообщениям: когда вы нажимаете OK, чтобы игнорировать сообщение, основное окно получает снова фокус и происходит другое событие фокуса.

    Смотрите релевантные объекты для синтаксиса onFocus.

    Обратите внимание: На платформах Windows, помещая обработчик события onFocus в теге <FRAMESET> не имеет никакого эффекта.

    Примеры

    Смотрите примеры для обработчика события onBlur.

    OnLoad

    < <Changed.>>

    Обработчик события OnLoad - теперь обработчик события:

  • image

    Обработчик События

  • image

    Описание

    Для image, обработчик события onLoad указывает на код, который выполниться, когда изображение отображается. Не путайте отображение изображения с загрузкой изображения. вы можете загружать несколько изображений, и затем отображать их один за другим в том же самом объекте Image, устанавливая свойство src объекта. Если вы изменяете изображение, отображаемое таким образом, обработчик события onLoad выполняется каждый раз, когда изображение отображается, а не только, когда изображение загружено в память.

    Если вы определяете обработчик события onLoad для объекта Image, который отображает выполнение цикла GIF анимации (multi-image GIF), каждый цикл анимации вызывает событие onLoad, и обработчик события выполняется один раз для каждого цикла.

    вы можете использовать обработчик события onLoad, чтобы создать JavaScript анимацию, надо несколько раз устанавивить свойство src объекта Image. Смотрите объект Image для более подробной информации. { image }

    Примеры

    Пример 1. Alert Дисплея, когда загружено изображение. Следующий пример создает два объекта Image, один при помощи image(), а один при помощи тега <IMG>. Каждый объект Image имеет обработчик события onLoad, который вызывает функцию displayAlert, выводящая сообщение. Для изображения, созданного в теге <IMG>, alert отображает имя изображения. Для изображения, созданного, как Image(), alert отображает сообщение без имени изображения. Потому что обработчик onLoad для объекта, созданного, как Image() должен иметь имя функции, а это не может определять параметры для функции displayAlert.

     <SCRIPT>
imageA = new Image(50,50)
imagea.onload=displayAlert
imagea.src="cyanball.gif"
function displayAlert(theImage) {
   if (theImage==null) {
      alert('An image loaded')
   }
   else alert(theImage.name + ' has been loaded.')
}
</SCRIPT>
 <IMG NAME="imageB" SRC="greenball.gif" ALIGN="top" onLoad=displayAlert(this)> <BR>

    Пример 2. Выполнение цикла GIF анимации. Следующий пример отображает изображение birdie.gif, который выполняет цикла GIF анимации. Обработчик события OnLoad изображения увеличивает переменные cycles , которые содержат сколько раз анимация имела цикл. Чтобы видеть значение cycles , пользователь нажимает кнопку с именем Счет Цикла.

    <SCRIPT> var cycles=0 </SCRIPT> <IMG ALIGN="top" SRC="birdie.gif" BORDER=0 onLoad="++cycles"> <INPUT TYPE="button" VALUE="Count Loops" onClick="alert('The animation has looped ' + cycles + ' times.')">

    Пример 3. Изменение GIF анимации. Следующий пример использует обработчик события onLoad, который поворачивает шесть GIF анимаций. Каждая анимация отображается в последовательности в одном объекте Image. Когда документ загружен, отображается !Anim0.html. Когда загрузка анимации завершена, обработчик события onLoad вызывает следующий файл !Anim1.html, который загружается вместо первого файла. После загрузки последней анимации !Anim5.html, снова отображается первый файл. Обратите внимание, что функция changeAnimation не вызывается после изменения свойства src объекта Image. Потому что, когда изменяется свойство src, обработчик события onLoad вызывает изображение, и вызывается функция changeAnimation.

    <SCRIPT>
var whichImage=0
var maxImages=5
function changeAnimation(theImage) {
   ++whichImage
   if (whichImage <= maxImages) {
      var imageName="!anim" + whichImage + ".gif"
      theImage.src=imageName   } else {
      whichImage=-1
      return
   }
}
</SCRIPT>
 <IMG NAME="changingAnimation" SRC="!anim0.gif" BORDER=0 ALIGN="top" onLoad="changeAnimation(this)">

    Смотрите также примеры для объекта Image. {Изображение}

    Смотрите также

    OnAbort, onError обработчики события

    onMouseOut

    < <New.>>

    Обработчик События. Событие MouseOut происходит, каждый раз, когда указатель мыши выходит из определенной области или когда внутри той области или связи. Обработчик события OnMouseOut выполняет JavaScript код, событие когда происходит mouseOut.

    Если мышь перемещается из одной области в другую, то для первой области происходит событие onMouseOut, а для второй событие onMouseOver.

    Объекты area, которые используют обработчик события onMouseOut, должны включить атрибут HREF внутри тега <AREA>.

    Внутри обработчик события должен возвращать true, если вы хотите устанавливать свойства status или defaultStatus с обработчиком события onMouseOver.

    Смотрите релевантные объекты для синтаксиса onMouseOut.

    Выполненный в

    Navigator 3.0

    Обработчик События

  • area
  • link

    Примеры

    Смотрите примеры для объекта Area.{ area }

    Смотрите также

    Обработчик события OnMouseOver

    onMouseOver

    < <Changed.>>

    Обработчик События. Обработчик события OnMouseOver - это обработчик события:

  • area

    Событие mouseOver происходит каждый раз, когда указатель мыши появляется над объектом или областью, или снаружи того объекта или области. Обработчик события OnMouseOver выполняет JavaScript код, когда происходит событие mouseOver.

    Если мышь перемещается из одной области в другой, то для первой области вы получите событие onMouseOut, а для второй onMouseOver.

    Объекты area, которые используют обработчик события onMouseOver, должны включить атрибут HREF внутри тега <AREA>.

    Внутри обработчика события вы должны возвращать true, если вы хотите устанавить свойства status или defaultStatus с обработчиком события onMouseOver.

    Смотрите релевантные объекты для синтаксиса onMouseOver.

    Примеры

    Смотрите примеры для объекта Area. { area }

    Смотрите также

    Обработчик события onMouseOut

    OnReset

    < <New.>>

    Обработчик События. Событие Reset происходит, когда пользователь нажимает кнопку Reset. Обработчик события OnReset выполняет JavaScript код, когда происходит событие Reset.

    Смотрите релевантные объекты для синтаксиса onReset.

    Выполненный в

    Navigator 3.0

    Обработчик События

    form

    Примеры

    Следующий пример отображает объект Text со значением по умолчанию "ПРИБЛИЗИТЕЛЬНО" и кнопку Reset. Если пользователь печатает сокращение состояния в объекте Text и затем нажимает кнопку сброса, первоначальное значение "ПРИБЛИЗИТЕЛЬНО" восстановлено. OnReset обработчик события формы отображает сообщение, указывающее, что значения по умолчанию были восстановлены.

    <FORM NAME="form1" onReset="alert('Defaults have been restored.')"> Состояние: <INPUT TYPE="text" NAME="state" VALUE="CA" SIZE="2"> <P> <INPUT TYPE="reset" VALUE="Clear Form" NAME="reset1"> </FORM>

    Смотрите также

    Объект reset и метод reset

    onSubmit

    < <Changed.>>

    Пример для обработчика события onSubmit будет изменен на следующий. Это - не новые функциональные возможности.

    <FORM onSubmit="return validate(this)"> ... </FORM>

    opener

    <<New. > >

    Свойство. Определяет окно вызванного документа, когда окно открыто, используя метод open.

    Синтаксис

window.opener

    Свойство

    window

    Выполненный в

    Navigator 3.0

    Описание

    Когда исходный документ открывает окно, вызывая метод open, Свойство opener определяет окно исходного документа

    вы можете изменять свойство opener в любое время.

    Примеры

    Пример 1: закрытие opener. Следующий код закрывает окно, которое было открыто текущем окном.

    window.opener.close ()

    Пример 2: имя opener. Окно может определять имя его opener следующим образом:

    document.write ("<BR> свойство opener - " + window.opener.name)

    Пример 3: изменение значения opener. Следующий код изменяет значение свойства opener к пустому указателю. После того, как этот код выполниться, вы не можете закрывать окно opener как показано в Примере 1.

    window.opener=null

    Пример 4: изменение свойство opener. Следующий код изменяет фоновый цвет окна, определенного свойством opener .

    window.opener.document.bgColor ='bisque '

    Смотрите также

    Методы close , open

    Option

    <;<New. > >

    Объект. Опция объекта Select создается при использование конструктора Option(). Для более подробной информации, смотрите объект Select.{ select}

    parseFloat

    <;<Changed. > >

    ParseFloat теперь возвращает "NaN" на всех платформах, если первый символ строки, определенной в parseFloat(string) не может быть преобразован в номер.

    Относительно информации о parseFloat, смотрите функцию parseFloat.

    parseInt

    <;<Changed. > >

    ParseInt теперь возвращает "NaN" на всех платформах, если первый символ строки, определенной в parseInt(string) не может быть преобразован в номер.

    Относительно информации о parseInt, смотрите функцию parseInt.

    password

    <;<Changed. > >

    Следующие свойства были добавлены к объекту password:

    Свойство | Описание
    type | Отражает атрибут TYPE

    pathname

    <;<Changed. > >

    Свойство pathname - теперь свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен для свойства pathname :

areaName.pathname

    Параметры

    areaName - значение атрибута NAME объекта area ..

    Свойство

  • Объект area

    Описание

    вы можете устанавливать свойство pathname в любое время.

    plugin

    <;<New. > >

    Объект. Собирает вводы из приложения plug-in.

    Синтаксис

<EMBED
SRC=source
NAME=appletName
HEIGHT=height
WIDTH=width >
[<PARAM NAME=parameterName VALUE=parameterValue >]
[... <PARAM >]
</EMBED >

    Параметры

    SRC=source определяет URL.

    NAME=appletName определяет имя объекта расположенного в документе.

    HEIGHT=height определяет высоту небольшого приложения в пикселях внутри окна браузера.

    WIDTH=width определяет ширину небольшого приложения в пикселях внутри окна браузера.

    <PARAM > определяет параметр для объекта.

    NAME=parameterName определяет имя параметра.

    VALUE=parameterValue определяет значение для параметра.

    Свойство

    document

    Выполненный в

    Navigator 3.0

    Описание

    embeds массив

    вы можете ссылаться на plugins в вашем коде, используя, embeds массив. Этот массив содержит все объекта Plugin (тег <EMBED>) в документе в исходном порядке. Например, если документ содержит три plugins, эти plugins отражены следующим образом document.embeds[0], document.embeds[1], и document.embeds[2].

    Использование embeds массив:

1. document.embeds [index]
2. document.embeds.length
    index - целое число, содержащее имя объекта Plugin.

    Чтобы получить номер plugins в документе, используйте свойство lenght: document.embeds.length.

    Элементы в массиве embeds , только для чтения. Например, утверждение document.embeds[0] = "myavi.avi" не имеет никакого эффекта.

    Массив plugins

    JavaScript имеет массив plugins, который позволяет Вам определять, установил ли пользователь plug-in. Не путайте массив plugins с объектом plugin, и массивом embeds .

    Свойства

  • Отсутствуют.

    Методы

  • Отсутствуют.

    Обработчики События

  • Отсутствуют.

    Примеры

    Следующий HTML включает AVI plug-in в документе:

    <EMBED SRC="train.au" HEIGHT=50 WIDTH=250>

    Смотрите также

    applet , mimeType объекты

    Plugins

    <;<New.>>

    Массив всего plug-ins, постоянно установлен у клиента.

    Свойство

    navigator

    Выполненный в

    Navigator 3.0

    port

    <;<Changed.>>

    Свойство port - теперь свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен для свойства port :

areaName.port

    Параметры

    areaName - значение атрибута NAME объекта Area ..

    Свойство

  • Объект area

    Описание

    вы можете устанавливать свойство port в любое время.

    protocol

    <;<Changed.>>

    Свойство protocol - теперь свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен для свойства protocol :

areaName.protocol

    Параметры

    areaName - значение атрибута NAME объекта Area ..

    Свойство

  • Объект area

    Описание

    вы можете устанавливать свойство protocol в любое время.

    prototype

    <;<New.>>

    Свойство. Определяет свойство, которое разделяет все объекты определенного типа.

    Синтаксис

objectType.prototype.propertyName =  value

    Параметры

    objectType - имя конструктора, определяющего тип объекта.

    propertyName - имя свойства, которое будет создано.

    value - значение свойства, первоначально определенного для всех объектов типа objectType.

    Свойство

    prototype - свойство любого объекта, созданного с new, таких как:

  • array
  • Date
  • function
  • image
  • Опция select
  • String
  • Определяемые пользователем объекты

    Выполненный в

    Navigator 3.0

    Описание

    Используйте свойство prototype , чтобы добавить свойства к объектам, созданным с оператором new.

    Например, вы можете создавать объекты Date, используя конструкцию Date() и оператор new. Date.prototype относится к объекту prototype конструкции Date(). Если вы устанавливаете свойство для prototype, типа Date.prototype.description, то все объекты, созданные как Date() будут иметь свойство description , даже если объекты уже существуют.

    var today = new Date()
var birthday = new Date(95,12,17)
Date.prototype.description=null
today.description="Oh what a beautiful mornin\'"
birthday.description="The day you were born"

    После того, как вы установили свойство для prototype, все последующие объекты, созданные с Date() будут иметь свойство:

    startDate=new Date() startDate.description="Started the daily grind"

    Примеры

    Пример 1. Добавление свойство к определяемому пользователем объекту. Следующий пример использует функцию Car, чтобы определить тип объекта Car . Затем используется new , чтобы создать объекта myCar. Код Car prototype.wheels=4 добавляет свойство wheels ко всем объектам Car.

     function Car(make, model, year) {
    this.make = make
    his.model = model
    this.year = year
}
var myCar = new Car("Acura", "Integra", 1987)
Car.prototype.wheels = 4 // no 3-wheelers please!if (myCar.wheels == 4) document.write("The car myCar has ", myCar.wheels, " wheels.")

    radio

    <;<Changed.>>

    Следующие свойства были добавлены к объекту Radio:

    Свойство | Описание
    type | Отражает атрибут TYPE

    random

    <;<Changed.>>

    Math.random метод теперь работает на всех платформах. Генератор случайных чисел с текущего времени выбран, как в Java.

    reload

    <;<New.>>

    Метод. Перезагружает текущий документ окна.

    Синтаксис

location.reload ([true])

    Параметры

    true вынуждает безусловный HTTP GET документа из сервера. Не используйте это, если вы не имеете причину полагать, что диск и кэши памяти выключены или разбиты, или сервер имеет новую версию документа (возможно это сгенерировано на каждом запросе CGI).

    Метод

    location

    Выполненный в

    Navigator 3.0

    Описание

    Метод reload вынуждает перезагрузку документа, определенного URL в свойстве location.href.

    Этот метод производит тот же самый эффект что и использования кнопки Navigator's Reload. Пользователь устанавливает значение по умолчанию этой стратегии, выбирая из меню Options, и определение Проверяет Документы на метке табуляции Кэша диалогового окна Preferences.

    Метод reload не вынуждает транзакцию с сервером, если пользователь не установил предпочтение для Каждый раз, когда это делает " условное выражение, ПОЛУЧАЮТ " запрос, используя " если изменяется с тех пор " HTTP заголовок, просить, чтобы сервер возвратил документ только, если его в последний раз-изменяемое время более новое чем время, клиент хранит в его кэше. Другими словами, перезагрузка перезагрузит из кэша, если пользователь не определил, каждый раз и документ изменился на сервере, так как это было последнее загружено и сохранено в кэше.

    В обработчиках события, вы должны определить window.location.reload () вместо просто использования location.reload (). Из-за обзора статических объектов в JavaScript, обращение к расположению без того, чтобы определять объектное имя эквивалентно document.location, который является синонимом для документа. URL.

    Примеры

    Следующий пример отображает изображение и три "радио" кнопки. Пользователь может нажимать "радио" кнопки, чтобы выбрать, которое изображение отображается. Нажатие другой кнопки позволяет пользователю перезагружать документ.

    <SCRIPT> function displayImage(theImage) { document.images[0].src=theImage } </SCRIPT> <FORM NAME="imageForm"> <B>Выберите изображение:</B> <BR> <INPUT TYPE="radio" NAME="imageChoice" VALUE="image1" CHECKED onClick="displayImage('seaotter.gif')"> Морская выдра <BR> <INPUT TYPE="radio" NAME="imageChoice" VALUE="image2" onClick="displayImage('orca.gif')"> Кит Подавителя <BR> <INPUT TYPE="radio" NAME="imageChoice" VALUE="image3" onClick="displayImage('humpback.gif')"> Кит Горба <BR> <IMG NAME="marineMammal" SRC="seaotter.gif" ALIGN="left" VSPACE="10"> <P> <INPUT TYPE="button" VALUE="Click here to reload" onClick="window.location.reload()"> </FORM>

    Смотрите также

    Метод замены

    Замена

    <;<New. > >

    Метод. Загружает определенный URL над текущим входом хронологии.

    Синтаксис

Location.replace ("URL")

    Параметры

    URL определяет URL, чтобы загрузиться.

    Метод

    location

    Выполненный в

    Navigator 3.0

    Описание

    Метод замены загружает определенный URL над текущим входом хронологии, так после того, как метод замены используется, пользователь не может перемещаться к предыдущему URL, используя кнопку Navigator's Back.

    В обработчиках события, вы должны определить window.location.replace () вместо просто использования location.replace (). Из-за обзора статических объектов в JavaScript, обращение к расположению без того, чтобы определять объектное имя эквивалентно document.location, который является синонимом для документа. URL.

    Примеры

    Следующий пример позволяет пользователю выбирать среди нескольких каталогов, чтобы отобразить. Пример отображает два набора "радио" кнопок, которые позволяют пользователю выбирать сезон и категорию, например Вес& / лето, одевающая каталог или Начало Падения / зимы и каталог Сада. Когда пользователь нажимает кнопку Go, функция displayCatalog выполняет метод замены, заменяя поток(текущего) URL с URL, соответствующим для каталога, пользователь выбрал. Обратите внимание, что после того, как метод замены используется, пользователь не может перемещаться к предыдущему URL (список каталогов) используя кнопку Navigator's Back.

    <SCRIPT>
function displayCatalog() {
   var seaName=""
   var catName=""

   for (var i=0; i < document.catalogForm.season.length; i++) {
      if (document.catalogForm.season[i].checked) {
         seaName=document.catalogForm.season[i].value
         i=document.catalogForm.season.length
      }
   }

   for (var i in document.catalogForm.category) {
      if (document.catalogForm.category[i].checked) {
         catName=document.catalogForm.category[i].value
         i=document.catalogForm.category.length
      }
   }
   fileName=seaName + catName + ".html"
   location.replace(fileName)
}
</SCRIPT>

<FORM NAME="catalogForm">  <B>Который каталог вы хотите видеть?</B>
<P>
<B>Сезон</B> <BR>
<INPUT TYPE="radio" NAME="season" VALUE="q1" CHECKED>
Вес&amp; / лето <BR>
<INPUT TYPE="radio" NAME="season" VALUE="q3">
Падение / зима
<P>
<B>Категория</B> <BR>
<INPUT TYPE="radio" NAME="category" VALUE="clo" CHECKED>
Одежда <BR>
<INPUT TYPE="radio" NAME="category" VALUE="lin">
Полотна <BR>
<INPUT TYPE="radio" NAME="category" VALUE="hom">
Начало и Сад
<P>

<INPUT TYPE="button" VALUE="Go" onClick="displayCatalog()">

</FORM>

    Смотрите также

    Метод перезагрузки

    Метод reset

    <<New. > >

    Метод. Кнопка для возвращения всем объектам form значение по умолчанию.

    Синтаксис

formName.reset ()

    Параметры

    formName - имя любой формы или элемента в массиве form.

    Метод

    form

    Выполненный в

    Navigator 3.0

    Описание

    Метод reset восстанавливает значения по умолчанию элемента формы. Кнопка reset не нужно определять для формы.

    Примеры

    Следующий пример отображает объект Text, в котором пользователь должен напечатать "CA" или "AZ". Обработчик события onChange объекта text вызывает функцию, которая выполняет метод reset формы если пользователь, неправильно ввел. Когда метод reset выполняется, значения по умолчанию восстанавливаются, и обработчик события onReset формы отображает сообщение.

    <SCRIPT>
function verifyInput(textObject) {
   if (textObject.value == 'CA' || textObject.value == 'AZ') {
      alert('Nice input')
   }
   else { document.form1.reset() }
}
</SCRIPT>
<FORM NAME="form1" onReset="alert('Please enter CA or AZ.')">  Введите CA или AZ:
<INPUT TYPE="text" NAME="state" SIZE="2" onChange=verifyInput(this)>
<P>
</FORM>

    Смотрите также

    Обработчик события onReset, объект Reset { reset }

    Сбросьте объект

    <<Changed.>>

    Следующие свойства были добавлены к объекту reset:

    Свойство | Описание
    type | Отражает атрибут TYPE

    Смотрите также

    Обработчик события OnReset, и метод reset

    reverse

    <<New.>>

    Метод. Перемещает элементы массива: первый элемент массива становится последним, и последний становится первым.

    Синтаксис

arrayName.reverse ()

    Параметры

    arrayName - имя объекта Array или свойство существующего объекта.

    Метод

    array

    Выполненный в

    Navigator 3.0

    Описание

    етод reverse перемещает элементы вызванного объекта массива.

    Примеры

    Следующий пример создает массив myArray, содержащий три элемента, и затем перемещает массив.

    myArray = new Array ("один", "два", "три") myArray.reverse ()

    Смотрите также

    Методы join , sort

    scroll

    <<New.>>

    Метод. Пролистывает окно до определенной координаты.

    Синтаксис

windowReference.scroll(x-coordinate,y-coordinate)

    Параметры

    windowReference - этот способ допустимый для окна, как описано в объекте Window. { window }

    x-coordinate - целое число, представляющее x-координату в пикселах.

    y-coordinate - целое число, представляющее y-координату в пикселах.

    Метод

    window

    Выполненный в

    Navigator 3.0

    Описание

    JavaScript не отображает размерности документа в пикселах, поэтому при использовании метода scroll, вы должны высчитывать координаты y и x. Верхние левые координаты документа - 0,0.

    Примеры

    Пример 1. Пролистывание текущего окна. Следующий пример пролистывает текущее окно до координат 50,100.

    window.scroll (50,100)

    Пример 2. Пролистывает любое окно. Следующий код, который существует в одном фрейме, пролистыват второй фрейм. Два объекта text позволяют пользователю определять координаты y и x. Когда пользователь нажимает кнопку Go, документ в frame2 прокручивается к определенным координатам.

    <SCRIPT> function scrollIt(form) { var x = parseInt(form.x.value) var y = parseInt(form.y.value) parent.frame2.scroll(x,y) } </SCRIPT> <BODY> <FORM NAME="myForm"> <P> <B>Введите координаты, чтобы пролистать до:</B> <BR> Горизонтальной: <INPUT TYPE="text" NAME=x VALUE="0" SIZE=4> <BR> Вертикальной: <INPUT TYPE="text" NAME=y VALUE="0" SIZE=4> <BR> <INPUT TYPE="button" VALUE="Go" onClick="scrollIt(document.myForm)"> </FORM>

    search

    <<Changed.>>

    Свойство search - теперь Свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен для свойства search:

areaName.search

    Параметры

    areaName - значение атрибута NAME объекта Area ..

    Свойство

  • Объект area

    Описание

    вы можете устанавливать Свойство search в любое время.

    select

    <<Changed.>>

    вы можете теперь изменять текст Option в объекте Select, и вы можете создавать Option, использующие конструктор new Option().

    Изменения текста Option

    Чтобы изменить текст Option, используйте Свойство text массива Option. Например, пусть форма имеет следующий объект Select:

    <SELECT name="userChoice"> <OPTION> Выбор 1 <OPTION> Выбор 2 <OPTION> Выбор 3 </SELECT>

    вы можете устанавливать текст iую единицу выбора, основанное на тексте, введенное в текстовом поле whatsNew следующим образом:

    myform.userChoice.options[i].text = myform.whatsNew.value

    Например, введите какой-нибудь текст в первое текстовое поле, а затем введите номер между 0 и 2 во второе текстовое поле. Когда вы нажимаете кнопку, текст будет изменен выбранного номера option.

    Введите текст, накоторый заменять:
    Номер Опции, которую изменить:
    Код для этого примера выглядит следующим образом: <SCRIPT> function doit(theform,i) { theform.userChoice.options[i].text = theform.whatsNew.value } </SCRIPT> <FORM> <SELECT name="userChoice"> <OPTION> Выбор 1 <OPTION> Выбор 2 <OPTION> Выбор 3 </SELECT> <BR> Введите текст, накоторый заменять: <INPUT TYPE="text" NAME="whatsNew"> <BR> Номер Опции, которую изменить: <INPUT TYPE="text" NAME="idx"> <BR> <INPUT TYPE="button" VALUE="Change Selection" onClick="doit(this.form, this.form.idx.value)"> </FORM>

    Добавление опций, использующих конструктор Option()

    Синтаксис

    Добавляйте опции к существующему объекту Select:

    optionName = new Option ([optionText, optionValue, defaultSelected, selected ])

    Добавление new Option к существующему объекту Select:

selectName.options [index] =optionName

    Параметры

    optionName является или именем нового объекта или свойством существующего объекта.

    optionText определяет текст, который будет отображен в списке select. вы можете обращаться к этому значению, используя Свойство text.

    optionValue определяет значение, которое будет возвращено серверу, когда опция выбрана, и форма подчинена. вы можете обращаться к этому значению, используя Свойство value.

    defaultSelected определяет, выбрана ли опция первоначально (истина или ложь). вы можете обращаться к этому значению, используя Свойство defaultSelected.

    selected определяет текущее состояние опции select (истина или ложь). вы можете обращаться к этому значению, используя Свойство selected.

    selectName - имя существующего объекта Select.

    index - целое число, представляющее опцию в объекте Select. вы можете обращаться к этому значению, используя Свойство index.

    Описание

    Каждая опция созданная при использование конструктора Option()- объект и имеет те же самые свойства, что и элементы массива options.

    После того, как вы создали опции и добавили их к объекту Select, вы должны обновить документ, используя history.go(0). Это утверждение должно быть последнее. Когда документ перезагружается, то переменные теряются, если не сохранены в cookies или значении элемента form.

    Примеры

    Следующий пример создает два объекта Select, один без атрибута MULTIPLE, а один с атрибута MULTIPLE. Никакие опции первоначально не определены для любого объекта. Когда пользователь нажимает кнопку, связанную с объектом Select, функция populate создает четыре опции для объекта Select и выбирает первую опцию.
    <SCRIPT>
function populate(inForm) {
   colorArray = new Array("Red", "Blue", "Yellow", "Green")
   var option0 = new Option("Red", "color_red")
   var option1 = new Option("Blue", "color_blue")
   var option2 = new Option("Yellow", "color_yellow")
   var option3 = new Option("Green", "color_green")
   for (var i=0; i < 4; i++) {
      eval("inForm.selectTest.options[i]=option" + i)
      if (i==0) {
         inForm.selectTest.options[i].selected=true
      }
   }
   history.go(0)
}
</SCRIPT>
<H3> Select конструктора Option()</H3>
<FORM>
<SELECT NAME="selectTest">
</SELECT>
<P>
<INPUT TYPE="button" VALUE="Populate Select List" onClick="populate(this.form)">
<P>
</FORM>
<HR align=center width=250>
<H3> Опция конструктора multiple select()</H3>
<FORM>
<SELECT NAME="selectTest" multiple>
</SELECT>
<P>
<INPUT TYPE="button" VALUE="Populate Select List" onClick="populate(this.form)">
</FORM>

    Удаление опций

    Синтаксис

    Удаление опций из объекта Select:

selectName.options [index] = null

    Параметры

    selectName - имя существующего объекта Select.

    index - целое число, представляющее опцию в объекте Select.

    Описание

    Стирание сжимает массив options. Например, если вы удаляете options[0], существующие options[1] становятся options[0]. Поэтому лучше удалять сначала опции в конце массива.

    Примеры

    Следующая функция удаляет опцию из объекта Select.

    function deleteAnItem(theList,itemNo) {
 theList.options[itemNo]=null
 history.go(0)}

    Изменение состояния select

    Следующее утверждения будут добавлено к документации для объекта Select; однако, это - не новые функциональные возможности.

    вы можете использовать свойства selected и selectedIndex, чтобы изменить состояние опций select в объекте Select.

    • selectedIndex Свойство для объекта Select - целое число, определяющее индекс выбранной опции. Это наиболее полезно для объектов Select, которые созданы без атрибута MULTIPLE. Следующее утверждение устанавливает Свойство selectedIndex объекта Select: document.myForm.musicTypes.selectedInde x = i
    • selected Свойство для option - значение Boolean, определяющее текущее состояние выбора опции в объекте Select. Если опция выбрана, то ее Свойство selected true; иначе false. Это более полезно для объектов Select, которые созданы с атрибутом MULTIPLE. Следующее утверждение устанавливает Свойство selected опции равное true: document.myForm.musicTypes.options[i].selected = true

    Свойства

    Следующие свойства были добавлены к объекту Select:

    Свойство | Описание
    text | Это не новое Свойство, теперь оно может быть изменено и текст, отображаемый опцией изменен в объекте Select
    type | Определяет, что объект - это объект Select и указывает, определен ли MULTIPLE

    Объекты, созданные при использование конструктора Option(), имеют следующие свойства:

    Свойство | Описание
    defaultSelected | Определяет начальное состояние выбора опции
    index | Определяет индекс опции в объекте Select
    prototype | Позволяет Вам добавлять свойства к опции.
    selected | Определяет текущее состояние выбора опции
    text | Определяет текст для опции
    value | Определяет значение, которое возвращено серверу, когда опция выбрана, и форма подченина

    selected

    <<Changed.>>

    Свойство selected - теперь Свойство объекта Option.

    Синтаксис

    Следующий синтаксис был добавлен для свойства selected :

optionName.selected

    Параметры

    optionName - имя созданной опции объекта Select, при использование конструктора Option().

    Свойство

  • Объект select

    sort

    <<New.>>

    Метод. Сортирует элементы массива.

    Синтаксис

arrayName.sort(compareFunction)

    Параметры

    arrayName - имя объекта Array или свойство существующего объекта.

    compareFunction определяет функцию, которая определяет порядок сортировки. Если опущена, то массив сортируется лексикографически (в порядке словаря) согласно строковому преобразованию каждого элемента.

    Метод

    array

    Выполненный в

    Navigator 3.0

    Описание

    Если compareFunction не обеспечен, элементы сортируются, преобразуя(конвертируя) их к строкам и сравнивая строки в лексикографическом ("словарь" или " телефонная книга, " не числовой) упорядочивают(заказывают). Например, "80" приходит, прежде "9" в лексикографическом порядке, но если вы сравниваете числа 9 потребностей прийти прежде 80.

    Если отсутствует compareFunction, то элементы массива сортируются согласно строковому значению строковой функции. Если a и b - два сравниваемые элемента, то:

    • Если compareFunction(a,b) - меньше чем нуль, то sort b имеет индекс меньше чем a.
    • Если compareFunction(a,b) возвращает нуль, то оставляет a и b без изменения относительно друг друга, но сортирует относительно всех остальных элементов.
    • Если compareFunction(a,b) больше чем нуль, то sort b имеет индекс выше чем a.

    Поэтому сравнивающаяся функция имеет следующую форму:

    function compare(a, b) { if (a is less than b by some ordering criterion) return -1 if (a is greater than b by the ordering criterion) return 1 // a must be equal to b return 0 }

    Чтобы сравнивать числа вместо строк, сравнивающаяся функция может просто вычитать b из a:

    function compareNumbers(a, b) { return a - b }

    JavaScript использует устойчивый sort: индексный частичный порядок a и b не изменяется, если a и b равен. Если индекс a был меньше чем b, то перед сортировкой, это будет и после сортироваки, независимо от того, как a и b будут расположены после сортировки.

    Примеры

    Следующий пример создает четыре массива и отображает первоначальный массив, затем сортируемые массивы. Числовые массивы сортируются без, а затем со, сравнивающейся функция.

    <SCRIPT> stringArray = new Array("Blue","Humpback","Beluga") numericStringArray = new Array("80","9","700") numberArray = new Array(40,1,5,200) mixedNumericArray = new Array("80","9","700",40,1,5,200) function compareNumbers(a, b) { return a - b } document.write("<B>stringArray:</B> " + stringArray.join() +"<BR>") document.write("<B>Sorted:</B> " + stringArray.sort() +"<P>") document.write("<B>numberArray:</B> " + numberArray.join() +"<BR>") document.write("<B>Sorted without a compare function:</B> " + numberArray.sort() +"<BR>") document.write("<B>Sorted with compareNumbers:</B> " + numberArray.sort(compareNumbers) +"<P>") document.write("<B>numericStringArray:</B> " + numericStringArray.join() +"<BR>") document.write("<B>Sorted without a compare function:</B> " + numericStringArray.sort() +"<BR>") document.write("<B>Sorted with compareNumbers:</B> " + numericStringArray.sort(compareNumbers) +"<P>") document.write("<B>mixedNumericArray:</B> " + mixedNumericArray.join() +"<BR>") document.write("<B>Sorted without a compare function:</B> " + mixedNumericArray.sort() +"<BR>") document.write("<B>Sorted with compareNumbers:</B> " + mixedNumericArray.sort(compareNumbers) +"<BR>") </SCRIPT>

    Смотрите также

    Методы join , reverse

    split

    <<New.>>

    Метод. Разбивает объект String в массив строк, разделяя строку в подстроки.

    Синтаксис

stringName.split ([separator])

    Параметры

    stringName - любая строка или Свойство существующего объекта.

    separator определяет символ, который используется для разделения строки. separator обрабатывается как строка. Если separator опущен, то возвращенный массив содержит один элемент, состоящий из всей строки.

    Метод

    String

    Выполненный в

    Navigator 3.0

    Описание

    Метод split возвращает новый массив.

    Примеры

    Следующий пример определяет функцию, которая разбивает строку в массив строки, используя определенный разделитель. После разбивания строки, функциональные сообщения дисплеев, указывающие строку оригинала (прежде, чем разбиение), используемый разделитель, число элементов в массиве, и индивидуальных элементах массива.

    <SCRIPT>
function splitString (stringToSplit,separator) {
   arrayOfStrings = stringToSplit.split(separator)
   document.write ('<P>The original string is: "' + stringToSplit + '"')
   document.write ('<BR>The separator is: "' + separator + '"')
   document.write ("<BR>The array has " + arrayOfStrings.length + " elements: ")
   for (var i=0; i < arrayOfStrings.length; i++) {
      document.write (arrayOfStrings[i] + " / ")   }}
var tempestString="Oh brave new world that has such people in it."
var monthString="Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec"
var space=" "
var comma=","
splitString(tempestString,space)
splitString(tempestString)
splitString(monthString,comma)
</SCRIPT>

    Смотрите также

    Методы charAt, indexOf, lastIndexOf

    src

    <<New.>>

    Свойство. Строка, определяющая URL изображения, которое нужно отобразить в документе.

    Синтаксис

    imageName.src

    Параметры

    imageName является или именем объекта Image или элемента в массиве images.

    Свойство

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство src первоначально отражает атрибут SRC тега <IMG>. Установка свойства src начинается с загрузки нового URL в область изображения (и прерывает передачу любых данных изображения, который уже загружены в ту же самую область). Следовательно, если вы хотите изменить свойство lowsrc, то вы должны делать это перед установкой свойства src. Если URL в свойстве src ссылается на изображение, которое - не имеет тот же самый размер, что и размер изображения в которое загружается, то исходное изображение масштабируется.

    Когда вы изменяете Свойство src отображаемого изображения, новое изображение, которое вы определяете, отображается в области, определенной для первоначального изображения. Например, предположим, что объект Image первоначально отображает файл beluga.gif:

    <IMG NAME="myImage" SRC="beluga.gif" ALIGN="left">

    Если вы устанавливаете myImage.src ='seaotter.gif ', изображение seaotter.gif отображается в том же самом место, которое первоначально использовало beluga.gif, даже если seaotter.gif - не имеет тот же самый размер, что и beluga.gif.

    вы можете изменять Свойство src в любое время.

    Примеры

    Следующий пример отображает изображение и три переключателя. Пользователь может нажимать переключатели, чтобы выбрать, какое изображение отображать. Каждое изображение использует Свойство lowsrc, чтобы отобразить изображение низкого разрешения.

    <SCRIPT>
function displayImage(lowRes,highRes) {
   document.images[0].lowsrc=lowRes
   document.images[0].src=highRes
}
</SCRIPT>
<FORM NAME="imageForm">  <B>Выберите изображение:</B> <BR>
<INPUT TYPE="radio" NAME="imageChoice" VALUE="image1" CHECKED onClick="displayImage('f15el.gif','f15e.gif')">
F-15 Орел <BR>
<INPUT TYPE="radio" NAME="imageChoice" VALUE="image2" onClick="displayImage('f15e2l.gif','f15e2.gif')">
F-15 Орел 2 <BR>
<INPUT TYPE="radio" NAME="imageChoice" VALUE="image3" onClick="displayImage('ah64l.gif','ah64.gif')">
АХ -64 Apache <BR>
<IMG NAME="aircraft" SRC="f15e.gif" LOWSRC="f15el.gif" ALIGN="left" VSPACE="10"> <BR>
</FORM>

    Смотрите также примеры для объекта image .

    Смотрите также

    Свойства complete , lowsrc

    String

    <<Changed.>>

    Объекты String - теперь объекты "real". В предыдущих версиях, вы создвали строки, используя некоторые символы, а если вы хотели использовать строку как объект, то вы следовали за строковой ссылкой свойства или имени метода типа .length или .indexOf ("sub"). Теперь вы можете создавать объекты String, при использование конструктора String().

    Синтаксис

    Создание объекта String:

    stringObjectName = new String(string)

    Параметры

    stringObjectName - имя нового объекта String.

    string - любая строка.

    Описание

    Строки теперь могут быть расположены среди скриптов в различных окнах или фреймах. В Navigatorе 2.0, вы должны были добавлять пустую строку к строке другого окна, чтобы сослаться на нее следующим образом:

    var myString = otherWindow.theirString + "" // 2.x: needed empty string var myString = otherWindow.theirString // 3.x: no empty string required

    Свойства

    Следующие свойства были добавлены к объекту String:

    Свойство | Описание
    prototype | Позволяет Вам добавлять свойства к объекту String.

    Методы

    Следующие методы были добавлены к объекту String:

  • split

    Примеры

    Следующий код создает две строковые переменные и открывает второе окно:

    var lastName = new String("Schaefer")
var firstName = new String ("Jesse")
empWindow=window.open('string2.html','window1','width=300,height=300')

    Если HTML - источник второго окно (string2.html) создает две строковые переменные: empLastName и empFirstName, то следующий код в первом окне, присваивает значения переменным второго окна:

    empWindow.empFirstName=firstName empWindow.empLastName=lastName

    Следующий код в первом окне показывает значения переменных второго окна:

    alert('empFirstName in empWindow is ' + empWindow.empFirstName) alert('empLastName in empWindow is ' + empWindow.empLastName)

    submit

    <<Changed.>>

    Следующие свойства были добавлены к объекту Submit:

    Свойство | Описание
    type | Отражает атрибут TYPE

    suffixes

    <<New.>>

    Свойство.

    taint

    <<New.>>

    Функция. Добавляет tainting к свойству.

    Синтаксис

taint(propertyName)

    Параметры

    propertyName - Свойство taint.

    Выполненный в

    Navigator 3.0

    Описание

    Эта функция в настоящее время зарегистрирована в данные tainting.

    Смотрите также

    Функция untaint

    target

    <<Changed.>>

    Свойство target - теперь Свойство объекта Area.

    Синтаксис

    Следующий синтаксис был добавлен к свойству target :

areaName.target

    Параметры

    areaName - значение атрибута NAME объекта Area .

    Свойство

  • Объект area

    Описание

    target - строка, определяющая имя окна, которое отображает содержание нажатой области.

    Свойство target первоначально отражает атрибут TARGET тега <AREA>; хотя, если вы установили target, то этот атрибут отменяется.

    Свойству target не может быть присвоено значение выражения JavaScript или переменной.

    Вы можете устанавливать свойство target в любое время.

    Text

    <<Changed.>>

    Следующие свойства были добавлены к объекту Text:

    Свойство | Описание
    type | Отражает атрибут TYPE

    text

    <<Changed.>>

    Свойство text массива option теперь может быть изменен и изменен текст, отображаемый option в объекте Select. В предыдущих версиях, вы могли установить свойство text, но новое значение не отражалось в объекте Select.

    Свойство text - теперь свойство объекта Option.

    Синтаксис

    Следующий синтаксис был добавлен к свойству text:

optionName.text

    Параметры

    optionName - имя созданной опции объекта Select, при использование конструктора Option().

    Свойство

  • Объект select

    Textarea

    <<Changed.>>

    Следующие свойства были добавлены к объекту Textarea:

    Свойство | Описание
    type | Определяет, что объект - это объект Textarea

    toString

    <<New.>>

    Метод. Преобразовывает объект в строку.

    Синтаксис

objectName.toString ([ radix ])

    Параметры

    objectName - объект, который преобразовывается в строку.

    radix определяет основание, которое используется для представления числовых значений.

    Метод

    toString - метод всех объектов.

    Выполненный в

    Navigator 2.0 ( radix , добавлено в 3.0)

    Описание

    Каждый объект имеет метод toString, который вызывается, когда нужно представить его, как текстовое значение. ToString также используется, когда объект вызван в строковой конкатенации. Вы можете также использовать toString внутри вашего собственного кода, чтобы преобразовать объект в строку.

    Если объект не имеет никакого строкового значения, его метод toString возвращает " [object type] " где type - тип объекта. Например, если существует следующий объект Image с именем "sealife", то sealife.toString() возвращает [object Image].

    <IMG NAME="sealife" SRC="seaotter-1.gif" ALIGN="left" VSPACE="10">

    Когда используется с массивом, toString соединяет массив и возвращает одну строку, содержащую каждый элемент массива, отделяемый запятыми. Например, следующий код создает массив и преобразовывает массив к строке.

    var monthNames = new Array("Jan","Feb","Mar","Apr") document.write("monthNames.toString() is " + monthNames.toString())

    Для объектов Function, toString декомпилирует функцию обратно в каноническую исходную строку.

    Примеры

    Следующий пример печатает строковые эквиваленты чисел от 0 до 9 в десятичном и двоичный исчеслении.

    for (x = 0; x < 10; x++) { document.write("Decimal: ", x.toString(10), " Binary: ", x.toString(2), "<BR>") }

    type

    <<New.>>

    Свойство. Для элементов формы, созданных тегами <INPUT>, <SELECT> или <TEXTAREA >, строка, определяющая тип элемента формы. Для объектов mimeType, имя типа MIME.

    Синтаксис

1. objectName.type
2. mimeTypes [index].type

    Параметры

    objectName является или значением атрибута NAME объекта элемента формы (button, checkbox, hidden, password, radio, reset, select, submit, text, или textarea) или элемент в массиве элементов.

    Свойство

    button , checkbox , fileUpload, hidden , mimeType, password , radio , reset , select , submit , text , textarea

    Выполненный в

    Navigator 3.0

    Описание

    Значение свойства type присваивается элементам формы следующим образом:

    HTML элемент | Значение свойства type
    NPUT TYPE="button" | "button"
    NPUT TYPE= "checkbox" | "checkbox"
    NPUT TYPE= "file" | "file"
    NPUT TYPE= "hidden" | "hidden"
    NPUT TYPE= "password" | "password"
    NPUT TYPE= "radio" | "radio"
    NPUT TYPE= "reset" | "reset"
    NPUT TYPE= "submit" | "submit"
    NPUT TYPE= "text" | "text"
    SELECT | "select-one"
    SELECT MULTIPLE | "select-multiple"
    TEXTAREA | "textarea"

    typeof

    <<New.>>

    Оператор. Возвращает строку, указывающая тип неоцененного операнда.

    Синтаксис

1. typeof  operand
2. typeof ( operand)

    Параметры

    operand - строка, переменная, ключевое слово, или объект, для которого тип должен быть возвращен. Круглые скобки произвольны.

    Примеры

    Предположим, что вы определяете переменные следующие образом:

    var myFun = new Function("5+2")
var shape="round"
var size=1
var today=new Date()

    Для слов true и null, оператор typeof возвращает следующие результаты:

    Для числа или строки, оператор typeof возвращает следующие результаты:

    Для значений свойств, оператор typeof возвращает тип значения, содержащего свойства:

    Для методов и функций, оператор typeof возвращает следующие результаты:

    Для объектов, оператор typeof возвращает следующие результаты:

    untaint

    <<New.>>

    Функция. Удаляет tainting из свойства.

    Синтаксис

untaint(propertyName)

    Параметры

    propertyName - свойство, из которого удалить tainting.

    Выполненный в

    Navigator 3.0

    Описание

    Эта функция в настоящее время зарегистрирована в Данные tainting .

    Примеры

    В следующем примере, переменная untainted может быть отправлена в URL или формой post другими скриптами:

    untainted = untaint(document.form1.input3)

    Смотрите также

    Функцию taint

    value

    <<Changed.>>

    Свойство value - теперь свойство следующих объектов:

  • FileUpload
  • Option

    Синтаксис

    Следующий синтаксис был добавлен для свойства value :

    fileUploadName.value
optionName.value

    Параметры

    fileUploadName является или значением атрибута NAME объекта FileUpload или элементом в массиве elements.

    optionName - имя созданной опции объекта Select, при использование конструктора Option().

    Описание

    Опции объекта Select

    Поскольку опции объекта Select создаются при помощи конструктора option(), то свойство значения - строка, которая первоначально отражает атрибут VALUE. Это значение не отображается на экране, но возвращает серверу, если опция выбрана. Значение этого свойства может изменяться, когда программа изменяет его.

    Вы можете устанавливать свойство value в любое время.

    Объекты FileUpload

    Свойство value - строка, которая отражает текущее значение поля объекта FileUpload. Используйте свойство value, чтобы получить имя файла, который пользователь, печатает в объект FileUpload.

    value - свойство только для чтения.

    Свойство

  • fileUpload
  • Объект Select

    void

    <<New.>>

    Оператор. Определяет выражение, которое оценивается без возвращение значения.

    Синтаксис

1. JavaScript:void  (expression).
JavaScript:void expression

    Параметры

    expression - выражение JavaScript, которое оценивается. Круглые скобки, окружающие выражение, произвольны, но если вы хотите, что бы ваш код выглядел красиво используйте их.

    Описание

    Используйте оператор void, чтобы определить выражение как гиперссылку. Выражение будет оценено, но не загружено в текущем документе.

    Следующий код создает гиперссылку, которая ничего не делает, когда пользователь нажимает на нее. Когда пользователь нажимает на ссылку, void(0) оценивается к 0, и поэтому не имеет никакого эффекта в JavaScript.

    <A HREF="javascript:void(0)">Нажмите здесь</A> Как это выглядит на экране

    Нажмите здесь

    Следующий код создает гиперссылку, которая представляет на рассмотрение форму, когда пользователь нажимает на нее.

    <A HREF="javaScript:void(document.form.submit())">Нажмите здесь</A>

    Смотрите также

    Объекты area, link

    vspace

    <<New.>>

    Свойство. Строка, определяющая поле в пикселах между верхними и нижними гранями изображения и окружающего текста

    Синтаксис

imageName.vspace

    Параметры

    imageName является или именем объекта Image или элементом в массиве image.

    Свойство

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство vspace отражает атрибут VSPACE тега <IMG>. Для изображений, созданных при помощи конструктора Image(), значение свойства vspace - 0.

    vspace - свойство только для чтения.

    Примеры

    Смотрите примеры для свойства height .

    Смотрите также

    Свойства border , height , hspace, width

    width

    <<New.>>

    Свойство. Строка, определяющая ширину изображения или в пикселах или в процентах от ширины окна.

    Синтаксис

imageName.width

    Параметры

    imageName является или именем объекта Image или элементом в массиве image.

    Свойство

    image

    Выполненный в

    Navigator 3.0

    Описание

    Свойство width отражает атрибут WIDTH тега <IMG>. Для изображений, созданных при помощи конструктора Image(), значение свойства width фактическая, не отображенная, ширина изображения.

    width - свойство только для чтения.

    Примеры

    Смотрите примеры для свойства height .

    Смотрите также

    Свойства border , height , hspace, vspace

    Window

    <<Changed.>>

    Свойства

    Следующие свойства были добавлены к объекту Window:

    Свойство | Описание
    opener | Определяет имя окна вызванного документа, когда окно открыто при использование метода open

    Методы

    Следующие методы были добавлены к объекту Window:

  • blur
  • focus
  • scroll

    Обработчики События

    Следующие обработчики события были добавлены к объекту Window:

  • onBlur
  • onError
  • onFocus

    Синтаксис

    Следующий синтаксис был добавлен к тегам <BODY> И <FRAMESET>:

<BODY > ...
[onBlur = "handlerText"]
[onFocus = "handlerText"]
...
</BODY >

<FRAMESET> ...
[<FRAME SRC = "locationOrURL" NAME = "frameName" >]
[onBlur = "handlerText"]
[onFocus = "handlerText"]
...
</FRAMESET >

    Обратите внимание: На платформах Windows, размещение обработчиков событий onBlur или onFocus в тег <FRAMESET> не имеет никакого эффекта.

    Синтаксис

    Следующий синтаксис был добавлен к объекту Window для определения обработчика события onError объекта Window:

window.onerror=errorHandler

    Параметры

    errorHandler - слово null, имя функции обработчика событий, или переменной или свойства, которое содержит null или допустимую ссылку по функциям.

    Для информации относительно определения обработчика события onError, смотрите обработчик события onError.

    Дополнительное описание

    Когда вы ссылаетесь на объект Location внутри обработчика события, вы должны определить window.location вместо просто использования location. При рассмотрении статических объектов в JavaScript, обращение к location без определения имени объекта эквивалентно document.location, который является синонимом для документа URL.

    Вызов обработчиков события

    Вы можете сбрасывать обработчик события, определенный HTML внутри JavaScript, например:
    <SCRIPT LANGUAGE="JavaScript">
function fun1() { ... }
function fun2() { ... }
</SCRIPT>
<FORM NAME="myForm">
<INPUT TYPE="button" NAME="myButton" onClick="fun1()">
</FORM>
<SCRIPT>
document.myForm.myButton.onclick = fun2
</SCRIPT>
     Обратите внимание, что обработчики события - ссылаются на функции, поэтому вы должны присвоить fun2, а не fun2() (последние вызывает fun2 и имеете любой тип и возвращает значения).

    Также, так как обработчик события HTML атрибуты - литеральные функциональные тела, вы не можете использовать <INPUT onClick=fun1> в HTML источнике, чтобы выполнить fun1 обработчиком onClick для ввода; вы должны вызвать fun1 вместо, как показано в примере.

    В заключение, так как HTML не чувствителен к регистру, в то время как JavaScript чувствителен к регистру, поэтому вы должны записывать имена обработчиков событий в JavaScript в нижнем регистре.

    Индексация свойств объекта

    Когда Вы определяете свойства объекта с именами свойств, то вы не можете обратиться к этим свойствам их порядковым индексом, как вы могли в Navigator 2.0. Это применяется, когда вы создаете объект и его свойства при использование конструктора функций, как в вышеупомянутом примере Car типа объекта, и когда вы определяете индивидуальные свойства явно (например, myCar.color = "red").

    Если Вы определяете объектные свойства первоначально с индексом, например,

    myCar[5] = "25 mpg" то затем впоследствии вы можете обратиться к свойству как myCar[5].

    Правило: если вы первоначально определяете свойство его именем, то вы всегда должны обращаться к нему по его имени. Если вы первоначально определяете свойство индексом, то вы всегда должны обращаться к нему по его индексу.

    Исключение из этого правила - объекты, отраженные в HTML: например, фреймы, формы, элементы, и массивы якорей. Вы можете всегда обращаться к этим объектам по их порядковому числу (основанный на том, в каком порядке они расположены в документе) и по их имени (если оно определено). Например, вы можете обратиться ко второй форме в документе как document.forms[1] или как document.myform, если второй тег <FORM> имеет атрибут NAME = "myform".

    Объекты JavaScript

    JavaScript объекты позволяют вам использовать выражение JavaScript как значение для HTML атрибута. Это позволяет вам создавать более гибкие конструкции HTML.

    Вы может быть уже знакомы с объектами символа HTML, которыми вы можете определять символы со специальными числовыми кодами или именами, предшествуя имени с символом амперсанта и завершая его с точкой запятой. Например, вы можете включить символ "больше чем" (>) с символьным объектом > И символом " меньше чем " (<) с <.

    JavaScript объекты также начинаются с символа амперсанта и в конце с точкой запятой. Вместо имени или номера, вы используете выражение JavaScript, заключенное в фигурные скобки {}. Вы можете использовать JavaScript объекты только, там где HTML атрибут со значением шел бы обычно. Например, предположим, что вы определяете переменную barWidth. Вы можете создать горизонтальную линию с определенной шириной в процентах следующим образом:

    <HR WIDTH="&{barWidth};%"> Так, например, если бы переменная barWidth была бы ровна 50, то на экране это выглядело бы следующим образом:
    И как всегда, если вы изменили вашу страницу, то дисплей страницы может измениться только, тогда когда вы перезагрузите вашу страницу.

    Атрибут SRC тега SCRIPT

    Тег <SCRIPT> HTML имеет новый атрибут SRC, который позволяет вам определять файл как JavaScript источник. Например: <HEAD><TITLE>My Page</TITLE> <SCRIPT SRC="common.js"> ... </SCRIPT> </HEAD> <BODY> ...

    Любые утверждения JavaScript в теге SCRIPT с атрибутом SRC игнорируются. Обратите внимание, однако, что требуется заключительный тег </SCRIPT>.

    Атрибут SRC со значением может быть любой URL, относительный или абсолютный. Например:

    <SCRIPT SRC="jsfuncs.js">

    Внешние JavaScript файлы особенно полезно использовать совместно с функциями во многих различных страниц. JavaScript - файлы не содержащие любые теги HTML: они должны содержать только утверждения JavaScript и функциональные определения.

    JavaScript - файлы должны иметь имя файла с расширением .js, и сервер должен отображать .js в MIME, напечатает "application/x-javascript", который сервер посылает обратно в HTTP заголовк. Если сервер не отображает .js имени файла в application/x-javascript типа MIME, Navigator не будет загружать JavaScript файл, определенный атрибутом SRC правильно.

    Обратите внимание: Это требование не применяется, если вы используете локальные файлы.

    Тег NOSCRIPT

    Тег <NOSCRIPT> подобен тегу NOFRAMES для фреймов. HTML включенный внутри тега отображается как non-JavaScript браузера; код, включенный внутри тега hiden, игнорируется Navigator. Используйте этот тег, чтобы определить альтернативное содержание для браузера, который не поддерживают JavaScript, или в случае, если пользователь отключил JavaScript в Options | Network Preferences.

    Например:

    <NOSCRIPT> <B>This page uses JavaScript, so you need to get Netscape Navigator 2.0 or later! <BR><A HREF="index.html"> <IMG SRC="NSNow.gif"></A> If you are using Navigator 2.0 or later, and you see this message, you need to enable JavaScript by choosing Options | Network Preferences. </NOSCRIPT> ...

    Данные tainting

    Navigator (версия 2.02 и позже) автоматически прекращает скрипты на одном сервере из доступных свойств документов на различных серверах. Это ограничение прекращает скрипты от выборки частной информации типа структур каталога или хронологии сеанса пользователя. Однако, это ограничение также воздействует на некоторые законные приложения, типа сценарии "navigation helper", которые используют фреймы и должны видеть содержание других фреймов, независимо от их происхождения.

    JavaScript теперь имеет возможность, называемую данными tainting, которая сохраняет ограничение защиты, но обеспечивает механизм работы для законных приложений. Когда данные tainting активны, то JavaScript в одном окне будет способен видеть свойства другого окна, независимо с какого сервера документ другого окна был загружен. Однако, если JavaScript в первом окне пытается посылать данные, полученные от свойства другого окна, то отображается диалоговое окно подтверждения, так что пользователь может отменить или подтвердить операцию. По умолчанию, все свойства в втором окне заражаются так, что они не могут быть посланы серверу другого документа в исходном окне.

    Возможность данных tainting:

    • На Unix, используйте команду setenv.
    • На Windows, используйте множества.
    • На Macintosh, установите переменную среды NS_ENABLE_TAINT. Редактируйте ресурс с типом 'Envi' и номером 128 в приложении Netscape, удаляя два ascii наклонные черты вправо "../../../..//default.htm" перед NS_ENABLE_TAINT текстом в конце ресурса.

    Вы можете управлять tainting свойств двумя функциями: taint добавляет tainting к свойству, и untaint удаляет tainting из свойства. Эти функции каждая принимает свойство, как параметр.

    Например, чтобы удалить taint из формы ввода элемента так, чтобы сценарий мог посылать это другому серверу, используйте:

    untainted = untaint(document.form1.input3) // now untainted can be sent in a URL or form post by other scripts

    Ни taint и ни untaint не изменяют ее параметр; скорее, обе функции возвращают отмеченную или немаркированную ссылку к объекту параметра, или копии примитивного значения типа (номер или булево значение). Вы используете untaint, чтобы очистить "код taint" который отмечает данные как принадлежность к серверу, и следовательно не может быть послан другими сценариями различным серверам. Вы используете taint, чтобы отметить данные, который иначе не taint вашим сценарием "код инфекции". Сценарий может untaint только данные, которые имеет его свойство "код taint ", или имеет тождество (null) кода taint. Данные с любым другим сценарием "кода taint" скопированы и возвращены untaint без изменения или ошибки.

    wwwwwwwwwwwwwwwwwwwwwЧтобы обрабатывать случаи, где поток управления скорее чем поток данных несет tainting taint, каждое окно, связывают сумматор инфекции с этим. Сумматор taint задерживает инфекцию, проверенную в части условия того, если, поскольку, и в то время как утверждения, и смеси различные коды инфекции, чтобы создать, новые коды который идентифицируют комбинацию происхождения данных (serverA, serverB, serverC, и т.д.).

    Сумматор инфекции сброшен к тождеству только, если это содержит точно код происхождения текущего(актуального) документа. Иначе это накапливается, пока документ не разгружен. Все окна, загружающие документы из того же самого происхождения совместно используют одиночный сумматор инфекции.

    Если сценарий вызывает инфекцию без параметра, это смешает его собственный код инфекции в его сумматор. Если это вызывает неинфекцию без параметра, и только, если его хранения сумматора точно его код инфекции (не смесь), то сумматор сброшен, чтобы задержать(провести) код тождества.

    Если сумматор окна задерживает(проводит) инфекцию, заданные сценарием действия, инициализированные из контекста того окна (представление формы; установка расположения, даже расположения другого окна) проверена. Только, если накопленная инфекция сценария, код инфекции целенаправленного сервера, и кода инфекции данных, посылаемых совместима, будет операция продолжаться(переходить). Совместимый здесь означает двоичное отношение: или это, два кода инфекции являются равными, или что по крайней мере каждый является кодом инфекции тождества. Код тождества - подобно нулю для добавления, следовательно его имя.

    Если сценарий, сервер, и инфекции данных несовместимы, диалог подтверждения зарегистрирован к подробности(подробному) находящееся в противоречии происхождение URL префиксы, и позволять пользователю отменять или ХОРОШО загрузку URL или пост формы.

    Накопленная taint распространяется поперек setTimeout и в оценку первого параметра к setTimeout. Это распространяется через document.write в сгенерированные отметки, так, чтобы злонамеренный сценарий не мог сообщать о частной информации типа хронологии сеанса, генерируя отметку HTML с неявно-загруженным параметром URL SRC:

    Document.write (" < img src=fake-img - + Кодируйте (хронологию) + ">")


Содержание

Руководство по JavaScript

Введение
Создание сценариев
Объекты Navigator
Окона и фреймы

Языковые понятия

Справочник

Алфавитный указатель

ПОИСКОВАЯ СИСТЕМА


Связи и Якоря: Окно 1

 Связи и Якоря

Нажмите кнопку, чтобы показать тот якорь во втором окне


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Объект Math

Измененный в Navigator 3.0

Встроенный в JavaScript объект, дающий доступ к математическим константам и функциям. Например, свойство PI объекта Math имеет значение pi.

Синтаксис

Использование объекта Math:

1. Math.propertyNAME
2. Math.methodNAME  (parameters)
PropertyNAME - один из свойствы, описанных ниже.
MethodNAME - один из методов, описанных ниже.

Свойства

  • Отсутствуют.

    Описание

    Объект Math делится на две части - свойства, содержащии константы и методы, содержащии функции.Например, если вы хотите получить константу PI, то используйте следующее выражение Math. PI. Все математические константы определены с точностью до действительных чисел в JavaScript.
    Стандартные тригонометрические, логарифмические и экспонециальные функции так же включены в этот объект. Все аргументы тригонометрических функций выражаются в радианах. Существует несколько операций сравнения, например max - для определения большего из двух чисел.
    Так как назначение объект Math является предоставление средств для математических операций, нет необходимости создавать другой объект Math.
    Для функций, активно использующих математические функции и константы JavaScript, утомительно включать Math как часть каждого выражения. Оператор with упращает синтаксис в подобных ситуациях. Например, следующие две функции выполняют одни и те же операции:

function Hard(){
circleArea = Math.PI*(radius^2);
radians = (degrees/360)*Math.PI;
result = Math.cos(radians);
}
function Easy(){
with Math{
circleArea = PI*(radius^2);
radians = (degrees/360)*Math.PI;
result = cos(radians);
}
}

    Свойства

    • E
    • LN2
    • LN10
    • LOG2E
    • LOG10E
    • PI
    • SQRT1_2
    • SQRT2

    Методы

  • abs
  • acos
  • asin
  • atan
  • ceil
  • cos
  • exp
  • floor
  • log
  • max
  • min
  • pow
  • random
  • round
  • sin
  • sqrt
  • tan

    Обработчики событий

  • Отсутствуют. Встроенные объекты не имеют обработчиков событий.

    Примеры

    Смотрите примеры для отдельных свойств и методов.

    Метод max

    Возвращает наибольшее из двух чисел.

    Синтаксис

     Math.max (number1, number2)
     number1 и number2 - любые числовые аргументы.

    Метод

    Math

    Примеры

    <script> <!-- hide document.write (" The max value of 10 and 20 is " + Math.max (10,20)) document.write (" <P >The max value of -10 and -20 is " + Math.max (-10, -20)) fistNum = 1 SecondNum = 100 Math.max (" <P >The max value of fistNum and SecondNum is ",fistNum, SecondNum) //--> end of hide </script>

    Смотрите также

  • Метод min

    Свойство method

    Отражает значение атрибута METHOD тега HTML <FORM>.

    Синтаксис

     formName .method

    FormNAME является либо именем формы либо элемента в массиве Form.

    Свойство

    form

    Описание

    Возвращаемое значение свойства method или get или post.
    Вы можете управлять свойством method в любое время.
    Некоторые значения свойством method могут требовать определенных значений для других свойствы формы.

    Примеры

    Следующая функция возвращает значение свойства method:

function getMethod() {
return document.musicForm.method
}
    Следующий пример сначала в первой функции возвращает значение объекта form, а затем вторая функция устанавливает значение musicForm свойством method равным параметру newMethod:

function getMethod() {
return formObj.method
}
function setMethod(formObj,newMethod) {

formObj.method = newMethod
}

    Смотрите также

  • Свойства action, encoding, target

    Метод min

    Возвращает наименьшее из двух чисел.

    Синтаксис

     Math.min (number1, number2)
     Number1 и number2 - любые числовые аргументы.

    Метод

    Math

    Примеры

    <script> <!-- hide document.write("The minimum of 10 and 20 is " + Math.min(10,20)) document.write("The minimum of -10 and -20 is " + Math.min(-10,-20)) fistNum = 1 SecondNum = 100 Math.max ("The minimum of fistNum and SecondNum is " + fistNum, SecondNum) //--> end of hide </script>

    Смотрите также

  • Метод max

    Свойство name

    Измененный в Navigator 3.0

    Строка, определяющая NAME объекта(цели).

    Синтаксис

1. objectname .name
2. frameReference.name
3. frameReference.frames.name
4. radioname [index] .name
5. selectname .options.name
6. windowReference.name
7. windowReference.frames.name

    Objectname является либо значением атрибута NAME любого из объектов, описанных ниже или элемента в массиве elements.
    FrameReference - действителен для фреймов, как описано в объекте frame.
    Radioname - значение атрибута NAME объекта радио.
    Selectname является либо значением атрибута NAME выбранного объекта либо элемента в массиве elements.
    WindowReference - действителен для окна, как описано в объекте window.

    Свойства

  • button, checkbox, frame, hidden, password, radio, reset, select, submit, text, textarea, window
  • Массив select

    Описание

    Отрибут свойство name зависит от объекта.Он может быть изменен в любое время.

    Объект окна

    Свойство name для объекта окна представлена в форме 6 и форме 7 в разделе синтаксис. Свойство name представляет значение аргумента windowname, описанного в разделе синтаксис объекта window. Обе формы синтаксиса описывают одно и тоже значение.

    Другие объекты

    Свойство name для всех объектов за исключением window представлена формами 1 - 5 раздела синтаксиса. Для всех объектов, свойство name первоначально отражает значение атрибута NAME. Изменение войство name отменяет этото атрибут.
    Свойство name ссылается на внутренние имена объектов button, submit и reset, а не на подписи кнопок. Например после открытия нового окна с помощью:

    indexOutline = window.open("http://www.wossamotta.com/Outline.html", "MenuPage")
    и выполнения команды
    document.write(indexOutline.name)
    JavaScript вернет строку "MenuPage", то есть присвоенное окну имя.
    У всех переключателей в группе имена одинаковы, каждый из них идентифицируется своей позицией.

    Примеры

    В следующем примере, функция valueGetter () использует цикл for. Окно MsgWindow показывает имена всех элементов в форме:

newWindow=window.open("http://www.netscape.com")
function valueGetter() {
var msgWindow=window.open("")
for (var i = 0; i < newWindow.document.valueTest.elements.length; i++) {
msgWindow.document.write(newWindow.document.valueTest.elements[i].name + "
    ")
}
}
    В следующем примере, первое утверждение создает окно netscapeWin. Второе утверждение показывает значение "netscapeHomePage" в диалоговом окне alert.

netscapeWin=window.open("http://www.netscape.com", "netscapeHomePage")
alert(netscapeWin.name)

    Смотрите также

    Для button, reset, и submit:

  • Свойство value

    Объект navigator

    Измененный в Navigator 3.0

    Содержит информацию относительно версии используемого Navigator.

    Синтаксис

    Использование объект navigator:

Navigator.propertyNAME
    PropertyNAME - один из свойствы, описанных ниже.

    Свойства

  • Отсутствуют.

    Описание

    Используйте объект navigator, чтобы определить, какую имеет версию Navigator ваши пользователи.

    Свойства

  • appCodeName определяет имя кода окна просмотра
  • appName определяет имя окна просмотра
  • appVersion определяет версию Navigator
  • userAgent определяет заголовок

    Методы

  • Отсутствуют.

    Обработчики событий

  • Отсутствуют.

    Примеры

    Смотрите примеры для индивидуальных свойств.

    Смотрите также

  • Объект link
  • Объект anchor

    Обработчик событий onBlur

    Измененный в Navigator 3.0

    Событие происходит в тот момент, когда элемент формы text, select или textarea теряет фокус.
    События потери фокуса (blur) может использоваться для проверки корректности ввода данных пользователем. Этот обработчик событий отличается от обработчика onChange, который вызывается только в случае изменения значения поля.

    Обработчик событий

    select, text, textarea

    Примеры

    В следующем примере, userName - текстовая область, требует чтобы пользователь изменил область, обработчик событий onBlur вызывает функцию required(), чтобы подтвердить, что userName ввел правильно значение.

    <INPUT TYPE="text" VALUE="" NAME="userName" onBlur="required(this.value)">

    Смотрите также

  • Обработчик событий onChange, onFocus

    Обработчик событий onChange

    Событие происходит в тот момент, когда значение элемента формы text, select или textarea изменилось и элемент потерял фокус.

    Используйте обработчик событий onChange, чтобы проверить правильность ввода данных.

    Обработчик событий

    select, text, textarea

    Примеры

    В следующем примере, userName - текстовая область. Обработчик событий onBlur вызывает функциею checkValue(), чтобы подтвердить, что userName введено правельно значение.

    <INPUT TYPE="text" VALUE="" NAME="userName" onBlur="checkValue(this.value)">

    Смотрите также

  • Обработчики событий onBlur, onFocus

    Обработчик событий onClick

    Измененный в Navigator 3.0

    Вызывается после щелчка левой кнопки мыши на объекте. Обработчик событий onClick придает широкую функциональность кнопкам формы и другим объектам на странице. Кнопки могут использоваться для проверки корректности ввода данных пользователем перед посылкой на сервер или для вычисления результатов в форме или в выражении. Щелчок на переключателе или флажке позволяет переключиться на обработку другой информации.

    Обработчик Результата

    button, checkbox, radio, link, reset, submit

    Примеры

    Следующая функция compute() выполняется, когда пользователь нажимает кнопку. Обработчик событий onClick вызывает функцию, следующим образом:

    <INPUT TYPE="button" VALUE="Calculate" onClick="compute(this.form)">

    В вышеупомянутом примере, ключевое слово this обращается к текущему объекту; в этом случае, кнопка Calculate. Конструкция this.form обращается к форме, содержащей кнопку.

    В следующем примере, предполом, что вы создали JavaScript функцию pickRandomURL() которая позволяет вам выбрать URL произвольно. Вы можете использовать обработчик событий onClick, чтобы определить значение для атрибута HREF тега <A > динамически, как показано в следующем примере:

    A HREF=""
onClick="this.href=pickRandomURL()"
onMouseOver="window.status='Pick a random URL';
return true">
Go!</A>

    В выше упомянутом примере, обработчик событий onMouseOver определяет сообщение для строки состояния, когда пользователь размещает указатель поверх якоря Go!. Следующий пример посылает содержимое формы с именем overtime функции howRich.

    <FORM NAME="overtime">
Full days worked: <INPUT TYPE="text" VALUE="0" NAME="days" SIZE=3>
Hours worked: <INPUT TYPE="text" VALUE="0" NAME="hours" SIZE=30>
<INPUT TYPE="button" VALUE="Computer" NAME="computerWage" onClick="howRich(this.form)">
</FORM>

    Обработчик событий onFocus

    Измененный в Navigator 3.0

    Событие происходит в тот момент, когда пользователь переходит к элементу формы textarea, select или text для ввода данных. Элемент формы получает фокус в тот момент, когда пользователь переходит к этому элементу формы с помощью клавиши Tab или щелчка мыши. Выделение символов внутри поля приводит к вызову обработчика событий onSelect.
    Одним из применений обработчика onFocus является вывод на экран всплывающей подсказки, когда элемент выбирается в первый раз.

    Обработчик событий

    select, text, textarea

    Примеры

    Следующий пример использует обработчик onFocus в объекта text против запроса функции setFocus(), которая выделяе элемен и находящийся в нем текст при использование метода select.

    <script>
<!-- hide
function setFocus(){
  document.first.text1.select();
}
//--> end of hide
...
<INPUT TYPE="text" value="INPUT TEXT" NAME="text1" onFocus="setFocus()">

    Смотрите также

  • Обработчик событий onBlur, onChange

    Обработчик событий onLoad

    Измененный в Navigator 3.0

    Вызывается, когда загрузка документа в окно или кадр закончена. Используйте обработчик событий onLoad внутри тега <BODY > или <FRAMESET >, например, <BODY OnLoad = "..." >.
    Событие load возникает в тот момент, кагда браузер заканчивает загрузку окна или всех кадров внутри тега HTML <FRAMESET>.

    Обработчик События

    window

    Примеры

    В следующем примере, обработчик событий onLoad показывает сообщение приветствия после того, как страница загружена.

<BODY OnLoad = " window.alert (" Добро
пожаловать в домашнюю страницу Brave New World ! ") >

    Смотрите также

  • Обработчик событий OnUnload

    Обработчик событий onMouseOver

    Измененный в Navigator 3.0

    Событие происходит, когда указатель мыши помещается над гиперссылкой. Обработчик onMouseOver вызывается в тот момент, когда пользователь помещает указатель мыши над объектом link. Для взаимодействия со свойствами status или defaultStatus обработчик события должен возвращать true.

    Обработчик событий

    link

    Примеры

    Пример 1: По умолчанию, значение HREF якоря показывается в строке состояния, когда пользователь размещает указатель над якорем. В следующем примере, обработчик событий onMouseOver выводит, сообщение " Click this if you dare. "

    <A HREF="index.htm" onMouseOver="window.status='Click this if you dare!'; return true">Нажмите меня</A>

    Смотрите пример onClick для использования onMouseOver, когда атрибут HREF тега <A> установлем динамически.

    Пример 1: Следующий пример при помощи обработчиков событий onMouseOver OnMouseOut изменяет гиперрсылки:

    <script language="javascript1.1">
<!--
firstimage=new Image()
firstimage.src="au.gif"
secondimage=new Image()
secondimage.src="au1.gif"
firstimage1=new Image()
firstimage1.src="yandex.gif"
secondimage1=new Image()
secondimage1.src="yandex1.gif"
firstimage2=new Image()
firstimage2.src="netscape.gif"
secondimage2=new Image()
secondimage2.src="netscape1.gif"
function filter(imagename,objectsrc){
if (document.images)
document.images[imagename].src=eval(objectsrc+".src")
}
//-->
</script>
</head>
<body bgcolor="white">
<a href="" onmouseover="filter('a','secondimage')"
onmouseout="filter('a','firstimage')">
<img src="au.gif" name="a" border=0 ></a><p>
<a href="../../../../www.yandex.ru/default.htm" onmouseover="filter('b','secondimage1')"
onmouseout="filter('b','firstimage1')">
<img src="yandex.gif" name="b" border=0 ></a><p>
<a href="../../../../www.netscape.com/default.htm" onmouseover="filter('c','secondimage2')"
onmouseout="filter('c','firstimage2')">
<img src="netscape.gif" name="c" border=0></a>
<center>
<form>
<input type="image" src="buttom1.gif">
</form>

    Обработчик событий onSelect

    Обработчик событий onSelect вызывается в тот момент, кагда выделен текст внутри элемента формы. Событие select вызывается выбором части или всего текста в объектах text или textarea.

    Обработчик событий

    text, textarea

    Примеры

    Следующий пример использует обработчик onSelect втекстовом объекте valueField, чтобы вызвать функцию selectState ().

     <INPUT TYPE = "text" VALUE= "" NAME = "valueField" onSelect = " selectState () " >

    Обработчик событий onSubmit

    Измененный в Navigator 3.0

    Событие происходит в момент щелчка мышью на кнопке Submit для посылке данных на сервер.
    Обработчик событий onSubmit запускается в момент отправки пользователем данных формы на сервер. Любое отличное от false возвращаемое значение, в том числе пропуск оператора return, приводит к отправке данных на сервер. Для получения более ясного кода рекомендуется вставлять оператор return в обоих случаях. Как это показано в следующем примере:

    <FORM onSubmit="feedbackSubmit()">
...элементы формы...
</FORM>
function feedbackSubmit(){
...строки кода...
if (!validData){
return true}
else{
return false;}
}

    Обработчик событий

    form

    Примеры

    В следующем примере, обработчик событий onSubmit вызывает функцию formData (), чтобы вычислить подчиняемые данные. Если данные имеют силу, форма подчиняется; иначе, форма не подчиняется.

form.onSubmit = " return formData (this) "

    Например если Вы хотите проверить форму прежде, чем она будет передана в сеть, то для этого можете воспользоваться программой обработки событий onSubmit. Вы должны поместить вызов этой программы в тэг <form>.

function validate() {
  // check if input ok
  // ...
  if (inputOK) return true
    else return false;
}
...

...

    Смотрите также примеры для объекта form.

    Смотрите также

  • Объект submit
  • Метод submit

    Обработчик событий onUnload

    Вызывается, когда пользователь выходит из документа.

    <BODY onUnloud="function"> <FRAMESET onUnloud="function">

    Когда несколько событий unloud включено в иерархию кадров, порядок операций - от дочернего к родительскому.
    Например, событие unload включено в два документа и радительский тег <FRAMESET>, который загрузил их. Когда дочерний документ изменяется, его событие unload тега <FRAMESET> не происходит. Когда пользователь выбирает опцию, заменяющую родительский документ на новый источник, событие unload самого верхнего уровня будет обработано.

    Обработчик событий

    window

    Примеры

    В следующем примере, обработчик событий onUnload вызывает функцию cleanUp (), чтобы выполнить некоторый процесс выключения когда пользователь выходит из страницы:

<BODY OnUnload = "cleanUp () " >

    Смотрите также

  • Обработчик событий onLoad

    Метод open (объект документа)

    Создает новый документ или экземпляр окна.

    Синтаксис

     document.open (["mimeType"])

    MimeType определяет любой из следующих типов документа:

text/html
text/plain
image/gif
image/jpeg
image/x-bitmap
plugIn
    plugIn - любой тип MIME, который Netscape поддерживает.

    Метод

    document

    Описание

    Для документа метод open открывает поток вывода для методов write или writeln. Если тип mimeType является версией text или image (например text/html или image/gif), документ будет открыт для показа; иначе, поток будет отправлен в plugIn. Если документ уже существует в целевом окне, метод open очищает это окно. Поток, закрывается с помощью метода document.close ().
    Для окна метод open открывает новое окно браузера, подобно выбора меню File - New Web Browser браузера. При использование аргумента URL метод загружает в новое окно документ; в противном случае новое окно остается пустым. При использование метода в программе обработки событий форма должна включать объект window; в противном случае подразумевается объект document.
    MimeType - необязательный аргумент, который определяет тип документа. Если Вы не определяете mimeType, метод open принимает text/html по умолчанию.

    Описание параметра mimeType:

  • Text/html определяет документ, содержащий текст ASCII с форматированием HTML.
  • text/plain определяет документ, содержащий простой текст ASCII со знаками конца строки, чтобы разграничить показанные линии.
  • Image/gif определяет документ с закодированными байтами, составляющими GIF заголовок и данные пиксела.
  • Image/jpeg определяет документ с закодированными байтами, составляющими JPEG заголовок и данные пиксела.
  • Image/x-bitmap определяет документ с закодированными байтами, составляющими растровый заголовок и данные пиксела.
  • plugIn грузы указанный сменный и использования это как место назначения для пишут и writeln методы. Например, "x-world/vrml" грузит Бойскаута РЕГУЛЯТОРА НАПРЯЖЕНИЯ VRML сменный от Chaco Связи, и "application/x-директор" грузит Макросредства информации Shockwave сменный.

    Примеры

    Следующие обращения к функции document.open () открывает поток перед выводом метода write:

function windowWriter1() {
var myString = "Hello, world!"
msgWindow.document.open()
msgWindow.document.write("
    " + myString)
msgWindow.document.close()
}
    В следующем примере, функция probePlugIn () определяет, устанавливает ли пользователь Shockwave plug-in:

function probePlugIn(mimeType) {
var havePlugIn = false
var tiny = window.open("", "teensy", "width=1,height=1")
if (tiny != null) {
if (tiny.document.open(mimeType) != null)
havePlugIn = true
tiny.close()
}
return havePlugIn
}
var haveShockwavePlugIn = probePlugIn("application/x-director")

    Смотрите также

  • Методы close, write, writeln

    Метод open (объект окна)

    Создает новый документ или экземпляр окна.

    Синтаксис

[ WindowVar =] [window] .open ("URL", "windowNAME ",
["windowFeatures"])

    WindowVar - имя нового окна. Используйте эту переменную когда это касается свойств окна, методов.
    URL определяет URL, для открывающего нового окна. Смотрите для более подробного описания URL объект     location.
    WindowName - имя окна, для использования в атрибуте TARGET тегов <FORM> или <A>. WindowName может содержать только алфавитно-цифровые знаки или символ подчеркивания (_).
    WindowFeatures - отделяемый запятой список любого из следующих выборов и стоимостей(значений):

toolbar[=yes|no]|[=1|0]
location[=yes|no]|[=1|0]
directories[=yes|no]|[=1|0]
status[=yes|no]|[=1|0]
menubar[=yes|no]|[=1|0]
scrollbars[=yes|no]|[=1|0]
resizable[=yes|no]|[=1|0]
width=pixels
height=pixels

    pixels - положительное целое число, определяющее размерность в пикселах.

    Метод

    window

    Описание

    Для окна метод open открывает новое окно браузера, подобно выбору пункта меню File - New Web Browser броузера. При использовании аргумента URL метод загружает в новое окно документ; в противном случае новое окно остается пустым. При использовании метода в программе обработки событий форма должна включать объект window; в противном случаи подразумевается объект document. ] Параметр windowFeatures описывается в виде разделенного запятыми списка параметров, где =1 или =yes - включено и =0 или =по - отключено. windowFeatures вклкдчают управление выводом инструментальной панели, окк URL, кнопок каталогов, строки состояний, строки меню, полос прокрутки, возможностью изменения размеров, сохранение истории навигации, шириной и высотой. Описание параметров windowFeatures:

  • toolbar если значение истенно создает стандартную инструментальную панель Navigator
  • location если значение истенно создает область входа location, если истинно
  • directories если значение истенно создают стандартные кнопки каталога Navigator
  • status если значение истенно создает строку состояния внизу окна
  • menubar если значение истенно создает меню наверху окна
  • scrollbars если значение истенно создает горизонтальный и вертикальный полося прокрутки, когда документ становится большим чем размерности окна
  • resizable если значение истенно позволяет пользователю изменять размеры окна
  • width определяет ширину окна в пикселах
  • height определяет высоту окна в пикселах

    Примеры

    В следующем примере, функция windowOpener открывает окно, и при использовании метода write показать сообщение:

    function windowOpener() { msgWindow=window.open("","displayWindow","menubar=yes") msgWindow.document.write ("<HEAD><TITLE>Message window</TITLE></HEAD>") msgWindow.document.write ("<CENTER><BIG><B>Hello, world!</B></BIG></CENTER>") }

    В следующем примере, обработчик событий onClick открывает новое окно клиента, содержащее файл Sesame.html. Окно открывается с указанными опциями; все другие опции ложны, потому что они не определены.

    <FORM NAME ="myform">
<INPUT TYPE="button" NAME ="Button1" VALUE="Open Sesame!"
onClick="window.open
('Sesame.html', 'newWin', 'scrollbars=yes,status=yes,width=300,height=300')">
</FORM>

    Замечание используйте одинарные ковычки (') внутри обработчик событий onClick.

    Смотрите также

  • Метод close

    Свойство options

    Этот массив параметров является свойством элемента форй select. Массив создается с помощью тегов <OPTION> внутри набора тегов <SELECT>.

    Синтаксис

    formName.selectName-options[index] forms[index].elements[index].options[index]

    Описание

    Индекс первого параметра - ноль, второго - 1 и так далее. Более подробная информация содержится в описании объекта     select

    Свойство parent

    Свойство parent - ссылается на вызывающий документ в текущем кадре, созданном тегом <FRAMESET>.

    Синтаксис

1. parent.propertyName
2. parent.methodName
3. parent.frameName
4. parent.frames [index]

    PropertyName - свойства defaultStatus, status, length, name, или parent, когда вызывается parent обращаются к объекту окна.
    PropertyName - длина, название(имя), или родительская собственность, когда вызывается parent обращаются к объекту фрейма.
    MethodName - любой метод, связанный с объектом окна.
    FrameName и frames[index] - способы обращения к фреймам.

    Свойства

    frame, window

    Описание

    Свойство parent относит к <FRAMESET> окно фрейма. Дочерние фреймы внутри frameset обращаются к фреймам брата, используя parent вместо имени окна следующим образом: parent.frameNAME или parent.frames [index]. Например, если существует четыре фрейма с именем name = "homeFrame", фреймы брата могут обратиться к тому фрейму, используя parent.homeFrame или parent.frames [3].
    Использование свойства parent дает доступ к другим кадрам, созданным тем же самым тегом <FRAMESET>. Например, пусть два вызываемых кадра называются index и contents. Тогда кадр index может выводить текст в кадр contents, используя синтаксис:

    parent.contents.document.write("Здесь был Вася")

    Вы можете использовать parent.parent, чтобы обратиться к фрейму "grandparent" или окну, когда в тег <FRAMESET> вложена дочерней фрейм.
    Свойство parent только для чтения. Значение свойство parent
    <object nameAttribute>
    Где nameAttribute - атрибут NAME, если parent - фрейм, или внутренняя ссылка, если parent - окно.

    Примеры

    Смотрите примеры для объекта frame.

    Метод parse

    Преобразует строку даты типа "Jan 11,1996" в количество миллисекунд, прошедших с полуночи 1 января 1970.

    Синтаксис

     Date.parse (dateString)
     DateString - строка, представляющая дату.

    Метод

    Date

    Описание

    Эта функция может использоваться для возвращения значения даты на основе значения строки. При передаче строки со временем она возвращает значение времени. Так как parse - статическая функция объекта Date, она всегда используется как Date.parse(), а не как метод создан ного объекта Date.

    Примеры

    Если IPODATE - существующий объект даты, то

IPOdate.setTime (Date.parse (" 9 августа, 1995 "))
Date.parse("Jan 11, 1996");
Today = new Date();
Date.parse(Today.toLocaleString())

    Смотрите также

  • Метод UTC

    Функция parseFloat

    Анализирует строковый аргумент и возращает число с плавающей точкой.

    Синтаксис

     parseFloat (string)

    string - строка, которая представляет значение, которое вы хотите анализировать.

    Описание

    Функция parseFloat - встроенная JavaScript функция. Это - не метод, связанный с любым объектом, а - часть языка непосредственно.

    Функция parseFloat анализирует его строковый аргумент, и возвращает число с плавающей точкой. если первый символ пер данной строки - знак "плюс", знак "минус", десятичная точк число "е" (основание натурального логарифма) или цифра. Если parseFloat сталкивается с недопустимым символа то метод возвращает значение, основанное на подстроке, следующей до этого символа, игнорируя все последующие. Ее первый же символ недопустим, parseFloat возвращает одно из двух значений, в зависимости от платформы:

  • 0 на платформах Windows.
  • "NaN" на любой другой платформе, указывая, что значение - не номер.

    Для арифметических целей, значение "NaN" - не число в любом основании системы счисления. Вы можете вызывать функцию isNaN, чтобы определить,является ли результат parseFloat "NaN".

    Примеры

    Все следующие примеры возвращают 3.14:

parseFloat (" 3.14")
parseFloat (" 314e-2 ")
parseFloat (" 0.0314E+2 ")
var x = " 3.14"
parseFloat (x)

    Следующий пример возвращает "NaN" или 0:

parseFloat ("FF2")

    Смотрите также

  • Функции isNaN, parseInt

    Функция parseInt

    Анализирует строковый аргумент и возвращает целое число, основанное на указанной системе счисления.

    Синтаксис

     ParseInt (string
[, radix])

    string - строка, которая представляет значение, которое вы хотите анализировать.
    radix - целое число, которое представляет основание системы счисления возвращаемого значения.

    Описание

    Функция parseInt - встроенная JavaScript функция. Это - не метод, связанный с любым объектом, а - часть языка непосредственно.
    Функция parseInt анализирует ее первый строковый аргумент, и возвращать целое число, основанное на указанном основании системы счисления. Например, При параметре radix, равном 10, string преобразовыва-ется в десятичное число, при 8 преобразовывается в восьме-ричное и при 16 - в шестнадцатеричное. Значения, большие 10, для оснований, превышающих 10, представляются символами отАдо F вместо чисел. Использование radix, равного 2, слу-жит для преобразований в двоичные числа. Числа с плавающей запятой будут преобразованы в целые числа. Правила обработки строки идентичны правилам для parseFloat.
    Если parseInt сталкивается с цифрой(знаком), которая - не символ в указанном основании системы счисления, это игнорирует это и все цифры(знаки) смены и возвращает значение целого числа, анализируемую до того пункта(точки). ParseInt усекает числа к значениям целого числа.

    Если radix не определено, или определено, как 0, или система счисления конфликтует с первыми символами, то JavaScript использует систему счисления, анализируя первые символы строки:

  • Если string начинается с "0x", то radix 16 (шестнадцатеричное).
  • Если string начинается с "0", то radix 8 (восьмеричное).
  • Если string начинается с любого другого значения, то radix - 10 (десятичное).

    Примеры

    все следующие примеры возвращают 15:

parseInt ("F", 16)
parseInt ("17", 8)
parseInt ("15", 10)
parseInt (15.99, 10)
parseInt ("FXX123", 16)
parseInt ("1111", 2)
parseInt ("15*3", 10)

    Следующие примеры возвращают "NaN" или 0:

parseInt ("Привет", 8)
parseInt ("Ox7", 10)
parseInt ("FFF", 10)

    Даже при том, что radix определено подругому, следующие примеры возвращают 17, потому что string начинается с "0x".

parseInt ("0x11", 16)
parseInt ("0x11", 0)
parseInt ("0x11")

    Смотрите также

  • Функции isNaN, parseFloat

    Объект password

    Измененный в Navigator 3.0

    Окно ввода пароля в форме HTML. password - текстовое поле, в котором символы, вводимые пользователем, в целях защиты маскируются звездочками

    Синтаксис

    Чтобы определить объект password, используйте стандарт HTML синтаксис:

<INPUT
TYPE =
NAME "password" = "passwordNAME "
[VALUE= "textValue"]
SIZE=integer >
    NAME = "passwordNAME " определяет имя объекта password. Вы можете обращаться к этому значению, используя свойство name.
    VALUE= "textValue" определяет начальное значение объекта password. Вы можете обращаться к этому значению, используя свойство defaultValue.
    SIZE=integer определяет число символов, объект password может размещаться без прокрутки.

    Использование свойства объекта и методы password:

1. PasswordName .propertyName
2. PasswordName .methodName  (parameters)
3. FormName .elements [index] .propertyName
4. formName .elements[index].methodName (parameters)
    PasswordName - значение атрибута NAME объекта password.
    FormName является либо значением атрибута NAME объекта формы либо элемента в массиве form.
    index - целое число, представляющее объект password в форме.
    PropertyName - один из свойствы, описанных ниже.
    MethodName - один из методов, описанных ниже.

    Свойства

  • form

    Описание

    Объект password в форме выглядит следующим образом:

    Введите ваш пароль:

    Объекта password - элемент формы и должен быть определен внутри тега <FORM>.

    Связанные элементы

  • Свойства

    • defaultValue отражает атрибут VALUE
    • name отражает атрибут NAME
    • value отражает текущую значение области объекта password

  • Методы

    • focus
    • blur
    • select

  • Обработчики событий

    • Отсутствуют.

    Примеры

    <B>Пароль:</B> <INPUT TYPE="password" NAME ="password" VALUE="" SIZE=25>

    Смотрите также

  • Объекты form и text

    Свойство pathname

    Измененный в Navigator 3.0

    Извлекает из URL тy его часть, которая содержит путь.

    Синтаксис

1. links[index].pathname
2. location.pathname

    index - целое число, представляющее объект links.

    Свойства

    link, location

    Описание

    Вы можете урегулировать свойство pathname в любое время. Хотя pathname может быть изменено в любое время, всегда безопаснее изменить весь URL сразу, используя свойство href.

    Примеры

    Смотрите примеры для свойства href.

    Смотрите также

  • Свойства hash, host, hostname, href, port, protocol, search

    Свойство PI

    Возвращает значение числа pi, приблизительно равное 3.14159.

    Синтаксис

     Math. PI

    Свойство

    Math

    Описание

    Поскольку PI константа, то это - свойство только для чтения Math.
    Значение pi - это отношение длины окружности к диаметру.

    Примеры

    Следующий пример показывает значение pi:

    document.write (" значение pi=" + Math. PI)

    Смотрите также

  • Свойства E, LN2, LN10, LOG2E, LOG10E, SQRT1_2, SQRT2

    Свойство port

    Измененный в Navigator 3.0

    Извлекает из URL номер порта, который сервер использует для связи.

    Синтаксис

1. links[index].port
2. location.port

    index - целое число, представляющее объект links.

    Свойства

    link, location

    Описание

    Свойство port определяет часть URL. Свойство port - подстрока свойства host в свойстве href. Свойства host - совмещает hostname и свойства port, отделенные двоеточием. Когда свойство port не определено, свойства host - также не определено, как свойство hostname.
    Вы можете управлять свойство port в любое время, хотя более надежное управлять свойством href, чтобы изменить location. Если port, который вы определили, не найден в текущей location, то вы получите ошибку. Если свойство port не определено, то по умолчанию это значения 80 на сервере.

    Примеры

    Смотрите примеры для свойства href.

    Смотрите также

  • Свойств аhash, host, hostname, href, pathname, protocol, search

    Метод pow

    Возвращает основание, возведенное в степень, т.е base exponent .

    Синтаксис

     Math.pow (base, exponent)
     base - любое числовое выражение.
    exponent - любое числовое выражение. Если результат включает комплексное число (например pow (-1, 0.5)), то возвращенное значение - ноль.

    Описание

    Многие языки программирования используют оператор ^ операции возведения в степень. JavaScript имеет для этого собственный метод. Символ ^ используется в JavaScript для выполнения поразрядной операции XOr.

    Метод

    Math

    Примеры

    >

// Возвращает значение 49
document.write ("7 to the power of 2 is " + Math.pow (7,2))
// Возвращает значение 1024
document.write (" 2 to the power of 10 is " + Math.pow (2,10))

    Смотрите также

  • Методы exp, log

    Метод prompt

    Отображает диалоговое окно ввода пользователя .

    Синтаксис

     prompt(message, [inputDefault])
     message - любая строка; строка ваводится как сообщение.
    inputDefault - строка, целое число, или свойство существующего объекта, который представляет значение по умолчанию области ввода.

    Метод

    window

    Описание

    Используйте метод prompt для вывода диалогового окно, в которое пользователь вводит данные вне формы. Если Вы не определяете начальное значение для inputDefault, диалоговое окно показывает значение <undefined>.
    Хотя prompt - метод объекта window, вы не должны определять windowReference, когда вы вызываете его. Например, windowReference.prompt () ненужен.

    Примеры

prompt("Enter the number of cookies you want to order:", 12)

    Смотрите также

  • Методы alert, confirm

    Свойство protocol

    Измененный в Navigator 3.0

    Строка, определяющая начало URL, включая первое двоеточие.

    Синтаксис

1. links[index].protocol
2. location.protocol

    index - целое число, представляющее объект links.

    Свойство

    link, location

    Описание

    Свойство protocol определяет часть URL. Protocol указывает метод доступа URL.

    abort | информация о браузере
    ftp | протокол загрузки файлов
    http | протокол передачи гипертекста
    mailto | адресс электронной почты
    file | ссылка на файл на локальной машине
    javascript | предшествует набору команд JavaScript

    Вы можете управлять свойство protocol в любое время, хотя более надежно управлять свойством href, чтобы изменить location. Если протокол, который Вы определяете, не найден в текущей локализации, то вы получите ошибку.

    Примеры

    Смотрите примеры для свойства href.

    Смотрите также

  • Свойства hash, host, hostname, href, pathname, port, search

    на начало страницы


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Методы,Функции

  • abs
  • acos
  • alert
  • anchor
  • asin
  • atan
  • atan2
  • back
  • big
  • blink
  • blur
  • bold
  • ceil
  • charAt
  • clearTimeout
  • click
  • close (document)
  • close (window)
  • confirm
  • cos
  • escape
  • eval
  • exp
  • fixed
  • floor
  • focus
  • fontcolor
  • fontsize
  • forward
  • getDate
  • getDay
  • getHours
  • getMinutes
  • getMonth
  • getSeconds
  • getTime
  • getTimezoneOffset
  • getYear
  • go
  • indexOf
  • isNaN
  • italics
  • javaEnabled
  • join
  • lastIndexOf
  • link
  • log
  • max
  • min
  • open (document)
  • open (window)
  • parse
  • parseFloat
  • parseInt
  • pow
  • prompt
  • random
  • reload
  • replace
  • reset
  • reverse
  • round
  • scroll
  • select
  • setDate
  • setHours
  • setMinutes
  • setMonth
  • setSeconds
  • setTimeout
  • setTime
  • setYear
  • sin
  • small
  • sort
  • split
  • sqrt
  • strike
  • sub
  • submit
  • substring
  • sup
  • taint
  • tan
  • toGMTString
  • toLocaleString
  • toLowerCase
  • toString
  • toUpperCase
  • unescape
  • untaint
  • UTC
  • write
  • writeln

    Полное содержание


Справочное руководство по JavaScript

Объекты Навигатора

  • Использование объектов Навигатора
  • Иерархия объектов
  • JavaScript и HTML Планировка
  • Ключевые объекты Навигатора

Использование объектов Навигатора

Когда Вы загружаете страницу в Навигаторе, это создает ряд объектов, соответствующих странице, ее содержание, и другая подобная информация.

Каждая страница всегда имеет следующие объекты:

  • Окно: верхнего уровня объекта; содержит свойства, которые обращаются к самому окну. Имеется также объекты окна для каждого из "дочерних окон" документа .
  • Локализация: содержит свойства на текущем URL
  • Хронология: содержит свойства URL, на которых пользователь предварительно побывал.
  • Документ: содержит свойства содержащиеся в текущем документе, типа заглавия, цвета фона и форм

Свойства объекта документа в значительной степени - зависимы. То есть они являются главнымии в содержании, которое вы помещаете в документ. Например, объект документа имеет свойства для каждой формы и для каждого якоря в документе.

Например вы создали страницу под именем Simple.html, которая содержит следующее:

<TITLE> Простой Документ</TITLE> <BODY> <FORM NAME="myform" ACTION="FormProc()" METHOD="get" > Выбери значение: <INPUT TYPE=text NAME="text1" VALUE="blahblah" SIZE=20 > Проверьте, хотите ли Вы: <INPUT TYPE="checkbox" NAME="Check1" CHECKED оnClick="update(this.form)"> Опция #1 <P> <INPUT TYPE="button" NAME="Button1" VALUE="Нажмите здесь" onClick="update(this.form)"> </FORM> </BODY>

Как всегда, имелось бы окно, локализация, хронология, и объект документа. Они имели бы следующие свойства:

  • location.href = " http://www.terrapin.com/samples/Vsimple.html"
  • document.title = " Простой Документ "
  • document.fgColor = #000000
  • document.bgColor = #ffffff
  • history.length = 7

Это только некоторые основные значения приведенного примера. Навигатор также создал бы следующие объекты:

  • document.myform
  • document.myform. Check1
  • document.myform. Button1

Они имели бы такие свойства:

  • document.myform.action = http: // terrapin/mocha/formproc ()
  • document.myform.method = добираются
  • document.myform.length = 5
  • document.myform. Button1.value = Нажмите здесь
  • document.myform. Button1.name = Button1
  • document.myform.text1.value = blahblah
  • document.myform.text1.name = text1
  • document.myform. Check1.defaultChecked = true
  • document.myform. Check1.value = on
  • document.myform. Check1.name = Check1

Каждая из свойств выше перечисленных начинается с Document, затем сопровождаемым именем формы, myfor, и потом название свойства или название элемента формы. Эта последовательность следует иерархии объекта Навигатора, расказанная в следующем разделе.

Иерархия объектов

Среди объектов существуют определенные взаимоотношения. Например, объекты Navigator имеют структуру, отражающую структуру страницы HTML. Такие отношения называются иерархией экземпляров, так как эта иерархия работает только с конкретными экземлярами объектов, а не с абстрактными классими.

Объект window является родительским по отношению ко всем остальным объектам Navigator. Прямыми потомками объекта window являются объекты location, history и document. Объекты forms, links и anchors являются дочернеми для объекта document.

Каждый объект является потомком объекта более высокого уровня. Форма с названием orderForm является объектом и в то же время свойстом обекта document. Таким образом для вызова такой формы используется выражение:

document.orderForm

Иерархию объектов языка JavaScript можно сопоставить с иерархией объектов в реальном мире. Колеса, руль и педали - это все объекты, принадлежащие велосипеду. Велосипед представляет собой объект, принадлежащий к средствам наземного транспорта, которые, в свою очередь, принадлежат к более общей категории средств передвижения.

В терминах объектов JavaScript эти взаимоотношения могли бы быть выражены следующим образом:

travelMode.groundTransport.bicycle.handleBars

Наиболее общий объек высшего уровня находится слева в выражении, и слева направо происходит переход к более частным объектам, являющимся при этом наследниками высших в иерархии объектов. Таким образом чтобы обратиться к определенному свойству этих объектов, вы должны определить имя объекта и всех его предков.

Теперь проиллюстрируем иерархию объектов:

navigator window | +--parent, frames, self, top | +--location | +--history | +--document | +--forms | | | elements (text fields, textarea, checkbox, password | radio, select, button, submit, reset) +--links | +--anchors

JavaScript и HTML Планировка

Чтобы использовать JavaScript корректно в Навигаторе, нужно понимать как Навигатор выполняет планировку. Планировка относится к преобразованию директив открытого HTML текста в графическое представление на вашем компьютере. Вообще говоря, планировка идет последовательно в Навигаторе. То есть Навигатор начинает с вершины HTML файла и продолжает идти вниз, выясняя, как выводить на экрану, как это делать. Это начинается с HEAD HTML документа, затем c вершины BODY и так далее.

Из-за этого "нисходящего" поведения, JavaScript выдает только тот HTML, с которым она столкнулась. Например вы определили форму с парой текстового вклада elements:

<FORM NAME="statform">
  <input type = "text" name = "username" size = 20>
    <input type = "text" name = "userage" size = 3>
</FORM>

Затем эти элементы формы будут отражены, так как объекты JavaScript document.statform.username и document.statform.userage, которые вы можете использовать где-нибудь после того, как форма определена. Однако, вы могли бы не использовать эти объекты прежде, чем форма определена. Так, например, вы могли показывать значение этих объектов в скрипте после определения формы:

<SCRIPT> document.write(document.statform.username.value) document.write(document.statform.userage.value) </SCRIPT>

Однако, если Вы пробовали делать это перед определением формы (то есть выше этого в HTML - странице),то вы можете получить ошибку, так как объекты еще не существуют в Навигаторе.

Аналогично, если только произошла планировка, установившая значение свойства, не воздействует на ее значение или ее вид. Например, вы определили заголовок документа следующим образом:

<TITLE> Моя JavaScript Страница</TITLE>

Это отражается в JavaScript как значение document.title. Если только Навигатор выделил это в планировке (в этом случае, в названии окна Навигатора), Вы не можете изменять значение в JavaScript. Так, если ниже в странице, у вас есть следующий скрипт:

  document.title = " Новая улучшенная JavaScript страница "

Это не будет изменять значение document.title, не будет воздействовать на вид страницы, и не образуется ошибка.

Ключевые объекты Навигатора

Часть из наиболее используемых в Навигаторе обектов, включает документ, форму, и окно.

Использование объекта документ

Один из наиболее используемых в Навигаторе объект - это объект документа, потому что методы write и writeln могут вызвать HTML. Эти методы - это способ, которым Вы показываете утверждения JavaScript пользователю. Единственая разность между write и writeln - это то, что write записывает строку или несколько строк в окно документа, а writeln записывает строку или несколько строк в окно документа и добавляет символ новой строки в конец вывода. Но так как HTML игнорирует добавления символа новой строки, то это будет создавать эффект предварительно отформатированного текста, типа тега PRE.

Объект документа также имеет обработчики событий onLoad и onUnload, они вызываются соответственно для выполнения функции, когда пользователь впервые загрузил страницу и когда пользователь выходит из страницы.

Имеется только один объект документа в странице, это - предок для всей формы, связь и объекты якоря в странице. <

Использование Объекта формы

Навигатор создает объект формы для каждой формы в документе. Вы можете называть форму в атрибуте NAME, как показано в примере:

<FORM NAME="myform"> <INPUT TYPE="text" NAME="quantity" onChange="..."> ... </FORM>

Если был бы объект JavaScript, с именем myform основанный на этой форме. Форма имела бы свойства, соответствующие текстовому объекту, к которому Вы обратитесь как

document.myform.quantity Вы обратились бы к свойству значения этого объекта как document.myform.quantity.value

Формы в документе сохранены в массиве, названный form. Первая (самая верхняя в странице) форма, как form[0], вторая, как form[1], и так далее. Так что вышеупомянутые ссылки могли выглядеть так:

document.forms [0] .quantity document.forms [0] .quantity.value .

Аналогично, элементы в форме, типа текстовых полей, кнопок, и так далее, сохранены в массиве elements.

Использование объекта окна

Объект окна - это "родительский" объект для всех других объектов в Навигаторе. Вы можете всегда упустить имя объекта по отношению к свойствам окна и методов.

Окно имеет несколько очень полезных методов, которые создают новые окна и всплывающие диалоговые окна:

  • open и close: Открывает и закрывает окно браузера
  • alert: Выдает аварийное диалоговое окно
  • confirm: Выдает диалоговое окно подтверждения

Объект окна имеет свойства во всех фреймах в FRAMESET. Фреймы сохранены в массиве фреймов. Массив фреймов содержит вход для каждого дочернего фрейма в окне. Например, если окно содержит три дочерних фрейма, то эти фреймы отражены как window.frames [0], window.frames [1], и window.frames [2].

Свойства состояния открыты для вас, чтобы вы могли установить сообщение в строке состояния внизу клиенского окна.


Справочное руководство по JavaScript

Создание сценариев в Navigator

  • Использование JavaScript в HTML
  • Создание скриптов обработки событий
  • Советы и методы

Использование JavaScript в HTML

Чтобы запускать скрипты, написанные на языке JavaScript вам понадобится браузер, способный работать с JavaScript - например Netscape Navigator или Microsoft Internet Explorer (MSIE). С тех пор, как оба этих браузера стали широко распространеными, множество людей получили возможность работать со скриптами, написанными на языке JavaScript. Несомненно, это важный аргумент в пользу выбора языка JavaScript, как средства улучшения ваших Web-страниц. Перед изучением языка JavaScript вы должны познакомиться с основами другого языка - HTML. При этом, возможно, Вы обнаружите, что много хороших средств диалога можно создать, пользуясь лишь командами HTML.

Скрипт-программа размещается непосредственно на HTML странице, как правило внутри тега HTML файла.Она загружается в браузер вместе с файлом.

А именно JavaScript может быть внедрен в HTML документе двумя способами:

    Как утверждение и функция, использующие тег SCRIPT.
    Как обработчики результата, использующие тег HTML.

Тег SCRIPT

Сценарий, внедренный в web-страничу,использующий тег SCRIPT имеет следующий формат:
<SCRIPT>
   JavaScript statements...
</SCRIPT>
Необязательный атрибут LANGUAGE определяет язык создания сценария следующим образом:
<SCRIPT LANGUAGE="JavaScript">
   JavaScript statements...
</SCRIPT>
В документе HMTL теги <SCRIPT>, и закрывающий тег </SCRIPT> могут содержать любое количество утверждений JavaScript. Чтобы наглядно увидить как пишутся скрипты на языке JavaScript рассмотрим простой пример скрипт-программы расположенной на сторанице HTML:

<html> <head><title>Скрипт-программа</title> <script language="JavaScript"> <!Здесь располагаются строки скрипт-программы!> </script> <head> <body onload="scroll_start();"onunload="scroll_stop();"> <!А здесь распологаются теги HTML страницы!> </body> </html>

В этом примере внутри тега <BODY> указано событие ONLOAD, по которому скрипт-программа запускается сразу после загрузки. Событиями также могут являться щелчком или перемещение указателя мышки.

Скрипты могут размещаться внутри области комментария, чтобы ваше утверждение JavaScript не просматривалось старыми окнами браузера, которые не распознают JavaScript. Тогда весь сценарий спрятан в HTML- страницу тегами комментария:

<!-- Begin to hide script contents from old browsers.
// End the hiding here. -->

Определение и запрос функций

JavaScript загружается в браузер вместе с файлом. Запуск программы присходит тогда, когда совершается некоторое событие, на которое указано в файле. Функции сохранены, но не выполнены. Они будут выполнены тогда, когда в странице указано события его выполнения.
Важно понять разность между определением функции и запроса функции. Определение функции просто называет функцию и определяет, что и когда делать. Запрос функции фактически выполняет указанные действия в определении функции. Следующий пример демонстрирует скрипт с функцией и комментариями:

<HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=Windows-1251"> <SCRIPT LANGUAGE="JavaScript"> <!-- to hide script contents from old browsers function square(i) { document.write("Функция возвела число ", i ," в квадрат.","<BR>") return i * i } document.write("и пулучился результат",square(5),".") // end hiding contents from old browsers --> </SCRIPT> </HEAD> <BODY> <BR> Документ готов. </BODY>

Тег HTML

Вы должны определить функции на странице в теги HTML документа. Так как HTML грузится сначала, что гарантирует функции загрузиться прежде, чем пользователь вызовет функцию.
Пример скрипта с двумя функциями:

<HEAD> <SCRIPT> <!--- hide script from old browsers function bar() { document.write("<HR ALIGN='center' WIDTH=25%>") } function output(head, level, string) { document.write("<H" + level + ">" + head + "</H" + level + "><P>" + string) } // end hiding from old browsers --> </SCRIPT> </HEAD> <BODY> <SCRIPT> <!--- hide script from old browsers document.write(bar(),output("Make Me Big",3,"Make me ordinary.")) // end hiding from old browsers --> </SCRIPT> <P> Thanks. </BODY>

Кавычки

Использeйте оденочные ковычки ('), чтобы разграничить литералы ряда так, чтобы скрипты могли отличать литералы от атрибутов, расположенные в двойных кавычках. В предыдущем примере, функция содержит литерал 'center' внутри атрибута, находящийся в двойных кавычках. Рассмотрим другой пример: <INPUT TYPE="button" VALUE="Press Me" onClick="myfunc('astring')">

Создание скриптов обработчиков событий

Приложениями JavaScript в Навигаторе мы в основном управляем событиями. События (Events)- это действия, которые происходят, обычно в результате чего - нибудь, что делает пользователь (например, щелчок кнопки мышки). Имеется определенный набор событий, которые Навигатор распознает. Вы можете определить обработчики результатов скриптов, которые автоматически выполняются, когда происходит результат.
Обработчик Результата записываются в документ как атрибут тега HTML, к которому вы приписываете код JavaScript, для выполнения. Общий вид:

<TAG eventHandler="JavaScript Code"> Где TAG - это тег HTML, и eventHandler - имя обработчика результата.
Например вы создали функцию JavaScript, и назвали ее compute. Вы можете заставить Навигатор выполнять эту функцию, когда пользователь нажимает на кнопку,в которой к onClick приписан обработчик результата кнопки: <INPUT TYPE="button" VALUE="Calculate" onClick="compute(this.form)">

Вы можете помещать любые утверждения JavaScript внутри ковычек onClick. Эти утверждения будут выполнены, когда пользователь нажмет на кнопку. Если Вы хотите включить больше чем одно утверждение, отдельные утверждения записываются через точкой с запятой (;).

Вообще, это - хорошая идея определить функцию для ваших обработчиков результата потому что:

  • Это делает ваш код мобильным, так как вы можете использовать ту же самую функцию во многих различных местах.
  • Это делает ваше утверждение более легким для чтения.

В этом примере используется this.form, чтобы обратиться к текущей форме. Ключевое слово обращается к текущему объекту - в вышеупомянутом примере, объекту кнопки. Затем конструкция this.form обращается к форме, содержащей кнопку. Там же, onClick обработчик результата - запрос к функции compute(), с this.form, текущей формой, как параметр функции.

События обращаются к тегам HTML следующим образом:

  • События Focus, Blur, Change: text fields, textareas, и selections
  • События Щелчка: buttons, radio buttons, checkboxes, submit buttons, reset buttons, links
  • Событие Select: text fields, textareas
  • Событие MouseOver: links

Если события обращаются к тегам HTML, то для этого вы можете определять обработчик событий. Вообще, обработчик событий имеет имя события, прещедствующее "on". Например, обработчик результата для результата Focus - onFocus.

Много объектов также имеют методы, которые подражают событиям. Например, кнопка имеет метод щелчка, который подражает нажимаемой кнопке. Заметьте: методы подражаемые событиям не вызывают обработчика событий. Так, например, метод щелчка не вызывает обработчика результата onClick. Однако, Вы можете всегда вызывать обработчик результата (например, Вы можете вызывать onClick явно в сценарие).

Метод | Происходит когда ... | Обработчик Результата
Blur | Пользователь удаляет строку фокус из элемента формы | OnBlur
click | Пользователь нажимает на элемент формы или link | OnClick
change | Пользователь изменяет значение text, textarea, или select элемента | OnChange
Focus | Пользователь передает фокус указанному элементу формы | OnFocus
load | Пользователь загружает страницу в Navigator | OnLoad
Mouseover | Происходит, когда пользователь помещает указатель мышки над гиперссылкой | OnMouseOver
Select | Пользователь выделяет область ввода указанного элемента формы | OnSelect
Submit | Пользователь подчиняет форму | OnSubmit
Unload | Пользователь выходит из страницы | OnUnload

Приведем сценарий "калькулятор" с формой и атрибутом обработчика событий.

<HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <SCRIPT LANGUAGE="JavaScript"> function compute(form) { if (confirm("Вы уверены?")) form.result.value = eval(form.expr.value) else alert("Please come back again.") } </SCRIPT> </HEAD> <BODY> <FORM> Введите выражение: <INPUT TYPE="text" NAME="expr" SIZE=15 > <INPUT TYPE="button" VALUE="Calculate" ONCLICK="compute(this.form)"> <BR> Результат: <INPUT TYPE="text" NAME="result" SIZE=15 > <BR> </FORM> </BODY>

Сценарий с формой и атрибутом обработчика события внутри тега BODY.

<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
<SCRIPT LANGUAGE="JavaScript">
<!--- hide script from old browsers
function checkNum(str, min, max) {
    if (str == "") {
        alert("Enter a number in the field, please.")
        return false
    }
    for (var i = 0; i < str.length; i++) {
        var ch = str.substring(i, i + 1)
        if (ch < "0" || ch > "9") {
            alert("Попробуйте еще, пожайлуста.")
            return false
        }
    }
    var val = parseInt(str, 10)
    if ((val < min) || (val > max)) {
        alert("Введите число от 1 до 10.")
        return false
    }
    return true
}

function thanks() {
    alert("Спасибо.")
}
// end hiding from old browsers -->
</SCRIPT>
</HEAD>
<BODY>
<FORM NAME="ex5">  Пожалуйста введите маленькое число:
<INPUT NAME="num" onChange="if (!checkNum(this.value, 1, 10)) {this.focus();this.select();}
else {thanks()}">
</FORM>
</BODY>

Советы и методы

Этот раздел описывает различные полезные методы создания сценария.

Модифицирование Страниц

Результаты JavaScript в Navigator вызываются из вершины загруженной страницы. Если вы хотите что - нибудь форматировать,то вы не можете изменить это без перезагрузки страницы. В настоящее время, Вы не можете модернизировать частную часть страницы без модифицирования всей страницы. Хотя, вы можете модернизировать "sub-window" (незначительную часть окна) в фрейме отдельно.

Печать

Вы не можете в настоящее время напечатать вывод, созданный с JavaScript. Например, если у вас есть следующее в странице:

<P> This is some text. <SCRIPT> document.write("<P>And some generated text") </SCRIPT> И вы напечатали его, то вы получите следующее
даже если вы видели бы обе экранные линии.

Использование ковычек

Убедитесь, что бы чередовали двойные котировки с одиночными ковычками. Так как обработчики событий в HTML должны быть расположены в кавычках, вы должны использовать одиночные ковычки, чтобы разграничить аргументы. Например

<FORM NAME="myform">
<INPUT TYPE="button"
  NAME="Button1"
  VALUE="Open Sesame!"
  onClick="window.open('Stmtsov.html', 'newWin', 'toolbar=no,directories=no')">
</FORM>

В качестве альтернативы, вы можете выйте из ковычек, предшествуя им наклонной чертой влево (\).

Определение Функций

Хорошо определять все ваши функции в HEAD вашей HTML страницы. Потому, что все функции будут определены прежде, чем любое содержание показано. Иначе, пользователь может выполнять какое - нибудь действие, в то время как страница все еще загружается, которое вызывает обработчик событий и вызывает неопределенную функцию, ведя к ошибке.

Создание Массивов

Массив - упорядоченное множество значений, на которые вы ссылаетесь через имя массива и индекс. Например, у вас есть массив, с именем emp, который содержит имена служащих, индексированные их номером служащего. Так emp [1] будет служащий номер один, emp [2] служащий номер два, и так далее.

JavaScript не имеет явный тип данных массива, но из-за близкой связи между массивами и объектами свойств (смотрите Объектная Модель JavaScript). Вы можете определять тип объекта массива, следующим образом:

function MakeArray(n) {
   this.length = n;
   for (var i = 1; i <= n; i++) {
     this[i] = 0 }
     return this
     }
}

Здесь определяется массив такой что первое свойство, длина, (с индексом ноля), представляет число элементов в массиве. Оставшиеся свойства имеют индекс целого числа один или больше, и инициализированы к нолю.

Вы можете создавать массив вызывая new с именем массива, определяя число элементов, которые имеет. Например:

 emp = new MakeArray(20);

Здесь создается массив, с именем emp с 20 элементами, и элементы инициализируется к нолю.

Начальная загрузка Массива

Вы можете заполнять массив, просто присваивая значения к ее элементам. Например:

emp[1] = "Casey Jones"
emp[2] = "Phil Lesh"
emp[3] = "August West"
И так далее.

Вы можете также создавать массивы объектов. Например, пусть вы определяете тип объекта, именованный Employees, следующим образом:

function Employee(empno, name, dept) {
   this.empno = empno;
   this.name = name;
   this.dept = dept;
}

Затем следующие утверждения определяет массив этих объектов:

emp = new MakeArray(3)
emp[1] = new Employee(1, "Casey Jones", "Engineering")
emp[2] = new Employee(2, "Phil Lesh", "Music")
emp[3] = new Employee(3, "August West", "Admin")

Затем Вы можете легко показывать объекты в этом массиве, используя функцию show_props (определенную в разделе Объектная Модель JavaScript) следующим образом:

 for (var n =1; n <= 3; n++) {
   document.write(show_props(emp[n], "emp") + "
");
}


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Объекты

  • anchor (массив anchors)
  • Applet
  • Area
  • Array
  • button
  • checkbox
  • Date
  • document
  • массив elements
  • FileUpload
  • form(массив forms)
  • frame(массив frames)
  • Function
  • hidden
  • history
  • Image
  • link(массив links)
  • location
  • Math
  • mimeTypes
  • navigator
  • Option
  • password
  • Plugin
  • массив plugins
  • radio
  • reset
  • select (массив options)
  • string
  • submit
  • text
  • textarea
  • window

    Полное содержание


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Объектная модель JavaScript

JavaScript основан на простом объектно-ориентированном примере. Объект - это конструкция со свойствоми, которые являются переменными JavaScript. Свойства могут быть другими объектами. Функции, связанные с объектом известны как методы объекта.

В дополнение к объектам, которые сформированы в Navigator client и LiveWire server, вы можете определять ваши собственные объекты.

  • Объекты и Свойства
  • Функции и Методы
  • Создание Новых Объектов

Объекты и Свойства

Объект JavaScript имеет свойства ассоциированные с ним. Вы обращаетесь к свойствам объекта следующей простой системой обозначений:

objectName.propertyName

И имя объекта и имя свойства чувствительны к регистру. Вы определяете свойства, приписывая значение. Например, пусть существует объект, с именем myCar (мы обсудим, как создавать объекты позже - теперь, только принимаем, что объект уже существует). Вы можете дать свойства, именованные make , model , и year следующим образом:

myCar.make = "Ford"
myCar.model = "Mustang"
myCar.year = 69;

Вы можете также обратиться к этим свойствам, используя систему обозначений таблицы следующим образом:

mycar["make"] = "Ford
myCar["model"] = "Mustang"
myCar["year"] = 69;

Этот тип таблицы известен как ассоциативная таблица, потому что каждый элемент индекса также связан со значением строки. Чтобы пояснять, как это делается, следующая функция показывает свойство объекта, когда вы проходите объект и имя объекта как аргументы функции:

function show_props(obj, obj_name) {
    var result = ""
    for (var i in obj)
        result += obj_name + "." + i + " = " + obj[i] + "\n"
    return result;
}

Так, обращение к функции show_props(myCar, "myCar") возвращает следующее:

Вы можете также определять свойства, используя порядковые числа, например:

temp[0] = 34
temp[1] = 42
temp[2] = 56
Эти утверждения создают три свойства объекта temp, и вы должны обращаться к этим свойствам как temp[i], где i - целое число между 0 и 2.

Функции и Методы

Функции - один из фундаментальных встроенных блоков в JavaScript. Функция - JavaScript процедура - набор утверждений, которые выполняют определенную задачу.

Определение функции состоит из ключевого слова function , сопровождаемого

  • Именем функции
  • Списком аргументов функции, приложенной в круглых скобках, и отделяемые запятыми
  • JavaScript утверждениями, которые определяют функцию, приложенные в фигурных скобках, {...}

Вы можете использовать любые функции, определенные в текущей странице. Лучше всего определять все ваши функции в HEAD страницы. Когда пользователь загружает страницу, сначала загружаются функции.

Утверждения в функциях могут включать другие обращения к функции.

Например, есть функция с именем pretty_print:

function pretty_print(string) {
 document.write(" " + string)
 }

Эта функция принимает строку как аргумент, прибавляет некоторые теге HTML, используя оператор суммы (+), затем показывает результат в текущем документу.

Определение функции не выполняет ее. Для этого вы должны вызвать функцию, чтобы выполнить ее. Например, вы можете вызывать функцию pretty_print следующим образом:

<SCRIPT> pretty_print("This is some text to display") </SCRIPT>

Аргументы функции не ограничены только строками и числами.

Аргументы функции сохраняются в таблице. Внутри функции, вы можете адресовать параметры следующим образом:

functionName.arguments [i]
Где functionName - имя функции, и i - порядковое число аргумента, начинающегося с нуля. Так, первый аргумент в функции, с именем myfunc, будет myfunc.arguments [0]. Общее число аргументов обозначено переменным arguments.length.

Функция может даже быть рекурсивной, то есть она может вызывать себя. Например, существует функция, которая вычисляет факториалы:

function factorial(n) {
  if ((n == 0) || (n == 1))
    return 1
  else {
    result = (n * factorial(n-1) )
    return result
  }
}

Вы можете показывать факториалы от одного до пять следующим образом:

for (x = 0; x < 5; x++) {
   document.write(x, " factorial is ", factorial(x))
   document.write(" ")
}

Результаты будут бы следующие:

Функции с Переменными Числовыми Аргументами

Вы можете вызывать, функция с большим количеством аргументов чем она формально объявлена, используя массив arguments . Это часто полезно тогда, когда вы не знаете заранее, сколько аргументов будут в функции. Вы можете использовать arguments.length, чтобы определить число аргументов в функции, и затем обращаться к каждому аргументу, используя массив arguments .

Например, рассмотрим функцию, определенную, чтобы создать списки HTML. Единственый формальный аргумент функции - строка, которая является "U", если список неупорядочен или "O", если список упорядочен (пронумерован). Функция определена следующим образом:

function list(type) {
 document.write("<" + type + "L>")
//начинается список
for (var i = 1; i < list.arguments.length; i++)
// Повторить через аргументы
 document.write("" + list.arguments[i])
 document.write("</" + type + "L>")
// заканчивается список
 }

Вы можете проходить любое число аргументов этой функции, и затем показывать каждый аргумент как каждый отдельный пункт в обозначенном типе списка. Например, следующий запрос на функцию:

list("o", "one", 1967, "three", "etc, etc...")

Определение Методов

Метод - функция, связанная с объектом. Вы определяете метод таким же образом, так как вы определяете стандартную функцию. Затем, используйте следующий синтаксис, чтобы связать функцию с существующим бъектом:

 object.methodname = function_name
Где object - существующий объект, methodname - имя, которое вы присваиваете методу, и function_name - имя функции.

Вы можете вызывать метод в контексте объекта следующим образом:

 object.methodname (params);

Использование this для Ссылок Объекта

JavaScript имеет специальное ключевое слово, this, которое вы можете использовать, чтобы обращаться к текущему объекту. Например, пусть у вас есть функция с именем validate , которая проверяет правильность свойства значения объекта, данного объект, и high и low значения:

function validate(obj, lowval, hival) {
   if ((obj.value < lowval) || (obj.value > hival))
      alert("Invalid Value!")
}

Вы можете вызывать validate в каждом элементе формы обработчика событий onChange, используя this, как показано в следующем примере:

<INPUT TYPE = "text"
       NAME = "age"
       SIZE = 3
       onChange="validate(this, 18, 99)">

Вообще, метод this обращается к вызывающему объекту.

Создание Новых Объектов

И клиент и сервер JavaScript имеют строки предопределенных объектов. Кроме того, вы можете создавать ваши собственные объекты. Создание вашего собственного объекта требует двух шагов:

  • Определить тип объекта, написанной функции.
  • Создать образец объекта с new.

Чтобы определять тип объекта, создайте функцию для типа объекта, которая определяет его имя, и его свойства и методы. Например, пусть вы хотите создавать тип объекта для автомобилей. Вы хотите этот тип объектов, который будет назван car, и Вы хотите, чтобы он имел свойства для make, model, year, и color. Чтобы сделать это, вы должны написать следующую функцию:

 function car(make, model, year) {
   this.make = make;
   this.model = model;
   this.year = year;
}

Замечание, используйте this, чтобы присвоить значения свойствам объекта, основанные на значениях функции.

Теперь вы можете создавать объект, с именем mycar следующим образом:

 mycar = new car("Eagle", "Talon TSi", 1993);

Это утверждение создает mycar и присваивает ему указанные значения для его свойств. Затем значение mycar.make - строка "Eagle", mycar.year - целое число 1993, и так далее.

Вы можете создавать любое число объектов car запрашивая к new. Например,

kenscar = new car("Nissan", "300ZX", 1992)

Объект может иметь свойство, которое является самостоятельным другим объектом. Например, пусть вы определили объект с именем person следующим образом:

function person(name, age, sex) {
   this.name = name;
   this.age = age;
   this.sex = sex;
}

И затем подтверждаете два новых объектов person следующим образом:

rand = new person("Rand McNally", 33, "M")
ken = new person("Ken Jones", 39, "M")

Затем вы можете перезаписать определение car, чтобы включить свойство владельца, которое берет объект person, следующим образом:

function car(make, model, year, owner) {
   this.make = make;
   this.model = model;
   this.year = year;
   this.owner = owner;
}

Затем вы используете следующее:

car1 = new car("Eagle", "Talon TSi", 1993, rand);
car2 = new car("Nissan", "300ZX", 1992, ken)

Заметим, что вместо прохождения строкового литерала или целого числа вычисляет при создании новых объектов, вышеупомянутый ход утверждений объектов rand и ken как аргументов владельцев. Затем, если вы хотите выяснять имя владельца car2, вы можете обращаться к следующему свойству:

 car2.owner.name

Заметьте, что вы можете всегда прибавлять свойства к предопределенному объекту. Например, утверждение:

 car1.color = "black"
Прибавляет свойство color к car1, и присваивает ему значение " black". Однако, это не воздействует на любые другие объекты. Чтобы прибавить новое свойство ко всем объектам того же самого типа, вы должны прибавить свойство к определению типа объекта car.

Определение Методов

Вы можете определять методы для типа объекта включением определение метода на определении типа объекта. Например, пусть у вас есть набор файлов изображений GIF, и вы хотите определить метод, который показывает информацию для car, наряду с соответствующим изображением. Вы можете определить функцию типа:

function displayCar() {
   var result = "A Beautiful " + this.year
                + " " + this.make + " " + this.model;
   pretty_print(result)
}
Где pretty_print - предопределенная функция, которая показывает строку. Используйте this, чтобы обратиться к объекту, который принадлежит методу.

Вы можете делать функцию методом из car, прибавляя утверждение

 This.displayCar = displayCar;
к определению объекта. Так, полное определение car теперь выглядит так:
function car(make, model, year, owner) {
   this.make = make;
   this.model = model;
   this.year = year;
   this.owner = owner;
   this.displayCar = displayCar;
}

Вы можете вызывать этот новый метод следующим образом:

car1.displayCar ()
car2.displayCar ()
Это будет выглядеть подобно следующему выводу:

A Beautiful 1993 Eagle Talon TSi

A Beautiful 1992 Nissan 300ZX


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Свойства

  • action
  • alinkColor
  • anchors
  • appCodeName
  • appName
  • appVersion
  • bgColor
  • border
  • checked
  • complete
  • cookie
  • defaultChecked
  • defaultSelected
  • defaultStatus
  • defaultValue
  • description
  • E
  • elements
  • enabledPlugin
  • encoding
  • fgColor
  • filename
  • forms
  • frames
  • hash
  • height
  • host
  • hostname
  • href
  • hspace
  • index
  • lastModified
  • length
  • linkColor
  • links
  • LN2
  • LN10
  • LOG2E
  • LOG10E
  • lowsrc
  • method
  • name
  • opener
  • options
  • parent
  • pathname
  • PI
  • port
  • protocol
  • prototype
  • referrer
  • search
  • selected
  • selectedIndex
  • self
  • SQRT1_2
  • SQRT2
  • src
  • status
  • suffixes
  • target
  • text
  • title
  • top
  • type
  • URL
  • userAgent
  • value
  • vlinkColor
  • vspace
  • width
  • window

    Полное содержание


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Объект radio

Измененный в Navigator 3.0

Набор переключателей. Пользователя может при помощи переключателей выбрать один из пунктов в списке.

Синтаксис

Для определения набора radio кнопок, используются стандартный HTML синтаксис с добавлением обработчика результата onClick:

   textToDisplay
NAME = "radioName" определяет имя объекта radio. Все переключатели в группе имеют тот же самый атрибут NAME. Вы можете обращаться к этму значению, используя собственное имя.
VALUE = "buttonValue" определяет значение, которое будет возвращено серверу, когда выбран переключатель и форма подчинена. Эти значения по умолчанию "on". Вы можете обращаться к этму значению, используя собственное значения.
CHECKED определяет выбран ли переключатель. Вы можете обращаться к этму значению, используя свойство defaultChecked.
TextToDisplay определяет значение, указанное около radio кнопки.

Использование свойств и метода переключателей:

1. RadioName [index1] .propertyName
2. RadioName [index1] .methodName(параметры)
3. FormName.elements [index2] .propertyName
4. formName.elements[index2].methodName(parameters)
RadioName - значение атрибута NAME объекта radio.
Index1 - целое число, представляющее переключатели в объекте радио.
FormName является либо значением атрибута NAME объекта формы или элемента массива forms.
Index2 - целое число, представляющее переключатели в форме. Массив elements содержит все переключатели в объекте radio.
PropertyName - один из свойств, описанных ниже.
MethodName - один из методов, описанных ниже.

Свойства

  • form

    Описание

    Объект radio в форме выглядет следующим образом:

    R&B
    Jazz
    Soul

    Объект radio - элемент формы и должен поэтому быть определен внутри тега <FORM>.

    При ссылке на объект с использование имени переключателя индекс состоит из кнопок с одинаковым свойством name. При ссылке на переключатель с использованием массива elements каждый переключатель представляет собой отдельный элемент в индексе: document.forms [0] .radioName [0] первый, document.forms [0] .radioName [1] второй, и т.д.

    Связные элементы

  • Свойства

    • checked возвращает логическое значение, представляющее текущее состояние отдельного переключателя.
    • DefaultChecked логическое значение (true или false), указывающее состояние флажка или переключателя по умолчанию.
    • length целое число, показывающее длину свойства объекта radio
    • name отражает атрибут NAME
    • value отражает атрибут VALUE

  • Методы

    • click

  • Обработчики событий

    • OnClick

    Примеры

    Пример 1. Следующий пример определяет три переключателя. Каждый переключатель имеет одно и то же имя, NAME = "musicChoice", формируя группу кнопок в которой можно сделать только один выбор. Обработчик событий OnClick определяет область, которую пользователь выбрал.

    <INPUT TYPE="text" NAME="catalog" SIZE="20">
 <INPUT TYPE="radio" NAME="musicChoice"
   VALUE="soul-and-r&b"
      onClick="musicForm.catalog.value = 'soul-and-r&b'">
 Soil и R&B
 <INPUT TYPE="radio" NAME="musicChoice"
   VALUE="jazz"
      onClick="musicForm.catalog.value = 'jazz'">
 Jazz
<INPUT TYPE="radio" NAME="musicChoice"
  VALUE="classical"
     onClick="musicForm.catalog.value = 'classical'">
 Classical

    Пример 2. Следующий пример содержит форму с тремя текстовыми блоками и тремя переключателями. Переключатели позволяют пользователю преобразовать текс к верхнему регистру или строчным буквам, или не преобразовывать вообще. Каждая текстовая область имеет обработчик событий onChange, который преобразует значение области, в зависимости от выбора переключателя. Переключатель для верхнего регистра и строчных букв имеют обработчик событий onClick, который преобразует область.

     <HEAD>
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
 <TITLE> Пример объекта radio</TITLE>
</HEAD>
<SCRIPT>
function convertField(field) {
   if (document.form1.conversion[0].checked) {
      field.value = field.value.toUpperCase()}
   else {
   if (document.form1.conversion[1].checked) {
      field.value = field.value.toLowerCase()}
   }
}
function convertAllFields(caseChange) {
   if (caseChange=="upper") {
   document.form1.lastName.value = document.form1.lastName.value.toUpperCase()
   document.form1.firstName.value = document.form1.firstName.value.toUpperCase()
   document.form1.cityName.value = document.form1.cityName.value.toUpperCase()}
   else {
   document.form1.lastName.value = document.form1.lastName.value.toLowerCase()
   document.form1.firstName.value = document.form1.firstName.value.toLowerCase()
   document.form1.cityName.value = document.form1.cityName.value.toLowerCase()
   }
}
</SCRIPT>
<BODY>
<FORM NAME="form1">  <B>Фамилия:</B>
<INPUT TYPE="text" NAME="lastName" SIZE=20 onChange="convertField(this)">
 <BR>
<B>Имя:</B>
<INPUT TYPE="text" NAME="firstName" SIZE=20 onChange="convertField(this)">
 <BR>
<B>Город:</B>
<INPUT TYPE="text" NAME="cityName" SIZE=20 onChange="convertField(this)">
<P>
<B>Преобразовать значение:</B> <BR>
<INPUT TYPE="radio" NAME="conversion" VALUE="upper" onClick="if (this.checked)
       {convertAllFields('upper')}">
 Верхний регистр <BR>
<INPUT TYPE="radio" NAME="conversion" VALUE="lower" onClick="if (this.checked)
       {convertAllFields('lower')}">
 Строчные буквы <BR>
<INPUT TYPE="radio" NAME="conversion" VALUE="noChange">
  Не преобразовывать
</FORM>
</BODY>

    Смотрите также пример для объекта link.

    Смотрите также объекты

    checkbox
    form
    select

    Метод random

    Измененный в Навигаторе 3.0

    Возвращает случайное число в интервале между 0 и 1. Этот метод доступен только для платформы Unix.

    Синтаксис

    Math.random ()

    Связанные элементы

  • Метод

    • Math

    Описание

    Метод random реализован только на UNIX-платформах - пользователи Windows и Macintosh должны использовать альтернативную форму генерацию случайных чисел. Пример такой формы приведен ниже в разделе Примеры.

    Примеры

    Этот пример показывает случайное число между 0 и 1

document.write (" случайное число - " + Math.random ())

    Генерация случайного числа(на плотформах, отличных от UNIX).В настоящее время метод random работает только на UNIX- версии Netscape. Есть другой способ генерации псевдослучайного числа без использования встречного метода. Он называется вычисляемое случайное число и обнаруживает свою "псевдослучайность" в случае неоднакратного вычисления за короткий промежуток времени.
    Для того чтобы обеспечить совместимость для программы на разных платформах, стоит воздержаться от применения встроенного метода random для генерации случайных чисел и вместо него использовать пользовательскую функцию типа нижеприведенной:

    function UnixMachine(){
 if (navigator.appVersion.LastIndexOf('UNIX')!=-1)
    return true
 else
    return false
}
function randomNumber(){
 if (UnixMachine()){
    num=Math.random()}
 else{
    num=Math.abs(Math.sin(Date.getTime()));}
 return num;
}
     Эта функция генерирует число между 0 и 1, и хорошо работает в приложениях, использующих случайные числа каждые несколько секунд. Если же генерация случайного числа требуется чаще, стоит усложнить алгоритм, например добавив дополнительные вычисления (cos, tan, log) в каждый третий вызов функции.

    Свойство referrer

    URL документа, который привел к текущему документу.

    Синтаксис

     Document.referrer

    Связанные элементы

  • Свойства

    • document

    Описание

    Возвращает строку только для чтения, содержащую полный URL того документа, который вызвал текущий документ. Это свойство может использоваться со сценарием CGI, чтобы отслеживать, как пользователь перешел к текущей странице...

    Примеры

    document.write("Щелкнете <A HREF=../../../'_2522+document.referrer+_2522/default.htm'>здесь,</A> чтобы вернуться к предыдущей странице.")
    wwwwwwwwww

    Объект reset

    Измененный в Навигаторе 3.0

    Кнопка для возвращения всем объектам form значений по умолчанию.

    Синтаксис

    Чтобы определить кнопку reset, используйте стандарт HTML синтаксис с использованием обработчика событий onClick:

    <INPUT TYPE="reset"
       NAME="resetName"
       VALUE="buttonText"
 [onClick="handlerText"]>
     NAME = "resetName" определяет имя объекта reset. Вы можете обращаться к этому значению, используя свойство имени.
    VALUE = "buttonText" определяет текст, который будет показан на кнопки. Вы можете обращаться к этому значению, используя свойство значения.

    Использование свойства объекта и методы reset:

1. ResetName.propertyName
2. ResetName.methodName (parameters)
3. FormName.elements [index] .propertyName
4. formName.elements[index].methodName(parameters)
    ResetName - значение атрибута NAME объекта reset.
    FormName является либо значение атрибута NAME объекта формы либо элемента массива form.
    Index - целое число, представляющее объект reset в форме.
    PropertyName - один из свойств, описанных ниже.
    MethodName - один из методов, описанных ниже.

    Описание

    Объект reset в форме выглядет следующим образом:

    Этот объект соответствует кнопке Reset, созданной тегом HTML <INPUT TYPE="Reset">, возвращающей все объекта form к их значению по умолчанию. Объект reset - элемент формы и должен быть определен внутри тега <FORM>.

    Объект reset не может управляться из программы обработки событий onClick. При нажатие кнопки все объекты формы возвращаются к их значению по умолчанию. Однако программа обраьотки событий onClick может в дополнение к восстановлению значений по умолчанию вызвать другие действия.

    Связанные элементы

  • Свойства

    • form
    • name отражает атрибут NAME
    • value отражает атрибут VALUE

  • Методы

    • click

  • Обработчики событий

    • onClick

    Примеры

    Пример 1. Следующий пример показывает текстовый объект со значением по умолчанию "CA" и кнопкой reset "Clear Form " . Если пользователь в текстовом объекте State напечатал что-нибудь и затем нажал кнопку "Clear Form", то первоначальное значение "CA" восстановлевается.

    <b>State:</b> <INPUT TYPE="text" NAME="state" VALUE="CA" SIZE="2"> <P> <INPUT TYPE="reset" VALUE="Clear Form">

    Пример 2. Следующий пример показывает два текстовых объекта, объект select, и три переключателя; все эти объекты имеют какое-то значение по умолчанию. Форма также имеет кнопку reset с текстом "Значение по умолчанию" на кнопке. Если пользователь изменяет значение любого из объектов, а затем нажимает кнопку "Значение по умолчанию", то первоначальные значения восстановлеваются.

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта reset</TITLE> </HEAD> <BODY> <FORM NAME="form1"> <BR> <B>Город:</B> <INPUT TYPE="text" NAME="city" VALUE="Santa Cruz"SIZE="20"> <br> <B>State:</B> <INPUT TYPE="text" NAME="state" VALUE="CA" SIZE="2"> <P> <SELECT NAME="colorChoice"> <OPTION SELECTED> Синий <OPTION> Желтый <OPTION> Зеленый <OPTION> Красный </SELECT> <P> <INPUT TYPE="radio" NAME="musicChoice" VALUE="soul-and-r&b" CHECKED> Soil и R&B <BR> <INPUT TYPE="radio" NAME="musicChoice" VALUE="jazz"> Jazz <BR> <INPUT TYPE="radio" NAME="musicChoice" VALUE="classical"> Classical <P> <INPUT TYPE="reset" VALUE="Defaults" NAME="reset1"> </FORM> </BODY>

    Смотрите также объекты

    button
    form
    submit

    Метод round

    Возвращает значение номера, округленного до ближайщего целого числа.

    Синтаксис

     Math.round (argument)
    argument - любое числовое выражение.

    Метод

    Math

    Описание

    Если десятичная часть argument 0.5 или больше, то аргумент округляет до ближайшего большего целого числа. Если десятичная часть argument - меньше чем 0.5, то аргумент округляет до ближайшего меньшего целого числа.

    Примеры

document.write("The rounded value is " + Math.round(20.49))
document.write("The rounded value is " + Math.round(20.5))
document.write("
    The rounded value is " + Math.round(-20.5))
document.write("
    The rounded value is " + Math.round(-20.51))

    на начало страницы


Справочное руководство по JavaScript

Зарезервированные слова

Следующие зарезервированные слова не могут быть использованы в качестве имен объектов, переменных, функций, методов в коде программы JavaScript. Не все из этих слов используются в языке JavaScript на сегодняшний день - некоторые зарезервированы для использования в будущем.

  • abstract
  • boolean
  • break
  • byte
  • case
  • catch
  • char
  • class
  • const
  • continue
  • default
  • do
  • double
  • else
  • extends
  • false
  • final
  • finally
  • float
  • for
  • function
  • goto
  • if
  • implements
  • import
  • in
  • instanceof
  • int
  • interface
  • long
  • native
  • new
  • null
  • package
  • private
  • protected
  • public
  • return
  • short
  • static
  • super
  • switch
  • synchronized
  • this
  • throw
  • throws
  • transient
  • true
  • try
  • var
  • void
  • while
  • with


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Свойство search

Измененный в Navigator 3.0

Возвращает строку, содержащую любую информацию запроса, присоединенную к URL.

Синтаксис

1. link [index] .search
2. location.search

index - целое число, представляющее объект связи.

Свойство

link, location

Описание

Свойство search определяет часть URL.
Возвращает строку, содержащую любую информацию запроса, добавленную в конец URL. Данные запроса предваряются знаком вопроса и являются последним элементом в URL документа.

?elementName=element+value
Вы можете управлять свойство search в любое время.

Примеры

В следующем примере, утверждение window.open создает окно с именем newWindow и загружает указанный URL в это окно. Утверждение document.write показывает все свойства newWindow.location в окне с именем msgWindow.

newWindow=window.open ("http://guide-p.infoseek.com/WW/NS/Titles?qt=RFC+1738+&col=WW") msgWindow.document.write("newWindow.location.href =" + newWindow.location.href +"<P>") msgWindow.document.write("newWindow.location.protocol =" + newWindow.location.protocol +"<P>") msgWindow.document.write("newWindow.location.host =" + newWindow.location.host +"<P>") msgWindow.document.write("newWindow.location.hostName =" + newWindow.location.hostName +"<P>") msgWindow.document.write("newWindow.location.port =" + newWindow.location.port +"<P>") msgWindow.document.write("newWindow.location.pathname =" + newWindow.location.pathname +"<P>") msgWindow.document.write("newWindow.location.search =" + newWindow.location.search +"<P>") msgWindow.document.write("newWindow.location.hash =" + newWindow.location.hash +"<P>") msgWindow.document.close()

Предыдущий пример на экране выглядет так:

NewWindow.location.href =
     http://guide-p.infoseek.com/WW/NS/Titles?qt=RFC+1738+ &col=WW
newWindow.location.protocol = http:
newWindow.location.host = guide-p.infoseek.com
newWindow.location.hostName = guide-p.infoseek.com
newWindow.location.port =
newWindow.location.pathname = /WW/NS/Titles
newWindow.location.search =? Qt=RFC+1738 +&col=WW
newWindow.location.hash =

Смотрите также

  • Свойства hash , host , hostname , href, pathname , port , protocol

    Метод select

    Выделяет область ввода указанного элемента формы (password, text, или textarea).

    Синтаксис

1. passwordName.select ()
2. textName.select ()
3. textareaName.select ()

    passwordName является либо значением атрибута NAME объекта password либо элемента в массиве elements.
    textName является либо значением атрибута NAME объекта text либо элемента в массиве elements .
    textareaName является либо значением атрибута NAME объекта textarea либо элемента в массиве elements .

    Метод

    password , text, textarea

    Описание

    Используйте метод select для выделения области указанного элемента формы. Вы можете использовать метод select с методом focus чтобы выделить поле и установить курсор для ввода.

    Примеры

    В следующем примере, функция checkPassword подтверждает, что пользователь ввел правильно пароль. Если пароль введен не правильно, то метод select высвечивает область пароля и метод focus возвращает фокус , так что пользователь может повторно ввести пароль.

function checkPassword(userPass) {
   if (badPassword) {
      alert("Please enter your password again.")
      userPass.focus()
      userPass.select()
   }
}
    Этот пример выполняется, когда password определен как:
      <INPUT TYPE = NAME"пароля" ="userPass" >
     Следующий пример, при использование обработчика событий onFocus, выделяет элемент и находящийся в нем текст:
    <script>
<!-- hide
function setFocus(){
  document.first.text1.select();
}
//--> end of hide
...
<INPUT TYPE="text" value="INPUT TEXT" NAME="text1" onFocus="setFocus()">

    Смотрите также

  • Методы blur, focus

    Объект select (массив select)

    Измененный в Navigator 3.0

    Список выбора или прокрутка списка на форме HTML. Список выбора допускает пользователя, выбирают один пункт(изделие) из списка. Список прокрутки допускает пользователя, выбирают один или большее количество пунктов(изделий) из списка.

    Синтаксис

    Чтобы определить объект select, используйте стандарт HTML синтаксис с использованием обработчиков событий onBlur, onChange, и onFocus:

    <SELECT
    NAME="selectName"
    [SIZE="integer"]
    [MULTIPLE]
    [onBlur="handlerText"]
    [onChange="handlerText"]
    [onFocus="handlerText"]>
 <OPTION VALUE="optionValue" [SELECTED]>
      textToDisplay
 [ ... <OPTION> textToDisplay]
</SELECT>
     NAME ="selectName" определяет имя выбранного объекта. Вы можете обращаться к этому значению, используя свойство имени.
    SIZE ="intege" определяет число видимых select, когда форма показана.
    MULTIPLE определяет, что объект select - список прокрутки (не список выбора).
    SELECT определяет элемент выбора в списке. Вы можете обращаться к выборам, использующим массив select.
    VALUE="optionValue" определяет значение, которое возвращено серверу, когда сделан выбор. Вы можете обращаться к этому значению, используя свойство value.
    SELECTED определяет, что выбор сделан по умолчанию. Вы можете обращаться к этой значению, используя свойство defaultSelected.
    TextToDisplay определяет текст, который появится в списке. Вы можете обращаться к этому значению, используя свойство text.

    Использование свойства объекта и метода select:

1. SelectName.propertyName
2. SelectName.methodName ( parameters)
3. FormName.elements [индекс] .propertyName
4. formName.elements[index].methodName(parameters)
    SelectName - значение атрибута NAME объекта.
    FormName является либо значением атрибута NAME объекта формы либо элемента в массиве form.
    Индекс - целое число, представляющее объект select на форме.
    PropertyName - один из свойства, описанных ниже.
    MethodName - один из методов, описанных ниже.

    Использование свойства select:

1. SelectName.options [index1] .propertyName
2. formName.elements[index2].options[index1].propertyName
    SelectName - значение атрибута NAME объекта select.
    Index1 - целое число, представляющее число выборов в объекте select.
    FormName является либо значением атрибута NAME объекта формы либо элемента в массиве form.
    Index2 - целое число, представляющее объект select на форме.
    PropertyName - один из свойства, описанных ниже.

    Свойство

  • Объект select - свойство form
  • Массив select - свойство select

    Описание

    Объект select на форме выглядит следующим образом. Объект слева - список выбора, который позволяет пользователю, выбрать один из пункт; объект справа - список прокрутки, который позволяет пользователю, выбирать один или больше пунктов:

    Объект select - элемент формы и должен быть определен внутри тега <FORM>.

    Массив select

    Вы можете ссылаться на выборы объекта select в вашем коде, используя массив select. Этот массив содержит все выбора в объекте select (тега <OPTION >) в исходном построкаке. Например, если объект select с именем musicStyle, содержит три списка, то эти списки отражены следующим образом musicStyle.options [0], musicStyle.options [1], и musicStyle.options [2].

    Использование массива select:

1. selectName.options
2. selectName.options [index]
3. selectName.options.length

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elemets.
    index - целое число, представляющее список в объекте select.

    Чтобы получить число списков в объекте select, используйте свойство length либо таблицы select либо отобранного объекта:

1. SelectName.length
2. SelectName.options.length

    Объект select имеет свойства, к которым вы можете обращаться только через массив select . Эти свойства описаны ниже.

    Даже при том, что каждый элемент в массиве select представляет список select, значение списка [index - всегда пустой указатель. Значение, возвращенное selectName.options представляет полное HTML утверждение в объекте selectName.

    Элементы в массиве select только для чтения. Например, утверждение selectName.options [0] ="гитара" не имеет никакого результата.

    Свойства

    Объект select имеет следующие свойства:

  • length отражает число списков
  • name отражает атрибут NAME
  • select отражают тег <OPTION>
  • SelectedIndex отражает индекс выбранного списка (или первый выбранный список)

    Массив select имеет следующие свойства:

  • DefaultSelected отражает атрибут SELECT
  • index отражает индекс списка
  • length отражает число списков в объекте select
  • name отражает атрибут NAME
  • selected позволяет нам, запрограммировано выбирать списки
  • selectedIndex отражает индекс выбраного списка
  • text отражает textToDisplay, который следует за тегу <OPTION>
  • value отражает атрибут VALUE

    Методы

  • blur
  • focus

    Обработчики событий

  • onBlur
  • onChange
  • onFocus

    Примеры

    Пример 1. Следующий пример показывает список выбора и список прокрутки.

    Choose the music type for your free CD: <SELECT NAME="music_type_single"> <OPTION SELECTED> R&B <OPTION> Jazz <OPTION> Blues <OPTION> New Age </SELECT> <P>Choose the music types for your free CDs: <BR><SELECT NAME="music_type_multi" MULTIPLE> <OPTION SELECTED> R&B <OPTION> Jazz <OPTION> Blues <OPTION> New Age </SELECT>

    Пример 2. Следующий пример показывает два списка выбора, которые позволяют пользователю, выбрать месяц и день. Эти списки выбора инициализированы к текущей дате. Пользователь может изменять месяц и день, используя списки выбора или, выбирая предварительно установленные даты в переключателях. Текстовые области в форме показывают значения свойства объекта select и указывают выбранную дат.

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Отобранный пример объекта</TITLE> </HEAD> <BODY> <SCRIPT> var today = new Date() //--------------- function updatePropertyDisplay(monthObj,dayObj) { // Get date strings var monthInteger, dayInteger, monthString, dayString monthInteger=monthObj.selectedIndex dayInteger=dayObj.selectedIndex monthString=monthObj.options[monthInteger].text dayString=dayObj.options[dayInteger].text // Display property values document.selectForm.textFullDate.value=monthString +"" + dayString document.selectForm.textMonthLength.value=monthObj.length document.selectForm.textDayLength.value=dayObj.length document.selectForm.textMonthName.value=monthObj.name document.selectForm.textDayName.value=dayObj.name document.selectForm.textMonthIndex.value=monthObj.selectedIndex document.selectForm.textDayIndex.value=dayObj.selectedIndex // Is it Cinco de Mayo? if (monthObj.options[4].selected && dayObj.options[4].selected) document.selectForm.textCinco.value="Yes!" else document.selectForm.textCinco.value="No" } </SCRIPT> <!---------------> <FORM NAME="selectForm"> <P> <B>Выберите месяц и день:</B> Месяц: <SELECT NAME="monthSelection" onChange="updatePropertyDisplay(this,document.selectForm.daySelection)"> <OPTION> Январь <OPTION> Февраль <OPTION> Март <OPTION> Апрель <OPTION> Май <OPTION> Июнь <OPTION> Июль <OPTION> Август <OPTION> Сентябрь <OPTION> Октябрь <OPTION> Ноябрь <OPTION> Декабрь </SELECT> День: <SELECT NAME="daySelection" onChange="updatePropertyDisplay(document.selectForm.monthSelection,this)"> <OPTION> 1 <OPTION> 2 <OPTION> 3 <OPTION> 4 <OPTION> 5 <OPTION> 6 <OPTION> 7 <OPTION> 8 <OPTION> 9 <OPTION> 10 <OPTION> 11 <OPTION> 12 <OPTION> 13 <OPTION> 14 <OPTION> 15 <OPTION> 16 <OPTION> 17 <OPTION> 18 <OPTION> 19 <OPTION> 20 <OPTION> 21 <OPTION> 22 <OPTION> 23 <OPTION> 24 <OPTION> 25 <OPTION> 26 <OPTION> 27 <OPTION> 28 <OPTION> 29 <OPTION> 30 <OPTION> 31 </SELECT> <P> <B>Установите дату:</B> <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=0; daySelection.selectedIndex=0; updatePropertyDisplay(document.selectForm.monthSelection,document.selectForm.daySelection)"> New Year's Day <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=4; daySelection.selectedIndex=4; updatePropertyDisplay(document.selectForm.monthSelection,document.selectForm.daySelection)"> Cinco Mayo <INPUT TYPE="radio" NAME="dateChoice" onClick=" monthSelection.selectedIndex=5; daySelection.selectedIndex=20; updatePropertyDisplay(document.selectForm.monthSelection,document.selectForm.daySelection)"> Летнее солнцестояние <P> <B> Property values:</ B> <BR> Выбранная Дата: <INPUT TYPE="text" NAME="textFullDate" VALUE="" SIZE=20"> <BR>monthSelection.length<INPUT TYPE="text" NAME="textMonthLength" VALUE="" SIZE=20"> <BR> DaySelection.length <INPUT TYPE="text" NAME="textDayLength" VALUE="" SIZE=20"> <BR>monthSelection.name<INPUT TYPE="text" NAME="textMonthName" VALUE="" SIZE=20"> <BR> DaySelection.name <INPUT TYPE="text" NAME="textDayName" VALUE="" SIZE=20"> <BR>monthSelection.selectedIndex<INPUT TYPE="text" NAME="textMonthIndex" VALUE="" SIZE=20"> <BR> DaySelection.selectedIndex <INPUT TYPE="text" NAME="textDayIndex" VALUE="" SIZE=20"> <BR>Is it Cinco de Mayo? <INPUT TYPE="text" NAME="textCinco" VALUE="" SIZE=20"> <SCRIPT> document.selectForm.monthSelection.selectedIndex=today.getMonth() document.selectForm.daySelection.selectedIndex=today.getDate()-1 updatePropertyDisplay(document.selectForm.monthSelection,document.selectForm.daySelection) </SCRIPT> </FORM> </BODY>

    Смотрите также примеры для свойства defaultSelected.

    Смотрите также

  • Объекты form и radio

    Свойство selected

    Измененный в Navigator 3.0

    Логическое значение, определяющее текущее параметра в объекте select.

    Синтаксис

     selectName.options [index] .selected

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elemets.
    index - целое число, представляющее список в объекте select.

    Свойство

    Массив select

    Описание

    Если список в объекте select выбран, значение свойства истинна, иначе ложно.
    Вы можете устанавливать свойство selected в любое время. Показ объекта select модернизирует немедленно, когда Вы установили свойство selected.

    Вообще, свойство selected более полезна чем свойство selectedIndex для выбора, объекта, который создан с помощью атрибута MULTIPLE.

    Примеры

    Смотрите примеры для свойства defaultSelected.

    Смотрите также

  • Свойства defaultSelected, index , selectedIndex

    Свойство selectedIndex

    Целое число, определяющее индекс выбранного элемента в объекте select.

    Синтаксис

1. selectName.selectedIndex
2. selectName.options.selectedIndex

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elemets.

    Свойство

  • select
  • Массив select

    Описание

    Элементы в объекте select индексированы по построкаку, в котором они определены, начинающиеся с индекса 0. Вы можете исправлять свойство selectedIndex в любое время.

    Свойство selectedlndex удобно использовать с элементами select, созданными без использования атрибута MULTIPLE в теге <SELECT>. Если selectedlndex определяется при установленном атрибуте MULTIPLE, свойство возвращает индекс только первого выделенного элемента. Установка этого свойства сбрасывает выделение любых других элементов.

    Примеры

    В следующем примере, функция getSelectedIndex () возвращает выбранный индекс в объекте select musicType:

function getSelectedIndex() {
   return document.musicForm.musicType.selectedIndex
}
    Предыдущий пример будет выполнен, если объект select определен следующим образом: <SELECT NAME="musicType"> <OPTION SELECTED> R&B <OPTION> Jazz <OPTION> Blues <OPTION> New Age </SELECT>

    Смотрите также

  • Свойства DefaultSelected, index, selected

    Свойство self

    Свойство self - ссылается на текущее окно или фрейму.

    Синтаксис

1. self.propertyName
2. self.methodName

    propertyName - свойства defaultStatus, status, length, или name, когда self обращается к объекту окна.
    propertyName - свойстваlength, или name, когда self обращается к объекту фрейма.
    mthodName - любой метод, связанный с объектом окна.

    Свойство

    frame, window

    Описание

    Свойство self обращается к текущему окну или фрейму.

    Свойство self полезно для устранения неоднозначности свойств form и window с одним и тем же именем.

    Сам свойство только для чтения. Значение свойство self

    <object NameAttribute>
    Где nameAttribute - атрибут NAME, если self обращается к фрейму, или внутренняя ссылка, если self обращается к окну.

    Примеры

    В следующем примере, использование self.status, изменяет свойство status текущего окна. Это исполнение свойства disambiguates состояния текущего окна из формы или элемента формы назвало"состояние" внутри текущего окна.

    <A HREF="" onClick="this.href=pickRandomURL()" onMouseOver="self.status='Pick a random URL' ; return true">Go!</A>

    Смотрите также

  • Свойство window

    Метод setDate

    Устанавливает день месяца для указанной даты.

    Синтаксис

     DateObjectName.setDate (dayValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    dayValue - целое число от 1 до 31 или свойство существующего объекта, представляущие день месяца.

    Метод

    Date

    Примеры

    Второе утверждение изменяет день для theBigDay к 24-ому июля из его первоначального значения.

TheBigDay = new Date (" July 27, 1962 23:30:00")
theBigDay.setDate (24)
    Следующий пример возвращает 26:
    endOfTheWorld=new Date (" January 11, 1977 09:00:00")
endOfTheWorld.setDate (26)
document.write(endOfTheWorld.setDate ())

    Смотрите также

  • Метод getDate

    Метод setHours

    Устанавливает час для текущего времени.

    Синтаксис

     DateObjectName.setHours (hoursValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    hoursValue - целое число между 0 и 23 или свойство существующего объекта, представляющие час.

    Метод

    Date

    Примеры

  TheBigDay.setHours (7)

    Смотрите также

  • Метод getHours

    Метод setMinutes

    Устанавливает минуты для текущего времени.

    Синтаксис

     DateObjectName.setMinutes (minutesValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    minutesValue - целое число между 0 и 59 или свойство существующего объекта, представляющие минуты.

    Метод

    Date

    Примеры

TheBigDay.setMinutes (45)

    Смотрите также

  • Метод getMinutes

    Метод setMonth

    Устанавливает месяц для обекта Date.

    Синтаксис

     DateObjectName.setMonth (monthValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    MonthValue - целое число от 0 (январь) до 11 (декабрь), или свойство существующего объекта.

    Метод

    Date

    Описание

    Примеры

theBigDay.setMonth (6)

    Смотрите также

  • Метод getMonth

    Метод setSeconds метод

    Устанавливает секунды для данного времени.

    Синтаксис

     DateObjectName.setSeconds (secondsValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    secondsValue - целое число от 0 до 59 или свойство существующего объекта.

    Метод

    Date

    Примеры

theBigDay.setSeconds (30)

    Смотрите также

  • Метод getSeconds

    Метод setTime

    Устанавливает значение объекта Date.

    Синтаксис

     DateObjectName.setTime (timevalue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    timevalue - целое число или свойство существующего объекта, представляющие число миллисекунд прошедших с 1 января 1970 00:00:00.

    Метод

    Date

    Описание

    Это основная форма объекта Date. Метод возвращает КОЛИЧЕСТВО миллисекунд, прошедших с полуночи 1 января 1970 года. Хотя нет необходимости знать конкретное значение этого числа, оно может быть использовано как простейший метод копирования значения одного объекта типа Date в другой объекта.

    Примеры

theBigDay = new Date("July 1, 1999")
sameAsBigDay = new Date()
sameAsBigDay.setTime(theBigDay.getTime())

    Смотрите также

  • Метод getTime

    Метод setTimeout

    Вычисляет выражение по истечении указанного в миллисекун-дах промежутка времени.

    Синтаксис

     timeoutID=setTimeout (expression, msec)

    timeoutID - идентификатор, который используется только, чтобы отменить вычисление с методом clearTimeout.
    expression - выражение или свойство существующего объекта.
    Msec - числовое значение, числовая строка, или свойство существующего объекта в миллисекунды.

    Метод

    frame, window

    Описание

    Исполнение выражения происходит только один раз. Напри-мер, установка промежутка в 3 секунды приведет к однократ-ному исполнению выражения по истечении этих 3 секунд, а не к повторению каждые 3 секунды. Для рекурсивного вызова метода setTimeout достаточно вставить в вызываемую функцию новый вызов метода setTimeout.

    Примеры

    Пример 1. Следующий пример показывает сообщение alert через 5 секунды (5,000 миллисекунд) после того, как пользователь нажимает кнопку. Если пользователь нажимает вторую кнопку прежде, чем появилось сообщение, то блокировка по времени отменяется, и сообщение не показывается.

    <SCRIPT LANGUAGE="JavaScript"> function displayAlert() { alert("5 seconds have elapsed since the button was clicked.") } </SCRIPT> <BODY> <FORM> Click the button on the left for a reminder in 5 seconds; click the button on the right to cancel the reminder before it is displayed. <P> <INPUT TYPE="button" VALUE="5-second reminder" NAME="remind_button" onClick="timerID=setTimeout('displayAlert()',5000)"> <INPUT TYPE="button" VALUE="Clear the 5-second reminder" NAME="remind_disable_button" onClick="clearTimeout(timerID)"> </FORM> </BODY>

    Пример 2. Вызов функции startclock в нижеприведенном примере запускает бесконечный цикл, который устанавливает промежуток времени в 1 секунду для вывода очередного значения времени.

    <HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
<SCRIPT LANGUAGE="JavaScript">
<!--
var timerID = null
var timerRunning = false
function stopclock(){
    if(timerRunning)
        clearTimeout(timerID)
    timerRunning = false
}
function startclock(){
     // Make sure the clock is stopped
    stopclock()
    showtime()
}
function showtime(){
    var now = new Date()
    var hours = now.getHours()
    var minutes = now.getMinutes()
    var seconds = now.getSeconds()
    var timeValue ="" + ((hours > 12) ? hours - 12 : hours)
    timeValue  += ((minutes < 10) ?":0" :":") + minutes
    timeValue  += ((seconds < 10) ?":0" :":") + seconds
    timeValue  += (hours >= 12) ?" P.M." :" a.M."
    document.clock.face.value = timeValue
    timerID = setTimeout("showtime()",1000)
    timerRunning = true
}
//-->
</SCRIPT>
 </HEAD>
<BODY onLoad="startclock()">
<FORM NAME="clock" onSubmit="0">
<INPUT TYPE="text" NAME="face" SIZE=12 VALUE ="">
</FORM>
</BODY>
    Пример 3. Вызов функции startclock в нижеприведенном примере запускает бесконечный цикл, в котором таймер сбрасывается, затем на экран выводится текущее время и, наконец, заново устанавливается промежуток времени в 1 секунду для вывода очередного значения времени.
    <HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251">
<SCRIPT>
var timerID = null;
var timerRunning = false;
function stopclock () {
if(timerRunning) clearTimeout(timerID) ;
timerRunning=false;
}
function startclock () {
stopclock () ;
showtime() ;
}
function showtime () {
   var now = new Date();
document.clock.display.value = now.toLocaleString() ;
timerID = setTimeout("startclock ()",1000);
timerRunning=true;
}
</SCRiPT>
<BODY onLoad="startclock ()">
<FORM NAME="clock">
<INPUT type="text" NAME="display" VALUE="Standby for the time">
</FORM>
<form>
<p>
<center>
<INPUT TYPE="button" VALUE="Закрыть" onClick="window.close()">
</FORM>
</center>
</BODY>

    Смотрите также

  • Метод clearTimeout

    Метод setYear

    Устанавливает год для указанной даты.

    Синтаксис

     DateObjectName.setYear (yearValue)

    DateObjectName является либо именем объекта Date либо свойством существующего объекта.
    yearValue - целое число большее чем 1900 или свойство существующего объекта.

    Метод

    Date

    Примеры

    theBigDay = new Date("July 1, 1999")
theBigDay.setYear (96)

    Смотрите также

  • Метод getYear

    Метод sin

    Возвращает синус аргумента.

    Синтаксис

     Math.sin (argument)

    argument - числовое выражение или свойство существующего объекта, представляющие размер угла в радианах.

    Метод

    Math

    Описание

    Метод sin возвращает числовое значение от -1 до 1, которое представляет синус угла.

    Примеры

// Возвращает значение 1
document.write ("синус pi/2 радиан " + Math.sin (Math. PI/2))
// Возвращает значение 1.224606353822377e-016
document.write ("синус pi радиан " + Math.sin (Math. PI))
// Возвращает значение 0
document.write ("синус 0 радиан " + Math.sin (0))

    Смотрите также

  • Методы acos, asin, atan, cos, tan

    Метод small

    Метод small уменьшает шрифт, которым отображается объект string, аналогично используя тег HTML <SMALL>.

    Синтаксис

     stringName.small ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод small с методами write или writeln для форматирования и вывода строки в документе.

    Примеры

    Следующий пример использует методы string, чтобы изменить размер строки:

var worldString =" Привет, мир"
document.write (worldString.small ())
document.write (worldString.big ())
document.write (worldString.fontsize (7))

    Предыдущий пример производит тот же самый вывод как следование HTML: <SMALL>Hello, world</SMALL> <P><BIG>Hello, world</BIG> <P><FONTSIZE=7>Hello, world</FONTSIZE>

    Смотрите также

  • Методы big, fontsize

    Метод sqrt

    Возвращает квадратный корень аргумента.

    Синтаксис

     Math.sqrt (argument)
     argument - любое неотрицательное числовое выражение или свойство существующего объекта.

    Метод

    Math

    Описание

    Если значение argument - находится вне предложенного диапазона, то возвращаемое значение - всегда 0.

    Примеры

// Возвращает значение3
document.write (" квадратный корень из 9 -" + Math.sqrt (9))
// Возвращает значение1.414213562373095
document.write ("квадратный корень из 2 -" + Math.sqrt (2))
// Возвращает значение0, потому что аргумент находится из вне диапазона
document.write ("квадратный корень из -1" + Math.sqrt (-1))

    Свойство SQRT1_2

    Квадратный корень из 0.5, приблизительно равно 0.707.

    Синтаксис

     Math. SQRT1_2

    Свойство

    Math

    Описание

    Так как SQRT1_2 константа, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает 1/2 из квадратного корня:

     document.write ("1/2 из квадратного корня" + Math. SQRT1_2)

    Смотрите также

  • Свойства E, LN2, LN10, LOG2E, LOG10E, PI, SQRT2

    Свойство SQRT2

    Квадратный корень из числа два, приблизительно равно 1.414.

    Синтаксис

     Math. SQRT2

    Свойство

    Math

    Описание

    Так как SQRT2 константа, то это - свойство только для чтения.

    Примеры

    Следующий пример показывает квадратный корень из числа 2:

     document.write (" квадратный корень из 2" + Math. SQRT2)

    Смотрите также

  • Свойства E, LN2, LN10, LOG2E, LOG10E, PI, SQRT1_2

    Свойство status

    Определяет текст основного или кратковременного сообщения в строке состояния внизу окна.

    Синтаксис

     windowReference.status

    windowReference - только для окна, как описано в объекте window .

    Свойство

    window

    Описание

    Не путайте свойство status со свойством defaultStatus. Свойство DefaultStatus отражает по умолчанию сообщение в строке состояния.

    Вы можете исправлять свойство status в любое время. Вы-зов временного сообщения должен быть вставлен в текст об-работчика события mouseOver из тега < a... >. Чтобы вывести сообщение в строке состояния в тот момент, когда указатель мыши находится над гиперссылкой, надо сделать так:

    <А anchorDefinition опМоизеОvеr="window.status=' Your message.'; return true">link</A> Обратите внимание на вложенные кавычки и обязательное возвращаемое значение true. Однажды вызванное, сообщение остается в строке состояния до тех пор, пока указатель мыши не окажется над другой ги-перссылкой

    Примеры

    Предположим, что вы создали JavaScript функцию, с именем pickRandomURL () которая позволяет вам, выбрать URL произвольно. Вы можете использовать обработчик событий onClick якоря, чтобы определить значение для атрибута HREF якоря динамически, и обработчик событий onMouseOver, чтобы определить сообщение для окна в свойстве status:

    <A HREF="" onClick="this.href=pickRandomURL()" onMouseOver="self.status='Pick a random URL'; return true">Идите!</A>

    Смотрите также

  • Свойство defaultStatus

    Метод strike

    Форматирует строкау как зачеркнутый текст, аналогично использованию тега <STRIKE>.

    Синтаксис

     stringName.strike ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод strike с методами write или writeln для форматирования и вывода строки в документе.

    Примеры

    Следующий пример используется методы string, чтобы изменить строку:

var worldString =" Привет, мир"
document.write (worldString.blink ())
document.write ( worldString.bold ())
document.write (worldString.italics ())
document.write (worldString.strike ())

    Или в синтакси HTML:

    <BLINK>Hello, world</BLINK> <P><B>Hello, world</B> <P><I>Hello, world</I> <P><STRIKE>Hello, world</STRIKE>

    Смотрите также

  • Методы blink, bold, italics

    Объект string

    Измененный в Navigator 3.0

    Последовательность символов, ограниченная одинарными или двойными кавычками.

    Синтаксис

    Использование объект string:

1. stringName.propertyName
2. stringName.methodName (parametrs)
    stringName - имя переменной строки.
    propertyName - один из свойств, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойство

  • Отсутствуют.

    Описание

    Объект string - встроенный объект JavaScript.

    Строка может быть представлен как литерал, расположенный в одинарных или двойных кавычках; например,"Netscape" или 'Netscape'.

    Свойства

  • length отражает длину строки

    Методы

  • anchor
  • big
  • blink
  • bold
  • charAt
  • fixed
  • fontcolor
  • fontsize
  • indexOf
  • italics
  • lastIndexOf
  • link
  • small
  • strike
  • sub
  • substring
  • sup
  • toLowerCase
  • toUpperCase

    Обработчики событий

  • Отсутствуют. Встроенные объекты не имеют обработчиков событий.

    Примеры

    Следующее утверждение создает переменную string.

    var last_name ="Schaefer" Следующие утверждения вычисляет 8,"SCHAEFER", и"schaefer": last_name.length last_name.toUpperCase () last_name.toLowerCase ()

    Смотрите также

  • Объекты text и textarea

    Метод Sub

    Форматирует строковый объект как нижний индекс, аналогично использованию тега <SUB>.

    Синтаксис

     stringName.sub ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод sub с методами write или writeln, чтобы форматировать и выводить строку в документе.

    Примеры

    Следующий пример использует методы sub и sup для форматирования строки:

var superText="superscript"
var subText="subscript"
document.write("This is what a" + superText.sup() +" looks like.")
document.write("This is what a" + subText.sub() +" looks like.")

    Предыдущий пример производит будет выглядеть аналогично в синтаксе HTML:

    This is what a <SUP>superscript</SUP> looks like. <P>This is what a <SUB>subscript</SUB> looks like.

    Смотрите также

    Метод sup

    Метод submit

    Производит действие, аналогичное щелчку по кнопке Submit.

    Синтаксис

     formName.submit ()

    formName - имя любой формы или элемента в массиве form.

    Метод

    form

    Описание

    Метод отсылки информации из формы зависит от значения аттрибута METHOD - get или post,как определено в свойстве method .

    Примеры

    Следующий пример подчиняется форму, названную musicChoice:

document.musicChoice.submit ()

    Если musicChoice - первая созданная форма, то вы также можете подчинить ее следующим образом:

document.forms [0] .submit ()

    Смотрите также пример для объекта form.

    Смотрите также

  • Объект submit
  • Обработчик событий onSubmit

    Объект submit

    Измененный в Navigator 3.0

    Кнопка отправки данных на странице HTML.

    Синтаксис

    Чтобы определить кнопку submit , используйте стандарт HTML синтаксис с использованием обработчика событий onClick:

<INPUT
TYPE =" подчиняется"
NAME = "submitName"
VALUE= "buttonText"
[onClick = "handlerText"] >
    NAME ="submitName" определяет имя объекта submit . Вы можете обращаться к этому значению, используя свойство name.
    VALUE ="buttonText" определяет значение, которое появляется на экране кнопки. Вы можете обращаться к этому значению, используя свойство value.

    Использование свойства объекта и методы submit:

1. submitName.propertyName
2. submitName.methodName (parameters)
3. formName.elements [index] .propertyName
4. formName.elements[index].methodName(parameters)
    submitName - значение атрибута NAME объекта submit .
    formName является либо значением атрибута NAME объекта form либо элемента в массиве form.
    Индекс - целое число, представляющее объект submit в форме.
    PropertyName - один из свойства, описанных ниже.
    MethodName - один из методов, описанных ниже.

    Свойство

  • form

    Описание

    Объект submit в форме выглядит следующим образом:

    Объект submit - элемент формы и должен быть определен внутри тега <FORM>.

    Щелчок на кнопке заставляет форму отправить данные про-грамме, указанной в свойстве action. Кнопка создается внутри тега HTML <FORM> и всегда загружает новую страницу, которая может оказаться той же, что и текущая, если свойство action не указано.

    Обработчик событий оnClick кнопки submit не может предотвращать форму от утверждения; взамен, используйте обработчик событий onSubmit формы, или используйте метод submit вместо объекта submit. Смотрите примеры для объекта form.

    Свойства

  • name отражает атрибут NAME
  • value отражает атрибут VALUE

    Методы

  • click

    Обработчики событий

  • OnClick

    Примеры

    Следующий пример создает объект submit с именем submit_button."Done" текст показаный на экране кнопки.

    <INPUT TYPE="submit" NAME="submit_button" VALUE="Done">

    Смотрите также примеры для объекта form.

    Смотрите также

  • Объкты button, form, reset
  • Метод submit
  • Обработчик событий onSubmit

    Метод substring

    Возвращает часть строкового объекта в зависимости от двух индексов.

    Синтаксис

     stringName.substring (indexA, indexB)

    stringName - любая строка или свойство существующего объекта.
    indexA - любое целое число от 0 до stringName.length - 1, или свойство существующего объекта.
    indexB - любое целое число от 0 до stringName.length - 1, или свойство существующего объекта.

    Метод

    string

    Описание

    Символы в строке индексированы слева направо. Индекс первого символа - 0, индекс последнего символа - stringName.length - 1.

    Если indexA - меньше чем indexB, то метод substring возвращает подмножество, начинающееся с символа с индексом indexA и заканчивающиеся символом с индексом indexB. Если indexA больше чем indexB, то метод substring возвращает подмножество, начинающееся с символа с индексом indexB и заканчивающийся символом с индексом indexA. Если indexA равен indexB, то метод substring возвращает пустую строку.

    Примеры

    Следующий пример использует substring , чтобы показать символы из строки"Netscape".

var anyString ="Netscape"
// Показывает"Net"
document.write (anyString.substring (0,3))
document.write (anyString.substring (3,0))
//, показывает"cap"
document.write (anyString.substring (4,7))
document.write (anyString.substring (7,4))

    Метод sup

    Форматирует строковый объект как верхний индекс, аналогично использованию тега HTML <SUP>.

    Синтаксис

     stringName.sup ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Используйте метод sup с методами write или writeln для форматирования и вывода строки в документе.

    Примеры

    Следующий пример использует методы sub и sup , чтобы форматировать строку: var superText="superscript" var subText="subscript" document.write("This is what a" + superText.sup() +" looks like.") document.write("<P>This is what a" + subText.sub() +" looks like.")

    на начало страницы


Поисковая система языка JavaScript

Введите имя:

Выберите направление для поиска:


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Краткий обзор JavaScript операторов

JavaScript поддерживает компактный набор операторов, которыми вы можете пользоваться. JavaScript осдержит следующие операторы:

  • Условный оператор
    • if ... else
  • Операторы цикла
    • for
    • while
    • break
    • continue
  • Операторы манипулированием объекта
    • for ... in
    • new
    • this
    • with
  • Комментарии
    • //
    • /*. ..*/

Здесь описывается краткий обзор каждого оператора. Оператор производит действие над одним или несколькими операндами или переменными. Операторы делятся на две основные группы: унарные и бинарные. Бинарные операторы требуют двух операндов, а унарные имеют дело только с одним операндом. Для более подробной информации смотрите раздел Операторы.

Условный оператор

Условные операторы позволяют вам, выполнять некоторые действия, основанные на логическом условии. Вы определяете для проверки условие и команды, которые выполняются, если условие истинно. JavaScript имеет один условный оператор: if.

Оператор if

Если в указанное условие оператора if истинно, то JavaScript выполняет некоторые утверждения. Если условие ложно, то JavaScript выполняет другие утверждения, если они есть. Оператор if выглядет следующим образом:

if ( condition)
{statements1}
[then {
statements2}]

Условие (condition) может быть любое выражение JavaScript, которое проверяется на истинну или ложь. Условные утверждения (statements) могут быть любые JavaScript утверждения, включая далее описанные условные операторы. Если утверждений несколько, то они должны быть описаны в фигурных скобках.

Пример. В следующем примере, функция checkData () возвращает истинну, если число символов в текстовом объекте - три; иначе появляется сообщение и возвращается ложь.

function checkData (){
if (document.form1.threeChar.value.length == 3) {
   return true}
   else {
      alert("Enter exactly three characters. " +
              document.form1.threeChar.value + " is not valid.")
      return false}
}

Операторы цикла

Цикл - это набор команд, которые повторяются, пока указанное условие не выполнено. JavaScript поддерживает две формы цикла: for и while. Кроме того, операторы break и continue, используются вмести с циклами.

Другой оператор, for...in, выполняет утверждения несколько раз, но используется для манипулирования объекта. См. Оператор манипулирования объекта.

Оператор for

Цикл for повторяет утверждения, до тех пор пока указанное условие ложно. Цикл for JavaScript for подобен циклу for Java и традиционному циклу for языка C. Оператор for выглядит следующим образом:

for ([initial-expression;]
     [condition;]
     [increment-expression])
{
   statements
}

Последовательность выполнения цикла for следующия:

  1. 1. Выражение initial-expression служит для инициализации переменной счетчика, которую можно создать с помощью опреатора var.
  2. 2. Выражение condition вычисляется на каждой итерации цикла. Если значение выражения condition равно истенно, выполняются утверждения в теле цикла. Если значение выражения condition равно ложь, то цикл forпрекращается. Если выражения condition пропущено, оно считается равным истинна, тогда цикл продолжается до ошибки или до оператора break.
  3. 3. Выражение increment-expression вообще используется для изменения значения переменной счетчика.
  4. 4. statements вычисляют и контралируют возвращение шага 2.

Пример. Следующая функция содержит оператор for, который считает число выбранных элементов в списке (объект select позволяет выбрать несколько элементов). Оператор for объявляю переменный i и присваевает ей ноль. Если i меньше чем число элементов в объекте select, то выполняется оператор if, и i увеличевается на 1 после каждой итерации.

<SCRIPT>function howMany(selectObject) { var numberSelected=0 for (i=0; i < selectObject.options.length; i++) { if (selectObject.options[i].selected==true) numberSelected++ } return numberSelected} </SCRIPT> <FORM NAME="selectForm"> <P><B>Choose some music types, then click the button below:</B> <BR><SELECT NAME="musicTypes" MULTIPLE> <OPTION SELECTED> R&B <OPTION> Jazz <OPTION> Blues <OPTION> New Age <OPTION> Classical <OPTION> Opera </SELECT><P><INPUT TYPE="button" VALUE="How many are selected?" onClick="alert ('Number of options selected: ' + howMany(document.selectForm.musicTypes))"> </FORM>

Оператор while

Оператор while повторяет цикл, пока указанное условие равно истинна. Оператор while выглядит следующим образом:

while (condition)
{statements}

Если условие становится ложным, то утверждения внутри цикла прекращают выполняться.

Условия проверяется только тогда, когда утверждения в цикле были выполнены, и цикл должен повториться.

Пример 1. Следующий опрератор while повторяется, до тех пор пока n - меньше чем три.

  n = 0
  x = 0
while( n < 3 )
{   n ++   x += n}

Каждая итерация цикла увеличивает n и прибавляет его к x. Следовательно, x и n принемают следующие значения:

  • После первой итерации: n = 1 и x = 1
  • После второй итерации: n = 2 и x = 3
  • После третьей итерации: n = 3 и x = 6

После завершения третьей итерации, условие n<3 больше не истинно, поэтому цикл прекращается.

Пример 2: бесконечный цикл. Проверьте, что условие в цикле в конечном счете становится ложным; иначе, цикл никогда не прекратиться. Утверждения в следующем цикле while выполняются бесконечно, потому что условие никогда не становится ложным:

while (true)
 {
   alert("Hello, world")
 }

Оператор break

Оператор break завершает текущий цикл while или for и передает управление программы первому опретору после цикла. Оператор break выглядит следующим образом:

break

Пример. Следующая функция имеет оператор break, который завершает цикл while, когда i равно 3, и затем возвращает значение 3 * x.

function testBreak(x) {
  var i = 0
  while (i < 6) {
     if (i == 3)
        break
     i++   }
  return i*x}

Оператор continue

Оператор continue передает управление оператору проверки истинности условия в цикле while и оператору обновления значения счетчика в цикле for, и продолжает выполнение цикла. Оператор continue выглядит следующим образом:

  continue

Пример. Следующий пример показывает цикл while, который имеет оператор continue, который выполняется, когда значение i равно 3. Таким образом, n принемает значения 1, 3, 7, и 12.

 i = 0
n = 0
while (i < 5) {
   i++
   if (i == 3)
      continue
   n += i
}

Оператор манипулирования объекта

JavaScript имеет способы управления объектами: операторы for...in, new, this и with.

Оператор for...in

Оператор for...in присваивает переменной поочередно все свойства объекта. Для каждого свойства JavaScript выполняет указанные утверждения. Оператор for...in выглядит следующим образом:

for (variable in object)
{   statements
}

Пример. Следующая функция берет ее как аргумент объект и имя объекта. Затем повторяет все свойства объекта и возвращает строку, в которую внесен список имени свойства и значения.

function dump_props(obj, obj_name) {
   var result = ""
   for (var i in obj) {
      result += obj_name + "." + i + " = " + obj[i] + "<BR>"
   }
   result += "<HR>"
   return result}

Пример для машины марки Ford модели Mustang возростом 69:

Оператор new

Оператор new позволяет вам, создавать образец определяемого пользователем типа объекта. Используйте, new следующим образом:

ObjectName = new
 objectType
 (param1
 [, param2]
  ...
 [, paramN])

Ключевое слово this

Используйте this, чтобы обратиться к текущему объекту. Вообще, this обращается к вызывающему объекту в методе. Используйте this следующим образом:

this [.propertyName]

Пример. Пусть функция, названная validate, проверяет правильность свойства значения объекта:

function validate(obj, lowval, hival) { if ((obj.value < lowval) || (obj.value > hival)) alert("Invalid Value!") }

Вы можете вызывать validate в каждом элементе формы обработчика событий onChange, используя this, как показано в следующем примере:

Enter a number between 18 and 99: <INPUT TYPE = "text" NAME = "age" SIZE = 3 onChange="validate(this, 18, 99)">

Оператор with

Оператор with устанавливает объект для набора утверждений. Внутри набора утверждений, любые ссылки на свойства без явного указания объекта предпологают объект по умолчанию. Оператор with выглядит следующим образом:

with (object)
{
    statements
}

Пример. Следующий оператор with определяет объект Math. Следующие утверждения, оператором with обращаются к свойству PI и методам cos и sin, без определения объекта Math. JavaScript принимает объект Math для этих ссылок.

var a, x, y
var r=10
with (Math) {
   a = PI * r * r
   x = r * cos(PI)
   y = r * sin(PI/2)
}

Комментарии

Комментарии - это авторская система обозначений, которая объясняит, что делает код. Комментарии игнорируются интерпретатором. JavaScript поддерживает комментарии Java:

  • Комментарии однострочные , предшествуют двойной наклонной чертой вправо (//).
  • Комментарии многострочные, предшествуют /* и сопровождается */.

Пример .. следующий пример показывает два различных комментария.

// Это - комментарий единственный линия. /* Это - многострочный комментарий. Здесь вы можете разместить любой длины строку.*/


Справочное руководство по JavaScript

Операторы

Операторы служат для управления потоком команд в JavaScript. Один объект может быть разбит на несколько строк,или, наоборот в одной строке может бытьнесколько операторов.

Необходимо знать следующее, во-первых,блоки операторов, такие как определения функций, должны быть заключены в фигурные скобки. Во-вторых, точка с запятой служит разделителем отдельных операторов. Если пропустить точку с запятой, поведение программы станет непредсказуемым.

Так как JavaScript не имеет жестких требований к форматированию текста программы, можно вставлять символы перевода строки и отступа для лутшей читабельности текста.

Ниже описаны операторы, которые используются в JavaScript:
  • break
  • comment
  • continue
  • for
  • for...in
  • function
  • if...else
  • return
  • var
  • while
  • with

    • Оператор break

    Оператор Прерывает текущий цикл for и while, передавая управление первому оператору после цикла.

    Применение оператора

    Следующий пример добавляет элемент к форме в предположении,что все элементы содержат числовые значения. Если встречается значение "0", цикл прекращается.

    function CheckValues(form){
  var total
  for (I=0; I<=form.elements.length; I++){
       if (element[I].value="0"){
          break;}
       else{
          total +=I;
          document.write("Текущая строка: "+total);}
        }
  return total
}

    Оператор comment

    Комментарии - это специальные замечания программиста, чтобы объяснить, что делает данный скрипт, и они игнорируются интерпретатором. JavaScript поддерживает следующий стиль комментарий:

    • Однострочные комментарии начинаются с символа (//).
    • Многострочные комментарии начинаются /* и заканчиваются */.

    Примеры

    /*Начало комментария, а здесь заканчивается.*/ ...строки кода... // Однострочный комментарий

    Оператор continue

    Передает управление оператору проверки истенности условия в цикле while и оператору обнавления значения счетчика в цикле for. Важное отличее от оператора break заключается в том, что оператор continue не прерывает цикл, а делает следующее.

    • В цикле while, это переходит назад к условию.
    • В цикле for, это переходит к модернизированному выражению.

    Синтаксис

continue

    Примеры

    Следующий пример демострирует цикл while, содержащий оператор continue, который выполняется, когда переменная i равна 3.

    i = 0
n = 0
  while (i<5) {
    I ++, if (i == 3)
    continue n + = i
  }
     Рассмотрим другой пример, который добавляет элемент к форме в предположении, что все элементы содержат числовые значения. Если встречается отрицательное значение, оно не включается в итоговую сумму.
    function CheckValues(form){
  var total
  for (I=0; I<=form.elements.length; I++){
       if (element[I].value<0){
          continue;}
       else{
          total +=I;
          document.write("Текущая сумма: "+total);}
        }
  return total
}

    Оператор for

    Создает цикл с тремя необязательными выражениями, заключенными в круглых скобках и разделенными точкой с запятой, сопровождаемыми блоками утверждений, выполненных внутри цикле:

    for (initialExpression;condition;updateExpression) { ...строки кода... } где
    • Выражение initialExpression используеться для инициализации переменной счетчика, которую можно создоть с помощью оператора var. Это выражение необязательно.
    • Выражение condition, которое вычисляется на каждом проходе через цикл. Если это условие истинно, то выполняются условия внутри цикла. Это условие необязательно. Если оно опущено, то условие всегда считается равным истинному, тогда цикл продолжается до ошибки или до оператора break.
    • Выражение updateExpression, вообще используется для изменения значения переменной счетчика. Оно тоже является необязательным. В этом случае можно обновлять значение переменной счетчика внутри цикла.

    Примеры

    Оператор for создает цикл ,продолжающийся до тех пор пока переменная счетчика i меньше чем девять, увеличиваю i на однин после каждого прохода через цикл.

    for (var i = 0; i < 9; i++)
 {
   n += i
   myfunc(n)
 }
     Следующий пример создает цикл for, продолжающийся до наступления ошибки или выполнения оператора break. Переменная счетчика увеличевается на при каждом проходе цикла: for (var i = 0; ; i+=2) { ...строки кода... } Продемонстрируем пример,который представляет цикл, не обнавляющий счетчик. Если счетчик нигде не будет обновлен в теле цикла, его значение так и останется равным 0: for (var i = 0; i < 10;) { ...строки кода... }

    Оператор for...in

    Присваевает переменной поочередно все свойства объекта. Для каждого свойства цикл for...in выполняет операторы, содержащиеся в теле цикла:

    for (var in obj) { ...statements... }

    Примеры

    Цикл for...in является полезным средством для отладки благодаря своей способности вывести на экран все свойства объекта в одном цикле.

    fanction objectDisplay(obj) {
    var displayLine;
    for (var prop in obj) {
      displayLine =obj.name+"."+prop+"="+obj[prop];
      document.write(displayLine+"<BR>")
    }
    document.write("End of object"+obj.name)
}

    Оператор function

    Объявляет функции языка JavaScript, требует указания имени name и списка параметров param. Для того чтобы возвращать значение, функция должна иметь в себе оператор return, который указывает возвращаемое функцией значение. Оператор функция вы не можете вложить в другую функцию. Принято следующее написание этого оператора:

    function name([param] [, param] [..., param]) { ...statements... }

    Примеры

    Эта функция возвращает общую долларовую сумму продажи, когда дано число единиц, продаваемых изделий a, b, и c. function calc_sales(units_a, units_b, units_c) { return units_a*79 + units_b*129 + units_c*699}

    Оператор if...else

    Оператор if...else - это условный оператор, который выполняет первый набор утверждений, если значение condition истинно. В противном случае выполняет второй набор утверждений, заключенные в операторе else, если условие ложно. Если набор утверждений (statments), заключенные в фигурные скобки {} содержит один оператор, то скобки можно опустить. Условные операторы могут быть вложены друг в друга без ограничений.

    if (condition) { ...statements... }[else { else ...statements... }]

    Примеры

    Следующая функция преобразует значение минут текущего временив двузначное число для использования в программе "Часы":
    fanction makeMinutes() {
    var minstring="";
    var now = new Date();
    var min = Date.getMinutes();
    if (min<10) {
      minstring+=":0"+min;}
    else{
      minstring+=":"+min;}
    return minstring
}

    Орератор return

    Орератор return указывает значение, которое будет возвращено функцией.

    return expression;

    Примеры

    Следующая функция возвращает квадрат ее аргумента, x, где x - это число:

    function square( x ) { return x * x } Ниже приведенный пример соединяет три строки вместе, используя в качестве разделителя запятую: function stringAssemble(string1,string2,string3) { return string1+","+string2+","+string3 }

    Оператор var

    Оператор var объявляет переменную varname и дополнительно может присваевать ей значение. Имя переменной varname может быть любой идентификатор, и значение может быть любое выражение. Область действия переменных, является текущая функция или, если переменные, объявленные вне функции, то весь текущий документ.

    Использование var вне функции необязательно; вы можете описать переменную, просто приписывая ей это значение. Однако, использование var необходимо в функциях, так как может быть глобальная переменная токого же имени.

    var VariableName [= value] [..., VariableName [= value] ]

    Примеры

    var num_hits = 0, cust_no = 0 Приведем пример, когда переменная globalString может быть использована в любой функции или скрипте текущего документа, а переменная localString видна только внутри функции bracket:
    var globalString
function bracket(){
 var localString="["+globalString+"]";
 document.write(localString);
}

    Оператор while

    Оператор while - это оператор цикла, который повторяет цикл, пока значение condition есть истинно (true). Как только значение condition становится ложным (false), то управление переходит к первому оператору после фигурной скобки, закрывающей тело цикла while:

    while (condition) { ...statment... }

    Примеры

    Следующий цикл while повторяется, пока переменная n меньше чем три. Каждая итерация увеличивает n и прибавляет его к x. Следовательно, x и n пренимают следующие значения:

    • После первой итерации: x = 1 , n = 1
    • После второго итерации: x = 2 , n = 3
    • После третьего итерации: x = 3 , n = 6

    После завершения третьей итерации, условие n < 3 становится ложным, следовательно цикл прекращается.

    n = 0
x = 0
 while( n &lt 3 ) {
        n ++; x += n
 }
     Следующий пример проверяет наличее в строке определенного символа и прекращает поиск по окончании перебора всех символов строки или после того, как находит искомый символ.
    var  found=false
n=0
while (n<=searhcString.length II !found) {
 if (searhcString.charAt[n]=="?")
     found = true
 else
     n++;
}

    Оператор width

    Оператор width устанавливает объект по умолчанию для набора операторов. Любые ссылки на свойства без явного указания объекта предполагают объект по умолчанию. Заметьте, что круглые скобки требуются вокруг объекта.

    with (object) { ...statment... }

    Примеры

    Оператор width особенно полезен при ссылках на объект Math в процессе вычислений.Например:
    with (Math) {
 a = PI * r*r
 x = r * cos(theta)
 y = r * sin(theta)
}


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Метод tan

Возвращает тангенс аргумента.

Синтаксис

 Math.tan (number)

number - числовое выражение, представляющее размер угла в радианах, или свойство существующего объекта.

Метод

Math

Описание

Коричневый метод возвращает числовую значение, которая представляет тангенс угла.

Примеры

// Возвращает значение 0.9999999999999999
document.write (" тангенс pi/4 радиан" +
Math.tan (Math. PI/4))
// Возвращает значение0
document.write (" тангенс 0 радиан" +
Math.tan (0))

Смотрите также

  • Методы acos, asin, atan, cos , sin

    Свойство target

    Измененный в Navigator 3.0

    Строка, определяющая имя окна, в которое будет помещен ответ после посылке данных формы серверу

    Синтаксис

1. FormName.target
2. Связи [index] .target

    FormName является либо именем формы либо элемента в массиве form.
    index - целое число, представляющее объект связи.

    Свойство

    form, link

    Описание

    Свойство target отражает атрибут TARGET тега <FORM> и <A> хотя, изменение target отменяет эти атрибуты.

    Вы можете изменять свойством target в любое время.

    Обычно используется для просмотра ответа сервера на посыл-ку данных. Кроме того, может быть использовано для просмот-ра или изменения URL гиперссылки. Для гиперссылки свойство target возвращает строку, указывающую имя окна, в кото-ром должно быть выведено содержимое выбранной гипер-ссылки. homePage.target ="http://www.wossamotta.edu/" Для установки свойства target нужно использовать констан-ту типа литерал. Выражения JavaScript или переменные недопу-стимы.

    Примеры

    Следующий пример определяет форму musicInfo показанную в окне"msgWindow":

     document.musicInfo.target ="msgWindow"

    Смотрите также

    Для формы:

  • Свойства action, encoding , method

    Объект text

    Измененный в Navigator 3.0

    Область text ввода формы HTML. Область text позволяет пользователю, только однострочный ввод.

    Синтаксис

    Чтобы определить объект text, используйте стандарт HTML синтаксис с использованием обработчиков событий onBlur, on Change, onFocus, и onSelect:

<INPUT
TYPE ="text"
NAME = "textName"
VALUE= "textValue"
SIZE=integer
[onBlur = "handlerText"]
[onChange = "handlerText"]
[onFocus = "handlerText"]
[onSelect = "handlerText"] >
    NAME ="textName" определяет имя объекта text. Вы можете обращаться к этому значению, используя свойство name.
    VALUE="textValue" определяет начальное значение объекта text. Вы можете обращаться к этому значению, используя свойство defaultValue.
    SIZE=integer определяет число символов, объект text может размещаться без полосы прокрутки.

    Использование свойство объекта и методы text:

1. textName.propertyName
2. textName.methodName (parameters)
3. FormName.elements [ index] .propertyName
4. formName.elements[index].methodName(parameters)
    textName - значение атрибута NAME объекта text.
    formName является либо значением атрибута NAME объекта form либо элемента в массиве form.
    index - целое число, представляющее объект text формы.
    propertyName - один из свойства, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойство

  • form

    Описание

    Объект text формы выглядит следующим образом:

    Фамилия:

    Объект text - элемент формы и должен быть определен внутри тег <FORM >.

    Объекты text могут модифицироваться динамически, изменяя свойство value (this.value).

    Свойства

  • defaultValue отражает атрибут VALUE
  • name отражает атрибут NAME
  • value отражает текущее значение области объекта text

    Методы

  • focus
  • blur
  • select

    Обработчики событий

  • onBlur
  • onChange
  • onFocus
  • onSelect

    Примеры

    Пример 1. Следующий пример создает объект text, длинной в 25 знаков. Область text незаполнена, когда форма загружена.

    <B>Фамилия:</B> <INPUT TYPE="text" NAME="last_name" VALUE="" SIZE=25>

    Пример 2. Следующий пример создает два объекта text формы. Каждый объект имеет свое значение по умолчанию. Объект city имеет обработчик событий onFocus. Объект state имеет обработчик событий onChange, который форматирует значение в большие буквы.

    <FORM NAME="form1"> <BR> <B>Город:</B> <INPUT TYPE="text" NAME="city" VALUE="Anchorage" SIZE="20" onFocus="this.select()"> <B>Государство:</B> <INPUT TYPE="text" NAME="state" VALUE="AK" SIZE="2" onChange="this.value=this.value.toUpperCase()"> </FORM>

    Смотрите также примеры для обработчиков событий onBlur, onChange, onFocus, и onSelect.

    Смотрите также

  • Объекты form , password , string , textarea

    Свойство text

    Измененный в Navigator 3.0

    Строка, определяющая текст, который следует за тегом <OPTION> в объекте select.

    Синтаксис

     selectName.options [index] .text

    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elements.
    index - целое число, представляющее элемент в объекте select.

    Свойство

    Массив select

    Описание

    Свойство text отражает текст, который следует за тегом <OPTION> в объекте select.

    Вы можете изменять свойство text в любое время.

    Свойство text может быть также использовано для измене-ния значения элемента списка, за важным исключением: изме-нение значения не приводит к немедленному отображению на экране.

    Примеры

    В следующем примере, функция getChoice () возвращает значение свойства text для выбранного объекта. Цикл for вычисляет каждый элемент в объекте select musicType. Оператор if находит элемент, который выбран.

    function getChoice() {
     for (var i = 0; i < document.musicForm.musicType.length; i++) {
        if (document.musicForm.musicType.options[i].selected == true) {
          return document.musicForm.musicType.options[i].text }
   }
 return null
}
     Следующий пример, аналогичен предыдущему в синтаксисе HTML: <SELECT NAME="musicType"> <OPTION SELECTED> R&B <OPTION> Jazz <OPTION> Blues <OPTION> New Age </SELECT>

    Объект textarea

    Измененный в Navigator 3.0

    Область многострочного ввода формы HTML. Область textarea позволяет пользователю, вводит слова, фразы, или числа.

    Синтаксис

    Чтобы определить область textarea, используйте стандарт HTML синтаксис с использованием обработчиков событий onBlur, onChange, onFocus, и onSelect:

<TEXTAREA
NAME = "textareaName"
STRING = "integer"
ROWS = "integer"
WRAP "integer" ="off|virtual|physical"
[onBlur = "handlerText"]
[onChange = "handlerText"]
[onFocus = "handlerText"]
[onSelect = "handlerText"]> ;
TextToDisplay
<TEXTAREA>
    NAME ="textareaName" определяет имя объекта textarea. Вы можете обращаться к этому значению, используя свойство name.
    STRING ="integer" и ROWS ="integer" определяют размер области ввода.
    textToDisplay определяет начальное значение объекта textarea. Вы можете обращаться к этому значению, используя свойство defaultValue.

    Атрибут WRAP управляет переходом на новую строку внутри тега TEXTAREA.

    Использование свойств объекта и методы textarea:

1. textareaName.propertyName
2. textareaName.methodName ( parameters)
3. formName.elements [ index] .propertyName
4. formName.elements[index].methodName(parameters)
    textareaName - значение атрибута NAME объекта textarea.
    formName является либо значением атрибута NAME объекта form либо элемента в массиве form.
    index - целое число, представляющее объект textarea формы.
    propertyName - один из свойства, описанных ниже.
    methodName - один из методов, описанных ниже.

    Свойство

  • form

    Описание

    Объект textarea формы выглядит следующим образом:

    Объект textarea - элемент формы и должен быть определен внутри тега <FORM>.

    Объекты textarea могут модифицироваться динамически, изменяя свойство value (this.value).

    Чтобы перейти на новую строку в объекте textarea, вы можете использовать символ newline. Этот символ изменяется в зависимости от платформы для платформы: Unix - \n, Windows - \r\n, и Macintosh - \n. Один способ ввода символа newline состоит в том, чтобы проверить свойство appVersion, для определения текущей платформы и изменить символ newline соответственно. Смотрите для примера свойство appVersion.

    Свойства

  • defaultValue отражает атрибут VALUE
  • name отражает атрибут NAME
  • value отражает текущую значение объекта textarea

    Методы

  • focus
  • blur
  • select

    Обработчики событий

  • onBlur
  • onChange
  • onFocus
  • onSelect

    Примеры

    Следующий пример создает объект textarea, длиной в 6 строк и шириной в 55 столбцов. Ообласть textarea появляется сразу же после слова"Описание:". Когда форма загружена, объект textarea содержит несколько строк данных, включая одну незаполненную строку.

    <B>Описание:</B> <BR> <TEXTAREA NAME="list_item_description" ROWS=6 COLS=55> Our storage ottoman provides an attractive way to store lots of CDs and videos--and it's versatile enough to store other things as well. It can hold up to 72 CDs under the lid and 20 videos in the drawer below. </TEXTAREA>

    Смотрите также примеры для обработчиков событий onBlur, onChange, onFocus, и onSelect.

    Смотрите также

  • Объекты form, password , string , и text

    Свойство title

    Строка, представляющая заголовок документа.

    Синтаксис

     document.title

    Свойство

    document

    Описание

    Свойство title - отражение значения, указанного внутри тегов <TITLE> и < / TITLE >. Если документ не имеет заголовка, то свойство title имеет значение - null.

    Свойство title - свойство только для чтения.

    Примеры

    В следующем примере, значение свойства title присвоена переменная с именем docTitle:

var newWindow = window.open("http://www.netscape.com")
var docTitle = newWindow.document.title

    Метод toGMTString

    Преобразует дату в строку, используя соглашения Internet GMT.

    Синтаксис

     dateObjectName.toGMTString ()

    dateObjectName является либо именем объекта Date либо свойством существующего объекта.

    Метод

    Date

    Описание

    Этот метод возвращает время в формате GMT, который зависит от платформы. Например, если today представляет собой объект Date, то выражение

    today-toGMTString()
    возвратит строку "Thu. 11 Jan 1996 06:05:15". Фактический фор-мат может различаться от платформы к платформе. Время и дата определяются на клиентском компьютере.

    Примеры

    В следующем примере, today - объект даты:

today.toGMTString ()

    В этом примере, метод toGMTString преобразует дату в GMT (UTC) используя отставание часового пояса операционной системы и возвращает значение - строку, которая является подобной следующей форме. Точный формат зависит от платформы.

    Mon, 18 Dec 1995 17:28:35 GMT

    Смотрите также

  • Метод toLocaleString

    Метод toLocaleString

    Преобразует дату в строку, используя локальные соглашения.

    Синтаксис

     dateObjectName.toLocaleString ()

    dateObjectName является либо именем объекта Date либо свойством существующего объекта.

    Метод

    Date

    Описание

    Возвращаемая строка со значением даты зависит от установок клиентского компьютера, например mm/dd/yy hh:mm:ss.

    Примеры

    В следующем примере, today - объект даты:

today.toLocaleString ()

    В этом примере, toLocaleString возвращает значение строку, которая является подобной следующей форме. Точный формат зависит от платформы.

    12/18/95 17:28:35

    Смотрите также

  • Метод toGMTString

    Метод toLowerCase

    Преобразует все символы строки к нижнему регистру.

    Синтаксис

     stringName.toLowerCase ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Результатом использования метода toLowerCase Примеры

    Следующие примеры оба показывают на экране "alphabet".

var upperText="ALPHABET"
document.write(upperText.toLowerCase())

"ALPHABET".toLowerCase()

    Смотрите также

  • Метод toUpperCase

    Свойство top

    Объект window высшего уровня.

    Синтаксис

1. top.propertyName
2. top.methodName
3. top.frameName
4. top.frames [index]

    propertyName - defaultStatus, status, или length.
    methodName - любой метод, связанный с объектом window.
    frameName и frames [index] - способы обращения к фреймам.

    Свойство

    window

    Описание

    Называемое также предком или окном броузера. Свойство top ссылается на окно высшего уровня, содержащее кадры или наборы вложенных кадров. Используйте свойство top , чтобы обращаться к окну предка.

    Свойство top только для чтения. Значение свойство top

     <object ObjectReference>
    Где objectReference - внутренняя ссылка.

    Примеры

    Утверждение top.close () закрывает самое верхнее окно.

    Утверждение top.length определяет число фреймов, содержащихся внутри самого верхнего окна предка. Когда самый верхний предок определен следующим образом, top.length возвращается 3:

    <FRAMESET COLS="30%,40%,30%">
<FRAME SRC=child1.htm NAME="childFrame1">
<FRAME SRC=child2.htm NAME="childFrame2">
<FRAME SRC=child3.htm NAME="childFrame3">
</FRAMESET>

    Следующий пример устанавливает цвет фона фрейма с именем myFrame в красный. MyFrame - дочерний из самого верхнего окна предка.

top.myFrame.document.bgColor ="red"

    Метод toUpperCase

    Преобразует все символы строки к верхнему регистру.

    Синтаксис

            stringName.toUpperCase ()

    stringName - любая строка или свойство существующего объекта.

    Метод

    string

    Описание

    Несмотря на то что метод toUpperCase выводит на экран строку символами верхнего регистра, реальное содержимое строки не изменяется.

    Примеры

    Следующие примеры оба выводят на экран " ALPHABET".

var lowerText="alphabet"
document.write(lowerText.toUpperCase())
   "alphabet".toUpperCase()

    Смотрите также

  • Метод toLowerCase

    Функция unescape

    Возвращает строка ASCII за указанную значение.

    Синтаксис

     unescape (" string ")

    string - строка или свойство существующего объекта, содержщие символы в любой из следующих форм:

  • "%integer", где integer - число от 0 до 255 (десятеричная)
  • " hex ", где hex - номер между 0x0 и 0xFF (шестнадцатеричная)

    Описание

    Функция unescape - не метод, связанный с любым объектом, а - часть языка непосредственно.

    Строка, возвращенная функцией unescape - строка символов в ISO Latin-1 (МЕЖДУНАРОДНОЙ ОРГАНИЗАЦИИ ПО СТАНДАРТИЗАЦИИ Латинский -1).

    Примеры

    Следующий пример возвращается" &"

unescape ("%26")

    Следующий пример возвращается"! #_"

Unescape ("%21%23")

    Смотрите также

  • Функцию escape

    Свойство URL

    Строка, определяющая полный URL документа.

    Синтаксис

     document. URL

    Свойство

    document

    Описание

    Строка URL -значение свойства, которое обычно соответствует измененному window.location.href, когда вы загружаете документ, но переадресация может изменять location.href.

    URL - свойство только для чтения.

    Примеры

    Следующий пример показывает URL текущего документа:

document.write (" текущий URL -" + document. URL)

    Смотрите также

  • href

    Свойство userAgent

    Заголовок, посылаемый как часть протокола HTTP от клиента к серверу для идентификации типа клиента.

    Синтаксис

     navigator.userAgent

    Свойство

    navigator

    Описание

    Синтаксис возвращаемого значения такой же, как у свойства appVersion, дополненный кодовым именем приложения-броузера.

    UserAgent - свойство только для чтения.

    Примеры

    Следующий пример показывает информацию userAgent для Navigator:

     document.write (" значение navigator.userAgent -" +
navigator.userAgent)

    На экране этот пример для Navigator 2.0 выглядит следующим образом:

            Значение navigator.userAgent - Mozilla/2.0 (Win16;I)

    Смотрите также

  • Свойства appName, appVersion, appCodeName

    Метод UTC

    Возвращает количество миллисекунд для даты на базе универ-сального координированного времени (UTC), прошедших с полуночи 1 января 19/0 года.

    Синтаксис

     Date.UTC(year, month, day [, hrs] [, min] [, sec])

    year - годом после 1900.
    month - месяц от 0 до 11.
    day - день месяца от 1 до 31.
    hrs - часы от 0 до 23.
    min - минуты от 0 до 59.
    sec - секунды от 0 до 59.

    Метод

    Date

    Описание

    Метод UTC всегда вычисляется от одной и той же даты и по-этому всегда используется как Date . UTC () а не созданным заранее объектом. При указании значения для месяца не забывайте, что JavaScnpt нумерует месяцы от 0 до 11.

    Примеры

    Следующее утверждение создает объект Date, используя GMT вместо местного времени:

gmtDate = new Date(Date.UTC(96, 11, 1, 0, 0, 0))

    Смотрите также

  • Метод parse

    Свойство value

    Измененный в Navigator 3.0

    Возвращает значение объекта.

    Синтаксис

1. objectName.value
2. radioName [index] .value
3. selectName.options. [ index] .value

    objectName является либо значением атрибута NAME объектов hidden, password, text, textarea, button, reset, submit or checkbox или элемент в массиве elements.
    radioName - значение атрибута NAME объекта radio.
    selectName является либо значением атрибута NAME объекта select либо элемента в массиве elements .
    index - целое число, представляющее переключатель в объекте radio или элемент в объекте select .

    Свойства

  • Объекты button , checkbox , hidden , password , radio , reset , submit, text, textarea
  • Массив select

    Описание

    Свойство value отличается для каждого объекта. Значение свойства value
    Значение различных объектов формы
    Объект
    button, reset, submit | Надпись на кнопке, но не имя кнопки
    checkbox | On для отмеченного элемента, off-для неотмеченного
    radio | Строковое представление значения
    hidden,text,textarea | Содержимое поля
    select | Представление значения выбранного элемента
    password | Возвращает допустимое значение по умолчанию, но зашифрованное значение модифицируется пользователем
    Изменение значения для объектов text или textarea не-медленно отображается на экране. Изменение значений всех остальных объектов формы на экране не отображается.

    Когда атрибут VALUE не определен в HTML, свойство value отличается для каждого объекта:

  • Для button, это - пустая строка
  • Для reset, это - строка " reset "
  • Для submit, это - строка" Submit Query "

    Массив elements

    Свойство value - строка, которая первоначально отражает атрибут VALUE. Значение этого свойство может изменяться, когда программа изменяет его.

    Примеры

    Следующая функция вычисляет свойство value группы кнопок и показывает их в окне msgWindow:

function valueGetter() {
   var msgWindow=window.open("")
   msgWindow.document.write("submitButton.value is " +
      document.valueTest.submitButton.value + "
    ")
   msgWindow.document.write("resetButton.value is " +
      document.valueTest.resetButton.value + "
    ")
   msgWindow.document.write("helpButton.value is " +
      document.valueTest.helpButton.value + "
    ")
   msgWindow.document.close()
}

    Этот пример выводит следующее значения:

Query
Submit
ResetHelp

    Предыдущий пример выполняется, когда кнопки были определены следующим образом

    <INPUT TYPE="submit" NAME="submitButton">
<INPUT TYPE="reset" NAME="resetButton">
<INPUT TYPE="button" NAME="helpButton" VALUE="Help">

    Следующая функция вычисляет свойство value группы переключателей и показывает их в окне msgWindow:

function valueGetter() {
   var msgWindow=window.open("")
   for (var i = 0; i < document.valueTest.radioObj.length; i++) {
       msgWindow.document.write
          ("The value of radioObj[" + i + "] is " +
          document.valueTest.radioObj[i].value +"
    ")
   }
   msgWindow.document.close()
}

    Этот пример выводит на экран следующие значение:

on
on
on
on

    Предыдущий пример выполняется, когда кнопки определены следующим образом

    <BR><INPUT TYPE="radio" NAME="radioObj">R&B
<BR><INPUT TYPE="radio" NAME="radioObj" CHECKED>Soul
<BR><INPUT TYPE="radio" NAME="radioObj">Rock and Roll
<BR><INPUT TYPE="radio" NAME="radioObj">Blues

    Смотрите также

    Для скрытый, пароль, текст, и textarea:

  • DefaultValue свойство

    Для hidden, password, text, и textarea:

  • Свойство name

    Для массива select:

  • Свойства defaultSelected, selected , selectedIndex, text

    Для checkbox and radio:

  • Свойства checked , defaultChecked

    Свойство vlinkColor

    Строка, определяющая цвет просмотренной гиперссылки.

    Синтаксис

     document.vlinkColor

    Свойство

    document

    Описание

    Как и все свойства цвета, свойство vlinkColor использует шестнадцатеричные триплеты RGB или строковые литералы Цвета в JavaScript.. Это свойство не может быть установлено после того, кэкдо мент отформатирован. Для переопределения установок бап зера настройка цветов выполняется в обработчике собьг -onLoad в теге :

    <BODY onLoad="document .vlinkColor= ' aliceblue '"> Эта свойство - отражение JavaScript атрибута VLINK тега <BODY>.

    Если Вы выражаете цвет как шестнадцатеричный RGB триплет, Вы должны использовать формат rrggbb. Например, шестнадцатеричное значение RGB для salmon - red=FA, green=80, и blue=72, так что триплет RGB для salmon -"FA8072".

    Примеры

    Следующий пример устанавливает цвет просмотренных гиперссылок в aqua при использование строкового литерала:

document.vlinkColor ="aqua"

    Следующий пример устанавливает цвет просмотренных гиперссылок в aqua при использование шестнадцатеричного триплета:

document.vlinkColor ="00FFFF"

    Смотрите также

  • Свойства alinkColor, bgColor, fgColor, и linkColor

    Объект window

    Измененный в Navigator 3.0

    Наивысший объект в иерархии JavaScript , представляющий со-бой открытое окно броузера.

    Синтаксис

    Чтобы определять окно, используйте метод open:

windowVar = window.open ("URL", "windowName" [, "windowFeatures"])
    windowVar - имя нового окна.
    WindowName - имя окна, которое используется в атрибуте TARGET тегов <FORM> или <A>у.

    Более подробно смотрите метод open.

    Использование свойства объекта и методы window :

1. window.propertyName
2. window.methodName ( parametrs)
3. self.propertyName
4. self.methodName ( parametrs)
5. top.propertyName
6. top.methodName ( parametrs)
7. parent.propertyName
8. parent.methodName ( parametrs)
9. windowVar.propertyName
10. windowVar.methodName ( parametrs)
11. propertyName
12. methodName (parametrs)
    windowVar переменная для объекта window. Смотрите раздел синтаксис для определения окна.
    propertyName - один из свойства, описанных ниже.
    methodName - один из методов, описанных ниже.

    Чтобы определить обработчики событий onLoad или onUnload для объекта window, используйте теги <BODY> или <FRAMESET>:

<BODY ...
[onLoad = "handlerText"]
[onUnload = "handlerText"] > ;
<BODY>

<FRAMESET
STRING = "rowHeightList"
COLS = "columnWidthList"
[onLoad = "handlerText"]
[onUnload = "handlerText"] > ;
[<FRAME SRC = "locationOrURL" NAME = "frameName" >]
<FRAMESET >

    Для информации относительно тегов <BODY> и <FRAMESET> , смотрите объекты frame и document .

    Свойство

  • Отсутствуют.

    Описание

    Объект window создается браузером во время загрузки стра-ницы и содержит свойства, применяемые ко всему окну. Это объект высшего уровня для каждого из объектов document, location и history. Так как существование этого объекта подразумевается, вам не надо указывать имя окна, ссылаясь на его объекты, свойства или методы. Например, следующие две строки приводят к одному и тому же результату (выводу сообщения в строке состояния):

    status="Go away from here." window.status="Go away from here."
    Существует несколько способов ссылки на объект window , в зависимости от его отношения к текущему положению, как показано в следующей таблице. Псевдонимы объекта window
    Псевдоним | Описание
    window, self | Окно, содержащее текущий документ. Если эти псевдонимы опущены, все равно подразумевается текущий документ. Исключениями являются обработчики ошибок, в которых методы типа open и close должны быть указаны с определенным окном и кадром
    top | Ссылается на окно самого высокого уровня. Полезно в случае сложной иерархии кадров, созданной с использованием многих тегов <FRAMESET>
    parent | Окно, содержащее тег <FRAME SET>, создавший текущий кадр
    windowName | Используется для указания на объект window в тегах HTML. При использовании свойств и методов объектов window используйте имя переменной типа window

    Создание нового окна с помощью метода open:

    aNewWindow = window.open("URL","Window_Name" *" [, "windowl'eatures" ])
    Имя переменной используется для ссылки на свойства и ме-тоды окна. Параметр Window_Name используется в аргу-менте target тегов <FORM...> или <А. . . >. Парамет-ры windowFeatures (приведены в следующей таблице) управляют представлением и функциональностью броузера.

    Если не один из списка windowFeatures не указан, используются значения по умолчанию. Если же указан хотя бы один параметр из списка windowFeatures, все не указанные параметры исключаются. Значение пораметра windowFeatures

    Параметр | Применение
    toolbar | Выводит стандартную панель инструментов, включая кнопки Forward, Back, перехода к домашней странице и печати
    location | Выводит строку URL
    directories | В Natscape Navigator, выводит набор кнопок для стандартных ссылок, таки как What's new, What's Cool и Handbook
    status | Выводит строку состояния внизу окна
    menubars | Выводит меню в верхней части экрана, включающее пункта File, Edit и View
    scrollbars | Добавляет линейку прокрутки, если документ не помещается на экране
    resize | Позволяет пользователю изменять размер окна
    width | Первоначальная ширина окна в пикселях
    height | Первоначальная высота окна в пикселях

    Свойства

  • defaultStatus отражает сообщение, показанное в строке состояния окна
  • frame - массив, отражающий все фреймы в окне
  • length отражает число фреймов в родительском окне
  • name отражает аргумент windowName
  • parent - синоним для аргумента windowName и обращается к окну, содержащему frameset
  • self - синоним для аргумента windowName и обращается к текущему окну
  • status определяет основное или временное сообщение в строке состояния окна
  • top - синоним для аргумента windowName и обращается к самому верхнему окну
  • window - синоним для аргумента windowName и обращается к текущему окну

    Следующие объекты - также свойства объекта window :

  • document
  • frame
  • location

    Методы

  • alert
  • close
  • confirm
  • open
  • prompt
  • setTimeout
  • clearTimeout

    Обработчики событий

  • onLoad
  • onUnload

    Примеры

    В следующем примере, документ в верхнем окне открывает второе окно, window2 и определяет кнопки, которые открывают окно сообщения, записывают в окно сообщения, закрывают окно сообщения, и закрывают window2. Обработчики событий onLoad и onUnload документа, загруженнного в alert выводит window2, когда окно открывается и закрываются.

    Win1. HTML, который определяет, фреймы для первого окна, содержит следующий код:

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта Окна: Окно 1</TITLE> </HEAD> <BODY BGCOLOR="antiquewhite"> <SCRIPT> window2=open("win2.html","secondWindow","scrollbars=yes,width=250, height=400") document.writeln("<B>The first window has no name:" + window.name +"</B>") document.writeln("<BR><B>The second window is named:" + window2.name +"</B>") </SCRIPT> <FORM NAME="form1"> <P> <INPUT TYPE="button" VALUE="Open a message window" onClick="window3=window.open('','messageWindow','scrollbars=yes,width=175, height=300')"> <P> <INPUT TYPE="button" VALUE="Write to the message window" onClick="window3.document.writeln('Hey there');window3.document.close()"> <P> <INPUT TYPE="button" VALUE="Close the message window" onClick="window3.close()"> <P> <INPUT TYPE="button" VALUE="Close window2" onClick="window2.close()"> </FORM> </BODY>

    Win2. HTML, который определяет, содержание для window2, содержит следующий код:

    <HEAD> <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Windows-1251"> <TITLE> Пример объекта Окна: Окно 2</TITLE> </HEAD> <BODY BGCOLOR="oldlace" onLoad="alert('Message from ' + window.name + ': Hello, World.')" onUnload="alert('Message from ' + window.name + ': I\'m closing')"> <B>Некоторые числа</B> <LI> Один <LI> Два <LI> Три <LI> Четыре <LI> Пять <LI> Шесть <LI> Семь <LI> Восемь <LI> Девять </BODY>

    Смотрите также пример для объекта frame .

    Смотрите также

  • Объекты document и frame

    Свойство window

    Синоним текущего окна или фрейма.

    Синтаксис

1. window.propertyName
2. window.methodName

    propertyName - свойство defaultStatus, status, length, или name, когда вызывающее окно обращается к объекту window.
    propertyName - свойство length, или name, когда вызывающее окно обращается к объекту frame.
    methodName - любой метод, связанный с объектом window.

    Свойство

    frame, window

    Описание

    Свойство window обращается к текущему окну или фрейму.

    Хотя вы можете использовать свойство окна как синоним для текущего фрейма, ваш код будет более читаемым, если вы используете свойство self. Например, window.name и self.name оба определяют имя текущего фрейма, но self.name проще.

    Свойство window только для чтения. Значение свойство window

     <object NameAttribute >
    Где nameAttribute - атрибут NAME, если окно обращается к фрейму, или внутренняя ссылка, если окно обращается к окну.

    Примеры

    В следующем примере, window.status используется, чтобы изменить свойство status текущего окна.

    <A HREF="" onClick="this.href=pickRandomURL()" onMouseOver="window.status='Pick a random URL' ; return true">Go!</A>

    Смотрите также

  • Свойство self

    Метод write

    Записывает строку или несколько строк в окно документа.

    Синтаксис

      document.write (expression1 [, expression2], ... [, expressionN])
     expression1 - expressionN - любые выражения     JavaScript или свойства существующих объектов.

    Метод

    document

    Описание

    Метод write показывает любое число выражений в окне документа. Вы можете определить любое выражение JavaScript с методом write, включая числовые, строковые и логические выражения. Метод write не добавляет символ новой строки (
    или /п) в конце строки.

    Использование метод write внутри любого тега <SCRIPT> или внутри обработчика событий. Когда метод write вызывается из обработчика события, текущей доку-мент очищается, если для вывода не создается новое окно.

    Примеры

    В следующем примере, метод write выводит аргументы, включая строку, число, и переменную:

var mystery = "world"
// Displays Hello world testing 123 msgWindow.document.write
("Hello ", mystery, " testing ", 123)
    В следующем примере, метод write выводит два аргумента. Первый аргумент - присвоенное выражение, и второй аргумент - строковый литерал.

//Displays Hello world...
msgWindow.document.write(mystr = "Hello "+ "world...")
    В следующем примере, метод write выводит аргумент, который является условным выражением. Если значениепеременного возраста - меньше чем 18,"Незначительные" показы метода. Если значениевозраста большая чем или равна 18, метод показывает"Взрослого".

msgWindow.document.write(status = (age >= 18) ? "Adult" : "Minor")

    Смотрите также

  • Методы close, open, writeln

    Метод writeln

    Записывает строку или несколько строк в окно документа и до-бавляет символ новой строки в конце вывода.

    Синтаксис

     document.writeln (expression1 [, expression2], ... [, expressionN])
     expression1 - expressionN - любые выражения     JavaScript или свойства существующих объектов.

    Метод

    document

    Описание

    Метод writeln показывает любое число выражений в окне документа. Вы можете определять любое выражение JavaScript, включая числовые , строковые или логические выражения.

    Используйте метод writeln внутри любого тега <SCRIPT> или внутри обработчика результата. Когда метод writeln вызывается из обработчика события, текущей документ очи-щается, если для вывода не создается новое окно. HTML игнорирует символ новой строки, за исключением ис-пользования его внутри тега <PRE>.

    Примеры

    Все примеры, используемые для метода write также имеют силу с writeln методом.

    Смотрите также

  • Методы close, open, write

    на начало страницы


Пример function

Thanks.


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

JavaScript Велечины, Имена, и Литералы

  • Велечины
  • Имена переменных
  • Литералы

Значения

JavaScript распознает следующие типы велечин:

  • Числа, типа 42 или 3.14159
  • Логические (Булевы), значения true или false
  • Строки, типа "Howdy!"
  • Пустой указатель, специальное ключевое слово, обозначающее нулевое значение

Это относительно малый набор типов значений, или типов данных, которые позволяют вам выполнять функции в ваших приложениях. Не существует никакого явного различия между целыми числами и реально-оцененными числа. И при этом не существует явного типа данных date в Navigator. Однако, объект date и связанные встроенные функции позволяют вам обрабатывать данные.

Объекты и функции - фундаментальные элементы в языке. Вы можете думать об объектах как об именнованных контейнерах для значений, и о функциях как о процедурах, которые ваше приложение может выполнять.

Преобразование типов данных

Тип переменной зависит от того, какой тип информации в ней хранится. JavaScript не является жестко типизированным языком. Это означает, что вы не должны точно определять тип данных переменной, в момент ее создания. Тип переменной присваивается переменной автоматически в течение выполнения скрипта. Так, например, вы можете определить переменную следующим образом:

var answer = 42

А позже, вы можете присвоить той же переменной, например следующее значение:

answer = "Thanks for all the fish..."
Или рассмотрим следующее выражения:
//пример
var oneString="1"
var oneInt=1
var oneConcatenate=oneString+oneInt
// В результате получается "11"
var oneAddition=oneInt+oneString
// В результате получается 2

В первой операции сложения первый операнд является строкой. JavaScript предпологает, что производится операция с двумя строками. Когда JavaScript обнаруживает в качестве второго операнда целое число, он в соответствии со своими представлениями преобразует переменную в строку.

Поскольку JavaScript свободно типизированный язык, то это не вызовет ошибки.

Так как JavaScript не поддерживает никаких методов и свойств для определения типа текущего значения переменной, очень важно внимательноотслеживать типы переменных во избежание неожиданных результатов.

Вообще, в выражениях, включающие числовые и строковые значения, JavaScript преобразовывает числовые значения в строковые. Например, рассмотрим следующие утверждение:

x = "The answer is " + 42
y = 42 + " is the answer."

Первое утверждение будет строка "The answer is - 42 ". Второе утверждение возвращает строку " 42 - The answer is".

JavaScript предоставляет несколько специальных функций для управления строковыми и числовыми значениями:

  • eval вычисляет строку, представляющая любые JavaScript литералы или переменные, преобразовывая ее в число.
  • parseInt преобразовывает строку в целое число в указанном основании системы счисления, если возможно.
  • parseFloat преобразовывает строку в число с плавающей точкой, если возможно.

Переменные

Вы используете переменные, чтобы хранить значения в вашем приложении. Вы даете этим переменным имена, по которым вы ссылаетесь на них, и существуют некоторые правила, которым имена должны соответствовать.

Идентификатор JavaScript или имя должны начаться с символа или символом подчеркивания ("_"); последовательность символов также могут быть цифры (0-9). Символы включают знаки с "A" до "Z" (верхнего регистра) и знаки с "a" до "z" (нижний регистр). JavaScript учитывает регистр.

Некоторые примеры допустимых имен:

  • Number_hits
  • temp99
  • _name

Область действия переменных

Область действия переменных - то, где вы можете использовать их в скрипте. В JavaScript, существует две области действия, которые переменные могут иметь:

  • Глобальная: Вы можете использовать переменную где-нибудь в приложении.
  • Локальная: Вы можете использовать переменную внутри текущей функции.

Чтобы объявить локальную переменную внутри функция, используйте ключевое слово var, например:

var total = 0

Чтобы объявить глобальную переменную, объявите переменную назначения, которая просто присваивает значение переменной (или в функции или вне функции), например:

total = 0

Лучше всего объявлять глобальные переменные в начале вашего скрипта, так, чтобы функции наследовали переменную и ее значение.

Литералы

Литералы - способ, которым вы представляете значения в JavaScript. Установленные значения, которые вы буквально (literally) представляете в вашем источнике, и - не переменные. Примеры литералов включают:

  • 42
  • 3.14159
  • "Быть или не быть"

Целые числа (Integers)

Целыми называют числа вида 1, 164, 102390. Они могут быть выражены в десятичном (по основанию 10), шестнадцатеричном (по основанию 16), или восьмеричном (по основанию 8) представлении. Десятичный литерал целого числа состоит из последовательности цифр без ввода 0 (ноля).

Целое число может быть выражено в восьмеричном или шестнадцатеричном скорее чем в десятиричное. Шестнацетеричные числа включают цифры 0-9 и буквы a-f и A-F, в JavaScript они записываются с комбинацией символов 0x или 0X (ноль-x) перед числом. Восмиричные числа включают только цифры 0-7 и в JavaScript записываются с ведущего нуля.

Например, десятичное число 23 представляется в шестнадцатеричном виде как 0x17 и в восмеричном как 027

Литералы с плавающей точкой

Литералы с плавающей точкой представляют собой дробные части целых чисел и должны включать в себя по крайней мере одну цифру и десятичную точку либо символ экспоненты ("е" или "Е"). В следующих примерах приведены различные варианты представления одного и того же числа:

  • 3.1415927
  • 31415927е-7
  • .31415927Е1

Логические Литералы

Логические значения имеют только два значения, истинна (true) или ложь (false). В некоторых реализациях языка JavaScript 0 (false) и 1 (true) не могут быть использованы в качестве логических значений.

Строки

Строковые литералы - ноль или большее количество знаков, располеженные в двойных (") или одинарных (') кавычках. Строки должен быть разделены кавычками того же самого типа; то есть или обе одинарные кавычки или двойные кавычки. Использование обратной двойной черты "\" позволяет вставлять в строку специальные символы. Приведем примеры строковых литералов:

  • "Blah"
  • 'Blah'
  • "1234"
  • "one line \n another line"

Специальные символы

Вы можете использовать следующие специальные символы в строковых литаралах JavaScript:

  • \b указывает возврат на один символ.
  • \f указывает перевод страницы.
  • \n указывает новую цифру(знак) линии.
  • \r указывает возврат каретки.
  • \t указывает cимвол табуляции.

Символы Выхода

Вы можете вставлять кавычки внутри строки, предшествуя им наклонной чертой влево. Это известно как выход кавычек. Например,

document.write("\"Вам следует принять ванну\",-
  сказал доктор и наморщил нос.")
выводит
"Вам следует принять ванну", - сказал доктор и наморщил нос.


СПРАВОЧНОЕ РУКОВОДСТВО ПО JAVASCRIPT

Использование окон и фреймов

  • Открытие и закрытие окон
  • Использование фреймов
  • Управление окнами
  • Обращение к окнам и фреймам

Открытие и закрытие окон

Открытие окон
Закрытие окон

Открытие новых окон в браузере - грандиозная возможность языка JavaScript. Вы можете либо загружать в новое окно новые документы (например, те же документы HTML), либо (динамически) создавать новые материалы.

Открытие окон

Вы можете создавать окно с помощью метода Window. Следующее утверждение создает окно "msgWindow", которое показывает содержание файл sesame.html:
MsgWindow=window.open("sesame.html")
Следующее утверждение создает окно "homeWindow", которое показывает домашнюю страницу Netscape:
homeWindow=window.open("http://www.netscape.com")
Окна могут иметь два названия. Следующее утверждение создает окно с двумя названиями. Название окна "msgWindow" - это вовсе не имя окна, но только с помощью этой переменной вы можете получить доступ к окну. И поскольку это обычная переменная, то область ее действия - лишь тот скрипт, в котором она определена; а между тем, имя окна, "displayWindow" - уникальный идентификатор, которым можно пользоваться с любого из окон браузера.
msgWindow=window.open("sesame.html","displayWindow")
Когда Вы создаете окно, имя окна не требуется. Но если Вы хотите обратиться к окну из другого окна, то окно должно иметь свое уникальное имя (в данном случае "displayWindow"). Приведенный далее скрипт открывает новое окно браузера и загружает в него страничку sesame.html с помощью метода open():

<html>
 <head>
 <script language="JavaScript">
  <!-- hide
  function openWin() {
   msgWindow= open("sesame.html")
   }
  // -->
 </script>
 </head>
 <body>
  <form>
   <input type="button" value="Открыть новое окно"    onClick="openWin()">
  </form>
 </body>
</html>

Заметим, что Вы имеете возможность управлять самим процессом создания окна. Например, Вы можете указать, должно ли новое окно иметь строку статуса, панель инструментов, меню или полосы прокрутки. Кроме того, Вы можете задать размер окна. Рассмотрим следующий пример создания окна размерами 250x100 пикселов, которое не имеет ни строки статуса, ни панель инструментов, ни меню, ни полосы прокрутки.

<html>
 <head>
  <script language="JavaScript">
   <!-- hide
    function openWin() {
     msgWindow= open("sesame.html",displayWindow",
      "width=250,height=100,status=no,
     toolbar=no,menubar=no,scrollbars=no")
    }
   // -->
  </script>
 </head>
 <body>
  <form>
   <input type="button" value="Открыть новое окно"
   onClick="openWin()">
  </form>
 </body>
</html>

Как видно в примере, свойства окна записаны в строке "width=250,height=100,status=no,toolbar=no,menubar=no,scrollbars=no", в которой следует обратить внимание на то, что вам не следует помещать в ней символы пробела.

Закрытие окон

Вы можете закрывать окна с помощью языка JavaScript. Следующие утверждения закрывают текущее окно:
Window.close ()
Self.close ()
Замечание: не использовать следующее утверждение в обработке результата close() Следующее утверждение закрывает окно, названное "msgWindow":
MsgWindow.close()
Теперь создадим пример, который открывает новое окно. Загрузим туда web-страницу, где при нажатие кнопки оно будет закрыто:

<html>
 <script language="JavaScript">
  <!-- hide
   function closeIt(){
    close();
   }
  // -->
 </script>
 <center>
  <form>
    <input type=button value="Закрыть окно" onClick="closeIt()">
  </form>
 </center>
</html>

open() и close() - это методы объекта window. Мы должны помнить, что следует писать не просто open() и close(), а window.open() и window.close(). Однако в нашем случае объект window можно опустить - Вам нет необходимости писать префикс window, если Вы хотите всего лишь вызвать один из методов этого объекта (и такое возможно только для этого объекта).

Использование фреймов

Один из способов выдать сразу несколько файлов HTML на экране пользователя - это открыть несколько окон броузера. Другой путь состоит в том, чтобы разбить окно на несколько разделов. Эти разделы называются фреймами. В каждом фрейме показывается свой документ HTML. Каждый фрейм может иметь свои полосы прокрутки, ссылки, графические изображения и т.д. Фреймы могут функционировать независимо или влиять друг на друга, используя ссылки, указывающие на другие фреймы.
Для использования фреймов необходимо как минимум три файла: установачный файл и два исходных файла HTML. Установачный файл назначает исходные файлы HTML для каждого из окон, но не содержит собственного текста или графики. Исходные файлы HTML выдаются во фреймы и, как и любые другие файлы могут содержать ссылки, изображения, скрипты и пр.
Для создания установочного фрейма необходимо два тэга: <frameset> и <fram> . HTML-страница, создающая фреймы, в общем случае может выглядеть следующим образом:

<html>
<frameset cols="50%,50%">
  <frameset rows="50%,50%">
    <frame src="cell.htm">
    <frame src="cell.htm">
  </frameset>
  <frameset rows="33%,33%,33%">
    <frame src="cell.htm">
    <frame src="cell.htm">
    <frame src="cell.htm">
  </frameset>
</frameset>
</html>

Внутри тега <frameset> мы использовали свойства rows и cols. Это означает, что фреймы будут расположены друг над другом или друг под друго соответсвенно. Фрагмент "33%,33%,33%" задает размеры открываемых окон. Этот фрагмент эквивалентен следующей записи "33%,33%,*" или задать размер фрейма в пиксилах, для чего достаточно после числа не ставить символ %. Любому фрейму можно присвоить уникальное имя, воспользовавшись в тэге <frame> атрибутом name. Такая возможность пригодится нам в языке JavaScript для доступа к фреймам.
Тег <frame> содержит отрибуты, которые управляют различными свойствами фреймов.
BORDER=определяет ширину разделительной полосы между фреймами.
BORDERCOLOR=устанавливает цвет разделительной полосы между фреймами.
NORESIZE атрибут, запрещающий пользователю изменять размеры фреймов.
SCROLLING=задает, появляются ли в окне полосы прокрутки.
MARGINHEIGHT=добавляет пустое поле между верхней границей фрейма и началом текста или графики.
MARGINWIDTH=добавляет пустое поле между боковыми границами фрейма и текстом или графикой.

Следующий график показывает окно, содержащее три фреймов:

This frame is This frame is named listFrame named contentFrame | | | | -------------v------------------------------v---------- | Music Club | Toshiko Akiyoshi | | Artists | Interlude | | | | | Jazz | The Beatles | | - T. Akiyoshi | Please Please Me | | - J. Coltrane | | | - M. Davis | Betty Carter | | - D. Gordon | Ray Charles and Betty Carter | | | | | Soul | Jimmy Cliff | | - B. Carter | The Harder They Come | | - R. Charles | | | ... | ... | ------------------------------------------------------- | Alphabetical By category Musician Descriptions | ----------------^-------------------------------------- | | This frame is named navigateFrame Пример 1. Следующе утверждение создает frameset, показанный в предыдущем графике.
<FRAMESET ROWS="90%,10%">
<FRAMESET COLS="30%,70%">
<FRAME SRC=Category.html NAME="listFrame">
<FRAME SRC=Titles.html NAME="contentFrame">
</FRAMESET>
<FRAME SRC=Navigate.html NAME="navigateFrame">
</FRAMESET>

Следующий график показывает иерархию фреймов. Все три фрейма имеют того же самого родителя, даже при том, что два из фреймов определены внутри отдельного frameset. Это, потому что родитель фреймов есть родитель окно, и фрейм, расположенный не в frameset, определяет окно.

top | +--listFrame (Category.html) | +--contentFrame (Titles.html) | +--navigateFrame (Navigate.html)

Вы можете обращаться к предыдущим фреймам, используя массив frames следующим образом. (Для информации относительно массива frames, смотрите объект frame.)

  • listFrame - top.frames [0]
  • contentFrame - [1] top.frames
  • navigateFrame - top.frames [2]

Пример 2.Вы можете создавать окно подобно предыдущему, но в котором вершина двух фреймов имеют отдельного родителя из navigateFrame. Верхний уровень frameset будет определен следующим образом:

<FRAMESET ROWS="90%,10%">
<FRAME SRC=Muskel3.html NAME="upperFrame">
<FRAME SRC=Navigate.html NAME="navigateFrame">
</FRAMESET>

Файл Muskel3.html содержит следующие утверждения для верхних фреймов и определяют frameset:

<FRAMESET COLS="30%,70%">
<FRAME SRC=Category.html NAME="listFrame">
<FRAME SRC=Titles.html NAME="contentFrame">
</FRAMESET>

Следующий график показывает иерархию фреймов. UpperFrame и navigateFrame родитель: верхнее окно. ListFrame и contentFrame родитель: upperFrame.

top | | +--listFrame | | (Category.html) +---upperFrame------| | (muskel3.html) | | +--contentFrame | (Titles.html) | +---navigateFrame (Navigate.html)

Вы можете обращаться к предыдущим фреймам, использующим массив frames следующим образом. (Для информации относительно массивов frames, смотрите объект frame.)

  • upperFrame - top.frames [0]
  • navigateFrame - [1] top.frames
  • listFrame - upperFrame.frames [0] или top.frames [0] .frames [0]
  • contentFrame - upperFrame.frames [1] или top.frames [0] .frames [1]

Модифицикация фреймов

Вы можете модифицировать содержание фрейма, используя свойство location, пока вы точно определяете иерархию фреймов.

Например, пусть вы используете frameset, описанный в Примере 2 в предыдущем примере. Если вы хотите, чтобы пользователь был способен закрывать фрейм, содержащий список artists (в фрейме listframe) и просматр только music titles, сортируемые musician (в настоящее время в фрейме contentFrame), вы можете добавить следующую кнопку к navigateFrame.

Если Вы хотите, чтобы пользователь мог закрыть фрейм, содержащий список artists (в фрейме listframe) и просматривая только music titles, сортируемые musician (в настоящее время в фрейме contentFrame), вы можете добавить следующую кнопку к navigateFrame.

<INPUT TYPE="button" VALUE="Titles Only" onClick="top.frames[0].location='Artists.html'">

Когда пользователь нажимает на эту кнопку, файл Artists.html загружается в фрейм upperFrame; фреймы listFrame и contentFrame закрываются и больше не существуют.

Обращение и управляние среди фреймов

Поскольку фреймы - это тип окна, то вы обращаетесь к фреймам и перемещаетесь среди фреймов также как с окном. Смотрите также: обращение к окнам и фреймам и Управление окнами

Пример Фреймов

Если frameset в предыдущем примере разработан, чтобы представить доступные названия для music club, фреймы и их файлы HTML могут иметь следующее содержание:

  • Category.html, в фрейме listFrame, содержит список музыкантов, сортируемых классом.
  • Titles.html, в фрейме ContentFrame, содержит алфавитный список каждого музыканта и названий, доступных для того музыканта.
  • Navigate.html, в фрейме NavigateFrame, содержит гиперссылки, которые позволяют пользователю, выбирать, как музыканты показаны в listFrame: в алфавитном списке или категорическом списке. Этот файл также определяет гиперссылки, которые позволяют пользователю, выделить описание каждого музыканта.
  • Дополнительный файл, Alphabet.html, содержит список музыкантов, сортируемые в алфавитном порядке. Этот файл показана в listFrame, когда пользователь нажимает связь для алфавитного списка.

Файл Category.html (категорический список) содержит следующий код:

<B>Music Club Artists</B> <P><B>Jazz</B> <LI><A HREF="Titles.html#0001" TARGET="contentFrame">Toshiko Akiyoshi</A> <LI><A HREF="Titles.html#0006" TARGET="contentFrame">John Coltrane</A> <LI><A HREF="Titles.html#0007" TARGET="contentFrame">Miles Davis</A> <LI><A HREF="Titles.html#0010" TARGET="contentFrame">Dexter Gordon</A> <P><B>Soul</B> <LI><A HREF="Titles.html#0003" TARGET="contentFrame">Betty Carter</A> <LI><A HREF="Titles.html#0004" TARGET="contentFrame">Ray Charles</A> ... The file alphabet.html (the alphabetical list) contains code similar to the following: <B>Music Club Artists</B> <LI><A HREF="Titles.html#0001" TARGET="contentFrame">Toshiko Akiyoshi</A> <LI><A HREF="Titles.html#0002" TARGET="contentFrame">The Beatles</A> <LI><A HREF="Titles.html#0003" TARGET="contentFrame">Betty Carter</A> <LI><A HREF="Titles.html#0004" TARGET="contentFrame">Ray Charles</A> ...

Файл navigate.html (навигационные связи внизу экрана) содержит следующий код:

<A HREF="Alphabet.html" TARGET="listFrame"><B>Alphabetical</B></A>
<A HREF="Category.html" TARGET="listFrame"><B>By category</B></A>
<A HREF="Artists.html" TARGET="_parent">
   <B>Musician Descriptions</B></A>

Файл Titles.html (главный файл, показанный в фрейме справа) содержит следующий код:

<!--------------------------------------> <A NAME="0001"><H3>Toshiko Akiyoshi</H3></A> <P>Interlude <!--------------------------------------> <A NAME="0002"><H3>The Beatles</H3></A> <P>Please Please Me <!--------------------------------------> <A NAME="0003"><H3>Betty Carter</H3></A> <P>Ray Charles and Betty Carter...

Для более подробного создания фрейма, смотрите объект frame.

Обращение к окнам и фреймам

Имя, которое вы используете, чтобы обратиться к окну, зависит от того, обращаетесь ли вы к свойствам, методам, и обработчикам события окна или - обращаетесь к окну, как к строке, указывающей имя окна подчиненной формы или гиперсвязь.

Так как объект окна - верхнего уровня объект в JavaScript иерархии пользователя, окно необходимо для определения объектов в любом окне.

Обращение к свойствам, методам, и обработчикам собития окна

Вы можете обращаться к свойствам, методам, и обработчикам собития текущего окна или другого окна следующими из способов:

  • self или window. Self или window - синонимы для текущего окна, и вам необязательно использовать их, чтобы обратиться к текущему окну. Например, Вы можете закрыть текущее окно, используя или window.close () или self.close ().
  • top или parent. Top или parent - также синонимы, которые могут использоваться вместо имени окна. Top обращается к самому верхнему окну Navigator, и parent обращается к окну, содержащий frameset. Например, выражение parent.frame2.document.bgColor="teal" изменяет цвет фона фрейма с именем frame2 в teal; frame2 - фрейм в текущем frameset.
  • The name of a window variable. Variable окна - переменная, которая определена, когда окно открыто. Например, msgWindow.close () закрывает окно с именем msgWindow. Однако, когда Вы открываете или закрываете окно внутри обработчика события, то вы должны точно определить window.open () или window.close () вместо использования open() или close(). Из-за обзора статических объектов в JavaScript, обращение к close() без определения точного имени окна эквивалентно выражению document.close().
  • Omit the window name. Поскольку существование текущего окна принято, то вы не должны обращаться к имени окна, чтобы вызывать его метод и присвоить его свойству. Например, close() закрывает текущее окно.

Для получения дополнительной информации этих методах обращения к окну, смотрите объект window.

Пример 1: обращение к текущему окну. Следующая выражение обращается к форме с именем musicForm в текущем окне. Выражение выдает предупреждение, если переключатель выбран.

if (self.document.musicForm.checkbox1.checked) { alert('The checkbox on the musicForm is checked!')}

Пример 2: обращение к другому окну. Следующие выражения обращаются к форме с именем musicForm в окне checkboxWin. Выражения определяют, если выбран переключатель, отмечает переключатель, определят, если выбрана вторая опция объекта selected, выбирает вторую опция объекта selected. Даже при том, что значения объекта изменены в checkboxWin, текущее окно остается активным: проверка переключателя и выбора опции отбора не дает фокус окну.

// Определят выбран ли переключатель
if (checkboxWin.document.musicForm.checkbox2.checked) {
      alert('The checkbox on the musicForm in checkboxWin is checked!')}
// Отмечает переключатель
   checkboxWin.document.musicForm.checkbox2.checked=true
// Определяет, выбрана ли опция в объекте select
if (checkboxWin.document.musicForm.musicTypes.options[1].selected)
   {alert('Option 1 is selected!')}
// Выбирает опцию в объекте select
checkboxWin.document.musicForm.musicTypes.selectedIndex=1

Пример 3: обращение к фрейму в другом окне. Следующее выражение обращается к фрейму с именем frame2, который находится в окне с именем window2. Выражение изменяет цвет фона frame2 в фиолетовый. Имя фрейма frame2, должно быть определено в теге <FRAMESET>, который создает frameset.

Window2.frame2.document.bgColor = "violet"

Обращение к окну подчиненной формы или гиперсвязи

Используйте имя окна, когда обращаетесь к окну, как к строке, указывающей имя окна подчиненной формы или гиперсвязи (атрибут TARGET тегов <FORM> или <A>).

Пример 1: второе окно. Следующий пример создает гиперссылку ко второму окну. В примере есть кнопка, которая открывает, окно с именем window2, и связь, которая загружает файл Doc2.html в открытое окно, и еще одна кнопка, которая закрывает окно.

<P>
<INPUT TYPE="button" VALUE="Open window2"
   onClick="msgWindow=window.open('',
      'window2','resizable=no,width=200,height=200')">
<P>
<A HREF="Doc2.html"
      TARGET="window2"> Load a file into window2</A><P>
<INPUT TYPE="button" VALUE="Close window2"
   onClick="msgWindow.close()">

Пример 2:anchor во втором окне. Следующий пример создает гиперссылку к anchor во втором окне. Связь отображает anchor с именем numbers в файле Doc2.html в окне window2. Если window2 не существует, его создает.

<A HREF="Doc2.html#numbers" TARGET="window2">numbers</A>

Пример 3: имя фрейма. Следующий пример создает гиперссылку к anchor в фрейме. Связь отображает anchor с именем abs_method в файле Sesame.html фрейма с именем "contentFrame". Фрейм должн быть внутри текущего frameset, и имя фрейма должно быть определено в атрибуте NAME тега <FRAME>.

<A HREF="Sesame.html#abs_method" TARGET="contentFrame">abs</A>

Пример 4: литеральное имя фрейма. Следующий пример создает гиперссылку к файле. Сслка отображает файл с именем Artists.html в родительском окне текущего frameset. Этот объект ссылки появляется в фрейме внутри frameset, и когда пользователь нажимает ссылку, все фреймы в frameset исчезают, и загружается файл Artists.html в родительское окно.

<A HREF="Artists.html" TARGET="_parent"> <B>Musician Descriptions</B></A>

Управление окнами

В Navigator может быть открыто много окон одновременно. Пользователь может перемещаться среди этих окон, щелкая их, давая им фокус. Вы можете дать фокус окну запрограммированно, давая фокус объекту в окне или, точно определяя окно как адрес гиперссылки. Хотя вы можете изменять значения объекта во втором окне, которое не делает второе окно активным: текущее окно остается активным.

Активное окно - окно, которое имеет фокус. Когда окно имеет фокус, оно принесено на передний план и изменяется некоторым визуальным способом. Например, область заголовка окна могжет быть изменено в различный цвет. Визуальная команда вызова программы изменяется в зависимости от платформы, которую вы используете.

Пример 1: передача фокуса объекту в другом окне. Следующее выражение дает фокус текстовому объекту с именем city в окне checkboxWin. Так как текстовый объект получает фокус, то checkboxWin также получает фокус и становится активным окном. В примере также показано выражение, которое создает checkboxWin.

сheckboxWin=window.open ("Doc2.html") ... checkboxWin.document.musicForm.city.focus()

Пример 2: передача фокуса другому окну, при использовании гиперссылки. Следующее выражение определяет window2 как target гиперссылки. Когда пользователь нажимает на ссылку, фокус передается window2. Если window2 не существует, то оно создается.

<A HREF="Doc2.html" TARGET="window2"> Load a file into window2</A>